// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_Clap1 -pn processClap1 -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_Clap1SIG0 {
	iRec6: [i32;2],
}

impl DSP_Clap1SIG0 {
	
	fn get_num_inputsDSP_Clap1SIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Clap1SIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Clap1SIG0(&mut self, sample_rate: i32) {
		for l1 in 0..2 {
			self.iRec6[(l1) as usize] = 0;
		}
	}
	
	fn fillDSP_Clap1SIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec6[0] = i32::wrapping_add(self.iRec6[1], 1);
			let mut fTemp0: F32 = ((i32::wrapping_add(self.iRec6[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp0))))) * (((((7.2e+03 - fTemp0) < 3824.0) as i32)) as F32);
			self.iRec6[1] = self.iRec6[0];
		}
	}

}


pub fn newDSP_Clap1SIG0() -> DSP_Clap1SIG0 { 
	DSP_Clap1SIG0 {
		iRec6: [0;2],
	}
}

pub struct DSP_Clap1SIG1 {
	iRec10: [i32;2],
}

impl DSP_Clap1SIG1 {
	
	fn get_num_inputsDSP_Clap1SIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Clap1SIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Clap1SIG1(&mut self, sample_rate: i32) {
		for l6 in 0..2 {
			self.iRec10[(l6) as usize] = 0;
		}
	}
	
	fn fillDSP_Clap1SIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec10[0] = i32::wrapping_add(self.iRec10[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec10[0], -1)) as F32));
			self.iRec10[1] = self.iRec10[0];
		}
	}

}


pub fn newDSP_Clap1SIG1() -> DSP_Clap1SIG1 { 
	DSP_Clap1SIG1 {
		iRec10: [0;2],
	}
}

pub struct DSP_Clap1SIG2 {
	iVec2: [i32;2],
	iRec14: [i32;2],
}

impl DSP_Clap1SIG2 {
	
	fn get_num_inputsDSP_Clap1SIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Clap1SIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Clap1SIG2(&mut self, sample_rate: i32) {
		for l10 in 0..2 {
			self.iVec2[(l10) as usize] = 0;
		}
		for l11 in 0..2 {
			self.iRec14[(l11) as usize] = 0;
		}
	}
	
	fn fillDSP_Clap1SIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec2[0] = 1;
			self.iRec14[0] = (i32::wrapping_add(self.iVec2[1], self.iRec14[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec14[0]) as F32));
			self.iVec2[1] = self.iVec2[0];
			self.iRec14[1] = self.iRec14[0];
		}
	}

}


pub fn newDSP_Clap1SIG2() -> DSP_Clap1SIG2 { 
	DSP_Clap1SIG2 {
		iVec2: [0;2],
		iRec14: [0;2],
	}
}

pub struct DSP_Clap1SIG3 {
	iRec24: [i32;2],
}

impl DSP_Clap1SIG3 {
	
	fn get_num_inputsDSP_Clap1SIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Clap1SIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Clap1SIG3(&mut self, sample_rate: i32) {
		for l19 in 0..2 {
			self.iRec24[(l19) as usize] = 0;
		}
	}
	
	fn fillDSP_Clap1SIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec24[0] = i32::wrapping_add(self.iRec24[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec24[0], -1)) as F32) + -128.0));
			self.iRec24[1] = self.iRec24[0];
		}
	}

}


pub fn newDSP_Clap1SIG3() -> DSP_Clap1SIG3 { 
	DSP_Clap1SIG3 {
		iRec24: [0;2],
	}
}
static mut iDSP_Clap1SIG4Wave0: [i32;100] = [1,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,16,16,17,18,18,19,20,21,22,23,24,25,26,27,28,30,31,33,34,36,37,38,39,41,42,44,46,47,49,51,53,54,56,58,60,62,64,66,68,70,72,74,76,79,82,85,88,91,94,98,102,106,110,115,120,125,130,135,141,147,153,159,165,171,178,185,193,202,211,232,243,254,255];

pub struct DSP_Clap1SIG4 {
	iDSP_Clap1SIG4Wave0_idx: i32,
}

impl DSP_Clap1SIG4 {
	
	fn get_num_inputsDSP_Clap1SIG4(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Clap1SIG4(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Clap1SIG4(&mut self, sample_rate: i32) {
		self.iDSP_Clap1SIG4Wave0_idx = 0;
	}
	
	fn fillDSP_Clap1SIG4(&mut self, count: i32, table: &mut[i32]) {
		for i5 in 0..count {
			table[(i5) as usize] = unsafe { iDSP_Clap1SIG4Wave0[(self.iDSP_Clap1SIG4Wave0_idx) as usize] };
			self.iDSP_Clap1SIG4Wave0_idx = (i32::wrapping_add(1, self.iDSP_Clap1SIG4Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Clap1SIG4() -> DSP_Clap1SIG4 { 
	DSP_Clap1SIG4 {
		iDSP_Clap1SIG4Wave0_idx: 0,
	}
}
static mut iDSP_Clap1SIG5Wave0: [i32;100] = [-128,-116,-104,-95,-85,-76,-68,-61,-56,-52,-49,-46,-43,-41,-39,-37,-35,-33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,38,40,43,46,49,53,58,65,73,82,92,103,115,127];

pub struct DSP_Clap1SIG5 {
	iDSP_Clap1SIG5Wave0_idx: i32,
}

impl DSP_Clap1SIG5 {
	
	fn get_num_inputsDSP_Clap1SIG5(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Clap1SIG5(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Clap1SIG5(&mut self, sample_rate: i32) {
		self.iDSP_Clap1SIG5Wave0_idx = 0;
	}
	
	fn fillDSP_Clap1SIG5(&mut self, count: i32, table: &mut[i32]) {
		for i6 in 0..count {
			table[(i6) as usize] = unsafe { iDSP_Clap1SIG5Wave0[(self.iDSP_Clap1SIG5Wave0_idx) as usize] };
			self.iDSP_Clap1SIG5Wave0_idx = (i32::wrapping_add(1, self.iDSP_Clap1SIG5Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Clap1SIG5() -> DSP_Clap1SIG5 { 
	DSP_Clap1SIG5 {
		iDSP_Clap1SIG5Wave0_idx: 0,
	}
}
static mut ftbl0DSP_Clap1SIG0: [F32;16384] = [0.0;16384];
fn DSP_Clap1_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl1DSP_Clap1SIG1: [F32;144] = [0.0;144];
static mut ftbl2DSP_Clap1SIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_Clap1SIG3: [F32;4096] = [0.0;4096];
static mut itbl4DSP_Clap1SIG4: [i32;100] = [0;100];
static mut itbl5DSP_Clap1SIG5: [i32;100] = [0;100];
fn DSP_Clap1_faustpower4_f(value: F32) -> F32 {
	return value * value * value * value;
}

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_Clap1 {
	iVec0: [i32;2],
	fHslider0: F32,
	fEntry0: F32,
	iVec1: [i32;2],
	fHslider1: F32,
	fRec8: [F32;2],
	fRec7: [F32;2],
	fRec9: [F32;2],
	fHslider2: F32,
	fHslider3: F32,
	fRec11: [F32;2],
	fSampleRate: i32,
	fConst0: F32,
	fRec12: [F32;2],
	fRec13: [F32;2],
	fRec15: [F32;2],
	fRec16: [F32;2],
	fRec17: [F32;2],
	fRec18: [F32;2],
	fRec19: [F32;2],
	fRec21: [F32;2],
	fConst1: F32,
	fConst2: F32,
	fRec22: [F32;2],
	fConst5: F32,
	fRec23: [F32;2],
	fRec20: [F32;2],
	fConst6: F32,
	iConst7: i32,
	iRec26: [i32;2],
	iConst8: i32,
	iRec27: [i32;2],
	fConst9: F32,
	fConst10: F32,
	fConst11: F32,
	iConst12: i32,
	iRec29: [i32;2],
	fRec28: [F32;2],
	fConst13: F32,
	fRec25: [F32;2],
	fConst16: F32,
	fRec30: [F32;2],
	fRec31: [F32;2],
	fRec32: [F32;2],
	fRec33: [F32;2],
	fRec34: [F32;2],
	fRec35: [F32;2],
	fRec36: [F32;2],
	fRec37: [F32;2],
	fRec38: [F32;2],
	fRec39: [F32;2],
	fRec40: [F32;2],
	fRec41: [F32;2],
	fRec42: [F32;2],
	fConst18: F32,
	fRec43: [F32;2],
	fConst20: F32,
	fRec44: [F32;2],
	fConst21: F32,
	fRec45: [F32;2],
	fRec1: [F32;2],
	fRec2: [F32;2],
	fRec3: [F32;2],
	fRec4: [F32;2],
	fRec5: [F32;2],
	fConst23: F32,
	fConst24: F32,
	fConst26: F32,
	fConst27: F32,
	fRec0: [F32;2],
	fHslider4: F32,
	fHslider5: F32,
	fHslider6: F32,
}

impl FaustDsp for DSP_Clap1 {
	type T = F32;
		
	fn new() -> DSP_Clap1 { 
		DSP_Clap1 {
			iVec0: [0;2],
			fHslider0: 0.0,
			fEntry0: 0.0,
			iVec1: [0;2],
			fHslider1: 0.0,
			fRec8: [0.0;2],
			fRec7: [0.0;2],
			fRec9: [0.0;2],
			fHslider2: 0.0,
			fHslider3: 0.0,
			fRec11: [0.0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fRec12: [0.0;2],
			fRec13: [0.0;2],
			fRec15: [0.0;2],
			fRec16: [0.0;2],
			fRec17: [0.0;2],
			fRec18: [0.0;2],
			fRec19: [0.0;2],
			fRec21: [0.0;2],
			fConst1: 0.0,
			fConst2: 0.0,
			fRec22: [0.0;2],
			fConst5: 0.0,
			fRec23: [0.0;2],
			fRec20: [0.0;2],
			fConst6: 0.0,
			iConst7: 0,
			iRec26: [0;2],
			iConst8: 0,
			iRec27: [0;2],
			fConst9: 0.0,
			fConst10: 0.0,
			fConst11: 0.0,
			iConst12: 0,
			iRec29: [0;2],
			fRec28: [0.0;2],
			fConst13: 0.0,
			fRec25: [0.0;2],
			fConst16: 0.0,
			fRec30: [0.0;2],
			fRec31: [0.0;2],
			fRec32: [0.0;2],
			fRec33: [0.0;2],
			fRec34: [0.0;2],
			fRec35: [0.0;2],
			fRec36: [0.0;2],
			fRec37: [0.0;2],
			fRec38: [0.0;2],
			fRec39: [0.0;2],
			fRec40: [0.0;2],
			fRec41: [0.0;2],
			fRec42: [0.0;2],
			fConst18: 0.0,
			fRec43: [0.0;2],
			fConst20: 0.0,
			fRec44: [0.0;2],
			fConst21: 0.0,
			fRec45: [0.0;2],
			fRec1: [0.0;2],
			fRec2: [0.0;2],
			fRec3: [0.0;2],
			fRec4: [0.0;2],
			fRec5: [0.0;2],
			fConst23: 0.0,
			fConst24: 0.0,
			fConst26: 0.0,
			fConst27: 0.0,
			fRec0: [0.0;2],
			fHslider4: 0.0,
			fHslider5: 0.0,
			fHslider6: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_Clap1 -pn processClap1 -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
		m.declare("vaeffects.lib/moogLadder:author", "Dario Sanfilippo");
		m.declare("vaeffects.lib/moogLadder:license", "MIT-style STK-4.3 license");
		m.declare("vaeffects.lib/name", "Faust Virtual Analog Filter Effect Library");
		m.declare("vaeffects.lib/version", "0.2");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_Clap1SIG0 = newDSP_Clap1SIG0();
		sig0.instance_initDSP_Clap1SIG0(sample_rate);
		sig0.fillDSP_Clap1SIG0(16384, unsafe { &mut ftbl0DSP_Clap1SIG0 });
		let mut sig1: DSP_Clap1SIG1 = newDSP_Clap1SIG1();
		sig1.instance_initDSP_Clap1SIG1(sample_rate);
		sig1.fillDSP_Clap1SIG1(144, unsafe { &mut ftbl1DSP_Clap1SIG1 });
		let mut sig2: DSP_Clap1SIG2 = newDSP_Clap1SIG2();
		sig2.instance_initDSP_Clap1SIG2(sample_rate);
		sig2.fillDSP_Clap1SIG2(1024, unsafe { &mut ftbl2DSP_Clap1SIG2 });
		let mut sig3: DSP_Clap1SIG3 = newDSP_Clap1SIG3();
		sig3.instance_initDSP_Clap1SIG3(sample_rate);
		sig3.fillDSP_Clap1SIG3(4096, unsafe { &mut ftbl3DSP_Clap1SIG3 });
		let mut sig4: DSP_Clap1SIG4 = newDSP_Clap1SIG4();
		sig4.instance_initDSP_Clap1SIG4(sample_rate);
		sig4.fillDSP_Clap1SIG4(100, unsafe { &mut itbl4DSP_Clap1SIG4 });
		let mut sig5: DSP_Clap1SIG5 = newDSP_Clap1SIG5();
		sig5.instance_initDSP_Clap1SIG5(sample_rate);
		sig5.fillDSP_Clap1SIG5(100, unsafe { &mut itbl5DSP_Clap1SIG5 });
	}
	fn instance_reset_params(&mut self) {
		self.fHslider0 = 9e+01;
		self.fEntry0 = 0.0;
		self.fHslider1 = 0.0;
		self.fHslider2 = 36.0;
		self.fHslider3 = 0.0;
		self.fHslider4 = 0.0;
		self.fHslider5 = 0.0;
		self.fHslider6 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l0 in 0..2 {
			self.iVec0[(l0) as usize] = 0;
		}
		for l2 in 0..2 {
			self.iVec1[(l2) as usize] = 0;
		}
		for l3 in 0..2 {
			self.fRec8[(l3) as usize] = 0.0;
		}
		for l4 in 0..2 {
			self.fRec7[(l4) as usize] = 0.0;
		}
		for l5 in 0..2 {
			self.fRec9[(l5) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec11[(l7) as usize] = 0.0;
		}
		for l8 in 0..2 {
			self.fRec12[(l8) as usize] = 0.0;
		}
		for l9 in 0..2 {
			self.fRec13[(l9) as usize] = 0.0;
		}
		for l12 in 0..2 {
			self.fRec15[(l12) as usize] = 0.0;
		}
		for l13 in 0..2 {
			self.fRec16[(l13) as usize] = 0.0;
		}
		for l14 in 0..2 {
			self.fRec17[(l14) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec18[(l15) as usize] = 0.0;
		}
		for l16 in 0..2 {
			self.fRec19[(l16) as usize] = 0.0;
		}
		for l17 in 0..2 {
			self.fRec21[(l17) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.fRec22[(l18) as usize] = 0.0;
		}
		for l20 in 0..2 {
			self.fRec23[(l20) as usize] = 0.0;
		}
		for l21 in 0..2 {
			self.fRec20[(l21) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.iRec26[(l22) as usize] = 0;
		}
		for l23 in 0..2 {
			self.iRec27[(l23) as usize] = 0;
		}
		for l24 in 0..2 {
			self.iRec29[(l24) as usize] = 0;
		}
		for l25 in 0..2 {
			self.fRec28[(l25) as usize] = 0.0;
		}
		for l26 in 0..2 {
			self.fRec25[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec30[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec31[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.fRec32[(l29) as usize] = 0.0;
		}
		for l30 in 0..2 {
			self.fRec33[(l30) as usize] = 0.0;
		}
		for l31 in 0..2 {
			self.fRec34[(l31) as usize] = 0.0;
		}
		for l32 in 0..2 {
			self.fRec35[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec36[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec37[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec38[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec39[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fRec40[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec41[(l38) as usize] = 0.0;
		}
		for l39 in 0..2 {
			self.fRec42[(l39) as usize] = 0.0;
		}
		for l40 in 0..2 {
			self.fRec43[(l40) as usize] = 0.0;
		}
		for l41 in 0..2 {
			self.fRec44[(l41) as usize] = 0.0;
		}
		for l42 in 0..2 {
			self.fRec45[(l42) as usize] = 0.0;
		}
		for l43 in 0..2 {
			self.fRec1[(l43) as usize] = 0.0;
		}
		for l44 in 0..2 {
			self.fRec2[(l44) as usize] = 0.0;
		}
		for l45 in 0..2 {
			self.fRec3[(l45) as usize] = 0.0;
		}
		for l46 in 0..2 {
			self.fRec4[(l46) as usize] = 0.0;
		}
		for l47 in 0..2 {
			self.fRec5[(l47) as usize] = 0.0;
		}
		for l48 in 0..2 {
			self.fRec0[(l48) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		self.fConst1 = F32::max(1.0, 0.001 * self.fConst0);
		self.fConst2 = 2.0 * self.fConst1;
		let mut fConst3: F32 = unsafe { ftbl3DSP_Clap1SIG3[2410] };
		let mut fConst4: F32 = 1e+03 / self.fConst0;
		self.fConst5 = fConst4 * (fConst3 + 0.95268476 * (unsafe { ftbl3DSP_Clap1SIG3[2411] } - fConst3));
		self.fConst6 = ((unsafe { itbl4DSP_Clap1SIG4[63] }) as F32);
		self.iConst7 = unsafe { itbl5DSP_Clap1SIG5[58] };
		self.iConst8 = unsafe { itbl5DSP_Clap1SIG5[50] };
		self.fConst9 = 0.64285713 * self.fConst0;
		self.fConst10 = ((unsafe { itbl4DSP_Clap1SIG4[99] }) as F32);
		self.fConst11 = ((unsafe { itbl4DSP_Clap1SIG4[3] }) as F32);
		self.iConst12 = unsafe { itbl5DSP_Clap1SIG5[26] };
		self.fConst13 = 2.2e+02 / self.fConst0;
		let mut fConst14: F32 = unsafe { ftbl3DSP_Clap1SIG3[2047] };
		let mut fConst15: F32 = 1e+01 / self.fConst0;
		self.fConst16 = fConst15 * (fConst14 + 0.5 * (unsafe { ftbl3DSP_Clap1SIG3[2048] } - fConst14));
		let mut fConst17: F32 = unsafe { ftbl3DSP_Clap1SIG3[2576] };
		self.fConst18 = fConst15 * (fConst17 + 0.7381199 * (unsafe { ftbl3DSP_Clap1SIG3[2577] } - fConst17));
		let mut fConst19: F32 = unsafe { ftbl3DSP_Clap1SIG3[2149] };
		self.fConst20 = fConst4 * (fConst19 + 0.52180624 * (unsafe { ftbl3DSP_Clap1SIG3[2150] } - fConst19));
		self.fConst21 = 314.6 / self.fConst0;
		let mut fConst22: F32 = F32::tan(62.831852 / self.fConst0);
		self.fConst23 = 1.0 / fConst22;
		self.fConst24 = 1.0 - self.fConst23;
		let mut fConst25: F32 = self.fConst23 + 1.0;
		self.fConst26 = 1.0 / fConst25;
		self.fConst27 = 0.0 - 1.0 / (fConst22 * fConst25);
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_Clap1::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Trigger", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(1)), "1", "");
		ui_interface.declare(Some(ParamIndex(1)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(1)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(1), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(2)), "2", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(2), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(3)), "4", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Transpose");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "st");
		ui_interface.add_horizontal_slider("Voice_Transpose", ParamIndex(3), 0.0, -24.0, 24.0, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "7", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Tone");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Tone", ParamIndex(4), 9e+01, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(5)), "8", "");
		ui_interface.declare(Some(ParamIndex(5)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(5)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(5), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(6), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_horizontal_slider("key", ParamIndex(7), 36.0, 0.0, 127.0, 1.0);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			4 => Some(self.fHslider0),
			6 => Some(self.fHslider1),
			7 => Some(self.fHslider2),
			3 => Some(self.fHslider3),
			2 => Some(self.fHslider4),
			1 => Some(self.fHslider5),
			5 => Some(self.fHslider6),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			4 => { self.fHslider0 = value }
			6 => { self.fHslider1 = value }
			7 => { self.fHslider2 = value }
			3 => { self.fHslider3 = value }
			2 => { self.fHslider4 = value }
			1 => { self.fHslider5 = value }
			5 => { self.fHslider6 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.33333334 * (fSlow9 + 12.0) + 1.0;
		let mut fSlow11: F32 = 0.42857143 * fSlow10;
		let mut fSlow12: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -57.0));
		let mut fSlow13: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow12, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow14: i32 = ((fSlow13) as i32);
		let mut fSlow15: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iSlow14) as usize] };
		let mut fSlow16: F32 = fSlow15 + (fSlow13 - ((iSlow14) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iSlow14, 1)) as usize] } - fSlow15);
		let mut fSlow17: F32 = self.fConst13 * fSlow12;
		let mut fSlow18: F32 = 0.14285715 * fSlow10;
		let mut fSlow19: F32 = self.fConst21 * fSlow12;
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Clap1_faustpower4_f(fSlow1) * fSlow4 / DSP_Clap1_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider4;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + 1.0));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider6 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Clap1_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3456.0 } else { self.fRec9[1] };
			let mut fTemp6: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec11[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 50.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp9: F32 = self.fRec7[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 95.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec12[0] - self.fRec9[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 39.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec13[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec13[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec13[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec13[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec13[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec13[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec13[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec7[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec7[0] + fTemp6 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec9[0] } } } else { if (((self.fRec13[0] < fTemp15) as i32) as i32 != 0) { self.fRec9[0] + fTemp13 * if (((self.fRec12[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec12[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp22) as usize] };
			let mut fTemp24: F32 = 0.14285715 * fTemp3;
			let mut fTemp25: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 9e+01));
			let mut fTemp26: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp25) * (fTemp25 + 28.0);
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp26 + 4064.0 } else { self.fRec15[1] };
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fTemp26 + 3744.0 } else { self.fRec16[1] };
			let mut fTemp27: F32 = self.fRec16[0] - self.fRec15[0];
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec17[1] };
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 78.5) as i32)) as usize] } * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp26 } else { self.fRec18[1] };
			let mut fTemp29: F32 = F32::max(5076.0, self.fRec18[0]);
			let mut fTemp30: F32 = self.fRec15[0] - fTemp29;
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 99.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp29)) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp32 + fTemp28;
			let mut fTemp34: F32 = self.fRec18[0] - self.fRec16[0];
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 60.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec16[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp33 + fTemp35;
			self.fRec19[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp36, self.fRec19[1] + 1.0) };
			let mut iTemp37: i32 = ((self.fRec19[0] < fTemp33) as i32);
			let mut fTemp38: F32 = (self.fRec19[0] - fTemp33) / fTemp35;
			let mut iTemp39: i32 = ((self.fRec19[0] < fTemp32) as i32);
			let mut fTemp40: F32 = (self.fRec19[0] - fTemp32) / fTemp28;
			let mut fTemp41: F32 = self.fRec19[0] / fTemp32;
			let mut fTemp42: F32 = if (iTemp37 as i32 != 0) { if (iTemp39 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp29 } else { if (iTemp39 as i32 != 0) { fTemp29 + fTemp30 * if (((self.fRec15[0] > fTemp29) as i32) as i32 != 0) { F32::powf(fTemp41, 0.33333334) } else { fTemp41 } } else { self.fRec15[0] } } } else { if (iTemp37 as i32 != 0) { self.fRec15[0] + fTemp27 * if (((self.fRec16[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp40, 0.33333334) } else { fTemp40 } } else { self.fRec16[0] } } } else { if (((self.fRec19[0] < fTemp36) as i32) as i32 != 0) { self.fRec16[0] + fTemp34 * if (((self.fRec18[0] > self.fRec16[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec18[0] } };
			let mut iTemp43: i32 = ((fTemp42) as i32);
			let mut fTemp44: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp43) as usize] };
			self.fRec21[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec21[1] };
			let mut fTemp45: F32 = F32::max(5076.0, self.fRec21[0]);
			let mut fTemp46: F32 = self.fRec21[0] - fTemp45;
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (fTemp31 * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp45)) + 2.0) } else { 0.96 }))));
			self.fRec22[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst2 + fTemp47, self.fRec22[1] + 1.0) };
			let mut iTemp48: i32 = ((self.fRec22[0] < fTemp47) as i32);
			let mut fTemp49: F32 = self.fRec22[0] / fTemp47;
			let mut fTemp50: F32 = if (((self.fRec22[0] < (self.fConst1 + fTemp47)) as i32) as i32 != 0) { if (iTemp48 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp45 } else { if (iTemp48 as i32 != 0) { fTemp45 + fTemp46 * if (((self.fRec21[0] > fTemp45) as i32) as i32 != 0) { F32::powf(fTemp49, 0.33333334) } else { fTemp49 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { self.fRec21[0] };
			let mut iTemp51: i32 = ((fTemp50) as i32);
			let mut fTemp52: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp51) as usize] };
			let mut iTemp53: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp54: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst5 };
			self.fRec23[0] = fTemp54 - F32::floor(fTemp54);
			self.fRec20[0] = 0.115 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec23[0] + 24.347826 * self.fRec20[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp52 + (fTemp50 - ((iTemp51) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp51, 1)) as usize] } - fTemp52));
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			self.iRec27[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec27[1] };
			let mut iTemp55: i32 = i32::wrapping_sub(self.iRec27[0], self.iRec26[0]);
			let mut fTemp56: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp55)) as F32) / self.fConst6));
			let mut iTemp57: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec27[0]);
			let mut fTemp58: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp57)) as F32) / self.fConst10));
			let mut fTemp59: F32 = fTemp58 + fTemp56;
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst12 } else { self.iRec29[1] };
			let mut iTemp60: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec27[0]);
			let mut fTemp61: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp60)) as F32) / self.fConst11));
			let mut fTemp62: F32 = fTemp59 + fTemp61;
			self.fRec28[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp62, self.fRec28[1] + 1.0) };
			let mut iTemp63: i32 = ((self.fRec28[0] < fTemp59) as i32);
			let mut fTemp64: F32 = (self.fRec28[0] - fTemp59) / fTemp61;
			let mut fTemp65: F32 = ((self.iRec27[0]) as F32);
			let mut iTemp66: i32 = ((self.fRec28[0] < fTemp58) as i32);
			let mut fTemp67: F32 = (self.fRec28[0] - fTemp58) / fTemp56;
			let mut fTemp68: F32 = ((self.iRec26[0]) as F32);
			let mut fTemp69: F32 = self.fRec28[0] / fTemp58;
			let mut fTemp70: F32 = 15.996094 * (0.4 * if (iTemp63 as i32 != 0) { if (iTemp66 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp66 as i32 != 0) { fTemp65 + ((iTemp57) as F32) * if (((self.iRec26[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp69, 0.33333334) } else { fTemp69 } } else { fTemp68 } } } else { if (iTemp63 as i32 != 0) { fTemp68 + ((iTemp55) as F32) * if (((self.iRec27[0] > self.iRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp67, 0.33333334) } else { fTemp67 } } else { fTemp65 } } } else { if (((self.fRec28[0] < fTemp62) as i32) as i32 != 0) { fTemp65 + ((iTemp60) as F32) * if (((self.iRec29[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { ((self.iRec29[0]) as F32) } } + 128.0);
			let mut iTemp71: i32 = ((fTemp70) as i32);
			let mut fTemp72: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iTemp71) as usize] };
			let mut fTemp73: F32 = fSlow16 * (fTemp72 + (fTemp70 - ((iTemp71) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iTemp71, 1)) as usize] } - fTemp72));
			let mut fTemp74: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow17 * fTemp73 };
			self.fRec25[0] = fTemp74 - F32::floor(fTemp74);
			let mut fTemp75: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec30[1] + self.fConst16 };
			self.fRec30[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp77: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp76) * (fTemp76 + 28.0);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp77 + 4064.0 } else { self.fRec31[1] };
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp77 + 3232.0 } else { self.fRec32[1] };
			let mut fTemp78: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp79: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp78) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 51.5) as i32)) as usize] } * if (((fTemp78 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp77 } else { self.fRec33[1] };
			let mut fTemp80: F32 = F32::max(5076.0, self.fRec33[0]);
			let mut fTemp81: F32 = self.fRec31[0] - fTemp80;
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp80)) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = fTemp82 + fTemp79;
			let mut fTemp84: F32 = self.fRec33[0] - self.fRec32[0];
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 58.5) as i32)) as usize] } * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp83 + fTemp85;
			self.fRec34[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp86, self.fRec34[1] + 1.0) };
			let mut iTemp87: i32 = ((self.fRec34[0] < fTemp83) as i32);
			let mut fTemp88: F32 = (self.fRec34[0] - fTemp83) / fTemp85;
			let mut iTemp89: i32 = ((self.fRec34[0] < fTemp82) as i32);
			let mut fTemp90: F32 = (self.fRec34[0] - fTemp82) / fTemp79;
			let mut fTemp91: F32 = self.fRec34[0] / fTemp82;
			let mut fTemp92: F32 = if (iTemp87 as i32 != 0) { if (iTemp89 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp80 } else { if (iTemp89 as i32 != 0) { fTemp80 + fTemp81 * if (((self.fRec31[0] > fTemp80) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec31[0] } } } else { if (iTemp87 as i32 != 0) { self.fRec31[0] + fTemp78 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp90, 0.33333334) } else { fTemp90 } } else { self.fRec32[0] } } } else { if (((self.fRec34[0] < fTemp86) as i32) as i32 != 0) { self.fRec32[0] + fTemp84 * if (((self.fRec33[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec33[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp93) as usize] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7616.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3552.0 } else { self.fRec36[1] };
			let mut fTemp95: F32 = self.fRec36[0] - self.fRec35[0];
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fSlow18 } else { self.fRec37[1] };
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 47.5) as i32)) as usize] } * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp97: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp98: F32 = self.fRec35[0] - fTemp97;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 95.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp97)) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp96;
			self.fRec38[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp100, self.fRec38[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec38[0] < fTemp100) as i32);
			let mut iTemp102: i32 = ((self.fRec38[0] < fTemp99) as i32);
			let mut fTemp103: F32 = (self.fRec38[0] - fTemp99) / fTemp96;
			let mut fTemp104: F32 = self.fRec38[0] / fTemp99;
			let mut fTemp105: F32 = if (iTemp101 as i32 != 0) { if (iTemp102 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp97 } else { if (iTemp102 as i32 != 0) { fTemp97 + fTemp98 * if (((self.fRec35[0] > fTemp97) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec35[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec35[0] + fTemp95 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec36[0] } } } else { self.fRec36[0] };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp106) as usize] };
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 92.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec39[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec40[1] };
			let mut fTemp110: F32 = self.fRec40[0] - self.fRec39[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 80.5) as i32)) as usize] } * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec41[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec41[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec41[0]);
			let mut fTemp113: F32 = self.fRec39[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp31 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec41[0] - self.fRec40[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 35.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec42[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec42[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec42[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec42[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec42[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec42[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec42[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec42[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec39[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec39[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec39[0] + fTemp110 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec40[0] } } } else { if (((self.fRec42[0] < fTemp118) as i32) as i32 != 0) { self.fRec40[0] + fTemp116 * if (((self.fRec41[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec41[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp125) as usize] };
			let mut fTemp127: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec43[1] + self.fConst18 };
			self.fRec43[0] = fTemp127 - F32::floor(fTemp127);
			let mut fTemp128: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec44[1] + self.fConst20 };
			self.fRec44[0] = fTemp128 - F32::floor(fTemp128);
			let mut fTemp129: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow19 * fTemp73 };
			self.fRec45[0] = fTemp129 - F32::floor(fTemp129);
			let mut fTemp130: F32 = fSlow20 * (0.115 * (unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec45[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec44[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * self.fRec43[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94)) + unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec30[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec25[0] + 17.391304 * self.fRec20[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp44 + (fTemp42 - ((iTemp43) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp43, 1)) as usize] } - fTemp44)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp130;
			let mut fTemp131: F32 = self.fRec1[1] + fSlow3 * fTemp130 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp131;
			let mut fTemp132: F32 = self.fRec2[1] + fSlow3 * fTemp131 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp132;
			let mut fTemp133: F32 = self.fRec3[1] + fSlow3 * fTemp132 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp133;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp133;
			self.fRec0[0] = self.fConst27 * self.fRec5[1] - self.fConst26 * (self.fConst24 * self.fRec0[1] - self.fConst23 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec20[1] = self.fRec20[0];
			self.iRec26[1] = self.iRec26[0];
			self.iRec27[1] = self.iRec27[0];
			self.iRec29[1] = self.iRec29[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_Clap1 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_Clap1 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Clap1 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.33333334 * (fSlow9 + 12.0) + 1.0;
		let mut fSlow11: F32 = 0.42857143 * fSlow10;
		let mut fSlow12: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -57.0));
		let mut fSlow13: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow12, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow14: i32 = ((fSlow13) as i32);
		let mut fSlow15: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iSlow14) as usize] };
		let mut fSlow16: F32 = fSlow15 + (fSlow13 - ((iSlow14) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iSlow14, 1)) as usize] } - fSlow15);
		let mut fSlow17: F32 = self.fConst13 * fSlow12;
		let mut fSlow18: F32 = 0.14285715 * fSlow10;
		let mut fSlow19: F32 = self.fConst21 * fSlow12;
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Clap1_faustpower4_f(fSlow1) * fSlow4 / DSP_Clap1_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider4;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + 1.0));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider6 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Clap1_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3456.0 } else { self.fRec9[1] };
			let mut fTemp6: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec11[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 50.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp9: F32 = self.fRec7[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 95.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec12[0] - self.fRec9[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 39.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec13[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec13[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec13[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec13[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec13[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec13[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec13[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec7[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec7[0] + fTemp6 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec9[0] } } } else { if (((self.fRec13[0] < fTemp15) as i32) as i32 != 0) { self.fRec9[0] + fTemp13 * if (((self.fRec12[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec12[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp22) as usize] };
			let mut fTemp24: F32 = 0.14285715 * fTemp3;
			let mut fTemp25: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 9e+01));
			let mut fTemp26: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp25) * (fTemp25 + 28.0);
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp26 + 4064.0 } else { self.fRec15[1] };
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fTemp26 + 3744.0 } else { self.fRec16[1] };
			let mut fTemp27: F32 = self.fRec16[0] - self.fRec15[0];
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec17[1] };
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 78.5) as i32)) as usize] } * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp26 } else { self.fRec18[1] };
			let mut fTemp29: F32 = F32::max(5076.0, self.fRec18[0]);
			let mut fTemp30: F32 = self.fRec15[0] - fTemp29;
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 99.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp29)) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp32 + fTemp28;
			let mut fTemp34: F32 = self.fRec18[0] - self.fRec16[0];
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 60.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec16[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp33 + fTemp35;
			self.fRec19[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp36, self.fRec19[1] + 1.0) };
			let mut iTemp37: i32 = ((self.fRec19[0] < fTemp33) as i32);
			let mut fTemp38: F32 = (self.fRec19[0] - fTemp33) / fTemp35;
			let mut iTemp39: i32 = ((self.fRec19[0] < fTemp32) as i32);
			let mut fTemp40: F32 = (self.fRec19[0] - fTemp32) / fTemp28;
			let mut fTemp41: F32 = self.fRec19[0] / fTemp32;
			let mut fTemp42: F32 = if (iTemp37 as i32 != 0) { if (iTemp39 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp29 } else { if (iTemp39 as i32 != 0) { fTemp29 + fTemp30 * if (((self.fRec15[0] > fTemp29) as i32) as i32 != 0) { F32::powf(fTemp41, 0.33333334) } else { fTemp41 } } else { self.fRec15[0] } } } else { if (iTemp37 as i32 != 0) { self.fRec15[0] + fTemp27 * if (((self.fRec16[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp40, 0.33333334) } else { fTemp40 } } else { self.fRec16[0] } } } else { if (((self.fRec19[0] < fTemp36) as i32) as i32 != 0) { self.fRec16[0] + fTemp34 * if (((self.fRec18[0] > self.fRec16[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec18[0] } };
			let mut iTemp43: i32 = ((fTemp42) as i32);
			let mut fTemp44: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp43) as usize] };
			self.fRec21[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec21[1] };
			let mut fTemp45: F32 = F32::max(5076.0, self.fRec21[0]);
			let mut fTemp46: F32 = self.fRec21[0] - fTemp45;
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (fTemp31 * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp45)) + 2.0) } else { 0.96 }))));
			self.fRec22[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst2 + fTemp47, self.fRec22[1] + 1.0) };
			let mut iTemp48: i32 = ((self.fRec22[0] < fTemp47) as i32);
			let mut fTemp49: F32 = self.fRec22[0] / fTemp47;
			let mut fTemp50: F32 = if (((self.fRec22[0] < (self.fConst1 + fTemp47)) as i32) as i32 != 0) { if (iTemp48 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp45 } else { if (iTemp48 as i32 != 0) { fTemp45 + fTemp46 * if (((self.fRec21[0] > fTemp45) as i32) as i32 != 0) { F32::powf(fTemp49, 0.33333334) } else { fTemp49 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { self.fRec21[0] };
			let mut iTemp51: i32 = ((fTemp50) as i32);
			let mut fTemp52: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp51) as usize] };
			let mut iTemp53: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp54: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst5 };
			self.fRec23[0] = fTemp54 - F32::floor(fTemp54);
			self.fRec20[0] = 0.115 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec23[0] + 24.347826 * self.fRec20[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp52 + (fTemp50 - ((iTemp51) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp51, 1)) as usize] } - fTemp52));
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			self.iRec27[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec27[1] };
			let mut iTemp55: i32 = i32::wrapping_sub(self.iRec27[0], self.iRec26[0]);
			let mut fTemp56: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp55)) as F32) / self.fConst6));
			let mut iTemp57: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec27[0]);
			let mut fTemp58: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp57)) as F32) / self.fConst10));
			let mut fTemp59: F32 = fTemp58 + fTemp56;
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst12 } else { self.iRec29[1] };
			let mut iTemp60: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec27[0]);
			let mut fTemp61: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp60)) as F32) / self.fConst11));
			let mut fTemp62: F32 = fTemp59 + fTemp61;
			self.fRec28[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp62, self.fRec28[1] + 1.0) };
			let mut iTemp63: i32 = ((self.fRec28[0] < fTemp59) as i32);
			let mut fTemp64: F32 = (self.fRec28[0] - fTemp59) / fTemp61;
			let mut fTemp65: F32 = ((self.iRec27[0]) as F32);
			let mut iTemp66: i32 = ((self.fRec28[0] < fTemp58) as i32);
			let mut fTemp67: F32 = (self.fRec28[0] - fTemp58) / fTemp56;
			let mut fTemp68: F32 = ((self.iRec26[0]) as F32);
			let mut fTemp69: F32 = self.fRec28[0] / fTemp58;
			let mut fTemp70: F32 = 15.996094 * (0.4 * if (iTemp63 as i32 != 0) { if (iTemp66 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp66 as i32 != 0) { fTemp65 + ((iTemp57) as F32) * if (((self.iRec26[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp69, 0.33333334) } else { fTemp69 } } else { fTemp68 } } } else { if (iTemp63 as i32 != 0) { fTemp68 + ((iTemp55) as F32) * if (((self.iRec27[0] > self.iRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp67, 0.33333334) } else { fTemp67 } } else { fTemp65 } } } else { if (((self.fRec28[0] < fTemp62) as i32) as i32 != 0) { fTemp65 + ((iTemp60) as F32) * if (((self.iRec29[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { ((self.iRec29[0]) as F32) } } + 128.0);
			let mut iTemp71: i32 = ((fTemp70) as i32);
			let mut fTemp72: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iTemp71) as usize] };
			let mut fTemp73: F32 = fSlow16 * (fTemp72 + (fTemp70 - ((iTemp71) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iTemp71, 1)) as usize] } - fTemp72));
			let mut fTemp74: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow17 * fTemp73 };
			self.fRec25[0] = fTemp74 - F32::floor(fTemp74);
			let mut fTemp75: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec30[1] + self.fConst16 };
			self.fRec30[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp77: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp76) * (fTemp76 + 28.0);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp77 + 4064.0 } else { self.fRec31[1] };
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp77 + 3232.0 } else { self.fRec32[1] };
			let mut fTemp78: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp79: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp78) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 51.5) as i32)) as usize] } * if (((fTemp78 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp77 } else { self.fRec33[1] };
			let mut fTemp80: F32 = F32::max(5076.0, self.fRec33[0]);
			let mut fTemp81: F32 = self.fRec31[0] - fTemp80;
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp80)) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = fTemp82 + fTemp79;
			let mut fTemp84: F32 = self.fRec33[0] - self.fRec32[0];
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 58.5) as i32)) as usize] } * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp83 + fTemp85;
			self.fRec34[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp86, self.fRec34[1] + 1.0) };
			let mut iTemp87: i32 = ((self.fRec34[0] < fTemp83) as i32);
			let mut fTemp88: F32 = (self.fRec34[0] - fTemp83) / fTemp85;
			let mut iTemp89: i32 = ((self.fRec34[0] < fTemp82) as i32);
			let mut fTemp90: F32 = (self.fRec34[0] - fTemp82) / fTemp79;
			let mut fTemp91: F32 = self.fRec34[0] / fTemp82;
			let mut fTemp92: F32 = if (iTemp87 as i32 != 0) { if (iTemp89 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp80 } else { if (iTemp89 as i32 != 0) { fTemp80 + fTemp81 * if (((self.fRec31[0] > fTemp80) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec31[0] } } } else { if (iTemp87 as i32 != 0) { self.fRec31[0] + fTemp78 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp90, 0.33333334) } else { fTemp90 } } else { self.fRec32[0] } } } else { if (((self.fRec34[0] < fTemp86) as i32) as i32 != 0) { self.fRec32[0] + fTemp84 * if (((self.fRec33[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec33[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp93) as usize] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7616.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3552.0 } else { self.fRec36[1] };
			let mut fTemp95: F32 = self.fRec36[0] - self.fRec35[0];
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fSlow18 } else { self.fRec37[1] };
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 47.5) as i32)) as usize] } * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp97: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp98: F32 = self.fRec35[0] - fTemp97;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 95.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp97)) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp96;
			self.fRec38[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp100, self.fRec38[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec38[0] < fTemp100) as i32);
			let mut iTemp102: i32 = ((self.fRec38[0] < fTemp99) as i32);
			let mut fTemp103: F32 = (self.fRec38[0] - fTemp99) / fTemp96;
			let mut fTemp104: F32 = self.fRec38[0] / fTemp99;
			let mut fTemp105: F32 = if (iTemp101 as i32 != 0) { if (iTemp102 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp97 } else { if (iTemp102 as i32 != 0) { fTemp97 + fTemp98 * if (((self.fRec35[0] > fTemp97) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec35[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec35[0] + fTemp95 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec36[0] } } } else { self.fRec36[0] };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp106) as usize] };
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 92.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec39[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec40[1] };
			let mut fTemp110: F32 = self.fRec40[0] - self.fRec39[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 80.5) as i32)) as usize] } * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec41[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec41[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec41[0]);
			let mut fTemp113: F32 = self.fRec39[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp31 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec41[0] - self.fRec40[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 35.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec42[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec42[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec42[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec42[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec42[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec42[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec42[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec42[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec39[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec39[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec39[0] + fTemp110 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec40[0] } } } else { if (((self.fRec42[0] < fTemp118) as i32) as i32 != 0) { self.fRec40[0] + fTemp116 * if (((self.fRec41[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec41[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp125) as usize] };
			let mut fTemp127: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec43[1] + self.fConst18 };
			self.fRec43[0] = fTemp127 - F32::floor(fTemp127);
			let mut fTemp128: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec44[1] + self.fConst20 };
			self.fRec44[0] = fTemp128 - F32::floor(fTemp128);
			let mut fTemp129: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow19 * fTemp73 };
			self.fRec45[0] = fTemp129 - F32::floor(fTemp129);
			let mut fTemp130: F32 = fSlow20 * (0.115 * (unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec45[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec44[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * self.fRec43[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94)) + unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec30[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec25[0] + 17.391304 * self.fRec20[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp44 + (fTemp42 - ((iTemp43) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp43, 1)) as usize] } - fTemp44)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp130;
			let mut fTemp131: F32 = self.fRec1[1] + fSlow3 * fTemp130 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp131;
			let mut fTemp132: F32 = self.fRec2[1] + fSlow3 * fTemp131 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp132;
			let mut fTemp133: F32 = self.fRec3[1] + fSlow3 * fTemp132 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp133;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp133;
			self.fRec0[0] = self.fConst27 * self.fRec5[1] - self.fConst26 * (self.fConst24 * self.fRec0[1] - self.fConst23 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec20[1] = self.fRec20[0];
			self.iRec26[1] = self.iRec26[0];
			self.iRec27[1] = self.iRec27[0];
			self.iRec29[1] = self.iRec29[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Clap1 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_Clap1 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Clap1 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.33333334 * (fSlow9 + 12.0) + 1.0;
		let mut fSlow11: F32 = 0.42857143 * fSlow10;
		let mut fSlow12: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -57.0));
		let mut fSlow13: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow12, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow14: i32 = ((fSlow13) as i32);
		let mut fSlow15: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iSlow14) as usize] };
		let mut fSlow16: F32 = fSlow15 + (fSlow13 - ((iSlow14) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iSlow14, 1)) as usize] } - fSlow15);
		let mut fSlow17: F32 = self.fConst13 * fSlow12;
		let mut fSlow18: F32 = 0.14285715 * fSlow10;
		let mut fSlow19: F32 = self.fConst21 * fSlow12;
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Clap1_faustpower4_f(fSlow1) * fSlow4 / DSP_Clap1_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider4;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + 1.0));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider6 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Clap1_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3456.0 } else { self.fRec9[1] };
			let mut fTemp6: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec11[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 50.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp9: F32 = self.fRec7[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 95.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec12[0] - self.fRec9[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 39.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec13[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec13[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec13[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec13[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec13[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec13[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec13[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec7[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec7[0] + fTemp6 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec9[0] } } } else { if (((self.fRec13[0] < fTemp15) as i32) as i32 != 0) { self.fRec9[0] + fTemp13 * if (((self.fRec12[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec12[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp22) as usize] };
			let mut fTemp24: F32 = 0.14285715 * fTemp3;
			let mut fTemp25: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 9e+01));
			let mut fTemp26: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp25) * (fTemp25 + 28.0);
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp26 + 4064.0 } else { self.fRec15[1] };
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fTemp26 + 3744.0 } else { self.fRec16[1] };
			let mut fTemp27: F32 = self.fRec16[0] - self.fRec15[0];
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec17[1] };
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 78.5) as i32)) as usize] } * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp26 } else { self.fRec18[1] };
			let mut fTemp29: F32 = F32::max(5076.0, self.fRec18[0]);
			let mut fTemp30: F32 = self.fRec15[0] - fTemp29;
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 99.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp29)) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp32 + fTemp28;
			let mut fTemp34: F32 = self.fRec18[0] - self.fRec16[0];
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 60.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec16[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp33 + fTemp35;
			self.fRec19[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp36, self.fRec19[1] + 1.0) };
			let mut iTemp37: i32 = ((self.fRec19[0] < fTemp33) as i32);
			let mut fTemp38: F32 = (self.fRec19[0] - fTemp33) / fTemp35;
			let mut iTemp39: i32 = ((self.fRec19[0] < fTemp32) as i32);
			let mut fTemp40: F32 = (self.fRec19[0] - fTemp32) / fTemp28;
			let mut fTemp41: F32 = self.fRec19[0] / fTemp32;
			let mut fTemp42: F32 = if (iTemp37 as i32 != 0) { if (iTemp39 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp29 } else { if (iTemp39 as i32 != 0) { fTemp29 + fTemp30 * if (((self.fRec15[0] > fTemp29) as i32) as i32 != 0) { F32::powf(fTemp41, 0.33333334) } else { fTemp41 } } else { self.fRec15[0] } } } else { if (iTemp37 as i32 != 0) { self.fRec15[0] + fTemp27 * if (((self.fRec16[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp40, 0.33333334) } else { fTemp40 } } else { self.fRec16[0] } } } else { if (((self.fRec19[0] < fTemp36) as i32) as i32 != 0) { self.fRec16[0] + fTemp34 * if (((self.fRec18[0] > self.fRec16[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec18[0] } };
			let mut iTemp43: i32 = ((fTemp42) as i32);
			let mut fTemp44: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp43) as usize] };
			self.fRec21[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec21[1] };
			let mut fTemp45: F32 = F32::max(5076.0, self.fRec21[0]);
			let mut fTemp46: F32 = self.fRec21[0] - fTemp45;
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (fTemp31 * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp45)) + 2.0) } else { 0.96 }))));
			self.fRec22[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst2 + fTemp47, self.fRec22[1] + 1.0) };
			let mut iTemp48: i32 = ((self.fRec22[0] < fTemp47) as i32);
			let mut fTemp49: F32 = self.fRec22[0] / fTemp47;
			let mut fTemp50: F32 = if (((self.fRec22[0] < (self.fConst1 + fTemp47)) as i32) as i32 != 0) { if (iTemp48 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp45 } else { if (iTemp48 as i32 != 0) { fTemp45 + fTemp46 * if (((self.fRec21[0] > fTemp45) as i32) as i32 != 0) { F32::powf(fTemp49, 0.33333334) } else { fTemp49 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { self.fRec21[0] };
			let mut iTemp51: i32 = ((fTemp50) as i32);
			let mut fTemp52: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp51) as usize] };
			let mut iTemp53: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp54: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst5 };
			self.fRec23[0] = fTemp54 - F32::floor(fTemp54);
			self.fRec20[0] = 0.115 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec23[0] + 24.347826 * self.fRec20[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp52 + (fTemp50 - ((iTemp51) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp51, 1)) as usize] } - fTemp52));
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			self.iRec27[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec27[1] };
			let mut iTemp55: i32 = i32::wrapping_sub(self.iRec27[0], self.iRec26[0]);
			let mut fTemp56: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp55)) as F32) / self.fConst6));
			let mut iTemp57: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec27[0]);
			let mut fTemp58: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp57)) as F32) / self.fConst10));
			let mut fTemp59: F32 = fTemp58 + fTemp56;
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst12 } else { self.iRec29[1] };
			let mut iTemp60: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec27[0]);
			let mut fTemp61: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp60)) as F32) / self.fConst11));
			let mut fTemp62: F32 = fTemp59 + fTemp61;
			self.fRec28[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp62, self.fRec28[1] + 1.0) };
			let mut iTemp63: i32 = ((self.fRec28[0] < fTemp59) as i32);
			let mut fTemp64: F32 = (self.fRec28[0] - fTemp59) / fTemp61;
			let mut fTemp65: F32 = ((self.iRec27[0]) as F32);
			let mut iTemp66: i32 = ((self.fRec28[0] < fTemp58) as i32);
			let mut fTemp67: F32 = (self.fRec28[0] - fTemp58) / fTemp56;
			let mut fTemp68: F32 = ((self.iRec26[0]) as F32);
			let mut fTemp69: F32 = self.fRec28[0] / fTemp58;
			let mut fTemp70: F32 = 15.996094 * (0.4 * if (iTemp63 as i32 != 0) { if (iTemp66 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp66 as i32 != 0) { fTemp65 + ((iTemp57) as F32) * if (((self.iRec26[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp69, 0.33333334) } else { fTemp69 } } else { fTemp68 } } } else { if (iTemp63 as i32 != 0) { fTemp68 + ((iTemp55) as F32) * if (((self.iRec27[0] > self.iRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp67, 0.33333334) } else { fTemp67 } } else { fTemp65 } } } else { if (((self.fRec28[0] < fTemp62) as i32) as i32 != 0) { fTemp65 + ((iTemp60) as F32) * if (((self.iRec29[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { ((self.iRec29[0]) as F32) } } + 128.0);
			let mut iTemp71: i32 = ((fTemp70) as i32);
			let mut fTemp72: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iTemp71) as usize] };
			let mut fTemp73: F32 = fSlow16 * (fTemp72 + (fTemp70 - ((iTemp71) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iTemp71, 1)) as usize] } - fTemp72));
			let mut fTemp74: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow17 * fTemp73 };
			self.fRec25[0] = fTemp74 - F32::floor(fTemp74);
			let mut fTemp75: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec30[1] + self.fConst16 };
			self.fRec30[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp77: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp76) * (fTemp76 + 28.0);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp77 + 4064.0 } else { self.fRec31[1] };
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp77 + 3232.0 } else { self.fRec32[1] };
			let mut fTemp78: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp79: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp78) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 51.5) as i32)) as usize] } * if (((fTemp78 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp77 } else { self.fRec33[1] };
			let mut fTemp80: F32 = F32::max(5076.0, self.fRec33[0]);
			let mut fTemp81: F32 = self.fRec31[0] - fTemp80;
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp80)) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = fTemp82 + fTemp79;
			let mut fTemp84: F32 = self.fRec33[0] - self.fRec32[0];
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 58.5) as i32)) as usize] } * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp83 + fTemp85;
			self.fRec34[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp86, self.fRec34[1] + 1.0) };
			let mut iTemp87: i32 = ((self.fRec34[0] < fTemp83) as i32);
			let mut fTemp88: F32 = (self.fRec34[0] - fTemp83) / fTemp85;
			let mut iTemp89: i32 = ((self.fRec34[0] < fTemp82) as i32);
			let mut fTemp90: F32 = (self.fRec34[0] - fTemp82) / fTemp79;
			let mut fTemp91: F32 = self.fRec34[0] / fTemp82;
			let mut fTemp92: F32 = if (iTemp87 as i32 != 0) { if (iTemp89 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp80 } else { if (iTemp89 as i32 != 0) { fTemp80 + fTemp81 * if (((self.fRec31[0] > fTemp80) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec31[0] } } } else { if (iTemp87 as i32 != 0) { self.fRec31[0] + fTemp78 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp90, 0.33333334) } else { fTemp90 } } else { self.fRec32[0] } } } else { if (((self.fRec34[0] < fTemp86) as i32) as i32 != 0) { self.fRec32[0] + fTemp84 * if (((self.fRec33[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec33[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp93) as usize] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7616.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3552.0 } else { self.fRec36[1] };
			let mut fTemp95: F32 = self.fRec36[0] - self.fRec35[0];
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fSlow18 } else { self.fRec37[1] };
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 47.5) as i32)) as usize] } * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp97: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp98: F32 = self.fRec35[0] - fTemp97;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 95.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp97)) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp96;
			self.fRec38[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp100, self.fRec38[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec38[0] < fTemp100) as i32);
			let mut iTemp102: i32 = ((self.fRec38[0] < fTemp99) as i32);
			let mut fTemp103: F32 = (self.fRec38[0] - fTemp99) / fTemp96;
			let mut fTemp104: F32 = self.fRec38[0] / fTemp99;
			let mut fTemp105: F32 = if (iTemp101 as i32 != 0) { if (iTemp102 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp97 } else { if (iTemp102 as i32 != 0) { fTemp97 + fTemp98 * if (((self.fRec35[0] > fTemp97) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec35[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec35[0] + fTemp95 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec36[0] } } } else { self.fRec36[0] };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp106) as usize] };
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 92.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec39[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec40[1] };
			let mut fTemp110: F32 = self.fRec40[0] - self.fRec39[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 80.5) as i32)) as usize] } * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec41[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec41[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec41[0]);
			let mut fTemp113: F32 = self.fRec39[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp31 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec41[0] - self.fRec40[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 35.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec42[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec42[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec42[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec42[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec42[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec42[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec42[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec42[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec39[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec39[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec39[0] + fTemp110 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec40[0] } } } else { if (((self.fRec42[0] < fTemp118) as i32) as i32 != 0) { self.fRec40[0] + fTemp116 * if (((self.fRec41[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec41[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp125) as usize] };
			let mut fTemp127: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec43[1] + self.fConst18 };
			self.fRec43[0] = fTemp127 - F32::floor(fTemp127);
			let mut fTemp128: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec44[1] + self.fConst20 };
			self.fRec44[0] = fTemp128 - F32::floor(fTemp128);
			let mut fTemp129: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow19 * fTemp73 };
			self.fRec45[0] = fTemp129 - F32::floor(fTemp129);
			let mut fTemp130: F32 = fSlow20 * (0.115 * (unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec45[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec44[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * self.fRec43[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94)) + unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec30[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec25[0] + 17.391304 * self.fRec20[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp44 + (fTemp42 - ((iTemp43) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp43, 1)) as usize] } - fTemp44)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp130;
			let mut fTemp131: F32 = self.fRec1[1] + fSlow3 * fTemp130 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp131;
			let mut fTemp132: F32 = self.fRec2[1] + fSlow3 * fTemp131 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp132;
			let mut fTemp133: F32 = self.fRec3[1] + fSlow3 * fTemp132 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp133;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp133;
			self.fRec0[0] = self.fConst27 * self.fRec5[1] - self.fConst26 * (self.fConst24 * self.fRec0[1] - self.fConst23 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec20[1] = self.fRec20[0];
			self.iRec26[1] = self.iRec26[0];
			self.iRec27[1] = self.iRec27[0];
			self.iRec29[1] = self.iRec29[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Clap1 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_Clap1 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Clap1 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.33333334 * (fSlow9 + 12.0) + 1.0;
		let mut fSlow11: F32 = 0.42857143 * fSlow10;
		let mut fSlow12: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -57.0));
		let mut fSlow13: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow12, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow14: i32 = ((fSlow13) as i32);
		let mut fSlow15: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iSlow14) as usize] };
		let mut fSlow16: F32 = fSlow15 + (fSlow13 - ((iSlow14) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iSlow14, 1)) as usize] } - fSlow15);
		let mut fSlow17: F32 = self.fConst13 * fSlow12;
		let mut fSlow18: F32 = 0.14285715 * fSlow10;
		let mut fSlow19: F32 = self.fConst21 * fSlow12;
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Clap1_faustpower4_f(fSlow1) * fSlow4 / DSP_Clap1_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider4;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + 1.0));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider6 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Clap1_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3456.0 } else { self.fRec9[1] };
			let mut fTemp6: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec11[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 50.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp9: F32 = self.fRec7[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 95.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec12[0] - self.fRec9[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 39.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec13[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec13[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec13[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec13[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec13[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec13[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec13[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec7[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec7[0] + fTemp6 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec9[0] } } } else { if (((self.fRec13[0] < fTemp15) as i32) as i32 != 0) { self.fRec9[0] + fTemp13 * if (((self.fRec12[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec12[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp22) as usize] };
			let mut fTemp24: F32 = 0.14285715 * fTemp3;
			let mut fTemp25: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 9e+01));
			let mut fTemp26: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp25) * (fTemp25 + 28.0);
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp26 + 4064.0 } else { self.fRec15[1] };
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fTemp26 + 3744.0 } else { self.fRec16[1] };
			let mut fTemp27: F32 = self.fRec16[0] - self.fRec15[0];
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec17[1] };
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 78.5) as i32)) as usize] } * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp26 } else { self.fRec18[1] };
			let mut fTemp29: F32 = F32::max(5076.0, self.fRec18[0]);
			let mut fTemp30: F32 = self.fRec15[0] - fTemp29;
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 99.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp29)) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp32 + fTemp28;
			let mut fTemp34: F32 = self.fRec18[0] - self.fRec16[0];
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 60.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec16[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp33 + fTemp35;
			self.fRec19[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp36, self.fRec19[1] + 1.0) };
			let mut iTemp37: i32 = ((self.fRec19[0] < fTemp33) as i32);
			let mut fTemp38: F32 = (self.fRec19[0] - fTemp33) / fTemp35;
			let mut iTemp39: i32 = ((self.fRec19[0] < fTemp32) as i32);
			let mut fTemp40: F32 = (self.fRec19[0] - fTemp32) / fTemp28;
			let mut fTemp41: F32 = self.fRec19[0] / fTemp32;
			let mut fTemp42: F32 = if (iTemp37 as i32 != 0) { if (iTemp39 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp29 } else { if (iTemp39 as i32 != 0) { fTemp29 + fTemp30 * if (((self.fRec15[0] > fTemp29) as i32) as i32 != 0) { F32::powf(fTemp41, 0.33333334) } else { fTemp41 } } else { self.fRec15[0] } } } else { if (iTemp37 as i32 != 0) { self.fRec15[0] + fTemp27 * if (((self.fRec16[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp40, 0.33333334) } else { fTemp40 } } else { self.fRec16[0] } } } else { if (((self.fRec19[0] < fTemp36) as i32) as i32 != 0) { self.fRec16[0] + fTemp34 * if (((self.fRec18[0] > self.fRec16[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec18[0] } };
			let mut iTemp43: i32 = ((fTemp42) as i32);
			let mut fTemp44: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp43) as usize] };
			self.fRec21[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec21[1] };
			let mut fTemp45: F32 = F32::max(5076.0, self.fRec21[0]);
			let mut fTemp46: F32 = self.fRec21[0] - fTemp45;
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (fTemp31 * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp45)) + 2.0) } else { 0.96 }))));
			self.fRec22[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst2 + fTemp47, self.fRec22[1] + 1.0) };
			let mut iTemp48: i32 = ((self.fRec22[0] < fTemp47) as i32);
			let mut fTemp49: F32 = self.fRec22[0] / fTemp47;
			let mut fTemp50: F32 = if (((self.fRec22[0] < (self.fConst1 + fTemp47)) as i32) as i32 != 0) { if (iTemp48 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp45 } else { if (iTemp48 as i32 != 0) { fTemp45 + fTemp46 * if (((self.fRec21[0] > fTemp45) as i32) as i32 != 0) { F32::powf(fTemp49, 0.33333334) } else { fTemp49 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { self.fRec21[0] };
			let mut iTemp51: i32 = ((fTemp50) as i32);
			let mut fTemp52: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp51) as usize] };
			let mut iTemp53: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp54: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst5 };
			self.fRec23[0] = fTemp54 - F32::floor(fTemp54);
			self.fRec20[0] = 0.115 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec23[0] + 24.347826 * self.fRec20[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp52 + (fTemp50 - ((iTemp51) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp51, 1)) as usize] } - fTemp52));
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			self.iRec27[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec27[1] };
			let mut iTemp55: i32 = i32::wrapping_sub(self.iRec27[0], self.iRec26[0]);
			let mut fTemp56: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp55)) as F32) / self.fConst6));
			let mut iTemp57: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec27[0]);
			let mut fTemp58: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp57)) as F32) / self.fConst10));
			let mut fTemp59: F32 = fTemp58 + fTemp56;
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst12 } else { self.iRec29[1] };
			let mut iTemp60: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec27[0]);
			let mut fTemp61: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp60)) as F32) / self.fConst11));
			let mut fTemp62: F32 = fTemp59 + fTemp61;
			self.fRec28[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp62, self.fRec28[1] + 1.0) };
			let mut iTemp63: i32 = ((self.fRec28[0] < fTemp59) as i32);
			let mut fTemp64: F32 = (self.fRec28[0] - fTemp59) / fTemp61;
			let mut fTemp65: F32 = ((self.iRec27[0]) as F32);
			let mut iTemp66: i32 = ((self.fRec28[0] < fTemp58) as i32);
			let mut fTemp67: F32 = (self.fRec28[0] - fTemp58) / fTemp56;
			let mut fTemp68: F32 = ((self.iRec26[0]) as F32);
			let mut fTemp69: F32 = self.fRec28[0] / fTemp58;
			let mut fTemp70: F32 = 15.996094 * (0.4 * if (iTemp63 as i32 != 0) { if (iTemp66 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp66 as i32 != 0) { fTemp65 + ((iTemp57) as F32) * if (((self.iRec26[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp69, 0.33333334) } else { fTemp69 } } else { fTemp68 } } } else { if (iTemp63 as i32 != 0) { fTemp68 + ((iTemp55) as F32) * if (((self.iRec27[0] > self.iRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp67, 0.33333334) } else { fTemp67 } } else { fTemp65 } } } else { if (((self.fRec28[0] < fTemp62) as i32) as i32 != 0) { fTemp65 + ((iTemp60) as F32) * if (((self.iRec29[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { ((self.iRec29[0]) as F32) } } + 128.0);
			let mut iTemp71: i32 = ((fTemp70) as i32);
			let mut fTemp72: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iTemp71) as usize] };
			let mut fTemp73: F32 = fSlow16 * (fTemp72 + (fTemp70 - ((iTemp71) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iTemp71, 1)) as usize] } - fTemp72));
			let mut fTemp74: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow17 * fTemp73 };
			self.fRec25[0] = fTemp74 - F32::floor(fTemp74);
			let mut fTemp75: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec30[1] + self.fConst16 };
			self.fRec30[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp77: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp76) * (fTemp76 + 28.0);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp77 + 4064.0 } else { self.fRec31[1] };
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp77 + 3232.0 } else { self.fRec32[1] };
			let mut fTemp78: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp79: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp78) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 51.5) as i32)) as usize] } * if (((fTemp78 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp77 } else { self.fRec33[1] };
			let mut fTemp80: F32 = F32::max(5076.0, self.fRec33[0]);
			let mut fTemp81: F32 = self.fRec31[0] - fTemp80;
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp80)) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = fTemp82 + fTemp79;
			let mut fTemp84: F32 = self.fRec33[0] - self.fRec32[0];
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 58.5) as i32)) as usize] } * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp83 + fTemp85;
			self.fRec34[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp86, self.fRec34[1] + 1.0) };
			let mut iTemp87: i32 = ((self.fRec34[0] < fTemp83) as i32);
			let mut fTemp88: F32 = (self.fRec34[0] - fTemp83) / fTemp85;
			let mut iTemp89: i32 = ((self.fRec34[0] < fTemp82) as i32);
			let mut fTemp90: F32 = (self.fRec34[0] - fTemp82) / fTemp79;
			let mut fTemp91: F32 = self.fRec34[0] / fTemp82;
			let mut fTemp92: F32 = if (iTemp87 as i32 != 0) { if (iTemp89 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp80 } else { if (iTemp89 as i32 != 0) { fTemp80 + fTemp81 * if (((self.fRec31[0] > fTemp80) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec31[0] } } } else { if (iTemp87 as i32 != 0) { self.fRec31[0] + fTemp78 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp90, 0.33333334) } else { fTemp90 } } else { self.fRec32[0] } } } else { if (((self.fRec34[0] < fTemp86) as i32) as i32 != 0) { self.fRec32[0] + fTemp84 * if (((self.fRec33[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec33[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp93) as usize] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7616.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3552.0 } else { self.fRec36[1] };
			let mut fTemp95: F32 = self.fRec36[0] - self.fRec35[0];
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fSlow18 } else { self.fRec37[1] };
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 47.5) as i32)) as usize] } * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp97: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp98: F32 = self.fRec35[0] - fTemp97;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 95.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp97)) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp96;
			self.fRec38[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp100, self.fRec38[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec38[0] < fTemp100) as i32);
			let mut iTemp102: i32 = ((self.fRec38[0] < fTemp99) as i32);
			let mut fTemp103: F32 = (self.fRec38[0] - fTemp99) / fTemp96;
			let mut fTemp104: F32 = self.fRec38[0] / fTemp99;
			let mut fTemp105: F32 = if (iTemp101 as i32 != 0) { if (iTemp102 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp97 } else { if (iTemp102 as i32 != 0) { fTemp97 + fTemp98 * if (((self.fRec35[0] > fTemp97) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec35[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec35[0] + fTemp95 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec36[0] } } } else { self.fRec36[0] };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp106) as usize] };
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 92.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec39[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec40[1] };
			let mut fTemp110: F32 = self.fRec40[0] - self.fRec39[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 80.5) as i32)) as usize] } * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec41[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec41[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec41[0]);
			let mut fTemp113: F32 = self.fRec39[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp31 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec41[0] - self.fRec40[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 35.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec42[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec42[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec42[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec42[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec42[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec42[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec42[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec42[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec39[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec39[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec39[0] + fTemp110 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec40[0] } } } else { if (((self.fRec42[0] < fTemp118) as i32) as i32 != 0) { self.fRec40[0] + fTemp116 * if (((self.fRec41[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec41[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp125) as usize] };
			let mut fTemp127: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec43[1] + self.fConst18 };
			self.fRec43[0] = fTemp127 - F32::floor(fTemp127);
			let mut fTemp128: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec44[1] + self.fConst20 };
			self.fRec44[0] = fTemp128 - F32::floor(fTemp128);
			let mut fTemp129: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow19 * fTemp73 };
			self.fRec45[0] = fTemp129 - F32::floor(fTemp129);
			let mut fTemp130: F32 = fSlow20 * (0.115 * (unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec45[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec44[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * self.fRec43[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94)) + unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec30[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec25[0] + 17.391304 * self.fRec20[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp44 + (fTemp42 - ((iTemp43) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp43, 1)) as usize] } - fTemp44)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp130;
			let mut fTemp131: F32 = self.fRec1[1] + fSlow3 * fTemp130 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp131;
			let mut fTemp132: F32 = self.fRec2[1] + fSlow3 * fTemp131 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp132;
			let mut fTemp133: F32 = self.fRec3[1] + fSlow3 * fTemp132 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp133;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp133;
			self.fRec0[0] = self.fConst27 * self.fRec5[1] - self.fConst26 * (self.fConst24 * self.fRec0[1] - self.fConst23 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec20[1] = self.fRec20[0];
			self.iRec26[1] = self.iRec26[0];
			self.iRec27[1] = self.iRec27[0];
			self.iRec29[1] = self.iRec29[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Clap1 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_Clap1 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Clap1 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.33333334 * (fSlow9 + 12.0) + 1.0;
		let mut fSlow11: F32 = 0.42857143 * fSlow10;
		let mut fSlow12: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -57.0));
		let mut fSlow13: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow12, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow14: i32 = ((fSlow13) as i32);
		let mut fSlow15: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iSlow14) as usize] };
		let mut fSlow16: F32 = fSlow15 + (fSlow13 - ((iSlow14) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iSlow14, 1)) as usize] } - fSlow15);
		let mut fSlow17: F32 = self.fConst13 * fSlow12;
		let mut fSlow18: F32 = 0.14285715 * fSlow10;
		let mut fSlow19: F32 = self.fConst21 * fSlow12;
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Clap1_faustpower4_f(fSlow1) * fSlow4 / DSP_Clap1_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider4;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + 1.0));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider6 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Clap1_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3456.0 } else { self.fRec9[1] };
			let mut fTemp6: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec11[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 50.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp9: F32 = self.fRec7[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 95.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec12[0] - self.fRec9[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 39.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec13[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec13[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec13[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec13[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec13[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec13[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec13[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec7[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec7[0] + fTemp6 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec9[0] } } } else { if (((self.fRec13[0] < fTemp15) as i32) as i32 != 0) { self.fRec9[0] + fTemp13 * if (((self.fRec12[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec12[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp22) as usize] };
			let mut fTemp24: F32 = 0.14285715 * fTemp3;
			let mut fTemp25: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 9e+01));
			let mut fTemp26: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp25) * (fTemp25 + 28.0);
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp26 + 4064.0 } else { self.fRec15[1] };
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fTemp26 + 3744.0 } else { self.fRec16[1] };
			let mut fTemp27: F32 = self.fRec16[0] - self.fRec15[0];
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec17[1] };
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 78.5) as i32)) as usize] } * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp26 } else { self.fRec18[1] };
			let mut fTemp29: F32 = F32::max(5076.0, self.fRec18[0]);
			let mut fTemp30: F32 = self.fRec15[0] - fTemp29;
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 99.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp29)) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp32 + fTemp28;
			let mut fTemp34: F32 = self.fRec18[0] - self.fRec16[0];
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 60.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec16[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp33 + fTemp35;
			self.fRec19[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp36, self.fRec19[1] + 1.0) };
			let mut iTemp37: i32 = ((self.fRec19[0] < fTemp33) as i32);
			let mut fTemp38: F32 = (self.fRec19[0] - fTemp33) / fTemp35;
			let mut iTemp39: i32 = ((self.fRec19[0] < fTemp32) as i32);
			let mut fTemp40: F32 = (self.fRec19[0] - fTemp32) / fTemp28;
			let mut fTemp41: F32 = self.fRec19[0] / fTemp32;
			let mut fTemp42: F32 = if (iTemp37 as i32 != 0) { if (iTemp39 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp29 } else { if (iTemp39 as i32 != 0) { fTemp29 + fTemp30 * if (((self.fRec15[0] > fTemp29) as i32) as i32 != 0) { F32::powf(fTemp41, 0.33333334) } else { fTemp41 } } else { self.fRec15[0] } } } else { if (iTemp37 as i32 != 0) { self.fRec15[0] + fTemp27 * if (((self.fRec16[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp40, 0.33333334) } else { fTemp40 } } else { self.fRec16[0] } } } else { if (((self.fRec19[0] < fTemp36) as i32) as i32 != 0) { self.fRec16[0] + fTemp34 * if (((self.fRec18[0] > self.fRec16[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec18[0] } };
			let mut iTemp43: i32 = ((fTemp42) as i32);
			let mut fTemp44: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp43) as usize] };
			self.fRec21[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec21[1] };
			let mut fTemp45: F32 = F32::max(5076.0, self.fRec21[0]);
			let mut fTemp46: F32 = self.fRec21[0] - fTemp45;
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (fTemp31 * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp45)) + 2.0) } else { 0.96 }))));
			self.fRec22[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst2 + fTemp47, self.fRec22[1] + 1.0) };
			let mut iTemp48: i32 = ((self.fRec22[0] < fTemp47) as i32);
			let mut fTemp49: F32 = self.fRec22[0] / fTemp47;
			let mut fTemp50: F32 = if (((self.fRec22[0] < (self.fConst1 + fTemp47)) as i32) as i32 != 0) { if (iTemp48 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp45 } else { if (iTemp48 as i32 != 0) { fTemp45 + fTemp46 * if (((self.fRec21[0] > fTemp45) as i32) as i32 != 0) { F32::powf(fTemp49, 0.33333334) } else { fTemp49 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { self.fRec21[0] };
			let mut iTemp51: i32 = ((fTemp50) as i32);
			let mut fTemp52: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp51) as usize] };
			let mut iTemp53: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp54: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst5 };
			self.fRec23[0] = fTemp54 - F32::floor(fTemp54);
			self.fRec20[0] = 0.115 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec23[0] + 24.347826 * self.fRec20[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp52 + (fTemp50 - ((iTemp51) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp51, 1)) as usize] } - fTemp52));
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			self.iRec27[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec27[1] };
			let mut iTemp55: i32 = i32::wrapping_sub(self.iRec27[0], self.iRec26[0]);
			let mut fTemp56: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp55)) as F32) / self.fConst6));
			let mut iTemp57: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec27[0]);
			let mut fTemp58: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp57)) as F32) / self.fConst10));
			let mut fTemp59: F32 = fTemp58 + fTemp56;
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst12 } else { self.iRec29[1] };
			let mut iTemp60: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec27[0]);
			let mut fTemp61: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp60)) as F32) / self.fConst11));
			let mut fTemp62: F32 = fTemp59 + fTemp61;
			self.fRec28[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp62, self.fRec28[1] + 1.0) };
			let mut iTemp63: i32 = ((self.fRec28[0] < fTemp59) as i32);
			let mut fTemp64: F32 = (self.fRec28[0] - fTemp59) / fTemp61;
			let mut fTemp65: F32 = ((self.iRec27[0]) as F32);
			let mut iTemp66: i32 = ((self.fRec28[0] < fTemp58) as i32);
			let mut fTemp67: F32 = (self.fRec28[0] - fTemp58) / fTemp56;
			let mut fTemp68: F32 = ((self.iRec26[0]) as F32);
			let mut fTemp69: F32 = self.fRec28[0] / fTemp58;
			let mut fTemp70: F32 = 15.996094 * (0.4 * if (iTemp63 as i32 != 0) { if (iTemp66 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp66 as i32 != 0) { fTemp65 + ((iTemp57) as F32) * if (((self.iRec26[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp69, 0.33333334) } else { fTemp69 } } else { fTemp68 } } } else { if (iTemp63 as i32 != 0) { fTemp68 + ((iTemp55) as F32) * if (((self.iRec27[0] > self.iRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp67, 0.33333334) } else { fTemp67 } } else { fTemp65 } } } else { if (((self.fRec28[0] < fTemp62) as i32) as i32 != 0) { fTemp65 + ((iTemp60) as F32) * if (((self.iRec29[0] > self.iRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { ((self.iRec29[0]) as F32) } } + 128.0);
			let mut iTemp71: i32 = ((fTemp70) as i32);
			let mut fTemp72: F32 = unsafe { ftbl3DSP_Clap1SIG3[(iTemp71) as usize] };
			let mut fTemp73: F32 = fSlow16 * (fTemp72 + (fTemp70 - ((iTemp71) as F32)) * (unsafe { ftbl3DSP_Clap1SIG3[(i32::wrapping_add(iTemp71, 1)) as usize] } - fTemp72));
			let mut fTemp74: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow17 * fTemp73 };
			self.fRec25[0] = fTemp74 - F32::floor(fTemp74);
			let mut fTemp75: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec30[1] + self.fConst16 };
			self.fRec30[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp77: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp76) * (fTemp76 + 28.0);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp77 + 4064.0 } else { self.fRec31[1] };
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp77 + 3232.0 } else { self.fRec32[1] };
			let mut fTemp78: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp79: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp78) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 51.5) as i32)) as usize] } * if (((fTemp78 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp77 } else { self.fRec33[1] };
			let mut fTemp80: F32 = F32::max(5076.0, self.fRec33[0]);
			let mut fTemp81: F32 = self.fRec31[0] - fTemp80;
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp80)) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = fTemp82 + fTemp79;
			let mut fTemp84: F32 = self.fRec33[0] - self.fRec32[0];
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec11[0] + 58.5) as i32)) as usize] } * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp83 + fTemp85;
			self.fRec34[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp86, self.fRec34[1] + 1.0) };
			let mut iTemp87: i32 = ((self.fRec34[0] < fTemp83) as i32);
			let mut fTemp88: F32 = (self.fRec34[0] - fTemp83) / fTemp85;
			let mut iTemp89: i32 = ((self.fRec34[0] < fTemp82) as i32);
			let mut fTemp90: F32 = (self.fRec34[0] - fTemp82) / fTemp79;
			let mut fTemp91: F32 = self.fRec34[0] / fTemp82;
			let mut fTemp92: F32 = if (iTemp87 as i32 != 0) { if (iTemp89 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp80 } else { if (iTemp89 as i32 != 0) { fTemp80 + fTemp81 * if (((self.fRec31[0] > fTemp80) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec31[0] } } } else { if (iTemp87 as i32 != 0) { self.fRec31[0] + fTemp78 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp90, 0.33333334) } else { fTemp90 } } else { self.fRec32[0] } } } else { if (((self.fRec34[0] < fTemp86) as i32) as i32 != 0) { self.fRec32[0] + fTemp84 * if (((self.fRec33[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec33[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp93) as usize] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7616.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3552.0 } else { self.fRec36[1] };
			let mut fTemp95: F32 = self.fRec36[0] - self.fRec35[0];
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fSlow18 } else { self.fRec37[1] };
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 47.5) as i32)) as usize] } * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp97: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp98: F32 = self.fRec35[0] - fTemp97;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec37[0] + 95.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp97)) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp96;
			self.fRec38[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp100, self.fRec38[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec38[0] < fTemp100) as i32);
			let mut iTemp102: i32 = ((self.fRec38[0] < fTemp99) as i32);
			let mut fTemp103: F32 = (self.fRec38[0] - fTemp99) / fTemp96;
			let mut fTemp104: F32 = self.fRec38[0] / fTemp99;
			let mut fTemp105: F32 = if (iTemp101 as i32 != 0) { if (iTemp102 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp97 } else { if (iTemp102 as i32 != 0) { fTemp97 + fTemp98 * if (((self.fRec35[0] > fTemp97) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec35[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec35[0] + fTemp95 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec36[0] } } } else { self.fRec36[0] };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp106) as usize] };
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, fTemp24 + 92.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec39[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec40[1] };
			let mut fTemp110: F32 = self.fRec40[0] - self.fRec39[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 80.5) as i32)) as usize] } * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec41[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec41[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec41[0]);
			let mut fTemp113: F32 = self.fRec39[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp31 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec41[0] - self.fRec40[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Clap1SIG1[(((self.fRec17[0] + 35.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec42[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec42[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec42[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec42[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec42[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec42[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec42[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec42[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec39[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec39[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec39[0] + fTemp110 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec40[0] } } } else { if (((self.fRec42[0] < fTemp118) as i32) as i32 != 0) { self.fRec40[0] + fTemp116 * if (((self.fRec41[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec41[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Clap1SIG0[(iTemp125) as usize] };
			let mut fTemp127: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec43[1] + self.fConst18 };
			self.fRec43[0] = fTemp127 - F32::floor(fTemp127);
			let mut fTemp128: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec44[1] + self.fConst20 };
			self.fRec44[0] = fTemp128 - F32::floor(fTemp128);
			let mut fTemp129: F32 = if (iTemp53 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow19 * fTemp73 };
			self.fRec45[0] = fTemp129 - F32::floor(fTemp129);
			let mut fTemp130: F32 = fSlow20 * (0.115 * (unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec45[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec44[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * self.fRec43[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94)) + unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec30[0] + 2.0 * unsafe { ftbl2DSP_Clap1SIG2[(((1024.0 * (self.fRec25[0] + 17.391304 * self.fRec20[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp44 + (fTemp42 - ((iTemp43) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp43, 1)) as usize] } - fTemp44)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Clap1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp130;
			let mut fTemp131: F32 = self.fRec1[1] + fSlow3 * fTemp130 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp131;
			let mut fTemp132: F32 = self.fRec2[1] + fSlow3 * fTemp131 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp132;
			let mut fTemp133: F32 = self.fRec3[1] + fSlow3 * fTemp132 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp133;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp133;
			self.fRec0[0] = self.fConst27 * self.fRec5[1] - self.fConst26 * (self.fConst24 * self.fRec0[1] - self.fConst23 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec20[1] = self.fRec20[0];
			self.iRec26[1] = self.iRec26[0];
			self.iRec27[1] = self.iRec27[0];
			self.iRec29[1] = self.iRec29[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
