// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_Cowbell2 -pn processCowbell2 -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_Cowbell2SIG0 {
	iRec1: [i32;2],
}

impl DSP_Cowbell2SIG0 {
	
	fn get_num_inputsDSP_Cowbell2SIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cowbell2SIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cowbell2SIG0(&mut self, sample_rate: i32) {
		for l1 in 0..2 {
			self.iRec1[(l1) as usize] = 0;
		}
	}
	
	fn fillDSP_Cowbell2SIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec1[0] = i32::wrapping_add(self.iRec1[1], 1);
			let mut fTemp0: F32 = ((i32::wrapping_add(self.iRec1[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp0))))) * (((((7.2e+03 - fTemp0) < 3824.0) as i32)) as F32);
			self.iRec1[1] = self.iRec1[0];
		}
	}

}


pub fn newDSP_Cowbell2SIG0() -> DSP_Cowbell2SIG0 { 
	DSP_Cowbell2SIG0 {
		iRec1: [0;2],
	}
}

pub struct DSP_Cowbell2SIG1 {
	iRec2: [i32;2],
}

impl DSP_Cowbell2SIG1 {
	
	fn get_num_inputsDSP_Cowbell2SIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cowbell2SIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cowbell2SIG1(&mut self, sample_rate: i32) {
		for l2 in 0..2 {
			self.iRec2[(l2) as usize] = 0;
		}
	}
	
	fn fillDSP_Cowbell2SIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec2[0] = i32::wrapping_add(self.iRec2[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec2[0], -1)) as F32));
			self.iRec2[1] = self.iRec2[0];
		}
	}

}


pub fn newDSP_Cowbell2SIG1() -> DSP_Cowbell2SIG1 { 
	DSP_Cowbell2SIG1 {
		iRec2: [0;2],
	}
}

pub struct DSP_Cowbell2SIG2 {
	iVec2: [i32;2],
	iRec9: [i32;2],
}

impl DSP_Cowbell2SIG2 {
	
	fn get_num_inputsDSP_Cowbell2SIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cowbell2SIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cowbell2SIG2(&mut self, sample_rate: i32) {
		for l10 in 0..2 {
			self.iVec2[(l10) as usize] = 0;
		}
		for l11 in 0..2 {
			self.iRec9[(l11) as usize] = 0;
		}
	}
	
	fn fillDSP_Cowbell2SIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec2[0] = 1;
			self.iRec9[0] = (i32::wrapping_add(self.iVec2[1], self.iRec9[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec9[0]) as F32));
			self.iVec2[1] = self.iVec2[0];
			self.iRec9[1] = self.iRec9[0];
		}
	}

}


pub fn newDSP_Cowbell2SIG2() -> DSP_Cowbell2SIG2 { 
	DSP_Cowbell2SIG2 {
		iVec2: [0;2],
		iRec9: [0;2],
	}
}

pub struct DSP_Cowbell2SIG3 {
	iRec17: [i32;2],
}

impl DSP_Cowbell2SIG3 {
	
	fn get_num_inputsDSP_Cowbell2SIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cowbell2SIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cowbell2SIG3(&mut self, sample_rate: i32) {
		for l17 in 0..2 {
			self.iRec17[(l17) as usize] = 0;
		}
	}
	
	fn fillDSP_Cowbell2SIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec17[0] = i32::wrapping_add(self.iRec17[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec17[0], -1)) as F32) + -128.0));
			self.iRec17[1] = self.iRec17[0];
		}
	}

}


pub fn newDSP_Cowbell2SIG3() -> DSP_Cowbell2SIG3 { 
	DSP_Cowbell2SIG3 {
		iRec17: [0;2],
	}
}
static mut iDSP_Cowbell2SIG4Wave0: [i32;100] = [1,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,16,16,17,18,18,19,20,21,22,23,24,25,26,27,28,30,31,33,34,36,37,38,39,41,42,44,46,47,49,51,53,54,56,58,60,62,64,66,68,70,72,74,76,79,82,85,88,91,94,98,102,106,110,115,120,125,130,135,141,147,153,159,165,171,178,185,193,202,211,232,243,254,255];

pub struct DSP_Cowbell2SIG4 {
	iDSP_Cowbell2SIG4Wave0_idx: i32,
}

impl DSP_Cowbell2SIG4 {
	
	fn get_num_inputsDSP_Cowbell2SIG4(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cowbell2SIG4(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cowbell2SIG4(&mut self, sample_rate: i32) {
		self.iDSP_Cowbell2SIG4Wave0_idx = 0;
	}
	
	fn fillDSP_Cowbell2SIG4(&mut self, count: i32, table: &mut[i32]) {
		for i5 in 0..count {
			table[(i5) as usize] = unsafe { iDSP_Cowbell2SIG4Wave0[(self.iDSP_Cowbell2SIG4Wave0_idx) as usize] };
			self.iDSP_Cowbell2SIG4Wave0_idx = (i32::wrapping_add(1, self.iDSP_Cowbell2SIG4Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Cowbell2SIG4() -> DSP_Cowbell2SIG4 { 
	DSP_Cowbell2SIG4 {
		iDSP_Cowbell2SIG4Wave0_idx: 0,
	}
}
static mut iDSP_Cowbell2SIG5Wave0: [i32;100] = [-128,-116,-104,-95,-85,-76,-68,-61,-56,-52,-49,-46,-43,-41,-39,-37,-35,-33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,38,40,43,46,49,53,58,65,73,82,92,103,115,127];

pub struct DSP_Cowbell2SIG5 {
	iDSP_Cowbell2SIG5Wave0_idx: i32,
}

impl DSP_Cowbell2SIG5 {
	
	fn get_num_inputsDSP_Cowbell2SIG5(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cowbell2SIG5(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cowbell2SIG5(&mut self, sample_rate: i32) {
		self.iDSP_Cowbell2SIG5Wave0_idx = 0;
	}
	
	fn fillDSP_Cowbell2SIG5(&mut self, count: i32, table: &mut[i32]) {
		for i6 in 0..count {
			table[(i6) as usize] = unsafe { iDSP_Cowbell2SIG5Wave0[(self.iDSP_Cowbell2SIG5Wave0_idx) as usize] };
			self.iDSP_Cowbell2SIG5Wave0_idx = (i32::wrapping_add(1, self.iDSP_Cowbell2SIG5Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Cowbell2SIG5() -> DSP_Cowbell2SIG5 { 
	DSP_Cowbell2SIG5 {
		iDSP_Cowbell2SIG5Wave0_idx: 0,
	}
}
static mut ftbl0DSP_Cowbell2SIG0: [F32;16384] = [0.0;16384];
static mut ftbl1DSP_Cowbell2SIG1: [F32;144] = [0.0;144];
fn DSP_Cowbell2_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl2DSP_Cowbell2SIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_Cowbell2SIG3: [F32;4096] = [0.0;4096];
static mut itbl4DSP_Cowbell2SIG4: [i32;100] = [0;100];
static mut itbl5DSP_Cowbell2SIG5: [i32;100] = [0;100];

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_Cowbell2 {
	iVec0: [i32;2],
	fSampleRate: i32,
	fConst0: F32,
	fConst4: F32,
	fEntry0: F32,
	iVec1: [i32;2],
	fHslider0: F32,
	fHslider1: F32,
	fRec3: [F32;2],
	fHslider2: F32,
	fRec5: [F32;2],
	fRec4: [F32;2],
	fRec6: [F32;2],
	fRec7: [F32;2],
	fRec8: [F32;2],
	fRec11: [F32;2],
	fRec12: [F32;2],
	fRec13: [F32;2],
	fRec14: [F32;2],
	fRec15: [F32;2],
	fConst5: F32,
	iConst6: i32,
	iRec18: [i32;2],
	iConst7: i32,
	iRec19: [i32;2],
	fConst8: F32,
	iConst9: i32,
	iRec20: [i32;2],
	fRec21: [F32;2],
	fConst10: F32,
	fRec16: [F32;2],
	fRec10: [F32;2],
	fConst11: F32,
	fRec22: [F32;2],
	fRec23: [F32;2],
	fRec24: [F32;2],
	fRec25: [F32;2],
	fRec26: [F32;2],
	fRec27: [F32;2],
	fRec28: [F32;2],
	fConst12: F32,
	fRec29: [F32;2],
	fRec30: [F32;2],
	fRec31: [F32;2],
	fRec32: [F32;2],
	fRec33: [F32;2],
	fRec34: [F32;2],
	fRec35: [F32;2],
	fRec36: [F32;2],
	fRec37: [F32;2],
	fConst13: F32,
	fRec38: [F32;2],
	fVec3: [F32;2],
	fConst14: F32,
	fConst15: F32,
	fRec0: [F32;2],
	fHslider3: F32,
	fHslider4: F32,
	fHslider5: F32,
}

impl FaustDsp for DSP_Cowbell2 {
	type T = F32;
		
	fn new() -> DSP_Cowbell2 { 
		DSP_Cowbell2 {
			iVec0: [0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fConst4: 0.0,
			fEntry0: 0.0,
			iVec1: [0;2],
			fHslider0: 0.0,
			fHslider1: 0.0,
			fRec3: [0.0;2],
			fHslider2: 0.0,
			fRec5: [0.0;2],
			fRec4: [0.0;2],
			fRec6: [0.0;2],
			fRec7: [0.0;2],
			fRec8: [0.0;2],
			fRec11: [0.0;2],
			fRec12: [0.0;2],
			fRec13: [0.0;2],
			fRec14: [0.0;2],
			fRec15: [0.0;2],
			fConst5: 0.0,
			iConst6: 0,
			iRec18: [0;2],
			iConst7: 0,
			iRec19: [0;2],
			fConst8: 0.0,
			iConst9: 0,
			iRec20: [0;2],
			fRec21: [0.0;2],
			fConst10: 0.0,
			fRec16: [0.0;2],
			fRec10: [0.0;2],
			fConst11: 0.0,
			fRec22: [0.0;2],
			fRec23: [0.0;2],
			fRec24: [0.0;2],
			fRec25: [0.0;2],
			fRec26: [0.0;2],
			fRec27: [0.0;2],
			fRec28: [0.0;2],
			fConst12: 0.0,
			fRec29: [0.0;2],
			fRec30: [0.0;2],
			fRec31: [0.0;2],
			fRec32: [0.0;2],
			fRec33: [0.0;2],
			fRec34: [0.0;2],
			fRec35: [0.0;2],
			fRec36: [0.0;2],
			fRec37: [0.0;2],
			fConst13: 0.0,
			fRec38: [0.0;2],
			fVec3: [0.0;2],
			fConst14: 0.0,
			fConst15: 0.0,
			fRec0: [0.0;2],
			fHslider3: 0.0,
			fHslider4: 0.0,
			fHslider5: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_Cowbell2 -pn processCowbell2 -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_Cowbell2SIG0 = newDSP_Cowbell2SIG0();
		sig0.instance_initDSP_Cowbell2SIG0(sample_rate);
		sig0.fillDSP_Cowbell2SIG0(16384, unsafe { &mut ftbl0DSP_Cowbell2SIG0 });
		let mut sig1: DSP_Cowbell2SIG1 = newDSP_Cowbell2SIG1();
		sig1.instance_initDSP_Cowbell2SIG1(sample_rate);
		sig1.fillDSP_Cowbell2SIG1(144, unsafe { &mut ftbl1DSP_Cowbell2SIG1 });
		let mut sig2: DSP_Cowbell2SIG2 = newDSP_Cowbell2SIG2();
		sig2.instance_initDSP_Cowbell2SIG2(sample_rate);
		sig2.fillDSP_Cowbell2SIG2(1024, unsafe { &mut ftbl2DSP_Cowbell2SIG2 });
		let mut sig3: DSP_Cowbell2SIG3 = newDSP_Cowbell2SIG3();
		sig3.instance_initDSP_Cowbell2SIG3(sample_rate);
		sig3.fillDSP_Cowbell2SIG3(4096, unsafe { &mut ftbl3DSP_Cowbell2SIG3 });
		let mut sig4: DSP_Cowbell2SIG4 = newDSP_Cowbell2SIG4();
		sig4.instance_initDSP_Cowbell2SIG4(sample_rate);
		sig4.fillDSP_Cowbell2SIG4(100, unsafe { &mut itbl4DSP_Cowbell2SIG4 });
		let mut sig5: DSP_Cowbell2SIG5 = newDSP_Cowbell2SIG5();
		sig5.instance_initDSP_Cowbell2SIG5(sample_rate);
		sig5.fillDSP_Cowbell2SIG5(100, unsafe { &mut itbl5DSP_Cowbell2SIG5 });
	}
	fn instance_reset_params(&mut self) {
		self.fEntry0 = 0.0;
		self.fHslider0 = 36.0;
		self.fHslider1 = 0.0;
		self.fHslider2 = 0.0;
		self.fHslider3 = 0.0;
		self.fHslider4 = 0.0;
		self.fHslider5 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l0 in 0..2 {
			self.iVec0[(l0) as usize] = 0;
		}
		for l3 in 0..2 {
			self.iVec1[(l3) as usize] = 0;
		}
		for l4 in 0..2 {
			self.fRec3[(l4) as usize] = 0.0;
		}
		for l5 in 0..2 {
			self.fRec5[(l5) as usize] = 0.0;
		}
		for l6 in 0..2 {
			self.fRec4[(l6) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec6[(l7) as usize] = 0.0;
		}
		for l8 in 0..2 {
			self.fRec7[(l8) as usize] = 0.0;
		}
		for l9 in 0..2 {
			self.fRec8[(l9) as usize] = 0.0;
		}
		for l12 in 0..2 {
			self.fRec11[(l12) as usize] = 0.0;
		}
		for l13 in 0..2 {
			self.fRec12[(l13) as usize] = 0.0;
		}
		for l14 in 0..2 {
			self.fRec13[(l14) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec14[(l15) as usize] = 0.0;
		}
		for l16 in 0..2 {
			self.fRec15[(l16) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.iRec18[(l18) as usize] = 0;
		}
		for l19 in 0..2 {
			self.iRec19[(l19) as usize] = 0;
		}
		for l20 in 0..2 {
			self.iRec20[(l20) as usize] = 0;
		}
		for l21 in 0..2 {
			self.fRec21[(l21) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.fRec16[(l22) as usize] = 0.0;
		}
		for l23 in 0..2 {
			self.fRec10[(l23) as usize] = 0.0;
		}
		for l24 in 0..2 {
			self.fRec22[(l24) as usize] = 0.0;
		}
		for l25 in 0..2 {
			self.fRec23[(l25) as usize] = 0.0;
		}
		for l26 in 0..2 {
			self.fRec24[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec25[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec26[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.fRec27[(l29) as usize] = 0.0;
		}
		for l30 in 0..2 {
			self.fRec28[(l30) as usize] = 0.0;
		}
		for l31 in 0..2 {
			self.fRec29[(l31) as usize] = 0.0;
		}
		for l32 in 0..2 {
			self.fRec30[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec31[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec32[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec33[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec34[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fRec35[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec36[(l38) as usize] = 0.0;
		}
		for l39 in 0..2 {
			self.fRec37[(l39) as usize] = 0.0;
		}
		for l40 in 0..2 {
			self.fRec38[(l40) as usize] = 0.0;
		}
		for l41 in 0..2 {
			self.fVec3[(l41) as usize] = 0.0;
		}
		for l42 in 0..2 {
			self.fRec0[(l42) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		let mut fConst1: F32 = F32::tan(62.831852 / self.fConst0);
		let mut fConst2: F32 = 1.0 / fConst1;
		let mut fConst3: F32 = fConst2 + 1.0;
		self.fConst4 = (1.0 - fConst2) / fConst3;
		self.fConst5 = ((unsafe { itbl4DSP_Cowbell2SIG4[98] }) as F32);
		self.iConst6 = unsafe { itbl5DSP_Cowbell2SIG5[53] };
		self.iConst7 = unsafe { itbl5DSP_Cowbell2SIG5[51] };
		self.fConst8 = 0.64285713 * self.fConst0;
		self.iConst9 = unsafe { itbl5DSP_Cowbell2SIG5[50] };
		self.fConst10 = 1452.0 / self.fConst0;
		self.fConst11 = 4.4e+02 / self.fConst0;
		self.fConst12 = 792.0 / self.fConst0;
		self.fConst13 = 2816.0 / self.fConst0;
		self.fConst14 = 1.0 / (fConst1 * fConst3);
		self.fConst15 = 0.0 - self.fConst14;
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_Cowbell2::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Trigger", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(1)), "1", "");
		ui_interface.declare(Some(ParamIndex(1)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(1)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(1), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(2)), "2", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(2), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(3)), "4", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Transpose");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "st");
		ui_interface.add_horizontal_slider("Voice_Transpose", ParamIndex(3), 0.0, -12.0, 12.0, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "8", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(4), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(5), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_horizontal_slider("key", ParamIndex(6), 36.0, 0.0, 127.0, 1.0);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			6 => Some(self.fHslider0),
			3 => Some(self.fHslider1),
			5 => Some(self.fHslider2),
			2 => Some(self.fHslider3),
			1 => Some(self.fHslider4),
			4 => Some(self.fHslider5),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			6 => { self.fHslider0 = value }
			3 => { self.fHslider1 = value }
			5 => { self.fHslider2 = value }
			2 => { self.fHslider3 = value }
			1 => { self.fHslider4 = value }
			4 => { self.fHslider5 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider1 + self.fHslider0;
		let mut fSlow3: F32 = 0.33333334 * fSlow2 + 1.0;
		let mut fSlow4: F32 = 0.42857143 * fSlow3;
		let mut fSlow5: F32 = self.fHslider2;
		let mut fSlow6: F32 = 0.14285715 * fSlow3;
		let mut fSlow7: F32 = F32::powf(2.0, 0.083333336 * (fSlow2 + -69.0));
		let mut fSlow8: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow7, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow9: i32 = ((fSlow8) as i32);
		let mut fSlow10: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iSlow9) as usize] };
		let mut fSlow11: F32 = fSlow10 + (fSlow8 - ((iSlow9) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iSlow9, 1)) as usize] } - fSlow10);
		let mut fSlow12: F32 = self.fConst10 * fSlow7;
		let mut fSlow13: F32 = self.fConst11 * fSlow7;
		let mut fSlow14: F32 = 0.2857143 * fSlow3;
		let mut fSlow15: F32 = self.fConst12 * fSlow7;
		let mut fSlow16: F32 = self.fConst13 * fSlow7;
		let mut fSlow17: F32 = 0.01 * self.fHslider3;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 0.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider5 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec3[1] };
			self.fRec5[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec5[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Cowbell2_faustpower2_f(1.0 - F32::max(fSlow5, self.fRec5[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec4[1] };
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3.2e+03 } else { self.fRec6[1] };
			let mut fTemp6: F32 = self.fRec6[0] - self.fRec4[0];
			let mut fTemp7: F32 = if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 };
			let mut fTemp8: F32 = F32::abs(fTemp6);
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp7 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 57.5) as i32)) as usize] }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec4[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = F32::abs(fTemp11);
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp12 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 99.5) as i32)) as usize] }))));
			let mut fTemp15: F32 = fTemp14 + fTemp9;
			let mut iTemp16: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp17: F32 = self.fRec7[0] - self.fRec6[0];
			let mut fTemp18: F32 = if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec6[0])) + 2.0) } else { 0.96 };
			let mut fTemp19: F32 = F32::abs(fTemp17);
			let mut fTemp20: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (fTemp18 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 53.5) as i32)) as usize] }))));
			let mut fTemp21: F32 = fTemp15 + fTemp20;
			self.fRec8[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp21, self.fRec8[1] + 1.0) };
			let mut iTemp22: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut iTemp23: i32 = ((self.fRec7[0] > self.fRec6[0]) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp20;
			let mut iTemp25: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut iTemp26: i32 = ((self.fRec6[0] > self.fRec4[0]) as i32);
			let mut fTemp27: F32 = (self.fRec8[0] - fTemp14) / fTemp9;
			let mut iTemp28: i32 = ((self.fRec4[0] > fTemp10) as i32);
			let mut fTemp29: F32 = self.fRec8[0] / fTemp14;
			let mut fTemp30: F32 = if (iTemp22 as i32 != 0) { if (iTemp25 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp25 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp29, 0.33333334) } else { fTemp29 } } else { self.fRec4[0] } } } else { if (iTemp22 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp27, 0.33333334) } else { fTemp27 } } else { self.fRec6[0] } } } else { if (((self.fRec8[0] < fTemp21) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec7[0] } };
			let mut iTemp31: i32 = ((fTemp30) as i32);
			let mut fTemp32: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp31) as usize] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7424.0 } else { self.fRec11[1] };
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 7008.0 } else { self.fRec12[1] };
			let mut fTemp33: F32 = self.fRec12[0] - self.fRec11[0];
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 75.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			self.fRec14[0] = if (iTemp2 as i32 != 0) { 3.36e+03 } else { self.fRec14[1] };
			let mut fTemp35: F32 = F32::max(5076.0, self.fRec14[0]);
			let mut fTemp36: F32 = self.fRec11[0] - fTemp35;
			let mut fTemp37: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp36) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 99.5) as i32)) as usize] } * if (((fTemp36 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp35)) + 2.0) } else { 0.96 }))));
			let mut fTemp38: F32 = fTemp37 + fTemp34;
			let mut fTemp39: F32 = self.fRec14[0] - self.fRec12[0];
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 54.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp38 + fTemp40;
			self.fRec15[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec15[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec15[0] < fTemp38) as i32);
			let mut fTemp43: F32 = (self.fRec15[0] - fTemp38) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec15[0] < fTemp37) as i32);
			let mut fTemp45: F32 = (self.fRec15[0] - fTemp37) / fTemp34;
			let mut fTemp46: F32 = self.fRec15[0] / fTemp37;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp35 } else { if (iTemp44 as i32 != 0) { fTemp35 + fTemp36 * if (((self.fRec11[0] > fTemp35) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec11[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec11[0] + fTemp33 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec12[0] } } } else { if (((self.fRec15[0] < fTemp41) as i32) as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec14[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec14[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst6 } else { self.iRec18[1] };
			self.iRec19[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec19[1] };
			let mut iTemp51: i32 = i32::wrapping_sub(self.iRec19[0], self.iRec18[0]);
			let mut fTemp52: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp51)) as F32) / self.fConst5));
			self.iRec20[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec20[1] };
			let mut iTemp53: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec20[0]);
			let mut fTemp54: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp53)) as F32) / self.fConst5));
			let mut fTemp55: F32 = fTemp54 + fTemp52;
			let mut iTemp56: i32 = i32::wrapping_sub(self.iRec20[0], self.iRec19[0]);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp56)) as F32) / self.fConst5));
			let mut fTemp58: F32 = fTemp55 + fTemp57;
			self.fRec21[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp58, self.fRec21[1] + 1.0) };
			let mut iTemp59: i32 = ((self.fRec21[0] < fTemp55) as i32);
			let mut fTemp60: F32 = ((self.iRec20[0]) as F32);
			let mut fTemp61: F32 = (self.fRec21[0] - fTemp55) / fTemp57;
			let mut fTemp62: F32 = ((self.iRec19[0]) as F32);
			let mut iTemp63: i32 = ((self.fRec21[0] < fTemp54) as i32);
			let mut fTemp64: F32 = (self.fRec21[0] - fTemp54) / fTemp52;
			let mut fTemp65: F32 = ((self.iRec18[0]) as F32);
			let mut fTemp66: F32 = self.fRec21[0] / fTemp54;
			let mut fTemp67: F32 = 15.996094 * (0.4 * if (iTemp59 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp60 } else { if (iTemp63 as i32 != 0) { fTemp60 + ((iTemp53) as F32) * if (((self.iRec18[0] > self.iRec20[0]) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { fTemp65 } } } else { if (iTemp59 as i32 != 0) { fTemp65 + ((iTemp51) as F32) * if (((self.iRec19[0] > self.iRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { fTemp62 } } } else { if (((self.fRec21[0] < fTemp58) as i32) as i32 != 0) { fTemp62 + ((iTemp56) as F32) * if (((self.iRec20[0] > self.iRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp61, 0.33333334) } else { fTemp61 } } else { fTemp60 } } + 128.0);
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iTemp68) as usize] };
			let mut fTemp70: F32 = fSlow11 * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69));
			let mut fTemp71: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow12 * fTemp70 };
			self.fRec16[0] = fTemp71 - F32::floor(fTemp71);
			self.fRec10[0] = 0.115 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec16[0] + 20.869566 * self.fRec10[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49));
			let mut fTemp72: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec22[1] + fSlow13 * fTemp70 };
			self.fRec22[0] = fTemp72 - F32::floor(fTemp72);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec23[1] };
			let mut fTemp73: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 54.5) as i32)) as usize] };
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp73 * fTemp7))));
			let mut fTemp75: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 99.5) as i32)) as usize] };
			let mut fTemp76: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp75 * fTemp12))));
			let mut fTemp77: F32 = fTemp76 + fTemp74;
			let mut fTemp78: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 71.5) as i32)) as usize] } * fTemp18))));
			let mut fTemp79: F32 = fTemp77 + fTemp78;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp79, self.fRec24[1] + 1.0) };
			let mut iTemp80: i32 = ((self.fRec24[0] < fTemp77) as i32);
			let mut fTemp81: F32 = (self.fRec24[0] - fTemp77) / fTemp78;
			let mut iTemp82: i32 = ((self.fRec24[0] < fTemp76) as i32);
			let mut fTemp83: F32 = (self.fRec24[0] - fTemp76) / fTemp74;
			let mut fTemp84: F32 = self.fRec24[0] / fTemp76;
			let mut fTemp85: F32 = if (iTemp80 as i32 != 0) { if (iTemp82 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp82 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { self.fRec4[0] } } } else { if (iTemp80 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp83, 0.33333334) } else { fTemp83 } } else { self.fRec6[0] } } } else { if (((self.fRec24[0] < fTemp79) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp81, 0.33333334) } else { fTemp81 } } else { self.fRec7[0] } };
			let mut iTemp86: i32 = ((fTemp85) as i32);
			let mut fTemp87: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp86) as usize] };
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 7808.0 } else { self.fRec25[1] };
			self.fRec26[0] = if (iTemp2 as i32 != 0) { 7.04e+03 } else { self.fRec26[1] };
			let mut fTemp88: F32 = self.fRec26[0] - self.fRec25[0];
			let mut fTemp89: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 80.5) as i32)) as usize] };
			let mut fTemp90: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp88) / (fTemp89 * if (((fTemp88 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec25[0])) + 2.0) } else { 0.96 }))));
			self.fRec27[0] = if (iTemp2 as i32 != 0) { 3744.0 } else { self.fRec27[1] };
			let mut fTemp91: F32 = F32::max(5076.0, self.fRec27[0]);
			let mut fTemp92: F32 = self.fRec25[0] - fTemp91;
			let mut fTemp93: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp92) / (fTemp75 * if (((fTemp92 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp91)) + 2.0) } else { 0.96 }))));
			let mut fTemp94: F32 = fTemp93 + fTemp90;
			let mut fTemp95: F32 = self.fRec27[0] - self.fRec26[0];
			let mut fTemp96: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 50.5) as i32)) as usize] };
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (fTemp96 * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec26[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = fTemp94 + fTemp97;
			self.fRec28[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp98, self.fRec28[1] + 1.0) };
			let mut iTemp99: i32 = ((self.fRec28[0] < fTemp94) as i32);
			let mut fTemp100: F32 = (self.fRec28[0] - fTemp94) / fTemp97;
			let mut iTemp101: i32 = ((self.fRec28[0] < fTemp93) as i32);
			let mut fTemp102: F32 = (self.fRec28[0] - fTemp93) / fTemp90;
			let mut fTemp103: F32 = self.fRec28[0] / fTemp93;
			let mut fTemp104: F32 = if (iTemp99 as i32 != 0) { if (iTemp101 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp91 } else { if (iTemp101 as i32 != 0) { fTemp91 + fTemp92 * if (((self.fRec25[0] > fTemp91) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec25[0] } } } else { if (iTemp99 as i32 != 0) { self.fRec25[0] + fTemp88 * if (((self.fRec26[0] > self.fRec25[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec26[0] } } } else { if (((self.fRec28[0] < fTemp98) as i32) as i32 != 0) { self.fRec26[0] + fTemp95 * if (((self.fRec27[0] > self.fRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp100, 0.33333334) } else { fTemp100 } } else { self.fRec27[0] } };
			let mut iTemp105: i32 = ((fTemp104) as i32);
			let mut fTemp106: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp105) as usize] };
			let mut fTemp107: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow15 * fTemp70 };
			self.fRec29[0] = fTemp107 - F32::floor(fTemp107);
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 99.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec31[1] };
			let mut fTemp110: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp73 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec32[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp113: F32 = self.fRec30[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp75 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 60.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec33[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec33[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec33[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec33[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec33[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec33[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec33[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec30[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec30[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec30[0] + fTemp110 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp118) as i32) as i32 != 0) { self.fRec31[0] + fTemp116 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec32[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp125) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 7.68e+03 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 6912.0 } else { self.fRec35[1] };
			let mut fTemp127: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp128: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp127) / (fTemp89 * if (((fTemp127 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3616.0 } else { self.fRec36[1] };
			let mut fTemp129: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp130: F32 = self.fRec34[0] - fTemp129;
			let mut fTemp131: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp130) / (fTemp75 * if (((fTemp130 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp129)) + 2.0) } else { 0.96 }))));
			let mut fTemp132: F32 = fTemp131 + fTemp128;
			let mut fTemp133: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp134: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp133) / (fTemp96 * if (((fTemp133 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp135: F32 = fTemp132 + fTemp134;
			self.fRec37[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp135, self.fRec37[1] + 1.0) };
			let mut iTemp136: i32 = ((self.fRec37[0] < fTemp132) as i32);
			let mut fTemp137: F32 = (self.fRec37[0] - fTemp132) / fTemp134;
			let mut iTemp138: i32 = ((self.fRec37[0] < fTemp131) as i32);
			let mut fTemp139: F32 = (self.fRec37[0] - fTemp131) / fTemp128;
			let mut fTemp140: F32 = self.fRec37[0] / fTemp131;
			let mut fTemp141: F32 = if (iTemp136 as i32 != 0) { if (iTemp138 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp129 } else { if (iTemp138 as i32 != 0) { fTemp129 + fTemp130 * if (((self.fRec34[0] > fTemp129) as i32) as i32 != 0) { F32::powf(fTemp140, 0.33333334) } else { fTemp140 } } else { self.fRec34[0] } } } else { if (iTemp136 as i32 != 0) { self.fRec34[0] + fTemp127 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp139, 0.33333334) } else { fTemp139 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp135) as i32) as i32 != 0) { self.fRec35[0] + fTemp133 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp137, 0.33333334) } else { fTemp137 } } else { self.fRec36[0] } };
			let mut iTemp142: i32 = ((fTemp141) as i32);
			let mut fTemp143: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp142) as usize] };
			let mut fTemp144: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp70 };
			self.fRec38[0] = fTemp144 - F32::floor(fTemp144);
			let mut fTemp145: F32 = unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec38[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp143 + (fTemp141 - ((iTemp142) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp142, 1)) as usize] } - fTemp143)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec29[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp106 + (fTemp104 - ((iTemp105) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp105, 1)) as usize] } - fTemp106)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp87 + (fTemp85 - ((iTemp86) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp86, 1)) as usize] } - fTemp87)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 17.391304 * self.fRec10[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp32 + (fTemp30 - ((iTemp31) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp31, 1)) as usize] } - fTemp32));
			self.fVec3[0] = fTemp145;
			self.fRec0[0] = 0.0575 * (self.fConst14 * fTemp145 + self.fConst15 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.iRec18[1] = self.iRec18[0];
			self.iRec19[1] = self.iRec19[0];
			self.iRec20[1] = self.iRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_Cowbell2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_Cowbell2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Cowbell2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider1 + self.fHslider0;
		let mut fSlow3: F32 = 0.33333334 * fSlow2 + 1.0;
		let mut fSlow4: F32 = 0.42857143 * fSlow3;
		let mut fSlow5: F32 = self.fHslider2;
		let mut fSlow6: F32 = 0.14285715 * fSlow3;
		let mut fSlow7: F32 = F32::powf(2.0, 0.083333336 * (fSlow2 + -69.0));
		let mut fSlow8: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow7, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow9: i32 = ((fSlow8) as i32);
		let mut fSlow10: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iSlow9) as usize] };
		let mut fSlow11: F32 = fSlow10 + (fSlow8 - ((iSlow9) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iSlow9, 1)) as usize] } - fSlow10);
		let mut fSlow12: F32 = self.fConst10 * fSlow7;
		let mut fSlow13: F32 = self.fConst11 * fSlow7;
		let mut fSlow14: F32 = 0.2857143 * fSlow3;
		let mut fSlow15: F32 = self.fConst12 * fSlow7;
		let mut fSlow16: F32 = self.fConst13 * fSlow7;
		let mut fSlow17: F32 = 0.01 * self.fHslider3;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 0.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider5 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec3[1] };
			self.fRec5[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec5[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Cowbell2_faustpower2_f(1.0 - F32::max(fSlow5, self.fRec5[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec4[1] };
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3.2e+03 } else { self.fRec6[1] };
			let mut fTemp6: F32 = self.fRec6[0] - self.fRec4[0];
			let mut fTemp7: F32 = if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 };
			let mut fTemp8: F32 = F32::abs(fTemp6);
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp7 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 57.5) as i32)) as usize] }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec4[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = F32::abs(fTemp11);
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp12 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 99.5) as i32)) as usize] }))));
			let mut fTemp15: F32 = fTemp14 + fTemp9;
			let mut iTemp16: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp17: F32 = self.fRec7[0] - self.fRec6[0];
			let mut fTemp18: F32 = if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec6[0])) + 2.0) } else { 0.96 };
			let mut fTemp19: F32 = F32::abs(fTemp17);
			let mut fTemp20: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (fTemp18 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 53.5) as i32)) as usize] }))));
			let mut fTemp21: F32 = fTemp15 + fTemp20;
			self.fRec8[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp21, self.fRec8[1] + 1.0) };
			let mut iTemp22: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut iTemp23: i32 = ((self.fRec7[0] > self.fRec6[0]) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp20;
			let mut iTemp25: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut iTemp26: i32 = ((self.fRec6[0] > self.fRec4[0]) as i32);
			let mut fTemp27: F32 = (self.fRec8[0] - fTemp14) / fTemp9;
			let mut iTemp28: i32 = ((self.fRec4[0] > fTemp10) as i32);
			let mut fTemp29: F32 = self.fRec8[0] / fTemp14;
			let mut fTemp30: F32 = if (iTemp22 as i32 != 0) { if (iTemp25 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp25 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp29, 0.33333334) } else { fTemp29 } } else { self.fRec4[0] } } } else { if (iTemp22 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp27, 0.33333334) } else { fTemp27 } } else { self.fRec6[0] } } } else { if (((self.fRec8[0] < fTemp21) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec7[0] } };
			let mut iTemp31: i32 = ((fTemp30) as i32);
			let mut fTemp32: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp31) as usize] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7424.0 } else { self.fRec11[1] };
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 7008.0 } else { self.fRec12[1] };
			let mut fTemp33: F32 = self.fRec12[0] - self.fRec11[0];
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 75.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			self.fRec14[0] = if (iTemp2 as i32 != 0) { 3.36e+03 } else { self.fRec14[1] };
			let mut fTemp35: F32 = F32::max(5076.0, self.fRec14[0]);
			let mut fTemp36: F32 = self.fRec11[0] - fTemp35;
			let mut fTemp37: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp36) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 99.5) as i32)) as usize] } * if (((fTemp36 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp35)) + 2.0) } else { 0.96 }))));
			let mut fTemp38: F32 = fTemp37 + fTemp34;
			let mut fTemp39: F32 = self.fRec14[0] - self.fRec12[0];
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 54.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp38 + fTemp40;
			self.fRec15[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec15[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec15[0] < fTemp38) as i32);
			let mut fTemp43: F32 = (self.fRec15[0] - fTemp38) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec15[0] < fTemp37) as i32);
			let mut fTemp45: F32 = (self.fRec15[0] - fTemp37) / fTemp34;
			let mut fTemp46: F32 = self.fRec15[0] / fTemp37;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp35 } else { if (iTemp44 as i32 != 0) { fTemp35 + fTemp36 * if (((self.fRec11[0] > fTemp35) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec11[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec11[0] + fTemp33 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec12[0] } } } else { if (((self.fRec15[0] < fTemp41) as i32) as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec14[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec14[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst6 } else { self.iRec18[1] };
			self.iRec19[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec19[1] };
			let mut iTemp51: i32 = i32::wrapping_sub(self.iRec19[0], self.iRec18[0]);
			let mut fTemp52: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp51)) as F32) / self.fConst5));
			self.iRec20[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec20[1] };
			let mut iTemp53: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec20[0]);
			let mut fTemp54: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp53)) as F32) / self.fConst5));
			let mut fTemp55: F32 = fTemp54 + fTemp52;
			let mut iTemp56: i32 = i32::wrapping_sub(self.iRec20[0], self.iRec19[0]);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp56)) as F32) / self.fConst5));
			let mut fTemp58: F32 = fTemp55 + fTemp57;
			self.fRec21[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp58, self.fRec21[1] + 1.0) };
			let mut iTemp59: i32 = ((self.fRec21[0] < fTemp55) as i32);
			let mut fTemp60: F32 = ((self.iRec20[0]) as F32);
			let mut fTemp61: F32 = (self.fRec21[0] - fTemp55) / fTemp57;
			let mut fTemp62: F32 = ((self.iRec19[0]) as F32);
			let mut iTemp63: i32 = ((self.fRec21[0] < fTemp54) as i32);
			let mut fTemp64: F32 = (self.fRec21[0] - fTemp54) / fTemp52;
			let mut fTemp65: F32 = ((self.iRec18[0]) as F32);
			let mut fTemp66: F32 = self.fRec21[0] / fTemp54;
			let mut fTemp67: F32 = 15.996094 * (0.4 * if (iTemp59 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp60 } else { if (iTemp63 as i32 != 0) { fTemp60 + ((iTemp53) as F32) * if (((self.iRec18[0] > self.iRec20[0]) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { fTemp65 } } } else { if (iTemp59 as i32 != 0) { fTemp65 + ((iTemp51) as F32) * if (((self.iRec19[0] > self.iRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { fTemp62 } } } else { if (((self.fRec21[0] < fTemp58) as i32) as i32 != 0) { fTemp62 + ((iTemp56) as F32) * if (((self.iRec20[0] > self.iRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp61, 0.33333334) } else { fTemp61 } } else { fTemp60 } } + 128.0);
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iTemp68) as usize] };
			let mut fTemp70: F32 = fSlow11 * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69));
			let mut fTemp71: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow12 * fTemp70 };
			self.fRec16[0] = fTemp71 - F32::floor(fTemp71);
			self.fRec10[0] = 0.115 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec16[0] + 20.869566 * self.fRec10[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49));
			let mut fTemp72: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec22[1] + fSlow13 * fTemp70 };
			self.fRec22[0] = fTemp72 - F32::floor(fTemp72);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec23[1] };
			let mut fTemp73: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 54.5) as i32)) as usize] };
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp73 * fTemp7))));
			let mut fTemp75: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 99.5) as i32)) as usize] };
			let mut fTemp76: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp75 * fTemp12))));
			let mut fTemp77: F32 = fTemp76 + fTemp74;
			let mut fTemp78: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 71.5) as i32)) as usize] } * fTemp18))));
			let mut fTemp79: F32 = fTemp77 + fTemp78;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp79, self.fRec24[1] + 1.0) };
			let mut iTemp80: i32 = ((self.fRec24[0] < fTemp77) as i32);
			let mut fTemp81: F32 = (self.fRec24[0] - fTemp77) / fTemp78;
			let mut iTemp82: i32 = ((self.fRec24[0] < fTemp76) as i32);
			let mut fTemp83: F32 = (self.fRec24[0] - fTemp76) / fTemp74;
			let mut fTemp84: F32 = self.fRec24[0] / fTemp76;
			let mut fTemp85: F32 = if (iTemp80 as i32 != 0) { if (iTemp82 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp82 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { self.fRec4[0] } } } else { if (iTemp80 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp83, 0.33333334) } else { fTemp83 } } else { self.fRec6[0] } } } else { if (((self.fRec24[0] < fTemp79) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp81, 0.33333334) } else { fTemp81 } } else { self.fRec7[0] } };
			let mut iTemp86: i32 = ((fTemp85) as i32);
			let mut fTemp87: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp86) as usize] };
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 7808.0 } else { self.fRec25[1] };
			self.fRec26[0] = if (iTemp2 as i32 != 0) { 7.04e+03 } else { self.fRec26[1] };
			let mut fTemp88: F32 = self.fRec26[0] - self.fRec25[0];
			let mut fTemp89: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 80.5) as i32)) as usize] };
			let mut fTemp90: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp88) / (fTemp89 * if (((fTemp88 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec25[0])) + 2.0) } else { 0.96 }))));
			self.fRec27[0] = if (iTemp2 as i32 != 0) { 3744.0 } else { self.fRec27[1] };
			let mut fTemp91: F32 = F32::max(5076.0, self.fRec27[0]);
			let mut fTemp92: F32 = self.fRec25[0] - fTemp91;
			let mut fTemp93: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp92) / (fTemp75 * if (((fTemp92 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp91)) + 2.0) } else { 0.96 }))));
			let mut fTemp94: F32 = fTemp93 + fTemp90;
			let mut fTemp95: F32 = self.fRec27[0] - self.fRec26[0];
			let mut fTemp96: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 50.5) as i32)) as usize] };
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (fTemp96 * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec26[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = fTemp94 + fTemp97;
			self.fRec28[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp98, self.fRec28[1] + 1.0) };
			let mut iTemp99: i32 = ((self.fRec28[0] < fTemp94) as i32);
			let mut fTemp100: F32 = (self.fRec28[0] - fTemp94) / fTemp97;
			let mut iTemp101: i32 = ((self.fRec28[0] < fTemp93) as i32);
			let mut fTemp102: F32 = (self.fRec28[0] - fTemp93) / fTemp90;
			let mut fTemp103: F32 = self.fRec28[0] / fTemp93;
			let mut fTemp104: F32 = if (iTemp99 as i32 != 0) { if (iTemp101 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp91 } else { if (iTemp101 as i32 != 0) { fTemp91 + fTemp92 * if (((self.fRec25[0] > fTemp91) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec25[0] } } } else { if (iTemp99 as i32 != 0) { self.fRec25[0] + fTemp88 * if (((self.fRec26[0] > self.fRec25[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec26[0] } } } else { if (((self.fRec28[0] < fTemp98) as i32) as i32 != 0) { self.fRec26[0] + fTemp95 * if (((self.fRec27[0] > self.fRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp100, 0.33333334) } else { fTemp100 } } else { self.fRec27[0] } };
			let mut iTemp105: i32 = ((fTemp104) as i32);
			let mut fTemp106: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp105) as usize] };
			let mut fTemp107: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow15 * fTemp70 };
			self.fRec29[0] = fTemp107 - F32::floor(fTemp107);
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 99.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec31[1] };
			let mut fTemp110: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp73 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec32[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp113: F32 = self.fRec30[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp75 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 60.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec33[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec33[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec33[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec33[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec33[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec33[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec33[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec30[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec30[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec30[0] + fTemp110 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp118) as i32) as i32 != 0) { self.fRec31[0] + fTemp116 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec32[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp125) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 7.68e+03 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 6912.0 } else { self.fRec35[1] };
			let mut fTemp127: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp128: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp127) / (fTemp89 * if (((fTemp127 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3616.0 } else { self.fRec36[1] };
			let mut fTemp129: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp130: F32 = self.fRec34[0] - fTemp129;
			let mut fTemp131: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp130) / (fTemp75 * if (((fTemp130 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp129)) + 2.0) } else { 0.96 }))));
			let mut fTemp132: F32 = fTemp131 + fTemp128;
			let mut fTemp133: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp134: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp133) / (fTemp96 * if (((fTemp133 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp135: F32 = fTemp132 + fTemp134;
			self.fRec37[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp135, self.fRec37[1] + 1.0) };
			let mut iTemp136: i32 = ((self.fRec37[0] < fTemp132) as i32);
			let mut fTemp137: F32 = (self.fRec37[0] - fTemp132) / fTemp134;
			let mut iTemp138: i32 = ((self.fRec37[0] < fTemp131) as i32);
			let mut fTemp139: F32 = (self.fRec37[0] - fTemp131) / fTemp128;
			let mut fTemp140: F32 = self.fRec37[0] / fTemp131;
			let mut fTemp141: F32 = if (iTemp136 as i32 != 0) { if (iTemp138 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp129 } else { if (iTemp138 as i32 != 0) { fTemp129 + fTemp130 * if (((self.fRec34[0] > fTemp129) as i32) as i32 != 0) { F32::powf(fTemp140, 0.33333334) } else { fTemp140 } } else { self.fRec34[0] } } } else { if (iTemp136 as i32 != 0) { self.fRec34[0] + fTemp127 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp139, 0.33333334) } else { fTemp139 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp135) as i32) as i32 != 0) { self.fRec35[0] + fTemp133 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp137, 0.33333334) } else { fTemp137 } } else { self.fRec36[0] } };
			let mut iTemp142: i32 = ((fTemp141) as i32);
			let mut fTemp143: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp142) as usize] };
			let mut fTemp144: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp70 };
			self.fRec38[0] = fTemp144 - F32::floor(fTemp144);
			let mut fTemp145: F32 = unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec38[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp143 + (fTemp141 - ((iTemp142) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp142, 1)) as usize] } - fTemp143)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec29[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp106 + (fTemp104 - ((iTemp105) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp105, 1)) as usize] } - fTemp106)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp87 + (fTemp85 - ((iTemp86) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp86, 1)) as usize] } - fTemp87)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 17.391304 * self.fRec10[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp32 + (fTemp30 - ((iTemp31) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp31, 1)) as usize] } - fTemp32));
			self.fVec3[0] = fTemp145;
			self.fRec0[0] = 0.0575 * (self.fConst14 * fTemp145 + self.fConst15 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.iRec18[1] = self.iRec18[0];
			self.iRec19[1] = self.iRec19[0];
			self.iRec20[1] = self.iRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Cowbell2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_Cowbell2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Cowbell2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider1 + self.fHslider0;
		let mut fSlow3: F32 = 0.33333334 * fSlow2 + 1.0;
		let mut fSlow4: F32 = 0.42857143 * fSlow3;
		let mut fSlow5: F32 = self.fHslider2;
		let mut fSlow6: F32 = 0.14285715 * fSlow3;
		let mut fSlow7: F32 = F32::powf(2.0, 0.083333336 * (fSlow2 + -69.0));
		let mut fSlow8: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow7, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow9: i32 = ((fSlow8) as i32);
		let mut fSlow10: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iSlow9) as usize] };
		let mut fSlow11: F32 = fSlow10 + (fSlow8 - ((iSlow9) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iSlow9, 1)) as usize] } - fSlow10);
		let mut fSlow12: F32 = self.fConst10 * fSlow7;
		let mut fSlow13: F32 = self.fConst11 * fSlow7;
		let mut fSlow14: F32 = 0.2857143 * fSlow3;
		let mut fSlow15: F32 = self.fConst12 * fSlow7;
		let mut fSlow16: F32 = self.fConst13 * fSlow7;
		let mut fSlow17: F32 = 0.01 * self.fHslider3;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 0.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider5 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec3[1] };
			self.fRec5[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec5[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Cowbell2_faustpower2_f(1.0 - F32::max(fSlow5, self.fRec5[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec4[1] };
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3.2e+03 } else { self.fRec6[1] };
			let mut fTemp6: F32 = self.fRec6[0] - self.fRec4[0];
			let mut fTemp7: F32 = if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 };
			let mut fTemp8: F32 = F32::abs(fTemp6);
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp7 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 57.5) as i32)) as usize] }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec4[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = F32::abs(fTemp11);
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp12 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 99.5) as i32)) as usize] }))));
			let mut fTemp15: F32 = fTemp14 + fTemp9;
			let mut iTemp16: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp17: F32 = self.fRec7[0] - self.fRec6[0];
			let mut fTemp18: F32 = if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec6[0])) + 2.0) } else { 0.96 };
			let mut fTemp19: F32 = F32::abs(fTemp17);
			let mut fTemp20: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (fTemp18 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 53.5) as i32)) as usize] }))));
			let mut fTemp21: F32 = fTemp15 + fTemp20;
			self.fRec8[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp21, self.fRec8[1] + 1.0) };
			let mut iTemp22: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut iTemp23: i32 = ((self.fRec7[0] > self.fRec6[0]) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp20;
			let mut iTemp25: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut iTemp26: i32 = ((self.fRec6[0] > self.fRec4[0]) as i32);
			let mut fTemp27: F32 = (self.fRec8[0] - fTemp14) / fTemp9;
			let mut iTemp28: i32 = ((self.fRec4[0] > fTemp10) as i32);
			let mut fTemp29: F32 = self.fRec8[0] / fTemp14;
			let mut fTemp30: F32 = if (iTemp22 as i32 != 0) { if (iTemp25 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp25 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp29, 0.33333334) } else { fTemp29 } } else { self.fRec4[0] } } } else { if (iTemp22 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp27, 0.33333334) } else { fTemp27 } } else { self.fRec6[0] } } } else { if (((self.fRec8[0] < fTemp21) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec7[0] } };
			let mut iTemp31: i32 = ((fTemp30) as i32);
			let mut fTemp32: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp31) as usize] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7424.0 } else { self.fRec11[1] };
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 7008.0 } else { self.fRec12[1] };
			let mut fTemp33: F32 = self.fRec12[0] - self.fRec11[0];
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 75.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			self.fRec14[0] = if (iTemp2 as i32 != 0) { 3.36e+03 } else { self.fRec14[1] };
			let mut fTemp35: F32 = F32::max(5076.0, self.fRec14[0]);
			let mut fTemp36: F32 = self.fRec11[0] - fTemp35;
			let mut fTemp37: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp36) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 99.5) as i32)) as usize] } * if (((fTemp36 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp35)) + 2.0) } else { 0.96 }))));
			let mut fTemp38: F32 = fTemp37 + fTemp34;
			let mut fTemp39: F32 = self.fRec14[0] - self.fRec12[0];
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 54.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp38 + fTemp40;
			self.fRec15[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec15[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec15[0] < fTemp38) as i32);
			let mut fTemp43: F32 = (self.fRec15[0] - fTemp38) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec15[0] < fTemp37) as i32);
			let mut fTemp45: F32 = (self.fRec15[0] - fTemp37) / fTemp34;
			let mut fTemp46: F32 = self.fRec15[0] / fTemp37;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp35 } else { if (iTemp44 as i32 != 0) { fTemp35 + fTemp36 * if (((self.fRec11[0] > fTemp35) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec11[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec11[0] + fTemp33 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec12[0] } } } else { if (((self.fRec15[0] < fTemp41) as i32) as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec14[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec14[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst6 } else { self.iRec18[1] };
			self.iRec19[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec19[1] };
			let mut iTemp51: i32 = i32::wrapping_sub(self.iRec19[0], self.iRec18[0]);
			let mut fTemp52: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp51)) as F32) / self.fConst5));
			self.iRec20[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec20[1] };
			let mut iTemp53: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec20[0]);
			let mut fTemp54: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp53)) as F32) / self.fConst5));
			let mut fTemp55: F32 = fTemp54 + fTemp52;
			let mut iTemp56: i32 = i32::wrapping_sub(self.iRec20[0], self.iRec19[0]);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp56)) as F32) / self.fConst5));
			let mut fTemp58: F32 = fTemp55 + fTemp57;
			self.fRec21[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp58, self.fRec21[1] + 1.0) };
			let mut iTemp59: i32 = ((self.fRec21[0] < fTemp55) as i32);
			let mut fTemp60: F32 = ((self.iRec20[0]) as F32);
			let mut fTemp61: F32 = (self.fRec21[0] - fTemp55) / fTemp57;
			let mut fTemp62: F32 = ((self.iRec19[0]) as F32);
			let mut iTemp63: i32 = ((self.fRec21[0] < fTemp54) as i32);
			let mut fTemp64: F32 = (self.fRec21[0] - fTemp54) / fTemp52;
			let mut fTemp65: F32 = ((self.iRec18[0]) as F32);
			let mut fTemp66: F32 = self.fRec21[0] / fTemp54;
			let mut fTemp67: F32 = 15.996094 * (0.4 * if (iTemp59 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp60 } else { if (iTemp63 as i32 != 0) { fTemp60 + ((iTemp53) as F32) * if (((self.iRec18[0] > self.iRec20[0]) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { fTemp65 } } } else { if (iTemp59 as i32 != 0) { fTemp65 + ((iTemp51) as F32) * if (((self.iRec19[0] > self.iRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { fTemp62 } } } else { if (((self.fRec21[0] < fTemp58) as i32) as i32 != 0) { fTemp62 + ((iTemp56) as F32) * if (((self.iRec20[0] > self.iRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp61, 0.33333334) } else { fTemp61 } } else { fTemp60 } } + 128.0);
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iTemp68) as usize] };
			let mut fTemp70: F32 = fSlow11 * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69));
			let mut fTemp71: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow12 * fTemp70 };
			self.fRec16[0] = fTemp71 - F32::floor(fTemp71);
			self.fRec10[0] = 0.115 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec16[0] + 20.869566 * self.fRec10[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49));
			let mut fTemp72: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec22[1] + fSlow13 * fTemp70 };
			self.fRec22[0] = fTemp72 - F32::floor(fTemp72);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec23[1] };
			let mut fTemp73: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 54.5) as i32)) as usize] };
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp73 * fTemp7))));
			let mut fTemp75: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 99.5) as i32)) as usize] };
			let mut fTemp76: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp75 * fTemp12))));
			let mut fTemp77: F32 = fTemp76 + fTemp74;
			let mut fTemp78: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 71.5) as i32)) as usize] } * fTemp18))));
			let mut fTemp79: F32 = fTemp77 + fTemp78;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp79, self.fRec24[1] + 1.0) };
			let mut iTemp80: i32 = ((self.fRec24[0] < fTemp77) as i32);
			let mut fTemp81: F32 = (self.fRec24[0] - fTemp77) / fTemp78;
			let mut iTemp82: i32 = ((self.fRec24[0] < fTemp76) as i32);
			let mut fTemp83: F32 = (self.fRec24[0] - fTemp76) / fTemp74;
			let mut fTemp84: F32 = self.fRec24[0] / fTemp76;
			let mut fTemp85: F32 = if (iTemp80 as i32 != 0) { if (iTemp82 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp82 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { self.fRec4[0] } } } else { if (iTemp80 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp83, 0.33333334) } else { fTemp83 } } else { self.fRec6[0] } } } else { if (((self.fRec24[0] < fTemp79) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp81, 0.33333334) } else { fTemp81 } } else { self.fRec7[0] } };
			let mut iTemp86: i32 = ((fTemp85) as i32);
			let mut fTemp87: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp86) as usize] };
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 7808.0 } else { self.fRec25[1] };
			self.fRec26[0] = if (iTemp2 as i32 != 0) { 7.04e+03 } else { self.fRec26[1] };
			let mut fTemp88: F32 = self.fRec26[0] - self.fRec25[0];
			let mut fTemp89: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 80.5) as i32)) as usize] };
			let mut fTemp90: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp88) / (fTemp89 * if (((fTemp88 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec25[0])) + 2.0) } else { 0.96 }))));
			self.fRec27[0] = if (iTemp2 as i32 != 0) { 3744.0 } else { self.fRec27[1] };
			let mut fTemp91: F32 = F32::max(5076.0, self.fRec27[0]);
			let mut fTemp92: F32 = self.fRec25[0] - fTemp91;
			let mut fTemp93: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp92) / (fTemp75 * if (((fTemp92 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp91)) + 2.0) } else { 0.96 }))));
			let mut fTemp94: F32 = fTemp93 + fTemp90;
			let mut fTemp95: F32 = self.fRec27[0] - self.fRec26[0];
			let mut fTemp96: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 50.5) as i32)) as usize] };
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (fTemp96 * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec26[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = fTemp94 + fTemp97;
			self.fRec28[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp98, self.fRec28[1] + 1.0) };
			let mut iTemp99: i32 = ((self.fRec28[0] < fTemp94) as i32);
			let mut fTemp100: F32 = (self.fRec28[0] - fTemp94) / fTemp97;
			let mut iTemp101: i32 = ((self.fRec28[0] < fTemp93) as i32);
			let mut fTemp102: F32 = (self.fRec28[0] - fTemp93) / fTemp90;
			let mut fTemp103: F32 = self.fRec28[0] / fTemp93;
			let mut fTemp104: F32 = if (iTemp99 as i32 != 0) { if (iTemp101 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp91 } else { if (iTemp101 as i32 != 0) { fTemp91 + fTemp92 * if (((self.fRec25[0] > fTemp91) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec25[0] } } } else { if (iTemp99 as i32 != 0) { self.fRec25[0] + fTemp88 * if (((self.fRec26[0] > self.fRec25[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec26[0] } } } else { if (((self.fRec28[0] < fTemp98) as i32) as i32 != 0) { self.fRec26[0] + fTemp95 * if (((self.fRec27[0] > self.fRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp100, 0.33333334) } else { fTemp100 } } else { self.fRec27[0] } };
			let mut iTemp105: i32 = ((fTemp104) as i32);
			let mut fTemp106: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp105) as usize] };
			let mut fTemp107: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow15 * fTemp70 };
			self.fRec29[0] = fTemp107 - F32::floor(fTemp107);
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 99.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec31[1] };
			let mut fTemp110: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp73 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec32[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp113: F32 = self.fRec30[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp75 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 60.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec33[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec33[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec33[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec33[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec33[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec33[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec33[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec30[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec30[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec30[0] + fTemp110 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp118) as i32) as i32 != 0) { self.fRec31[0] + fTemp116 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec32[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp125) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 7.68e+03 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 6912.0 } else { self.fRec35[1] };
			let mut fTemp127: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp128: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp127) / (fTemp89 * if (((fTemp127 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3616.0 } else { self.fRec36[1] };
			let mut fTemp129: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp130: F32 = self.fRec34[0] - fTemp129;
			let mut fTemp131: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp130) / (fTemp75 * if (((fTemp130 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp129)) + 2.0) } else { 0.96 }))));
			let mut fTemp132: F32 = fTemp131 + fTemp128;
			let mut fTemp133: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp134: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp133) / (fTemp96 * if (((fTemp133 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp135: F32 = fTemp132 + fTemp134;
			self.fRec37[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp135, self.fRec37[1] + 1.0) };
			let mut iTemp136: i32 = ((self.fRec37[0] < fTemp132) as i32);
			let mut fTemp137: F32 = (self.fRec37[0] - fTemp132) / fTemp134;
			let mut iTemp138: i32 = ((self.fRec37[0] < fTemp131) as i32);
			let mut fTemp139: F32 = (self.fRec37[0] - fTemp131) / fTemp128;
			let mut fTemp140: F32 = self.fRec37[0] / fTemp131;
			let mut fTemp141: F32 = if (iTemp136 as i32 != 0) { if (iTemp138 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp129 } else { if (iTemp138 as i32 != 0) { fTemp129 + fTemp130 * if (((self.fRec34[0] > fTemp129) as i32) as i32 != 0) { F32::powf(fTemp140, 0.33333334) } else { fTemp140 } } else { self.fRec34[0] } } } else { if (iTemp136 as i32 != 0) { self.fRec34[0] + fTemp127 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp139, 0.33333334) } else { fTemp139 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp135) as i32) as i32 != 0) { self.fRec35[0] + fTemp133 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp137, 0.33333334) } else { fTemp137 } } else { self.fRec36[0] } };
			let mut iTemp142: i32 = ((fTemp141) as i32);
			let mut fTemp143: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp142) as usize] };
			let mut fTemp144: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp70 };
			self.fRec38[0] = fTemp144 - F32::floor(fTemp144);
			let mut fTemp145: F32 = unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec38[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp143 + (fTemp141 - ((iTemp142) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp142, 1)) as usize] } - fTemp143)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec29[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp106 + (fTemp104 - ((iTemp105) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp105, 1)) as usize] } - fTemp106)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp87 + (fTemp85 - ((iTemp86) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp86, 1)) as usize] } - fTemp87)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 17.391304 * self.fRec10[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp32 + (fTemp30 - ((iTemp31) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp31, 1)) as usize] } - fTemp32));
			self.fVec3[0] = fTemp145;
			self.fRec0[0] = 0.0575 * (self.fConst14 * fTemp145 + self.fConst15 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.iRec18[1] = self.iRec18[0];
			self.iRec19[1] = self.iRec19[0];
			self.iRec20[1] = self.iRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Cowbell2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_Cowbell2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Cowbell2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider1 + self.fHslider0;
		let mut fSlow3: F32 = 0.33333334 * fSlow2 + 1.0;
		let mut fSlow4: F32 = 0.42857143 * fSlow3;
		let mut fSlow5: F32 = self.fHslider2;
		let mut fSlow6: F32 = 0.14285715 * fSlow3;
		let mut fSlow7: F32 = F32::powf(2.0, 0.083333336 * (fSlow2 + -69.0));
		let mut fSlow8: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow7, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow9: i32 = ((fSlow8) as i32);
		let mut fSlow10: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iSlow9) as usize] };
		let mut fSlow11: F32 = fSlow10 + (fSlow8 - ((iSlow9) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iSlow9, 1)) as usize] } - fSlow10);
		let mut fSlow12: F32 = self.fConst10 * fSlow7;
		let mut fSlow13: F32 = self.fConst11 * fSlow7;
		let mut fSlow14: F32 = 0.2857143 * fSlow3;
		let mut fSlow15: F32 = self.fConst12 * fSlow7;
		let mut fSlow16: F32 = self.fConst13 * fSlow7;
		let mut fSlow17: F32 = 0.01 * self.fHslider3;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 0.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider5 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec3[1] };
			self.fRec5[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec5[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Cowbell2_faustpower2_f(1.0 - F32::max(fSlow5, self.fRec5[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec4[1] };
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3.2e+03 } else { self.fRec6[1] };
			let mut fTemp6: F32 = self.fRec6[0] - self.fRec4[0];
			let mut fTemp7: F32 = if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 };
			let mut fTemp8: F32 = F32::abs(fTemp6);
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp7 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 57.5) as i32)) as usize] }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec4[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = F32::abs(fTemp11);
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp12 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 99.5) as i32)) as usize] }))));
			let mut fTemp15: F32 = fTemp14 + fTemp9;
			let mut iTemp16: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp17: F32 = self.fRec7[0] - self.fRec6[0];
			let mut fTemp18: F32 = if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec6[0])) + 2.0) } else { 0.96 };
			let mut fTemp19: F32 = F32::abs(fTemp17);
			let mut fTemp20: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (fTemp18 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 53.5) as i32)) as usize] }))));
			let mut fTemp21: F32 = fTemp15 + fTemp20;
			self.fRec8[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp21, self.fRec8[1] + 1.0) };
			let mut iTemp22: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut iTemp23: i32 = ((self.fRec7[0] > self.fRec6[0]) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp20;
			let mut iTemp25: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut iTemp26: i32 = ((self.fRec6[0] > self.fRec4[0]) as i32);
			let mut fTemp27: F32 = (self.fRec8[0] - fTemp14) / fTemp9;
			let mut iTemp28: i32 = ((self.fRec4[0] > fTemp10) as i32);
			let mut fTemp29: F32 = self.fRec8[0] / fTemp14;
			let mut fTemp30: F32 = if (iTemp22 as i32 != 0) { if (iTemp25 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp25 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp29, 0.33333334) } else { fTemp29 } } else { self.fRec4[0] } } } else { if (iTemp22 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp27, 0.33333334) } else { fTemp27 } } else { self.fRec6[0] } } } else { if (((self.fRec8[0] < fTemp21) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec7[0] } };
			let mut iTemp31: i32 = ((fTemp30) as i32);
			let mut fTemp32: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp31) as usize] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7424.0 } else { self.fRec11[1] };
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 7008.0 } else { self.fRec12[1] };
			let mut fTemp33: F32 = self.fRec12[0] - self.fRec11[0];
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 75.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			self.fRec14[0] = if (iTemp2 as i32 != 0) { 3.36e+03 } else { self.fRec14[1] };
			let mut fTemp35: F32 = F32::max(5076.0, self.fRec14[0]);
			let mut fTemp36: F32 = self.fRec11[0] - fTemp35;
			let mut fTemp37: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp36) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 99.5) as i32)) as usize] } * if (((fTemp36 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp35)) + 2.0) } else { 0.96 }))));
			let mut fTemp38: F32 = fTemp37 + fTemp34;
			let mut fTemp39: F32 = self.fRec14[0] - self.fRec12[0];
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 54.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp38 + fTemp40;
			self.fRec15[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec15[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec15[0] < fTemp38) as i32);
			let mut fTemp43: F32 = (self.fRec15[0] - fTemp38) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec15[0] < fTemp37) as i32);
			let mut fTemp45: F32 = (self.fRec15[0] - fTemp37) / fTemp34;
			let mut fTemp46: F32 = self.fRec15[0] / fTemp37;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp35 } else { if (iTemp44 as i32 != 0) { fTemp35 + fTemp36 * if (((self.fRec11[0] > fTemp35) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec11[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec11[0] + fTemp33 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec12[0] } } } else { if (((self.fRec15[0] < fTemp41) as i32) as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec14[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec14[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst6 } else { self.iRec18[1] };
			self.iRec19[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec19[1] };
			let mut iTemp51: i32 = i32::wrapping_sub(self.iRec19[0], self.iRec18[0]);
			let mut fTemp52: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp51)) as F32) / self.fConst5));
			self.iRec20[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec20[1] };
			let mut iTemp53: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec20[0]);
			let mut fTemp54: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp53)) as F32) / self.fConst5));
			let mut fTemp55: F32 = fTemp54 + fTemp52;
			let mut iTemp56: i32 = i32::wrapping_sub(self.iRec20[0], self.iRec19[0]);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp56)) as F32) / self.fConst5));
			let mut fTemp58: F32 = fTemp55 + fTemp57;
			self.fRec21[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp58, self.fRec21[1] + 1.0) };
			let mut iTemp59: i32 = ((self.fRec21[0] < fTemp55) as i32);
			let mut fTemp60: F32 = ((self.iRec20[0]) as F32);
			let mut fTemp61: F32 = (self.fRec21[0] - fTemp55) / fTemp57;
			let mut fTemp62: F32 = ((self.iRec19[0]) as F32);
			let mut iTemp63: i32 = ((self.fRec21[0] < fTemp54) as i32);
			let mut fTemp64: F32 = (self.fRec21[0] - fTemp54) / fTemp52;
			let mut fTemp65: F32 = ((self.iRec18[0]) as F32);
			let mut fTemp66: F32 = self.fRec21[0] / fTemp54;
			let mut fTemp67: F32 = 15.996094 * (0.4 * if (iTemp59 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp60 } else { if (iTemp63 as i32 != 0) { fTemp60 + ((iTemp53) as F32) * if (((self.iRec18[0] > self.iRec20[0]) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { fTemp65 } } } else { if (iTemp59 as i32 != 0) { fTemp65 + ((iTemp51) as F32) * if (((self.iRec19[0] > self.iRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { fTemp62 } } } else { if (((self.fRec21[0] < fTemp58) as i32) as i32 != 0) { fTemp62 + ((iTemp56) as F32) * if (((self.iRec20[0] > self.iRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp61, 0.33333334) } else { fTemp61 } } else { fTemp60 } } + 128.0);
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iTemp68) as usize] };
			let mut fTemp70: F32 = fSlow11 * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69));
			let mut fTemp71: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow12 * fTemp70 };
			self.fRec16[0] = fTemp71 - F32::floor(fTemp71);
			self.fRec10[0] = 0.115 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec16[0] + 20.869566 * self.fRec10[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49));
			let mut fTemp72: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec22[1] + fSlow13 * fTemp70 };
			self.fRec22[0] = fTemp72 - F32::floor(fTemp72);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec23[1] };
			let mut fTemp73: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 54.5) as i32)) as usize] };
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp73 * fTemp7))));
			let mut fTemp75: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 99.5) as i32)) as usize] };
			let mut fTemp76: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp75 * fTemp12))));
			let mut fTemp77: F32 = fTemp76 + fTemp74;
			let mut fTemp78: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 71.5) as i32)) as usize] } * fTemp18))));
			let mut fTemp79: F32 = fTemp77 + fTemp78;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp79, self.fRec24[1] + 1.0) };
			let mut iTemp80: i32 = ((self.fRec24[0] < fTemp77) as i32);
			let mut fTemp81: F32 = (self.fRec24[0] - fTemp77) / fTemp78;
			let mut iTemp82: i32 = ((self.fRec24[0] < fTemp76) as i32);
			let mut fTemp83: F32 = (self.fRec24[0] - fTemp76) / fTemp74;
			let mut fTemp84: F32 = self.fRec24[0] / fTemp76;
			let mut fTemp85: F32 = if (iTemp80 as i32 != 0) { if (iTemp82 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp82 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { self.fRec4[0] } } } else { if (iTemp80 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp83, 0.33333334) } else { fTemp83 } } else { self.fRec6[0] } } } else { if (((self.fRec24[0] < fTemp79) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp81, 0.33333334) } else { fTemp81 } } else { self.fRec7[0] } };
			let mut iTemp86: i32 = ((fTemp85) as i32);
			let mut fTemp87: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp86) as usize] };
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 7808.0 } else { self.fRec25[1] };
			self.fRec26[0] = if (iTemp2 as i32 != 0) { 7.04e+03 } else { self.fRec26[1] };
			let mut fTemp88: F32 = self.fRec26[0] - self.fRec25[0];
			let mut fTemp89: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 80.5) as i32)) as usize] };
			let mut fTemp90: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp88) / (fTemp89 * if (((fTemp88 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec25[0])) + 2.0) } else { 0.96 }))));
			self.fRec27[0] = if (iTemp2 as i32 != 0) { 3744.0 } else { self.fRec27[1] };
			let mut fTemp91: F32 = F32::max(5076.0, self.fRec27[0]);
			let mut fTemp92: F32 = self.fRec25[0] - fTemp91;
			let mut fTemp93: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp92) / (fTemp75 * if (((fTemp92 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp91)) + 2.0) } else { 0.96 }))));
			let mut fTemp94: F32 = fTemp93 + fTemp90;
			let mut fTemp95: F32 = self.fRec27[0] - self.fRec26[0];
			let mut fTemp96: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 50.5) as i32)) as usize] };
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (fTemp96 * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec26[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = fTemp94 + fTemp97;
			self.fRec28[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp98, self.fRec28[1] + 1.0) };
			let mut iTemp99: i32 = ((self.fRec28[0] < fTemp94) as i32);
			let mut fTemp100: F32 = (self.fRec28[0] - fTemp94) / fTemp97;
			let mut iTemp101: i32 = ((self.fRec28[0] < fTemp93) as i32);
			let mut fTemp102: F32 = (self.fRec28[0] - fTemp93) / fTemp90;
			let mut fTemp103: F32 = self.fRec28[0] / fTemp93;
			let mut fTemp104: F32 = if (iTemp99 as i32 != 0) { if (iTemp101 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp91 } else { if (iTemp101 as i32 != 0) { fTemp91 + fTemp92 * if (((self.fRec25[0] > fTemp91) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec25[0] } } } else { if (iTemp99 as i32 != 0) { self.fRec25[0] + fTemp88 * if (((self.fRec26[0] > self.fRec25[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec26[0] } } } else { if (((self.fRec28[0] < fTemp98) as i32) as i32 != 0) { self.fRec26[0] + fTemp95 * if (((self.fRec27[0] > self.fRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp100, 0.33333334) } else { fTemp100 } } else { self.fRec27[0] } };
			let mut iTemp105: i32 = ((fTemp104) as i32);
			let mut fTemp106: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp105) as usize] };
			let mut fTemp107: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow15 * fTemp70 };
			self.fRec29[0] = fTemp107 - F32::floor(fTemp107);
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 99.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec31[1] };
			let mut fTemp110: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp73 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec32[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp113: F32 = self.fRec30[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp75 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 60.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec33[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec33[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec33[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec33[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec33[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec33[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec33[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec30[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec30[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec30[0] + fTemp110 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp118) as i32) as i32 != 0) { self.fRec31[0] + fTemp116 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec32[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp125) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 7.68e+03 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 6912.0 } else { self.fRec35[1] };
			let mut fTemp127: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp128: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp127) / (fTemp89 * if (((fTemp127 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3616.0 } else { self.fRec36[1] };
			let mut fTemp129: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp130: F32 = self.fRec34[0] - fTemp129;
			let mut fTemp131: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp130) / (fTemp75 * if (((fTemp130 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp129)) + 2.0) } else { 0.96 }))));
			let mut fTemp132: F32 = fTemp131 + fTemp128;
			let mut fTemp133: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp134: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp133) / (fTemp96 * if (((fTemp133 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp135: F32 = fTemp132 + fTemp134;
			self.fRec37[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp135, self.fRec37[1] + 1.0) };
			let mut iTemp136: i32 = ((self.fRec37[0] < fTemp132) as i32);
			let mut fTemp137: F32 = (self.fRec37[0] - fTemp132) / fTemp134;
			let mut iTemp138: i32 = ((self.fRec37[0] < fTemp131) as i32);
			let mut fTemp139: F32 = (self.fRec37[0] - fTemp131) / fTemp128;
			let mut fTemp140: F32 = self.fRec37[0] / fTemp131;
			let mut fTemp141: F32 = if (iTemp136 as i32 != 0) { if (iTemp138 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp129 } else { if (iTemp138 as i32 != 0) { fTemp129 + fTemp130 * if (((self.fRec34[0] > fTemp129) as i32) as i32 != 0) { F32::powf(fTemp140, 0.33333334) } else { fTemp140 } } else { self.fRec34[0] } } } else { if (iTemp136 as i32 != 0) { self.fRec34[0] + fTemp127 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp139, 0.33333334) } else { fTemp139 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp135) as i32) as i32 != 0) { self.fRec35[0] + fTemp133 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp137, 0.33333334) } else { fTemp137 } } else { self.fRec36[0] } };
			let mut iTemp142: i32 = ((fTemp141) as i32);
			let mut fTemp143: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp142) as usize] };
			let mut fTemp144: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp70 };
			self.fRec38[0] = fTemp144 - F32::floor(fTemp144);
			let mut fTemp145: F32 = unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec38[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp143 + (fTemp141 - ((iTemp142) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp142, 1)) as usize] } - fTemp143)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec29[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp106 + (fTemp104 - ((iTemp105) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp105, 1)) as usize] } - fTemp106)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp87 + (fTemp85 - ((iTemp86) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp86, 1)) as usize] } - fTemp87)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 17.391304 * self.fRec10[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp32 + (fTemp30 - ((iTemp31) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp31, 1)) as usize] } - fTemp32));
			self.fVec3[0] = fTemp145;
			self.fRec0[0] = 0.0575 * (self.fConst14 * fTemp145 + self.fConst15 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.iRec18[1] = self.iRec18[0];
			self.iRec19[1] = self.iRec19[0];
			self.iRec20[1] = self.iRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Cowbell2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_Cowbell2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Cowbell2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider1 + self.fHslider0;
		let mut fSlow3: F32 = 0.33333334 * fSlow2 + 1.0;
		let mut fSlow4: F32 = 0.42857143 * fSlow3;
		let mut fSlow5: F32 = self.fHslider2;
		let mut fSlow6: F32 = 0.14285715 * fSlow3;
		let mut fSlow7: F32 = F32::powf(2.0, 0.083333336 * (fSlow2 + -69.0));
		let mut fSlow8: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow7, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow9: i32 = ((fSlow8) as i32);
		let mut fSlow10: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iSlow9) as usize] };
		let mut fSlow11: F32 = fSlow10 + (fSlow8 - ((iSlow9) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iSlow9, 1)) as usize] } - fSlow10);
		let mut fSlow12: F32 = self.fConst10 * fSlow7;
		let mut fSlow13: F32 = self.fConst11 * fSlow7;
		let mut fSlow14: F32 = 0.2857143 * fSlow3;
		let mut fSlow15: F32 = self.fConst12 * fSlow7;
		let mut fSlow16: F32 = self.fConst13 * fSlow7;
		let mut fSlow17: F32 = 0.01 * self.fHslider3;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 0.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider5 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec3[1] };
			self.fRec5[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec5[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Cowbell2_faustpower2_f(1.0 - F32::max(fSlow5, self.fRec5[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec4[1] };
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3.2e+03 } else { self.fRec6[1] };
			let mut fTemp6: F32 = self.fRec6[0] - self.fRec4[0];
			let mut fTemp7: F32 = if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 };
			let mut fTemp8: F32 = F32::abs(fTemp6);
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp7 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 57.5) as i32)) as usize] }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec4[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = F32::abs(fTemp11);
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp12 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 99.5) as i32)) as usize] }))));
			let mut fTemp15: F32 = fTemp14 + fTemp9;
			let mut iTemp16: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp17: F32 = self.fRec7[0] - self.fRec6[0];
			let mut fTemp18: F32 = if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec6[0])) + 2.0) } else { 0.96 };
			let mut fTemp19: F32 = F32::abs(fTemp17);
			let mut fTemp20: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (fTemp18 * unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec3[0] + 53.5) as i32)) as usize] }))));
			let mut fTemp21: F32 = fTemp15 + fTemp20;
			self.fRec8[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp21, self.fRec8[1] + 1.0) };
			let mut iTemp22: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut iTemp23: i32 = ((self.fRec7[0] > self.fRec6[0]) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp20;
			let mut iTemp25: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut iTemp26: i32 = ((self.fRec6[0] > self.fRec4[0]) as i32);
			let mut fTemp27: F32 = (self.fRec8[0] - fTemp14) / fTemp9;
			let mut iTemp28: i32 = ((self.fRec4[0] > fTemp10) as i32);
			let mut fTemp29: F32 = self.fRec8[0] / fTemp14;
			let mut fTemp30: F32 = if (iTemp22 as i32 != 0) { if (iTemp25 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp25 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp29, 0.33333334) } else { fTemp29 } } else { self.fRec4[0] } } } else { if (iTemp22 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp27, 0.33333334) } else { fTemp27 } } else { self.fRec6[0] } } } else { if (((self.fRec8[0] < fTemp21) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec7[0] } };
			let mut iTemp31: i32 = ((fTemp30) as i32);
			let mut fTemp32: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp31) as usize] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7424.0 } else { self.fRec11[1] };
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 7008.0 } else { self.fRec12[1] };
			let mut fTemp33: F32 = self.fRec12[0] - self.fRec11[0];
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 75.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			self.fRec14[0] = if (iTemp2 as i32 != 0) { 3.36e+03 } else { self.fRec14[1] };
			let mut fTemp35: F32 = F32::max(5076.0, self.fRec14[0]);
			let mut fTemp36: F32 = self.fRec11[0] - fTemp35;
			let mut fTemp37: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp36) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 99.5) as i32)) as usize] } * if (((fTemp36 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp35)) + 2.0) } else { 0.96 }))));
			let mut fTemp38: F32 = fTemp37 + fTemp34;
			let mut fTemp39: F32 = self.fRec14[0] - self.fRec12[0];
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec13[0] + 54.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp38 + fTemp40;
			self.fRec15[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec15[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec15[0] < fTemp38) as i32);
			let mut fTemp43: F32 = (self.fRec15[0] - fTemp38) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec15[0] < fTemp37) as i32);
			let mut fTemp45: F32 = (self.fRec15[0] - fTemp37) / fTemp34;
			let mut fTemp46: F32 = self.fRec15[0] / fTemp37;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp35 } else { if (iTemp44 as i32 != 0) { fTemp35 + fTemp36 * if (((self.fRec11[0] > fTemp35) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec11[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec11[0] + fTemp33 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec12[0] } } } else { if (((self.fRec15[0] < fTemp41) as i32) as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec14[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec14[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst6 } else { self.iRec18[1] };
			self.iRec19[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec19[1] };
			let mut iTemp51: i32 = i32::wrapping_sub(self.iRec19[0], self.iRec18[0]);
			let mut fTemp52: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp51)) as F32) / self.fConst5));
			self.iRec20[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec20[1] };
			let mut iTemp53: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec20[0]);
			let mut fTemp54: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp53)) as F32) / self.fConst5));
			let mut fTemp55: F32 = fTemp54 + fTemp52;
			let mut iTemp56: i32 = i32::wrapping_sub(self.iRec20[0], self.iRec19[0]);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst8 * (((i32::abs(iTemp56)) as F32) / self.fConst5));
			let mut fTemp58: F32 = fTemp55 + fTemp57;
			self.fRec21[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp58, self.fRec21[1] + 1.0) };
			let mut iTemp59: i32 = ((self.fRec21[0] < fTemp55) as i32);
			let mut fTemp60: F32 = ((self.iRec20[0]) as F32);
			let mut fTemp61: F32 = (self.fRec21[0] - fTemp55) / fTemp57;
			let mut fTemp62: F32 = ((self.iRec19[0]) as F32);
			let mut iTemp63: i32 = ((self.fRec21[0] < fTemp54) as i32);
			let mut fTemp64: F32 = (self.fRec21[0] - fTemp54) / fTemp52;
			let mut fTemp65: F32 = ((self.iRec18[0]) as F32);
			let mut fTemp66: F32 = self.fRec21[0] / fTemp54;
			let mut fTemp67: F32 = 15.996094 * (0.4 * if (iTemp59 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp60 } else { if (iTemp63 as i32 != 0) { fTemp60 + ((iTemp53) as F32) * if (((self.iRec18[0] > self.iRec20[0]) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { fTemp65 } } } else { if (iTemp59 as i32 != 0) { fTemp65 + ((iTemp51) as F32) * if (((self.iRec19[0] > self.iRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { fTemp62 } } } else { if (((self.fRec21[0] < fTemp58) as i32) as i32 != 0) { fTemp62 + ((iTemp56) as F32) * if (((self.iRec20[0] > self.iRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp61, 0.33333334) } else { fTemp61 } } else { fTemp60 } } + 128.0);
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl3DSP_Cowbell2SIG3[(iTemp68) as usize] };
			let mut fTemp70: F32 = fSlow11 * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl3DSP_Cowbell2SIG3[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69));
			let mut fTemp71: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow12 * fTemp70 };
			self.fRec16[0] = fTemp71 - F32::floor(fTemp71);
			self.fRec10[0] = 0.115 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec16[0] + 20.869566 * self.fRec10[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49));
			let mut fTemp72: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec22[1] + fSlow13 * fTemp70 };
			self.fRec22[0] = fTemp72 - F32::floor(fTemp72);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec23[1] };
			let mut fTemp73: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 54.5) as i32)) as usize] };
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp8 / (fTemp73 * fTemp7))));
			let mut fTemp75: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 99.5) as i32)) as usize] };
			let mut fTemp76: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp13 / (fTemp75 * fTemp12))));
			let mut fTemp77: F32 = fTemp76 + fTemp74;
			let mut fTemp78: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp19 / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 71.5) as i32)) as usize] } * fTemp18))));
			let mut fTemp79: F32 = fTemp77 + fTemp78;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp79, self.fRec24[1] + 1.0) };
			let mut iTemp80: i32 = ((self.fRec24[0] < fTemp77) as i32);
			let mut fTemp81: F32 = (self.fRec24[0] - fTemp77) / fTemp78;
			let mut iTemp82: i32 = ((self.fRec24[0] < fTemp76) as i32);
			let mut fTemp83: F32 = (self.fRec24[0] - fTemp76) / fTemp74;
			let mut fTemp84: F32 = self.fRec24[0] / fTemp76;
			let mut fTemp85: F32 = if (iTemp80 as i32 != 0) { if (iTemp82 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp82 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp28 as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { self.fRec4[0] } } } else { if (iTemp80 as i32 != 0) { self.fRec4[0] + fTemp6 * if (iTemp26 as i32 != 0) { F32::powf(fTemp83, 0.33333334) } else { fTemp83 } } else { self.fRec6[0] } } } else { if (((self.fRec24[0] < fTemp79) as i32) as i32 != 0) { self.fRec6[0] + fTemp17 * if (iTemp23 as i32 != 0) { F32::powf(fTemp81, 0.33333334) } else { fTemp81 } } else { self.fRec7[0] } };
			let mut iTemp86: i32 = ((fTemp85) as i32);
			let mut fTemp87: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp86) as usize] };
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 7808.0 } else { self.fRec25[1] };
			self.fRec26[0] = if (iTemp2 as i32 != 0) { 7.04e+03 } else { self.fRec26[1] };
			let mut fTemp88: F32 = self.fRec26[0] - self.fRec25[0];
			let mut fTemp89: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 80.5) as i32)) as usize] };
			let mut fTemp90: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp88) / (fTemp89 * if (((fTemp88 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec25[0])) + 2.0) } else { 0.96 }))));
			self.fRec27[0] = if (iTemp2 as i32 != 0) { 3744.0 } else { self.fRec27[1] };
			let mut fTemp91: F32 = F32::max(5076.0, self.fRec27[0]);
			let mut fTemp92: F32 = self.fRec25[0] - fTemp91;
			let mut fTemp93: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp92) / (fTemp75 * if (((fTemp92 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp91)) + 2.0) } else { 0.96 }))));
			let mut fTemp94: F32 = fTemp93 + fTemp90;
			let mut fTemp95: F32 = self.fRec27[0] - self.fRec26[0];
			let mut fTemp96: F32 = unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 50.5) as i32)) as usize] };
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp95) / (fTemp96 * if (((fTemp95 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec26[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = fTemp94 + fTemp97;
			self.fRec28[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp98, self.fRec28[1] + 1.0) };
			let mut iTemp99: i32 = ((self.fRec28[0] < fTemp94) as i32);
			let mut fTemp100: F32 = (self.fRec28[0] - fTemp94) / fTemp97;
			let mut iTemp101: i32 = ((self.fRec28[0] < fTemp93) as i32);
			let mut fTemp102: F32 = (self.fRec28[0] - fTemp93) / fTemp90;
			let mut fTemp103: F32 = self.fRec28[0] / fTemp93;
			let mut fTemp104: F32 = if (iTemp99 as i32 != 0) { if (iTemp101 as i32 != 0) { if (((self.fRec28[0] < 0.0) as i32) as i32 != 0) { fTemp91 } else { if (iTemp101 as i32 != 0) { fTemp91 + fTemp92 * if (((self.fRec25[0] > fTemp91) as i32) as i32 != 0) { F32::powf(fTemp103, 0.33333334) } else { fTemp103 } } else { self.fRec25[0] } } } else { if (iTemp99 as i32 != 0) { self.fRec25[0] + fTemp88 * if (((self.fRec26[0] > self.fRec25[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec26[0] } } } else { if (((self.fRec28[0] < fTemp98) as i32) as i32 != 0) { self.fRec26[0] + fTemp95 * if (((self.fRec27[0] > self.fRec26[0]) as i32) as i32 != 0) { F32::powf(fTemp100, 0.33333334) } else { fTemp100 } } else { self.fRec27[0] } };
			let mut iTemp105: i32 = ((fTemp104) as i32);
			let mut fTemp106: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp105) as usize] };
			let mut fTemp107: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow15 * fTemp70 };
			self.fRec29[0] = fTemp107 - F32::floor(fTemp107);
			let mut fTemp108: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 99.0));
			let mut fTemp109: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp108) * (fTemp108 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp109 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp109 + 3776.0 } else { self.fRec31[1] };
			let mut fTemp110: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp73 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp109 } else { self.fRec32[1] };
			let mut fTemp112: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp113: F32 = self.fRec30[0] - fTemp112;
			let mut fTemp114: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp113) / (fTemp75 * if (((fTemp113 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp112)) + 2.0) } else { 0.96 }))));
			let mut fTemp115: F32 = fTemp114 + fTemp111;
			let mut fTemp116: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cowbell2SIG1[(((self.fRec23[0] + 60.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp118: F32 = fTemp115 + fTemp117;
			self.fRec33[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp118, self.fRec33[1] + 1.0) };
			let mut iTemp119: i32 = ((self.fRec33[0] < fTemp115) as i32);
			let mut fTemp120: F32 = (self.fRec33[0] - fTemp115) / fTemp117;
			let mut iTemp121: i32 = ((self.fRec33[0] < fTemp114) as i32);
			let mut fTemp122: F32 = (self.fRec33[0] - fTemp114) / fTemp111;
			let mut fTemp123: F32 = self.fRec33[0] / fTemp114;
			let mut fTemp124: F32 = if (iTemp119 as i32 != 0) { if (iTemp121 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp112 } else { if (iTemp121 as i32 != 0) { fTemp112 + fTemp113 * if (((self.fRec30[0] > fTemp112) as i32) as i32 != 0) { F32::powf(fTemp123, 0.33333334) } else { fTemp123 } } else { self.fRec30[0] } } } else { if (iTemp119 as i32 != 0) { self.fRec30[0] + fTemp110 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp122, 0.33333334) } else { fTemp122 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp118) as i32) as i32 != 0) { self.fRec31[0] + fTemp116 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec32[0] } };
			let mut iTemp125: i32 = ((fTemp124) as i32);
			let mut fTemp126: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp125) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 7.68e+03 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 6912.0 } else { self.fRec35[1] };
			let mut fTemp127: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp128: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp127) / (fTemp89 * if (((fTemp127 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 3616.0 } else { self.fRec36[1] };
			let mut fTemp129: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp130: F32 = self.fRec34[0] - fTemp129;
			let mut fTemp131: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp130) / (fTemp75 * if (((fTemp130 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp129)) + 2.0) } else { 0.96 }))));
			let mut fTemp132: F32 = fTemp131 + fTemp128;
			let mut fTemp133: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp134: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp133) / (fTemp96 * if (((fTemp133 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp135: F32 = fTemp132 + fTemp134;
			self.fRec37[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp135, self.fRec37[1] + 1.0) };
			let mut iTemp136: i32 = ((self.fRec37[0] < fTemp132) as i32);
			let mut fTemp137: F32 = (self.fRec37[0] - fTemp132) / fTemp134;
			let mut iTemp138: i32 = ((self.fRec37[0] < fTemp131) as i32);
			let mut fTemp139: F32 = (self.fRec37[0] - fTemp131) / fTemp128;
			let mut fTemp140: F32 = self.fRec37[0] / fTemp131;
			let mut fTemp141: F32 = if (iTemp136 as i32 != 0) { if (iTemp138 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp129 } else { if (iTemp138 as i32 != 0) { fTemp129 + fTemp130 * if (((self.fRec34[0] > fTemp129) as i32) as i32 != 0) { F32::powf(fTemp140, 0.33333334) } else { fTemp140 } } else { self.fRec34[0] } } } else { if (iTemp136 as i32 != 0) { self.fRec34[0] + fTemp127 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp139, 0.33333334) } else { fTemp139 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp135) as i32) as i32 != 0) { self.fRec35[0] + fTemp133 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp137, 0.33333334) } else { fTemp137 } } else { self.fRec36[0] } };
			let mut iTemp142: i32 = ((fTemp141) as i32);
			let mut fTemp143: F32 = unsafe { ftbl0DSP_Cowbell2SIG0[(iTemp142) as usize] };
			let mut fTemp144: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp70 };
			self.fRec38[0] = fTemp144 - F32::floor(fTemp144);
			let mut fTemp145: F32 = unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec38[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp143 + (fTemp141 - ((iTemp142) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp142, 1)) as usize] } - fTemp143)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp126 + (fTemp124 - ((iTemp125) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp125, 1)) as usize] } - fTemp126)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * self.fRec29[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp106 + (fTemp104 - ((iTemp105) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp105, 1)) as usize] } - fTemp106)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp87 + (fTemp85 - ((iTemp86) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp86, 1)) as usize] } - fTemp87)) + unsafe { ftbl2DSP_Cowbell2SIG2[(((1024.0 * (self.fRec22[0] + 17.391304 * self.fRec10[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp32 + (fTemp30 - ((iTemp31) as F32)) * (unsafe { ftbl0DSP_Cowbell2SIG0[(i32::wrapping_add(iTemp31, 1)) as usize] } - fTemp32));
			self.fVec3[0] = fTemp145;
			self.fRec0[0] = 0.0575 * (self.fConst14 * fTemp145 + self.fConst15 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.iRec18[1] = self.iRec18[0];
			self.iRec19[1] = self.iRec19[0];
			self.iRec20[1] = self.iRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
