// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_Cymbal2 -pn processCymbal2 -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_Cymbal2SIG0 {
	iRec7: [i32;2],
}

impl DSP_Cymbal2SIG0 {
	
	fn get_num_inputsDSP_Cymbal2SIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cymbal2SIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cymbal2SIG0(&mut self, sample_rate: i32) {
		for l3 in 0..2 {
			self.iRec7[(l3) as usize] = 0;
		}
	}
	
	fn fillDSP_Cymbal2SIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec7[0] = i32::wrapping_add(self.iRec7[1], 1);
			let mut fTemp1: F32 = ((i32::wrapping_add(self.iRec7[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp1))))) * (((((7.2e+03 - fTemp1) < 3824.0) as i32)) as F32);
			self.iRec7[1] = self.iRec7[0];
		}
	}

}


pub fn newDSP_Cymbal2SIG0() -> DSP_Cymbal2SIG0 { 
	DSP_Cymbal2SIG0 {
		iRec7: [0;2],
	}
}

pub struct DSP_Cymbal2SIG1 {
	iRec11: [i32;2],
}

impl DSP_Cymbal2SIG1 {
	
	fn get_num_inputsDSP_Cymbal2SIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cymbal2SIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cymbal2SIG1(&mut self, sample_rate: i32) {
		for l8 in 0..2 {
			self.iRec11[(l8) as usize] = 0;
		}
	}
	
	fn fillDSP_Cymbal2SIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec11[0] = i32::wrapping_add(self.iRec11[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec11[0], -1)) as F32));
			self.iRec11[1] = self.iRec11[0];
		}
	}

}


pub fn newDSP_Cymbal2SIG1() -> DSP_Cymbal2SIG1 { 
	DSP_Cymbal2SIG1 {
		iRec11: [0;2],
	}
}

pub struct DSP_Cymbal2SIG2 {
	iVec3: [i32;2],
	iRec16: [i32;2],
}

impl DSP_Cymbal2SIG2 {
	
	fn get_num_inputsDSP_Cymbal2SIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cymbal2SIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cymbal2SIG2(&mut self, sample_rate: i32) {
		for l13 in 0..2 {
			self.iVec3[(l13) as usize] = 0;
		}
		for l14 in 0..2 {
			self.iRec16[(l14) as usize] = 0;
		}
	}
	
	fn fillDSP_Cymbal2SIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec3[0] = 1;
			self.iRec16[0] = (i32::wrapping_add(self.iVec3[1], self.iRec16[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec16[0]) as F32));
			self.iVec3[1] = self.iVec3[0];
			self.iRec16[1] = self.iRec16[0];
		}
	}

}


pub fn newDSP_Cymbal2SIG2() -> DSP_Cymbal2SIG2 { 
	DSP_Cymbal2SIG2 {
		iVec3: [0;2],
		iRec16: [0;2],
	}
}

pub struct DSP_Cymbal2SIG3 {
	iRec26: [i32;2],
}

impl DSP_Cymbal2SIG3 {
	
	fn get_num_inputsDSP_Cymbal2SIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cymbal2SIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cymbal2SIG3(&mut self, sample_rate: i32) {
		for l23 in 0..2 {
			self.iRec26[(l23) as usize] = 0;
		}
	}
	
	fn fillDSP_Cymbal2SIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec26[0] = i32::wrapping_add(self.iRec26[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec26[0], -1)) as F32) + -128.0));
			self.iRec26[1] = self.iRec26[0];
		}
	}

}


pub fn newDSP_Cymbal2SIG3() -> DSP_Cymbal2SIG3 { 
	DSP_Cymbal2SIG3 {
		iRec26: [0;2],
	}
}
static mut iDSP_Cymbal2SIG4Wave0: [i32;100] = [-128,-116,-104,-95,-85,-76,-68,-61,-56,-52,-49,-46,-43,-41,-39,-37,-35,-33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,38,40,43,46,49,53,58,65,73,82,92,103,115,127];

pub struct DSP_Cymbal2SIG4 {
	iDSP_Cymbal2SIG4Wave0_idx: i32,
}

impl DSP_Cymbal2SIG4 {
	
	fn get_num_inputsDSP_Cymbal2SIG4(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Cymbal2SIG4(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Cymbal2SIG4(&mut self, sample_rate: i32) {
		self.iDSP_Cymbal2SIG4Wave0_idx = 0;
	}
	
	fn fillDSP_Cymbal2SIG4(&mut self, count: i32, table: &mut[i32]) {
		for i5 in 0..count {
			table[(i5) as usize] = unsafe { iDSP_Cymbal2SIG4Wave0[(self.iDSP_Cymbal2SIG4Wave0_idx) as usize] };
			self.iDSP_Cymbal2SIG4Wave0_idx = (i32::wrapping_add(1, self.iDSP_Cymbal2SIG4Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Cymbal2SIG4() -> DSP_Cymbal2SIG4 { 
	DSP_Cymbal2SIG4 {
		iDSP_Cymbal2SIG4Wave0_idx: 0,
	}
}
static mut ftbl0DSP_Cymbal2SIG0: [F32;16384] = [0.0;16384];
fn DSP_Cymbal2_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl1DSP_Cymbal2SIG1: [F32;144] = [0.0;144];
static mut ftbl2DSP_Cymbal2SIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_Cymbal2SIG3: [F32;4096] = [0.0;4096];
static mut itbl4DSP_Cymbal2SIG4: [i32;100] = [0;100];
fn DSP_Cymbal2_faustpower4_f(value: F32) -> F32 {
	return value * value * value * value;
}

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_Cymbal2 {
	fEntry0: F32,
	fVec0: [F32;2],
	iVec1: [i32;2],
	iRec1: [i32;2],
	fSampleRate: i32,
	fConst0: F32,
	fConst1: F32,
	fHslider0: F32,
	fEntry1: F32,
	iVec2: [i32;2],
	fHslider1: F32,
	fRec9: [F32;2],
	fRec8: [F32;2],
	fRec10: [F32;2],
	fHslider2: F32,
	fRec12: [F32;2],
	fRec13: [F32;2],
	fRec15: [F32;2],
	fRec14: [F32;2],
	fRec17: [F32;2],
	fRec18: [F32;2],
	fRec19: [F32;2],
	fRec20: [F32;2],
	fRec21: [F32;2],
	fRec22: [F32;2],
	fRec23: [F32;2],
	fRec24: [F32;2],
	iConst2: i32,
	iRec27: [i32;2],
	fHslider3: F32,
	fConst3: F32,
	fRec25: [F32;2],
	fConst4: F32,
	fRec28: [F32;2],
	fRec29: [F32;2],
	fRec30: [F32;2],
	fRec31: [F32;2],
	fRec32: [F32;2],
	fRec33: [F32;2],
	fRec34: [F32;2],
	fRec35: [F32;2],
	fConst5: F32,
	fRec36: [F32;2],
	fConst6: F32,
	fRec37: [F32;2],
	fRec39: [F32;2],
	fRec40: [F32;2],
	fRec41: [F32;2],
	fRec42: [F32;2],
	fRec44: [F32;2],
	fRec43: [F32;2],
	fConst7: F32,
	fRec45: [F32;2],
	fRec38: [F32;2],
	fRec2: [F32;2],
	fRec3: [F32;2],
	fRec4: [F32;2],
	fRec5: [F32;2],
	fVec4: [F32;2],
	fConst9: F32,
	fConst10: F32,
	fConst12: F32,
	fConst13: F32,
	fRec0: [F32;2],
	fHslider4: F32,
	fHslider5: F32,
	fHslider6: F32,
}

impl FaustDsp for DSP_Cymbal2 {
	type T = F32;
		
	fn new() -> DSP_Cymbal2 { 
		DSP_Cymbal2 {
			fEntry0: 0.0,
			fVec0: [0.0;2],
			iVec1: [0;2],
			iRec1: [0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fConst1: 0.0,
			fHslider0: 0.0,
			fEntry1: 0.0,
			iVec2: [0;2],
			fHslider1: 0.0,
			fRec9: [0.0;2],
			fRec8: [0.0;2],
			fRec10: [0.0;2],
			fHslider2: 0.0,
			fRec12: [0.0;2],
			fRec13: [0.0;2],
			fRec15: [0.0;2],
			fRec14: [0.0;2],
			fRec17: [0.0;2],
			fRec18: [0.0;2],
			fRec19: [0.0;2],
			fRec20: [0.0;2],
			fRec21: [0.0;2],
			fRec22: [0.0;2],
			fRec23: [0.0;2],
			fRec24: [0.0;2],
			iConst2: 0,
			iRec27: [0;2],
			fHslider3: 0.0,
			fConst3: 0.0,
			fRec25: [0.0;2],
			fConst4: 0.0,
			fRec28: [0.0;2],
			fRec29: [0.0;2],
			fRec30: [0.0;2],
			fRec31: [0.0;2],
			fRec32: [0.0;2],
			fRec33: [0.0;2],
			fRec34: [0.0;2],
			fRec35: [0.0;2],
			fConst5: 0.0,
			fRec36: [0.0;2],
			fConst6: 0.0,
			fRec37: [0.0;2],
			fRec39: [0.0;2],
			fRec40: [0.0;2],
			fRec41: [0.0;2],
			fRec42: [0.0;2],
			fRec44: [0.0;2],
			fRec43: [0.0;2],
			fConst7: 0.0,
			fRec45: [0.0;2],
			fRec38: [0.0;2],
			fRec2: [0.0;2],
			fRec3: [0.0;2],
			fRec4: [0.0;2],
			fRec5: [0.0;2],
			fVec4: [0.0;2],
			fConst9: 0.0,
			fConst10: 0.0,
			fConst12: 0.0,
			fConst13: 0.0,
			fRec0: [0.0;2],
			fHslider4: 0.0,
			fHslider5: 0.0,
			fHslider6: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_Cymbal2 -pn processCymbal2 -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("envelopes.lib/ar:author", "Yann Orlarey, Stéphane Letz");
		m.declare("envelopes.lib/author", "GRAME");
		m.declare("envelopes.lib/copyright", "GRAME");
		m.declare("envelopes.lib/license", "LGPL with exception");
		m.declare("envelopes.lib/name", "Faust Envelope Library");
		m.declare("envelopes.lib/version", "0.2");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
		m.declare("vaeffects.lib/moogLadder:author", "Dario Sanfilippo");
		m.declare("vaeffects.lib/moogLadder:license", "MIT-style STK-4.3 license");
		m.declare("vaeffects.lib/name", "Faust Virtual Analog Filter Effect Library");
		m.declare("vaeffects.lib/version", "0.2");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_Cymbal2SIG0 = newDSP_Cymbal2SIG0();
		sig0.instance_initDSP_Cymbal2SIG0(sample_rate);
		sig0.fillDSP_Cymbal2SIG0(16384, unsafe { &mut ftbl0DSP_Cymbal2SIG0 });
		let mut sig1: DSP_Cymbal2SIG1 = newDSP_Cymbal2SIG1();
		sig1.instance_initDSP_Cymbal2SIG1(sample_rate);
		sig1.fillDSP_Cymbal2SIG1(144, unsafe { &mut ftbl1DSP_Cymbal2SIG1 });
		let mut sig2: DSP_Cymbal2SIG2 = newDSP_Cymbal2SIG2();
		sig2.instance_initDSP_Cymbal2SIG2(sample_rate);
		sig2.fillDSP_Cymbal2SIG2(1024, unsafe { &mut ftbl2DSP_Cymbal2SIG2 });
		let mut sig3: DSP_Cymbal2SIG3 = newDSP_Cymbal2SIG3();
		sig3.instance_initDSP_Cymbal2SIG3(sample_rate);
		sig3.fillDSP_Cymbal2SIG3(4096, unsafe { &mut ftbl3DSP_Cymbal2SIG3 });
		let mut sig4: DSP_Cymbal2SIG4 = newDSP_Cymbal2SIG4();
		sig4.instance_initDSP_Cymbal2SIG4(sample_rate);
		sig4.fillDSP_Cymbal2SIG4(100, unsafe { &mut itbl4DSP_Cymbal2SIG4 });
	}
	fn instance_reset_params(&mut self) {
		self.fEntry0 = 0.0;
		self.fHslider0 = 9e+01;
		self.fEntry1 = 0.0;
		self.fHslider1 = 0.0;
		self.fHslider2 = 5e+01;
		self.fHslider3 = 36.0;
		self.fHslider4 = 0.0;
		self.fHslider5 = 0.0;
		self.fHslider6 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l0 in 0..2 {
			self.fVec0[(l0) as usize] = 0.0;
		}
		for l1 in 0..2 {
			self.iVec1[(l1) as usize] = 0;
		}
		for l2 in 0..2 {
			self.iRec1[(l2) as usize] = 0;
		}
		for l4 in 0..2 {
			self.iVec2[(l4) as usize] = 0;
		}
		for l5 in 0..2 {
			self.fRec9[(l5) as usize] = 0.0;
		}
		for l6 in 0..2 {
			self.fRec8[(l6) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec10[(l7) as usize] = 0.0;
		}
		for l9 in 0..2 {
			self.fRec12[(l9) as usize] = 0.0;
		}
		for l10 in 0..2 {
			self.fRec13[(l10) as usize] = 0.0;
		}
		for l11 in 0..2 {
			self.fRec15[(l11) as usize] = 0.0;
		}
		for l12 in 0..2 {
			self.fRec14[(l12) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec17[(l15) as usize] = 0.0;
		}
		for l16 in 0..2 {
			self.fRec18[(l16) as usize] = 0.0;
		}
		for l17 in 0..2 {
			self.fRec19[(l17) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.fRec20[(l18) as usize] = 0.0;
		}
		for l19 in 0..2 {
			self.fRec21[(l19) as usize] = 0.0;
		}
		for l20 in 0..2 {
			self.fRec22[(l20) as usize] = 0.0;
		}
		for l21 in 0..2 {
			self.fRec23[(l21) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.fRec24[(l22) as usize] = 0.0;
		}
		for l24 in 0..2 {
			self.iRec27[(l24) as usize] = 0;
		}
		for l25 in 0..2 {
			self.fRec25[(l25) as usize] = 0.0;
		}
		for l26 in 0..2 {
			self.fRec28[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec29[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec30[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.fRec31[(l29) as usize] = 0.0;
		}
		for l30 in 0..2 {
			self.fRec32[(l30) as usize] = 0.0;
		}
		for l31 in 0..2 {
			self.fRec33[(l31) as usize] = 0.0;
		}
		for l32 in 0..2 {
			self.fRec34[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec35[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec36[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec37[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec39[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fRec40[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec41[(l38) as usize] = 0.0;
		}
		for l39 in 0..2 {
			self.fRec42[(l39) as usize] = 0.0;
		}
		for l40 in 0..2 {
			self.fRec44[(l40) as usize] = 0.0;
		}
		for l41 in 0..2 {
			self.fRec43[(l41) as usize] = 0.0;
		}
		for l42 in 0..2 {
			self.fRec45[(l42) as usize] = 0.0;
		}
		for l43 in 0..2 {
			self.fRec38[(l43) as usize] = 0.0;
		}
		for l44 in 0..2 {
			self.fRec2[(l44) as usize] = 0.0;
		}
		for l45 in 0..2 {
			self.fRec3[(l45) as usize] = 0.0;
		}
		for l46 in 0..2 {
			self.fRec4[(l46) as usize] = 0.0;
		}
		for l47 in 0..2 {
			self.fRec5[(l47) as usize] = 0.0;
		}
		for l48 in 0..2 {
			self.fVec4[(l48) as usize] = 0.0;
		}
		for l49 in 0..2 {
			self.fRec0[(l49) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		self.fConst1 = 1.0 / F32::max(1.0, 0.02 * self.fConst0);
		self.iConst2 = unsafe { itbl4DSP_Cymbal2SIG4[50] };
		self.fConst3 = 6336.0 / self.fConst0;
		self.fConst4 = 2464.0 / self.fConst0;
		self.fConst5 = 1663.2 / self.fConst0;
		self.fConst6 = 4065.6 / self.fConst0;
		self.fConst7 = 4.4e+02 / self.fConst0;
		let mut fConst8: F32 = F32::tan(62.831852 / self.fConst0);
		self.fConst9 = 1.0 / fConst8;
		self.fConst10 = 1.0 - self.fConst9;
		let mut fConst11: F32 = self.fConst9 + 1.0;
		self.fConst12 = 1.0 / fConst11;
		self.fConst13 = 0.0 - 1.0 / (fConst8 * fConst11);
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_Cymbal2::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Choke", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_num_entry("Trigger", ParamIndex(1), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(2)), "1", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(2), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(3)), "2", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(3), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "5", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Decay");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Decay", ParamIndex(4), 5e+01, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(5)), "7", "");
		ui_interface.declare(Some(ParamIndex(5)), "export", "Tone");
		ui_interface.declare(Some(ParamIndex(5)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Tone", ParamIndex(5), 9e+01, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(6)), "8", "");
		ui_interface.declare(Some(ParamIndex(6)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(6)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(6), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(7), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_horizontal_slider("key", ParamIndex(8), 36.0, 0.0, 127.0, 1.0);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			1 => Some(self.fEntry1),
			5 => Some(self.fHslider0),
			7 => Some(self.fHslider1),
			4 => Some(self.fHslider2),
			8 => Some(self.fHslider3),
			3 => Some(self.fHslider4),
			2 => Some(self.fHslider5),
			6 => Some(self.fHslider6),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			1 => { self.fEntry1 = value }
			5 => { self.fHslider0 = value }
			7 => { self.fHslider1 = value }
			4 => { self.fHslider2 = value }
			8 => { self.fHslider3 = value }
			3 => { self.fHslider4 = value }
			2 => { self.fHslider5 = value }
			6 => { self.fHslider6 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.14 * fSlow10;
		let mut fSlow12: F32 = 0.2 * fSlow10;
		let mut fSlow13: F32 = self.fHslider3;
		let mut fSlow14: F32 = F32::powf(2.0, 0.083333336 * (fSlow13 + -81.0));
		let mut fSlow15: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow14, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow16: i32 = ((fSlow15) as i32);
		let mut fSlow17: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iSlow16) as usize] };
		let mut fSlow18: F32 = fSlow17 + (fSlow15 - ((iSlow16) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iSlow16, 1)) as usize] } - fSlow17);
		let mut fSlow19: F32 = self.fConst3 * fSlow14;
		let mut fSlow20: F32 = self.fConst4 * fSlow14;
		let mut fSlow21: F32 = self.fConst5 * fSlow14;
		let mut fSlow22: F32 = self.fConst6 * fSlow14;
		let mut fSlow23: F32 = 0.14285715 * (0.33333334 * (fSlow13 + -12.0) + 1.0);
		let mut fSlow24: F32 = self.fConst7 * fSlow14;
		let mut fSlow25: F32 = 1.0 / (0.16465649 * (DSP_Cymbal2_faustpower4_f(fSlow2) * fSlow5 / DSP_Cymbal2_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow26: F32 = 2.0 * fSlow4;
		let mut fSlow27: F32 = 0.01 * self.fHslider4;
		let mut fSlow28: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + -1.0));
		let mut fSlow29: F32 = fSlow28 * F32::min(1.0, 1.0 - fSlow27);
		let mut fSlow30: F32 = fSlow28 * F32::min(1.0, fSlow27 + 1.0);
		let mut fSlow31: F32 = 0.01 * self.fHslider6 * fSlow28;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.fVec0[0] = fSlow0;
			self.iVec1[0] = 1;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec0[1]) as i32)), ((fSlow0 > self.fVec0[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_Cymbal2_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0])));
			let mut fTemp5: F32 = fTemp4 + -99.0;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp5 + 99.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp7 + 3936.0 } else { self.fRec10[1] };
			let mut fTemp8: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp9: F32 = self.fRec12[0] + 40.5;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow11) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2.24e+03 } else { self.fRec13[1] };
			let mut fTemp11: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp12: F32 = self.fRec8[0] - fTemp11;
			let mut fTemp13: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 79.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp12) / (fTemp13 * if (((fTemp12 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp11)) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp14 + fTemp10;
			let mut iTemp16: i32 = ((iTemp2 > 0) as i32);
			self.fRec15[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2208.0 } else { self.fRec15[1] };
			let mut fTemp17: F32 = self.fRec15[0] - self.fRec10[0];
			let mut fTemp18: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp17) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow12) as i32)) as usize] } * if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp19: F32 = fTemp15 + fTemp18;
			self.fRec14[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp19, self.fRec14[1] + 1.0) };
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp15) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp15) / fTemp18;
			let mut iTemp22: i32 = ((self.fRec14[0] < fTemp14) as i32);
			let mut fTemp23: F32 = (self.fRec14[0] - fTemp14) / fTemp10;
			let mut fTemp24: F32 = self.fRec14[0] / fTemp14;
			let mut fTemp25: F32 = if (iTemp20 as i32 != 0) { if (iTemp22 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp11 } else { if (iTemp22 as i32 != 0) { fTemp11 + fTemp12 * if (((self.fRec8[0] > fTemp11) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec8[0] } } } else { if (iTemp20 as i32 != 0) { self.fRec8[0] + fTemp8 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp23, 0.33333334) } else { fTemp23 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp19) as i32) as i32 != 0) { self.fRec10[0] + fTemp17 * if (((self.fRec15[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec15[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, fTemp4 + -32.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3936.0 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3.68e+03 } else { self.fRec18[1] };
			let mut fTemp30: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 30.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			self.fRec19[0] = if (iTemp3 as i32 != 0) { fTemp29 } else { self.fRec19[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp34: F32 = self.fRec17[0] - fTemp33;
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 43.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp35 + fTemp32;
			let mut fTemp37: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp38: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 15.5) as i32)) as usize] };
			let mut fTemp39: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp37) / (fTemp38 * if (((fTemp37 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp40: F32 = fTemp36 + fTemp39;
			self.fRec20[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp40, self.fRec20[1] + 1.0) };
			let mut iTemp41: i32 = ((self.fRec20[0] < fTemp36) as i32);
			let mut fTemp42: F32 = (self.fRec20[0] - fTemp36) / fTemp39;
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp35) as i32);
			let mut fTemp44: F32 = (self.fRec20[0] - fTemp35) / fTemp32;
			let mut fTemp45: F32 = self.fRec20[0] / fTemp35;
			let mut fTemp46: F32 = if (iTemp41 as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp43 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec17[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec17[0] } } } else { if (iTemp41 as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec18[0] } } } else { if (((self.fRec20[0] < fTemp40) as i32) as i32 != 0) { self.fRec18[0] + fTemp37 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp42, 0.33333334) } else { fTemp42 } } else { self.fRec19[0] } };
			let mut iTemp47: i32 = ((fTemp46) as i32);
			let mut fTemp48: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp47) as usize] };
			let mut fTemp49: F32 = 0.2857143 * fTemp5;
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 65.0));
			let mut fTemp51: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0);
			self.fRec21[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3648.0 } else { self.fRec21[1] };
			self.fRec22[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3968.0 } else { self.fRec22[1] };
			let mut fTemp52: F32 = self.fRec22[0] - self.fRec21[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 25.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			self.fRec23[0] = if (iTemp3 as i32 != 0) { fTemp51 } else { self.fRec23[1] };
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec23[0]);
			let mut fTemp55: F32 = self.fRec21[0] - fTemp54;
			let mut fTemp56: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp58: F32 = fTemp57 + fTemp53;
			let mut fTemp59: F32 = self.fRec23[0] - self.fRec22[0];
			let mut fTemp60: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp59) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 7.5) as i32)) as usize] } * if (((fTemp59 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec22[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp61: F32 = fTemp58 + fTemp60;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp61, self.fRec24[1] + 1.0) };
			let mut iTemp62: i32 = ((self.fRec24[0] < fTemp58) as i32);
			let mut fTemp63: F32 = (self.fRec24[0] - fTemp58) / fTemp60;
			let mut iTemp64: i32 = ((self.fRec24[0] < fTemp57) as i32);
			let mut fTemp65: F32 = (self.fRec24[0] - fTemp57) / fTemp53;
			let mut fTemp66: F32 = self.fRec24[0] / fTemp57;
			let mut fTemp67: F32 = if (iTemp62 as i32 != 0) { if (iTemp64 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp64 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec21[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { self.fRec21[0] } } } else { if (iTemp62 as i32 != 0) { self.fRec21[0] + fTemp52 * if (((self.fRec22[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec22[0] } } } else { if (((self.fRec24[0] < fTemp61) as i32) as i32 != 0) { self.fRec22[0] + fTemp59 * if (((self.fRec23[0] > self.fRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp63, 0.33333334) } else { fTemp63 } } else { self.fRec23[0] } };
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp68) as usize] };
			let mut iTemp70: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec27[0] = if (iTemp3 as i32 != 0) { self.iConst2 } else { self.iRec27[1] };
			let mut fTemp71: F32 = 15.996094 * (0.4 * ((self.iRec27[0]) as F32) + 128.0);
			let mut iTemp72: i32 = ((fTemp71) as i32);
			let mut fTemp73: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iTemp72) as usize] };
			let mut fTemp74: F32 = fSlow18 * (fTemp73 + (fTemp71 - ((iTemp72) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iTemp72, 1)) as usize] } - fTemp73));
			let mut fTemp75: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow19 * fTemp74 };
			self.fRec25[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow20 * fTemp74 };
			self.fRec28[0] = fTemp76 - F32::floor(fTemp76);
			let mut fTemp77: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp5 + 63.0));
			let mut fTemp78: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp77) * (fTemp77 + 28.0);
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3936.0 } else { self.fRec29[1] };
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3.68e+03 } else { self.fRec30[1] };
			let mut fTemp79: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp31 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			self.fRec31[0] = if (iTemp3 as i32 != 0) { fTemp78 } else { self.fRec31[1] };
			let mut fTemp81: F32 = F32::max(5076.0, self.fRec31[0]);
			let mut fTemp82: F32 = self.fRec29[0] - fTemp81;
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 36.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp81)) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp83 + fTemp80;
			let mut fTemp85: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec32[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec32[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec32[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec32[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp83) / fTemp80;
			let mut fTemp92: F32 = self.fRec32[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp81 } else { if (iTemp90 as i32 != 0) { fTemp81 + fTemp82 * if (((self.fRec29[0] > fTemp81) as i32) as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec29[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec29[0] + fTemp79 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } } } else { if (((self.fRec32[0] < fTemp87) as i32) as i32 != 0) { self.fRec30[0] + fTemp85 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec31[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp94) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3936.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3.68e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (fTemp31 * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = self.fRec33[0] - fTemp54;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp13 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp97;
			let mut fTemp101: F32 = self.fRec23[0] - self.fRec34[0];
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (fTemp38 * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp100 + fTemp102;
			self.fRec35[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp103, self.fRec35[1] + 1.0) };
			let mut iTemp104: i32 = ((self.fRec35[0] < fTemp100) as i32);
			let mut fTemp105: F32 = (self.fRec35[0] - fTemp100) / fTemp102;
			let mut iTemp106: i32 = ((self.fRec35[0] < fTemp99) as i32);
			let mut fTemp107: F32 = (self.fRec35[0] - fTemp99) / fTemp97;
			let mut fTemp108: F32 = self.fRec35[0] / fTemp99;
			let mut fTemp109: F32 = if (iTemp104 as i32 != 0) { if (iTemp106 as i32 != 0) { if (((self.fRec35[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp106 as i32 != 0) { fTemp54 + fTemp98 * if (((self.fRec33[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec33[0] } } } else { if (iTemp104 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp107, 0.33333334) } else { fTemp107 } } else { self.fRec34[0] } } } else { if (((self.fRec35[0] < fTemp103) as i32) as i32 != 0) { self.fRec34[0] + fTemp101 * if (((self.fRec23[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec23[0] } };
			let mut iTemp110: i32 = ((fTemp109) as i32);
			let mut fTemp111: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp110) as usize] };
			let mut fTemp112: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec36[1] + fSlow21 * fTemp74 };
			self.fRec36[0] = fTemp112 - F32::floor(fTemp112);
			let mut fTemp113: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec37[1] + fSlow22 * fTemp74 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			let mut fTemp114: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 56.0));
			let mut fTemp115: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp114) * (fTemp114 + 28.0);
			self.fRec39[0] = if (iTemp3 as i32 != 0) { fTemp115 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp3 as i32 != 0) { fTemp115 + 3616.0 } else { self.fRec40[1] };
			let mut fTemp116: F32 = self.fRec40[0] - self.fRec39[0];
			self.fRec41[0] = if (iTemp3 as i32 != 0) { fSlow23 } else { self.fRec41[1] };
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 42.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec42[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2176.0 } else { self.fRec42[1] };
			let mut fTemp118: F32 = F32::max(5076.0, self.fRec42[0]);
			let mut fTemp119: F32 = self.fRec39[0] - fTemp118;
			let mut fTemp120: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp119) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 29.5) as i32)) as usize] } * if (((fTemp119 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp118)) + 2.0) } else { 0.96 }))));
			let mut fTemp121: F32 = fTemp120 + fTemp117;
			self.fRec44[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2208.0 } else { self.fRec44[1] };
			let mut fTemp122: F32 = self.fRec44[0] - self.fRec40[0];
			let mut fTemp123: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp122) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 20.5) as i32)) as usize] } * if (((fTemp122 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp124: F32 = fTemp121 + fTemp123;
			self.fRec43[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp124, self.fRec43[1] + 1.0) };
			let mut iTemp125: i32 = ((self.fRec43[0] < fTemp121) as i32);
			let mut fTemp126: F32 = (self.fRec43[0] - fTemp121) / fTemp123;
			let mut iTemp127: i32 = ((self.fRec43[0] < fTemp120) as i32);
			let mut fTemp128: F32 = (self.fRec43[0] - fTemp120) / fTemp117;
			let mut fTemp129: F32 = self.fRec43[0] / fTemp120;
			let mut fTemp130: F32 = if (iTemp125 as i32 != 0) { if (iTemp127 as i32 != 0) { if (((self.fRec43[0] < 0.0) as i32) as i32 != 0) { fTemp118 } else { if (iTemp127 as i32 != 0) { fTemp118 + fTemp119 * if (((self.fRec39[0] > fTemp118) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec39[0] } } } else { if (iTemp125 as i32 != 0) { self.fRec39[0] + fTemp116 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp128, 0.33333334) } else { fTemp128 } } else { self.fRec40[0] } } } else { if (((self.fRec43[0] < fTemp124) as i32) as i32 != 0) { self.fRec40[0] + fTemp122 * if (((self.fRec44[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp126, 0.33333334) } else { fTemp126 } } else { self.fRec44[0] } };
			let mut iTemp131: i32 = ((fTemp130) as i32);
			let mut fTemp132: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp131) as usize] };
			let mut fTemp133: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow24 * fTemp74 };
			self.fRec45[0] = fTemp133 - F32::floor(fTemp133);
			self.fRec38[0] = 0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 24.347826 * self.fRec38[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp132 + (fTemp130 - ((iTemp131) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp131, 1)) as usize] } - fTemp132));
			let mut fTemp134: F32 = fSlow25 * (0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 17.391304 * (self.fRec38[0] + 0.115 * (unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec37[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec36[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp111 + (fTemp109 - ((iTemp110) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp110, 1)) as usize] } - fTemp111)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95)) + unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec25[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp48 + (fTemp46 - ((iTemp47) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp47, 1)) as usize] } - fTemp48)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27)) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow26 * fTemp134;
			let mut fTemp135: F32 = self.fRec2[1] + fSlow4 * fTemp134 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow26 * fTemp135;
			let mut fTemp136: F32 = self.fRec3[1] + fSlow4 * fTemp135 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow26 * fTemp136;
			let mut fTemp137: F32 = self.fRec4[1] + fSlow4 * fTemp136 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow26 * fTemp137;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp137;
			let mut fTemp138: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, self.fConst1 * (1.0 - fTemp0) + 1.0)) + -1.0) + 1.0);
			self.fVec4[0] = fTemp138;
			self.fRec0[0] = self.fConst13 * self.fVec4[1] - self.fConst12 * (self.fConst10 * self.fRec0[1] - self.fConst9 * fTemp138);
			*output0 = fSlow29 * self.fRec0[0];
			*output1 = fSlow30 * self.fRec0[0];
			*output2 = fSlow31 * self.fRec0[0];
			self.fVec0[1] = self.fVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec27[1] = self.iRec27[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_Cymbal2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_Cymbal2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Cymbal2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.14 * fSlow10;
		let mut fSlow12: F32 = 0.2 * fSlow10;
		let mut fSlow13: F32 = self.fHslider3;
		let mut fSlow14: F32 = F32::powf(2.0, 0.083333336 * (fSlow13 + -81.0));
		let mut fSlow15: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow14, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow16: i32 = ((fSlow15) as i32);
		let mut fSlow17: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iSlow16) as usize] };
		let mut fSlow18: F32 = fSlow17 + (fSlow15 - ((iSlow16) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iSlow16, 1)) as usize] } - fSlow17);
		let mut fSlow19: F32 = self.fConst3 * fSlow14;
		let mut fSlow20: F32 = self.fConst4 * fSlow14;
		let mut fSlow21: F32 = self.fConst5 * fSlow14;
		let mut fSlow22: F32 = self.fConst6 * fSlow14;
		let mut fSlow23: F32 = 0.14285715 * (0.33333334 * (fSlow13 + -12.0) + 1.0);
		let mut fSlow24: F32 = self.fConst7 * fSlow14;
		let mut fSlow25: F32 = 1.0 / (0.16465649 * (DSP_Cymbal2_faustpower4_f(fSlow2) * fSlow5 / DSP_Cymbal2_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow26: F32 = 2.0 * fSlow4;
		let mut fSlow27: F32 = 0.01 * self.fHslider4;
		let mut fSlow28: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + -1.0));
		let mut fSlow29: F32 = fSlow28 * F32::min(1.0, 1.0 - fSlow27);
		let mut fSlow30: F32 = fSlow28 * F32::min(1.0, fSlow27 + 1.0);
		let mut fSlow31: F32 = 0.01 * self.fHslider6 * fSlow28;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.fVec0[0] = fSlow0;
			self.iVec1[0] = 1;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec0[1]) as i32)), ((fSlow0 > self.fVec0[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_Cymbal2_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0])));
			let mut fTemp5: F32 = fTemp4 + -99.0;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp5 + 99.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp7 + 3936.0 } else { self.fRec10[1] };
			let mut fTemp8: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp9: F32 = self.fRec12[0] + 40.5;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow11) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2.24e+03 } else { self.fRec13[1] };
			let mut fTemp11: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp12: F32 = self.fRec8[0] - fTemp11;
			let mut fTemp13: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 79.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp12) / (fTemp13 * if (((fTemp12 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp11)) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp14 + fTemp10;
			let mut iTemp16: i32 = ((iTemp2 > 0) as i32);
			self.fRec15[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2208.0 } else { self.fRec15[1] };
			let mut fTemp17: F32 = self.fRec15[0] - self.fRec10[0];
			let mut fTemp18: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp17) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow12) as i32)) as usize] } * if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp19: F32 = fTemp15 + fTemp18;
			self.fRec14[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp19, self.fRec14[1] + 1.0) };
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp15) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp15) / fTemp18;
			let mut iTemp22: i32 = ((self.fRec14[0] < fTemp14) as i32);
			let mut fTemp23: F32 = (self.fRec14[0] - fTemp14) / fTemp10;
			let mut fTemp24: F32 = self.fRec14[0] / fTemp14;
			let mut fTemp25: F32 = if (iTemp20 as i32 != 0) { if (iTemp22 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp11 } else { if (iTemp22 as i32 != 0) { fTemp11 + fTemp12 * if (((self.fRec8[0] > fTemp11) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec8[0] } } } else { if (iTemp20 as i32 != 0) { self.fRec8[0] + fTemp8 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp23, 0.33333334) } else { fTemp23 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp19) as i32) as i32 != 0) { self.fRec10[0] + fTemp17 * if (((self.fRec15[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec15[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, fTemp4 + -32.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3936.0 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3.68e+03 } else { self.fRec18[1] };
			let mut fTemp30: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 30.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			self.fRec19[0] = if (iTemp3 as i32 != 0) { fTemp29 } else { self.fRec19[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp34: F32 = self.fRec17[0] - fTemp33;
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 43.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp35 + fTemp32;
			let mut fTemp37: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp38: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 15.5) as i32)) as usize] };
			let mut fTemp39: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp37) / (fTemp38 * if (((fTemp37 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp40: F32 = fTemp36 + fTemp39;
			self.fRec20[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp40, self.fRec20[1] + 1.0) };
			let mut iTemp41: i32 = ((self.fRec20[0] < fTemp36) as i32);
			let mut fTemp42: F32 = (self.fRec20[0] - fTemp36) / fTemp39;
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp35) as i32);
			let mut fTemp44: F32 = (self.fRec20[0] - fTemp35) / fTemp32;
			let mut fTemp45: F32 = self.fRec20[0] / fTemp35;
			let mut fTemp46: F32 = if (iTemp41 as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp43 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec17[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec17[0] } } } else { if (iTemp41 as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec18[0] } } } else { if (((self.fRec20[0] < fTemp40) as i32) as i32 != 0) { self.fRec18[0] + fTemp37 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp42, 0.33333334) } else { fTemp42 } } else { self.fRec19[0] } };
			let mut iTemp47: i32 = ((fTemp46) as i32);
			let mut fTemp48: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp47) as usize] };
			let mut fTemp49: F32 = 0.2857143 * fTemp5;
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 65.0));
			let mut fTemp51: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0);
			self.fRec21[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3648.0 } else { self.fRec21[1] };
			self.fRec22[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3968.0 } else { self.fRec22[1] };
			let mut fTemp52: F32 = self.fRec22[0] - self.fRec21[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 25.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			self.fRec23[0] = if (iTemp3 as i32 != 0) { fTemp51 } else { self.fRec23[1] };
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec23[0]);
			let mut fTemp55: F32 = self.fRec21[0] - fTemp54;
			let mut fTemp56: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp58: F32 = fTemp57 + fTemp53;
			let mut fTemp59: F32 = self.fRec23[0] - self.fRec22[0];
			let mut fTemp60: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp59) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 7.5) as i32)) as usize] } * if (((fTemp59 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec22[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp61: F32 = fTemp58 + fTemp60;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp61, self.fRec24[1] + 1.0) };
			let mut iTemp62: i32 = ((self.fRec24[0] < fTemp58) as i32);
			let mut fTemp63: F32 = (self.fRec24[0] - fTemp58) / fTemp60;
			let mut iTemp64: i32 = ((self.fRec24[0] < fTemp57) as i32);
			let mut fTemp65: F32 = (self.fRec24[0] - fTemp57) / fTemp53;
			let mut fTemp66: F32 = self.fRec24[0] / fTemp57;
			let mut fTemp67: F32 = if (iTemp62 as i32 != 0) { if (iTemp64 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp64 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec21[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { self.fRec21[0] } } } else { if (iTemp62 as i32 != 0) { self.fRec21[0] + fTemp52 * if (((self.fRec22[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec22[0] } } } else { if (((self.fRec24[0] < fTemp61) as i32) as i32 != 0) { self.fRec22[0] + fTemp59 * if (((self.fRec23[0] > self.fRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp63, 0.33333334) } else { fTemp63 } } else { self.fRec23[0] } };
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp68) as usize] };
			let mut iTemp70: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec27[0] = if (iTemp3 as i32 != 0) { self.iConst2 } else { self.iRec27[1] };
			let mut fTemp71: F32 = 15.996094 * (0.4 * ((self.iRec27[0]) as F32) + 128.0);
			let mut iTemp72: i32 = ((fTemp71) as i32);
			let mut fTemp73: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iTemp72) as usize] };
			let mut fTemp74: F32 = fSlow18 * (fTemp73 + (fTemp71 - ((iTemp72) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iTemp72, 1)) as usize] } - fTemp73));
			let mut fTemp75: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow19 * fTemp74 };
			self.fRec25[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow20 * fTemp74 };
			self.fRec28[0] = fTemp76 - F32::floor(fTemp76);
			let mut fTemp77: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp5 + 63.0));
			let mut fTemp78: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp77) * (fTemp77 + 28.0);
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3936.0 } else { self.fRec29[1] };
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3.68e+03 } else { self.fRec30[1] };
			let mut fTemp79: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp31 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			self.fRec31[0] = if (iTemp3 as i32 != 0) { fTemp78 } else { self.fRec31[1] };
			let mut fTemp81: F32 = F32::max(5076.0, self.fRec31[0]);
			let mut fTemp82: F32 = self.fRec29[0] - fTemp81;
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 36.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp81)) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp83 + fTemp80;
			let mut fTemp85: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec32[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec32[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec32[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec32[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp83) / fTemp80;
			let mut fTemp92: F32 = self.fRec32[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp81 } else { if (iTemp90 as i32 != 0) { fTemp81 + fTemp82 * if (((self.fRec29[0] > fTemp81) as i32) as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec29[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec29[0] + fTemp79 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } } } else { if (((self.fRec32[0] < fTemp87) as i32) as i32 != 0) { self.fRec30[0] + fTemp85 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec31[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp94) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3936.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3.68e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (fTemp31 * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = self.fRec33[0] - fTemp54;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp13 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp97;
			let mut fTemp101: F32 = self.fRec23[0] - self.fRec34[0];
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (fTemp38 * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp100 + fTemp102;
			self.fRec35[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp103, self.fRec35[1] + 1.0) };
			let mut iTemp104: i32 = ((self.fRec35[0] < fTemp100) as i32);
			let mut fTemp105: F32 = (self.fRec35[0] - fTemp100) / fTemp102;
			let mut iTemp106: i32 = ((self.fRec35[0] < fTemp99) as i32);
			let mut fTemp107: F32 = (self.fRec35[0] - fTemp99) / fTemp97;
			let mut fTemp108: F32 = self.fRec35[0] / fTemp99;
			let mut fTemp109: F32 = if (iTemp104 as i32 != 0) { if (iTemp106 as i32 != 0) { if (((self.fRec35[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp106 as i32 != 0) { fTemp54 + fTemp98 * if (((self.fRec33[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec33[0] } } } else { if (iTemp104 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp107, 0.33333334) } else { fTemp107 } } else { self.fRec34[0] } } } else { if (((self.fRec35[0] < fTemp103) as i32) as i32 != 0) { self.fRec34[0] + fTemp101 * if (((self.fRec23[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec23[0] } };
			let mut iTemp110: i32 = ((fTemp109) as i32);
			let mut fTemp111: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp110) as usize] };
			let mut fTemp112: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec36[1] + fSlow21 * fTemp74 };
			self.fRec36[0] = fTemp112 - F32::floor(fTemp112);
			let mut fTemp113: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec37[1] + fSlow22 * fTemp74 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			let mut fTemp114: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 56.0));
			let mut fTemp115: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp114) * (fTemp114 + 28.0);
			self.fRec39[0] = if (iTemp3 as i32 != 0) { fTemp115 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp3 as i32 != 0) { fTemp115 + 3616.0 } else { self.fRec40[1] };
			let mut fTemp116: F32 = self.fRec40[0] - self.fRec39[0];
			self.fRec41[0] = if (iTemp3 as i32 != 0) { fSlow23 } else { self.fRec41[1] };
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 42.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec42[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2176.0 } else { self.fRec42[1] };
			let mut fTemp118: F32 = F32::max(5076.0, self.fRec42[0]);
			let mut fTemp119: F32 = self.fRec39[0] - fTemp118;
			let mut fTemp120: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp119) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 29.5) as i32)) as usize] } * if (((fTemp119 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp118)) + 2.0) } else { 0.96 }))));
			let mut fTemp121: F32 = fTemp120 + fTemp117;
			self.fRec44[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2208.0 } else { self.fRec44[1] };
			let mut fTemp122: F32 = self.fRec44[0] - self.fRec40[0];
			let mut fTemp123: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp122) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 20.5) as i32)) as usize] } * if (((fTemp122 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp124: F32 = fTemp121 + fTemp123;
			self.fRec43[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp124, self.fRec43[1] + 1.0) };
			let mut iTemp125: i32 = ((self.fRec43[0] < fTemp121) as i32);
			let mut fTemp126: F32 = (self.fRec43[0] - fTemp121) / fTemp123;
			let mut iTemp127: i32 = ((self.fRec43[0] < fTemp120) as i32);
			let mut fTemp128: F32 = (self.fRec43[0] - fTemp120) / fTemp117;
			let mut fTemp129: F32 = self.fRec43[0] / fTemp120;
			let mut fTemp130: F32 = if (iTemp125 as i32 != 0) { if (iTemp127 as i32 != 0) { if (((self.fRec43[0] < 0.0) as i32) as i32 != 0) { fTemp118 } else { if (iTemp127 as i32 != 0) { fTemp118 + fTemp119 * if (((self.fRec39[0] > fTemp118) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec39[0] } } } else { if (iTemp125 as i32 != 0) { self.fRec39[0] + fTemp116 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp128, 0.33333334) } else { fTemp128 } } else { self.fRec40[0] } } } else { if (((self.fRec43[0] < fTemp124) as i32) as i32 != 0) { self.fRec40[0] + fTemp122 * if (((self.fRec44[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp126, 0.33333334) } else { fTemp126 } } else { self.fRec44[0] } };
			let mut iTemp131: i32 = ((fTemp130) as i32);
			let mut fTemp132: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp131) as usize] };
			let mut fTemp133: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow24 * fTemp74 };
			self.fRec45[0] = fTemp133 - F32::floor(fTemp133);
			self.fRec38[0] = 0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 24.347826 * self.fRec38[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp132 + (fTemp130 - ((iTemp131) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp131, 1)) as usize] } - fTemp132));
			let mut fTemp134: F32 = fSlow25 * (0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 17.391304 * (self.fRec38[0] + 0.115 * (unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec37[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec36[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp111 + (fTemp109 - ((iTemp110) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp110, 1)) as usize] } - fTemp111)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95)) + unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec25[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp48 + (fTemp46 - ((iTemp47) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp47, 1)) as usize] } - fTemp48)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27)) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow26 * fTemp134;
			let mut fTemp135: F32 = self.fRec2[1] + fSlow4 * fTemp134 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow26 * fTemp135;
			let mut fTemp136: F32 = self.fRec3[1] + fSlow4 * fTemp135 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow26 * fTemp136;
			let mut fTemp137: F32 = self.fRec4[1] + fSlow4 * fTemp136 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow26 * fTemp137;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp137;
			let mut fTemp138: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, self.fConst1 * (1.0 - fTemp0) + 1.0)) + -1.0) + 1.0);
			self.fVec4[0] = fTemp138;
			self.fRec0[0] = self.fConst13 * self.fVec4[1] - self.fConst12 * (self.fConst10 * self.fRec0[1] - self.fConst9 * fTemp138);
			*output0 = fSlow29 * self.fRec0[0];
			*output1 = fSlow30 * self.fRec0[0];
			*output2 = fSlow31 * self.fRec0[0];
			self.fVec0[1] = self.fVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec27[1] = self.iRec27[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Cymbal2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_Cymbal2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Cymbal2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.14 * fSlow10;
		let mut fSlow12: F32 = 0.2 * fSlow10;
		let mut fSlow13: F32 = self.fHslider3;
		let mut fSlow14: F32 = F32::powf(2.0, 0.083333336 * (fSlow13 + -81.0));
		let mut fSlow15: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow14, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow16: i32 = ((fSlow15) as i32);
		let mut fSlow17: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iSlow16) as usize] };
		let mut fSlow18: F32 = fSlow17 + (fSlow15 - ((iSlow16) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iSlow16, 1)) as usize] } - fSlow17);
		let mut fSlow19: F32 = self.fConst3 * fSlow14;
		let mut fSlow20: F32 = self.fConst4 * fSlow14;
		let mut fSlow21: F32 = self.fConst5 * fSlow14;
		let mut fSlow22: F32 = self.fConst6 * fSlow14;
		let mut fSlow23: F32 = 0.14285715 * (0.33333334 * (fSlow13 + -12.0) + 1.0);
		let mut fSlow24: F32 = self.fConst7 * fSlow14;
		let mut fSlow25: F32 = 1.0 / (0.16465649 * (DSP_Cymbal2_faustpower4_f(fSlow2) * fSlow5 / DSP_Cymbal2_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow26: F32 = 2.0 * fSlow4;
		let mut fSlow27: F32 = 0.01 * self.fHslider4;
		let mut fSlow28: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + -1.0));
		let mut fSlow29: F32 = fSlow28 * F32::min(1.0, 1.0 - fSlow27);
		let mut fSlow30: F32 = fSlow28 * F32::min(1.0, fSlow27 + 1.0);
		let mut fSlow31: F32 = 0.01 * self.fHslider6 * fSlow28;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.fVec0[0] = fSlow0;
			self.iVec1[0] = 1;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec0[1]) as i32)), ((fSlow0 > self.fVec0[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_Cymbal2_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0])));
			let mut fTemp5: F32 = fTemp4 + -99.0;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp5 + 99.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp7 + 3936.0 } else { self.fRec10[1] };
			let mut fTemp8: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp9: F32 = self.fRec12[0] + 40.5;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow11) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2.24e+03 } else { self.fRec13[1] };
			let mut fTemp11: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp12: F32 = self.fRec8[0] - fTemp11;
			let mut fTemp13: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 79.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp12) / (fTemp13 * if (((fTemp12 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp11)) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp14 + fTemp10;
			let mut iTemp16: i32 = ((iTemp2 > 0) as i32);
			self.fRec15[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2208.0 } else { self.fRec15[1] };
			let mut fTemp17: F32 = self.fRec15[0] - self.fRec10[0];
			let mut fTemp18: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp17) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow12) as i32)) as usize] } * if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp19: F32 = fTemp15 + fTemp18;
			self.fRec14[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp19, self.fRec14[1] + 1.0) };
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp15) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp15) / fTemp18;
			let mut iTemp22: i32 = ((self.fRec14[0] < fTemp14) as i32);
			let mut fTemp23: F32 = (self.fRec14[0] - fTemp14) / fTemp10;
			let mut fTemp24: F32 = self.fRec14[0] / fTemp14;
			let mut fTemp25: F32 = if (iTemp20 as i32 != 0) { if (iTemp22 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp11 } else { if (iTemp22 as i32 != 0) { fTemp11 + fTemp12 * if (((self.fRec8[0] > fTemp11) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec8[0] } } } else { if (iTemp20 as i32 != 0) { self.fRec8[0] + fTemp8 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp23, 0.33333334) } else { fTemp23 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp19) as i32) as i32 != 0) { self.fRec10[0] + fTemp17 * if (((self.fRec15[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec15[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, fTemp4 + -32.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3936.0 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3.68e+03 } else { self.fRec18[1] };
			let mut fTemp30: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 30.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			self.fRec19[0] = if (iTemp3 as i32 != 0) { fTemp29 } else { self.fRec19[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp34: F32 = self.fRec17[0] - fTemp33;
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 43.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp35 + fTemp32;
			let mut fTemp37: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp38: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 15.5) as i32)) as usize] };
			let mut fTemp39: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp37) / (fTemp38 * if (((fTemp37 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp40: F32 = fTemp36 + fTemp39;
			self.fRec20[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp40, self.fRec20[1] + 1.0) };
			let mut iTemp41: i32 = ((self.fRec20[0] < fTemp36) as i32);
			let mut fTemp42: F32 = (self.fRec20[0] - fTemp36) / fTemp39;
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp35) as i32);
			let mut fTemp44: F32 = (self.fRec20[0] - fTemp35) / fTemp32;
			let mut fTemp45: F32 = self.fRec20[0] / fTemp35;
			let mut fTemp46: F32 = if (iTemp41 as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp43 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec17[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec17[0] } } } else { if (iTemp41 as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec18[0] } } } else { if (((self.fRec20[0] < fTemp40) as i32) as i32 != 0) { self.fRec18[0] + fTemp37 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp42, 0.33333334) } else { fTemp42 } } else { self.fRec19[0] } };
			let mut iTemp47: i32 = ((fTemp46) as i32);
			let mut fTemp48: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp47) as usize] };
			let mut fTemp49: F32 = 0.2857143 * fTemp5;
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 65.0));
			let mut fTemp51: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0);
			self.fRec21[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3648.0 } else { self.fRec21[1] };
			self.fRec22[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3968.0 } else { self.fRec22[1] };
			let mut fTemp52: F32 = self.fRec22[0] - self.fRec21[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 25.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			self.fRec23[0] = if (iTemp3 as i32 != 0) { fTemp51 } else { self.fRec23[1] };
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec23[0]);
			let mut fTemp55: F32 = self.fRec21[0] - fTemp54;
			let mut fTemp56: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp58: F32 = fTemp57 + fTemp53;
			let mut fTemp59: F32 = self.fRec23[0] - self.fRec22[0];
			let mut fTemp60: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp59) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 7.5) as i32)) as usize] } * if (((fTemp59 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec22[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp61: F32 = fTemp58 + fTemp60;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp61, self.fRec24[1] + 1.0) };
			let mut iTemp62: i32 = ((self.fRec24[0] < fTemp58) as i32);
			let mut fTemp63: F32 = (self.fRec24[0] - fTemp58) / fTemp60;
			let mut iTemp64: i32 = ((self.fRec24[0] < fTemp57) as i32);
			let mut fTemp65: F32 = (self.fRec24[0] - fTemp57) / fTemp53;
			let mut fTemp66: F32 = self.fRec24[0] / fTemp57;
			let mut fTemp67: F32 = if (iTemp62 as i32 != 0) { if (iTemp64 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp64 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec21[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { self.fRec21[0] } } } else { if (iTemp62 as i32 != 0) { self.fRec21[0] + fTemp52 * if (((self.fRec22[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec22[0] } } } else { if (((self.fRec24[0] < fTemp61) as i32) as i32 != 0) { self.fRec22[0] + fTemp59 * if (((self.fRec23[0] > self.fRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp63, 0.33333334) } else { fTemp63 } } else { self.fRec23[0] } };
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp68) as usize] };
			let mut iTemp70: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec27[0] = if (iTemp3 as i32 != 0) { self.iConst2 } else { self.iRec27[1] };
			let mut fTemp71: F32 = 15.996094 * (0.4 * ((self.iRec27[0]) as F32) + 128.0);
			let mut iTemp72: i32 = ((fTemp71) as i32);
			let mut fTemp73: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iTemp72) as usize] };
			let mut fTemp74: F32 = fSlow18 * (fTemp73 + (fTemp71 - ((iTemp72) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iTemp72, 1)) as usize] } - fTemp73));
			let mut fTemp75: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow19 * fTemp74 };
			self.fRec25[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow20 * fTemp74 };
			self.fRec28[0] = fTemp76 - F32::floor(fTemp76);
			let mut fTemp77: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp5 + 63.0));
			let mut fTemp78: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp77) * (fTemp77 + 28.0);
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3936.0 } else { self.fRec29[1] };
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3.68e+03 } else { self.fRec30[1] };
			let mut fTemp79: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp31 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			self.fRec31[0] = if (iTemp3 as i32 != 0) { fTemp78 } else { self.fRec31[1] };
			let mut fTemp81: F32 = F32::max(5076.0, self.fRec31[0]);
			let mut fTemp82: F32 = self.fRec29[0] - fTemp81;
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 36.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp81)) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp83 + fTemp80;
			let mut fTemp85: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec32[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec32[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec32[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec32[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp83) / fTemp80;
			let mut fTemp92: F32 = self.fRec32[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp81 } else { if (iTemp90 as i32 != 0) { fTemp81 + fTemp82 * if (((self.fRec29[0] > fTemp81) as i32) as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec29[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec29[0] + fTemp79 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } } } else { if (((self.fRec32[0] < fTemp87) as i32) as i32 != 0) { self.fRec30[0] + fTemp85 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec31[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp94) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3936.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3.68e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (fTemp31 * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = self.fRec33[0] - fTemp54;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp13 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp97;
			let mut fTemp101: F32 = self.fRec23[0] - self.fRec34[0];
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (fTemp38 * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp100 + fTemp102;
			self.fRec35[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp103, self.fRec35[1] + 1.0) };
			let mut iTemp104: i32 = ((self.fRec35[0] < fTemp100) as i32);
			let mut fTemp105: F32 = (self.fRec35[0] - fTemp100) / fTemp102;
			let mut iTemp106: i32 = ((self.fRec35[0] < fTemp99) as i32);
			let mut fTemp107: F32 = (self.fRec35[0] - fTemp99) / fTemp97;
			let mut fTemp108: F32 = self.fRec35[0] / fTemp99;
			let mut fTemp109: F32 = if (iTemp104 as i32 != 0) { if (iTemp106 as i32 != 0) { if (((self.fRec35[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp106 as i32 != 0) { fTemp54 + fTemp98 * if (((self.fRec33[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec33[0] } } } else { if (iTemp104 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp107, 0.33333334) } else { fTemp107 } } else { self.fRec34[0] } } } else { if (((self.fRec35[0] < fTemp103) as i32) as i32 != 0) { self.fRec34[0] + fTemp101 * if (((self.fRec23[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec23[0] } };
			let mut iTemp110: i32 = ((fTemp109) as i32);
			let mut fTemp111: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp110) as usize] };
			let mut fTemp112: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec36[1] + fSlow21 * fTemp74 };
			self.fRec36[0] = fTemp112 - F32::floor(fTemp112);
			let mut fTemp113: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec37[1] + fSlow22 * fTemp74 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			let mut fTemp114: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 56.0));
			let mut fTemp115: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp114) * (fTemp114 + 28.0);
			self.fRec39[0] = if (iTemp3 as i32 != 0) { fTemp115 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp3 as i32 != 0) { fTemp115 + 3616.0 } else { self.fRec40[1] };
			let mut fTemp116: F32 = self.fRec40[0] - self.fRec39[0];
			self.fRec41[0] = if (iTemp3 as i32 != 0) { fSlow23 } else { self.fRec41[1] };
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 42.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec42[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2176.0 } else { self.fRec42[1] };
			let mut fTemp118: F32 = F32::max(5076.0, self.fRec42[0]);
			let mut fTemp119: F32 = self.fRec39[0] - fTemp118;
			let mut fTemp120: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp119) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 29.5) as i32)) as usize] } * if (((fTemp119 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp118)) + 2.0) } else { 0.96 }))));
			let mut fTemp121: F32 = fTemp120 + fTemp117;
			self.fRec44[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2208.0 } else { self.fRec44[1] };
			let mut fTemp122: F32 = self.fRec44[0] - self.fRec40[0];
			let mut fTemp123: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp122) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 20.5) as i32)) as usize] } * if (((fTemp122 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp124: F32 = fTemp121 + fTemp123;
			self.fRec43[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp124, self.fRec43[1] + 1.0) };
			let mut iTemp125: i32 = ((self.fRec43[0] < fTemp121) as i32);
			let mut fTemp126: F32 = (self.fRec43[0] - fTemp121) / fTemp123;
			let mut iTemp127: i32 = ((self.fRec43[0] < fTemp120) as i32);
			let mut fTemp128: F32 = (self.fRec43[0] - fTemp120) / fTemp117;
			let mut fTemp129: F32 = self.fRec43[0] / fTemp120;
			let mut fTemp130: F32 = if (iTemp125 as i32 != 0) { if (iTemp127 as i32 != 0) { if (((self.fRec43[0] < 0.0) as i32) as i32 != 0) { fTemp118 } else { if (iTemp127 as i32 != 0) { fTemp118 + fTemp119 * if (((self.fRec39[0] > fTemp118) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec39[0] } } } else { if (iTemp125 as i32 != 0) { self.fRec39[0] + fTemp116 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp128, 0.33333334) } else { fTemp128 } } else { self.fRec40[0] } } } else { if (((self.fRec43[0] < fTemp124) as i32) as i32 != 0) { self.fRec40[0] + fTemp122 * if (((self.fRec44[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp126, 0.33333334) } else { fTemp126 } } else { self.fRec44[0] } };
			let mut iTemp131: i32 = ((fTemp130) as i32);
			let mut fTemp132: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp131) as usize] };
			let mut fTemp133: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow24 * fTemp74 };
			self.fRec45[0] = fTemp133 - F32::floor(fTemp133);
			self.fRec38[0] = 0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 24.347826 * self.fRec38[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp132 + (fTemp130 - ((iTemp131) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp131, 1)) as usize] } - fTemp132));
			let mut fTemp134: F32 = fSlow25 * (0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 17.391304 * (self.fRec38[0] + 0.115 * (unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec37[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec36[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp111 + (fTemp109 - ((iTemp110) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp110, 1)) as usize] } - fTemp111)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95)) + unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec25[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp48 + (fTemp46 - ((iTemp47) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp47, 1)) as usize] } - fTemp48)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27)) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow26 * fTemp134;
			let mut fTemp135: F32 = self.fRec2[1] + fSlow4 * fTemp134 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow26 * fTemp135;
			let mut fTemp136: F32 = self.fRec3[1] + fSlow4 * fTemp135 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow26 * fTemp136;
			let mut fTemp137: F32 = self.fRec4[1] + fSlow4 * fTemp136 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow26 * fTemp137;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp137;
			let mut fTemp138: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, self.fConst1 * (1.0 - fTemp0) + 1.0)) + -1.0) + 1.0);
			self.fVec4[0] = fTemp138;
			self.fRec0[0] = self.fConst13 * self.fVec4[1] - self.fConst12 * (self.fConst10 * self.fRec0[1] - self.fConst9 * fTemp138);
			*output0 = fSlow29 * self.fRec0[0];
			*output1 = fSlow30 * self.fRec0[0];
			*output2 = fSlow31 * self.fRec0[0];
			self.fVec0[1] = self.fVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec27[1] = self.iRec27[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Cymbal2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_Cymbal2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Cymbal2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.14 * fSlow10;
		let mut fSlow12: F32 = 0.2 * fSlow10;
		let mut fSlow13: F32 = self.fHslider3;
		let mut fSlow14: F32 = F32::powf(2.0, 0.083333336 * (fSlow13 + -81.0));
		let mut fSlow15: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow14, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow16: i32 = ((fSlow15) as i32);
		let mut fSlow17: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iSlow16) as usize] };
		let mut fSlow18: F32 = fSlow17 + (fSlow15 - ((iSlow16) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iSlow16, 1)) as usize] } - fSlow17);
		let mut fSlow19: F32 = self.fConst3 * fSlow14;
		let mut fSlow20: F32 = self.fConst4 * fSlow14;
		let mut fSlow21: F32 = self.fConst5 * fSlow14;
		let mut fSlow22: F32 = self.fConst6 * fSlow14;
		let mut fSlow23: F32 = 0.14285715 * (0.33333334 * (fSlow13 + -12.0) + 1.0);
		let mut fSlow24: F32 = self.fConst7 * fSlow14;
		let mut fSlow25: F32 = 1.0 / (0.16465649 * (DSP_Cymbal2_faustpower4_f(fSlow2) * fSlow5 / DSP_Cymbal2_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow26: F32 = 2.0 * fSlow4;
		let mut fSlow27: F32 = 0.01 * self.fHslider4;
		let mut fSlow28: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + -1.0));
		let mut fSlow29: F32 = fSlow28 * F32::min(1.0, 1.0 - fSlow27);
		let mut fSlow30: F32 = fSlow28 * F32::min(1.0, fSlow27 + 1.0);
		let mut fSlow31: F32 = 0.01 * self.fHslider6 * fSlow28;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.fVec0[0] = fSlow0;
			self.iVec1[0] = 1;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec0[1]) as i32)), ((fSlow0 > self.fVec0[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_Cymbal2_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0])));
			let mut fTemp5: F32 = fTemp4 + -99.0;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp5 + 99.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp7 + 3936.0 } else { self.fRec10[1] };
			let mut fTemp8: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp9: F32 = self.fRec12[0] + 40.5;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow11) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2.24e+03 } else { self.fRec13[1] };
			let mut fTemp11: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp12: F32 = self.fRec8[0] - fTemp11;
			let mut fTemp13: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 79.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp12) / (fTemp13 * if (((fTemp12 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp11)) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp14 + fTemp10;
			let mut iTemp16: i32 = ((iTemp2 > 0) as i32);
			self.fRec15[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2208.0 } else { self.fRec15[1] };
			let mut fTemp17: F32 = self.fRec15[0] - self.fRec10[0];
			let mut fTemp18: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp17) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow12) as i32)) as usize] } * if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp19: F32 = fTemp15 + fTemp18;
			self.fRec14[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp19, self.fRec14[1] + 1.0) };
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp15) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp15) / fTemp18;
			let mut iTemp22: i32 = ((self.fRec14[0] < fTemp14) as i32);
			let mut fTemp23: F32 = (self.fRec14[0] - fTemp14) / fTemp10;
			let mut fTemp24: F32 = self.fRec14[0] / fTemp14;
			let mut fTemp25: F32 = if (iTemp20 as i32 != 0) { if (iTemp22 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp11 } else { if (iTemp22 as i32 != 0) { fTemp11 + fTemp12 * if (((self.fRec8[0] > fTemp11) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec8[0] } } } else { if (iTemp20 as i32 != 0) { self.fRec8[0] + fTemp8 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp23, 0.33333334) } else { fTemp23 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp19) as i32) as i32 != 0) { self.fRec10[0] + fTemp17 * if (((self.fRec15[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec15[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, fTemp4 + -32.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3936.0 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3.68e+03 } else { self.fRec18[1] };
			let mut fTemp30: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 30.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			self.fRec19[0] = if (iTemp3 as i32 != 0) { fTemp29 } else { self.fRec19[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp34: F32 = self.fRec17[0] - fTemp33;
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 43.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp35 + fTemp32;
			let mut fTemp37: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp38: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 15.5) as i32)) as usize] };
			let mut fTemp39: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp37) / (fTemp38 * if (((fTemp37 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp40: F32 = fTemp36 + fTemp39;
			self.fRec20[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp40, self.fRec20[1] + 1.0) };
			let mut iTemp41: i32 = ((self.fRec20[0] < fTemp36) as i32);
			let mut fTemp42: F32 = (self.fRec20[0] - fTemp36) / fTemp39;
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp35) as i32);
			let mut fTemp44: F32 = (self.fRec20[0] - fTemp35) / fTemp32;
			let mut fTemp45: F32 = self.fRec20[0] / fTemp35;
			let mut fTemp46: F32 = if (iTemp41 as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp43 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec17[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec17[0] } } } else { if (iTemp41 as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec18[0] } } } else { if (((self.fRec20[0] < fTemp40) as i32) as i32 != 0) { self.fRec18[0] + fTemp37 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp42, 0.33333334) } else { fTemp42 } } else { self.fRec19[0] } };
			let mut iTemp47: i32 = ((fTemp46) as i32);
			let mut fTemp48: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp47) as usize] };
			let mut fTemp49: F32 = 0.2857143 * fTemp5;
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 65.0));
			let mut fTemp51: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0);
			self.fRec21[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3648.0 } else { self.fRec21[1] };
			self.fRec22[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3968.0 } else { self.fRec22[1] };
			let mut fTemp52: F32 = self.fRec22[0] - self.fRec21[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 25.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			self.fRec23[0] = if (iTemp3 as i32 != 0) { fTemp51 } else { self.fRec23[1] };
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec23[0]);
			let mut fTemp55: F32 = self.fRec21[0] - fTemp54;
			let mut fTemp56: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp58: F32 = fTemp57 + fTemp53;
			let mut fTemp59: F32 = self.fRec23[0] - self.fRec22[0];
			let mut fTemp60: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp59) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 7.5) as i32)) as usize] } * if (((fTemp59 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec22[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp61: F32 = fTemp58 + fTemp60;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp61, self.fRec24[1] + 1.0) };
			let mut iTemp62: i32 = ((self.fRec24[0] < fTemp58) as i32);
			let mut fTemp63: F32 = (self.fRec24[0] - fTemp58) / fTemp60;
			let mut iTemp64: i32 = ((self.fRec24[0] < fTemp57) as i32);
			let mut fTemp65: F32 = (self.fRec24[0] - fTemp57) / fTemp53;
			let mut fTemp66: F32 = self.fRec24[0] / fTemp57;
			let mut fTemp67: F32 = if (iTemp62 as i32 != 0) { if (iTemp64 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp64 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec21[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { self.fRec21[0] } } } else { if (iTemp62 as i32 != 0) { self.fRec21[0] + fTemp52 * if (((self.fRec22[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec22[0] } } } else { if (((self.fRec24[0] < fTemp61) as i32) as i32 != 0) { self.fRec22[0] + fTemp59 * if (((self.fRec23[0] > self.fRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp63, 0.33333334) } else { fTemp63 } } else { self.fRec23[0] } };
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp68) as usize] };
			let mut iTemp70: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec27[0] = if (iTemp3 as i32 != 0) { self.iConst2 } else { self.iRec27[1] };
			let mut fTemp71: F32 = 15.996094 * (0.4 * ((self.iRec27[0]) as F32) + 128.0);
			let mut iTemp72: i32 = ((fTemp71) as i32);
			let mut fTemp73: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iTemp72) as usize] };
			let mut fTemp74: F32 = fSlow18 * (fTemp73 + (fTemp71 - ((iTemp72) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iTemp72, 1)) as usize] } - fTemp73));
			let mut fTemp75: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow19 * fTemp74 };
			self.fRec25[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow20 * fTemp74 };
			self.fRec28[0] = fTemp76 - F32::floor(fTemp76);
			let mut fTemp77: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp5 + 63.0));
			let mut fTemp78: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp77) * (fTemp77 + 28.0);
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3936.0 } else { self.fRec29[1] };
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3.68e+03 } else { self.fRec30[1] };
			let mut fTemp79: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp31 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			self.fRec31[0] = if (iTemp3 as i32 != 0) { fTemp78 } else { self.fRec31[1] };
			let mut fTemp81: F32 = F32::max(5076.0, self.fRec31[0]);
			let mut fTemp82: F32 = self.fRec29[0] - fTemp81;
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 36.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp81)) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp83 + fTemp80;
			let mut fTemp85: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec32[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec32[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec32[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec32[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp83) / fTemp80;
			let mut fTemp92: F32 = self.fRec32[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp81 } else { if (iTemp90 as i32 != 0) { fTemp81 + fTemp82 * if (((self.fRec29[0] > fTemp81) as i32) as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec29[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec29[0] + fTemp79 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } } } else { if (((self.fRec32[0] < fTemp87) as i32) as i32 != 0) { self.fRec30[0] + fTemp85 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec31[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp94) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3936.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3.68e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (fTemp31 * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = self.fRec33[0] - fTemp54;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp13 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp97;
			let mut fTemp101: F32 = self.fRec23[0] - self.fRec34[0];
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (fTemp38 * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp100 + fTemp102;
			self.fRec35[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp103, self.fRec35[1] + 1.0) };
			let mut iTemp104: i32 = ((self.fRec35[0] < fTemp100) as i32);
			let mut fTemp105: F32 = (self.fRec35[0] - fTemp100) / fTemp102;
			let mut iTemp106: i32 = ((self.fRec35[0] < fTemp99) as i32);
			let mut fTemp107: F32 = (self.fRec35[0] - fTemp99) / fTemp97;
			let mut fTemp108: F32 = self.fRec35[0] / fTemp99;
			let mut fTemp109: F32 = if (iTemp104 as i32 != 0) { if (iTemp106 as i32 != 0) { if (((self.fRec35[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp106 as i32 != 0) { fTemp54 + fTemp98 * if (((self.fRec33[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec33[0] } } } else { if (iTemp104 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp107, 0.33333334) } else { fTemp107 } } else { self.fRec34[0] } } } else { if (((self.fRec35[0] < fTemp103) as i32) as i32 != 0) { self.fRec34[0] + fTemp101 * if (((self.fRec23[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec23[0] } };
			let mut iTemp110: i32 = ((fTemp109) as i32);
			let mut fTemp111: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp110) as usize] };
			let mut fTemp112: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec36[1] + fSlow21 * fTemp74 };
			self.fRec36[0] = fTemp112 - F32::floor(fTemp112);
			let mut fTemp113: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec37[1] + fSlow22 * fTemp74 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			let mut fTemp114: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 56.0));
			let mut fTemp115: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp114) * (fTemp114 + 28.0);
			self.fRec39[0] = if (iTemp3 as i32 != 0) { fTemp115 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp3 as i32 != 0) { fTemp115 + 3616.0 } else { self.fRec40[1] };
			let mut fTemp116: F32 = self.fRec40[0] - self.fRec39[0];
			self.fRec41[0] = if (iTemp3 as i32 != 0) { fSlow23 } else { self.fRec41[1] };
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 42.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec42[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2176.0 } else { self.fRec42[1] };
			let mut fTemp118: F32 = F32::max(5076.0, self.fRec42[0]);
			let mut fTemp119: F32 = self.fRec39[0] - fTemp118;
			let mut fTemp120: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp119) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 29.5) as i32)) as usize] } * if (((fTemp119 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp118)) + 2.0) } else { 0.96 }))));
			let mut fTemp121: F32 = fTemp120 + fTemp117;
			self.fRec44[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2208.0 } else { self.fRec44[1] };
			let mut fTemp122: F32 = self.fRec44[0] - self.fRec40[0];
			let mut fTemp123: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp122) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 20.5) as i32)) as usize] } * if (((fTemp122 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp124: F32 = fTemp121 + fTemp123;
			self.fRec43[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp124, self.fRec43[1] + 1.0) };
			let mut iTemp125: i32 = ((self.fRec43[0] < fTemp121) as i32);
			let mut fTemp126: F32 = (self.fRec43[0] - fTemp121) / fTemp123;
			let mut iTemp127: i32 = ((self.fRec43[0] < fTemp120) as i32);
			let mut fTemp128: F32 = (self.fRec43[0] - fTemp120) / fTemp117;
			let mut fTemp129: F32 = self.fRec43[0] / fTemp120;
			let mut fTemp130: F32 = if (iTemp125 as i32 != 0) { if (iTemp127 as i32 != 0) { if (((self.fRec43[0] < 0.0) as i32) as i32 != 0) { fTemp118 } else { if (iTemp127 as i32 != 0) { fTemp118 + fTemp119 * if (((self.fRec39[0] > fTemp118) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec39[0] } } } else { if (iTemp125 as i32 != 0) { self.fRec39[0] + fTemp116 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp128, 0.33333334) } else { fTemp128 } } else { self.fRec40[0] } } } else { if (((self.fRec43[0] < fTemp124) as i32) as i32 != 0) { self.fRec40[0] + fTemp122 * if (((self.fRec44[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp126, 0.33333334) } else { fTemp126 } } else { self.fRec44[0] } };
			let mut iTemp131: i32 = ((fTemp130) as i32);
			let mut fTemp132: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp131) as usize] };
			let mut fTemp133: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow24 * fTemp74 };
			self.fRec45[0] = fTemp133 - F32::floor(fTemp133);
			self.fRec38[0] = 0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 24.347826 * self.fRec38[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp132 + (fTemp130 - ((iTemp131) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp131, 1)) as usize] } - fTemp132));
			let mut fTemp134: F32 = fSlow25 * (0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 17.391304 * (self.fRec38[0] + 0.115 * (unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec37[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec36[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp111 + (fTemp109 - ((iTemp110) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp110, 1)) as usize] } - fTemp111)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95)) + unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec25[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp48 + (fTemp46 - ((iTemp47) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp47, 1)) as usize] } - fTemp48)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27)) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow26 * fTemp134;
			let mut fTemp135: F32 = self.fRec2[1] + fSlow4 * fTemp134 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow26 * fTemp135;
			let mut fTemp136: F32 = self.fRec3[1] + fSlow4 * fTemp135 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow26 * fTemp136;
			let mut fTemp137: F32 = self.fRec4[1] + fSlow4 * fTemp136 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow26 * fTemp137;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp137;
			let mut fTemp138: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, self.fConst1 * (1.0 - fTemp0) + 1.0)) + -1.0) + 1.0);
			self.fVec4[0] = fTemp138;
			self.fRec0[0] = self.fConst13 * self.fVec4[1] - self.fConst12 * (self.fConst10 * self.fRec0[1] - self.fConst9 * fTemp138);
			*output0 = fSlow29 * self.fRec0[0];
			*output1 = fSlow30 * self.fRec0[0];
			*output2 = fSlow31 * self.fRec0[0];
			self.fVec0[1] = self.fVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec27[1] = self.iRec27[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Cymbal2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_Cymbal2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Cymbal2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.14 * fSlow10;
		let mut fSlow12: F32 = 0.2 * fSlow10;
		let mut fSlow13: F32 = self.fHslider3;
		let mut fSlow14: F32 = F32::powf(2.0, 0.083333336 * (fSlow13 + -81.0));
		let mut fSlow15: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow14, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow16: i32 = ((fSlow15) as i32);
		let mut fSlow17: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iSlow16) as usize] };
		let mut fSlow18: F32 = fSlow17 + (fSlow15 - ((iSlow16) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iSlow16, 1)) as usize] } - fSlow17);
		let mut fSlow19: F32 = self.fConst3 * fSlow14;
		let mut fSlow20: F32 = self.fConst4 * fSlow14;
		let mut fSlow21: F32 = self.fConst5 * fSlow14;
		let mut fSlow22: F32 = self.fConst6 * fSlow14;
		let mut fSlow23: F32 = 0.14285715 * (0.33333334 * (fSlow13 + -12.0) + 1.0);
		let mut fSlow24: F32 = self.fConst7 * fSlow14;
		let mut fSlow25: F32 = 1.0 / (0.16465649 * (DSP_Cymbal2_faustpower4_f(fSlow2) * fSlow5 / DSP_Cymbal2_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow26: F32 = 2.0 * fSlow4;
		let mut fSlow27: F32 = 0.01 * self.fHslider4;
		let mut fSlow28: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider5 + -1.0));
		let mut fSlow29: F32 = fSlow28 * F32::min(1.0, 1.0 - fSlow27);
		let mut fSlow30: F32 = fSlow28 * F32::min(1.0, fSlow27 + 1.0);
		let mut fSlow31: F32 = 0.01 * self.fHslider6 * fSlow28;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.fVec0[0] = fSlow0;
			self.iVec1[0] = 1;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec0[1]) as i32)), ((fSlow0 > self.fVec0[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_Cymbal2_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0])));
			let mut fTemp5: F32 = fTemp4 + -99.0;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp5 + 99.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp7 + 3936.0 } else { self.fRec10[1] };
			let mut fTemp8: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp9: F32 = self.fRec12[0] + 40.5;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow11) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2.24e+03 } else { self.fRec13[1] };
			let mut fTemp11: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp12: F32 = self.fRec8[0] - fTemp11;
			let mut fTemp13: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 79.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp12) / (fTemp13 * if (((fTemp12 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp11)) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp14 + fTemp10;
			let mut iTemp16: i32 = ((iTemp2 > 0) as i32);
			self.fRec15[0] = if (iTemp3 as i32 != 0) { fTemp7 + 2208.0 } else { self.fRec15[1] };
			let mut fTemp17: F32 = self.fRec15[0] - self.fRec10[0];
			let mut fTemp18: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp17) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9 - fSlow12) as i32)) as usize] } * if (((fTemp17 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp19: F32 = fTemp15 + fTemp18;
			self.fRec14[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp19, self.fRec14[1] + 1.0) };
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp15) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp15) / fTemp18;
			let mut iTemp22: i32 = ((self.fRec14[0] < fTemp14) as i32);
			let mut fTemp23: F32 = (self.fRec14[0] - fTemp14) / fTemp10;
			let mut fTemp24: F32 = self.fRec14[0] / fTemp14;
			let mut fTemp25: F32 = if (iTemp20 as i32 != 0) { if (iTemp22 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp11 } else { if (iTemp22 as i32 != 0) { fTemp11 + fTemp12 * if (((self.fRec8[0] > fTemp11) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec8[0] } } } else { if (iTemp20 as i32 != 0) { self.fRec8[0] + fTemp8 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp23, 0.33333334) } else { fTemp23 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp19) as i32) as i32 != 0) { self.fRec10[0] + fTemp17 * if (((self.fRec15[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec15[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, fTemp4 + -32.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3936.0 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp3 as i32 != 0) { fTemp29 + 3.68e+03 } else { self.fRec18[1] };
			let mut fTemp30: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 30.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			self.fRec19[0] = if (iTemp3 as i32 != 0) { fTemp29 } else { self.fRec19[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp34: F32 = self.fRec17[0] - fTemp33;
			let mut fTemp35: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 43.5) as i32)) as usize] } * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp36: F32 = fTemp35 + fTemp32;
			let mut fTemp37: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp38: F32 = unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 15.5) as i32)) as usize] };
			let mut fTemp39: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp37) / (fTemp38 * if (((fTemp37 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp40: F32 = fTemp36 + fTemp39;
			self.fRec20[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp40, self.fRec20[1] + 1.0) };
			let mut iTemp41: i32 = ((self.fRec20[0] < fTemp36) as i32);
			let mut fTemp42: F32 = (self.fRec20[0] - fTemp36) / fTemp39;
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp35) as i32);
			let mut fTemp44: F32 = (self.fRec20[0] - fTemp35) / fTemp32;
			let mut fTemp45: F32 = self.fRec20[0] / fTemp35;
			let mut fTemp46: F32 = if (iTemp41 as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp43 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec17[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec17[0] } } } else { if (iTemp41 as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec18[0] } } } else { if (((self.fRec20[0] < fTemp40) as i32) as i32 != 0) { self.fRec18[0] + fTemp37 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp42, 0.33333334) } else { fTemp42 } } else { self.fRec19[0] } };
			let mut iTemp47: i32 = ((fTemp46) as i32);
			let mut fTemp48: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp47) as usize] };
			let mut fTemp49: F32 = 0.2857143 * fTemp5;
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 65.0));
			let mut fTemp51: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0);
			self.fRec21[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3648.0 } else { self.fRec21[1] };
			self.fRec22[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3968.0 } else { self.fRec22[1] };
			let mut fTemp52: F32 = self.fRec22[0] - self.fRec21[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 25.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			self.fRec23[0] = if (iTemp3 as i32 != 0) { fTemp51 } else { self.fRec23[1] };
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec23[0]);
			let mut fTemp55: F32 = self.fRec21[0] - fTemp54;
			let mut fTemp56: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0);
			let mut fTemp57: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((fTemp9) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp58: F32 = fTemp57 + fTemp53;
			let mut fTemp59: F32 = self.fRec23[0] - self.fRec22[0];
			let mut fTemp60: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp59) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 7.5) as i32)) as usize] } * if (((fTemp59 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec22[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp61: F32 = fTemp58 + fTemp60;
			self.fRec24[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp61, self.fRec24[1] + 1.0) };
			let mut iTemp62: i32 = ((self.fRec24[0] < fTemp58) as i32);
			let mut fTemp63: F32 = (self.fRec24[0] - fTemp58) / fTemp60;
			let mut iTemp64: i32 = ((self.fRec24[0] < fTemp57) as i32);
			let mut fTemp65: F32 = (self.fRec24[0] - fTemp57) / fTemp53;
			let mut fTemp66: F32 = self.fRec24[0] / fTemp57;
			let mut fTemp67: F32 = if (iTemp62 as i32 != 0) { if (iTemp64 as i32 != 0) { if (((self.fRec24[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp64 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec21[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp66, 0.33333334) } else { fTemp66 } } else { self.fRec21[0] } } } else { if (iTemp62 as i32 != 0) { self.fRec21[0] + fTemp52 * if (((self.fRec22[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec22[0] } } } else { if (((self.fRec24[0] < fTemp61) as i32) as i32 != 0) { self.fRec22[0] + fTemp59 * if (((self.fRec23[0] > self.fRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp63, 0.33333334) } else { fTemp63 } } else { self.fRec23[0] } };
			let mut iTemp68: i32 = ((fTemp67) as i32);
			let mut fTemp69: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp68) as usize] };
			let mut iTemp70: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec27[0] = if (iTemp3 as i32 != 0) { self.iConst2 } else { self.iRec27[1] };
			let mut fTemp71: F32 = 15.996094 * (0.4 * ((self.iRec27[0]) as F32) + 128.0);
			let mut iTemp72: i32 = ((fTemp71) as i32);
			let mut fTemp73: F32 = unsafe { ftbl3DSP_Cymbal2SIG3[(iTemp72) as usize] };
			let mut fTemp74: F32 = fSlow18 * (fTemp73 + (fTemp71 - ((iTemp72) as F32)) * (unsafe { ftbl3DSP_Cymbal2SIG3[(i32::wrapping_add(iTemp72, 1)) as usize] } - fTemp73));
			let mut fTemp75: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow19 * fTemp74 };
			self.fRec25[0] = fTemp75 - F32::floor(fTemp75);
			let mut fTemp76: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow20 * fTemp74 };
			self.fRec28[0] = fTemp76 - F32::floor(fTemp76);
			let mut fTemp77: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp5 + 63.0));
			let mut fTemp78: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp77) * (fTemp77 + 28.0);
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3936.0 } else { self.fRec29[1] };
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp78 + 3.68e+03 } else { self.fRec30[1] };
			let mut fTemp79: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp31 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			self.fRec31[0] = if (iTemp3 as i32 != 0) { fTemp78 } else { self.fRec31[1] };
			let mut fTemp81: F32 = F32::max(5076.0, self.fRec31[0]);
			let mut fTemp82: F32 = self.fRec29[0] - fTemp81;
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 36.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp81)) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp83 + fTemp80;
			let mut fTemp85: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec12[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec32[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec32[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec32[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec32[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp83) / fTemp80;
			let mut fTemp92: F32 = self.fRec32[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp81 } else { if (iTemp90 as i32 != 0) { fTemp81 + fTemp82 * if (((self.fRec29[0] > fTemp81) as i32) as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec29[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec29[0] + fTemp79 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } } } else { if (((self.fRec32[0] < fTemp87) as i32) as i32 != 0) { self.fRec30[0] + fTemp85 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec31[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp94) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3936.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp3 as i32 != 0) { fTemp51 + 3.68e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (fTemp31 * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp98: F32 = self.fRec33[0] - fTemp54;
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp13 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { fTemp56 } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp99 + fTemp97;
			let mut fTemp101: F32 = self.fRec23[0] - self.fRec34[0];
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (fTemp38 * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp100 + fTemp102;
			self.fRec35[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp103, self.fRec35[1] + 1.0) };
			let mut iTemp104: i32 = ((self.fRec35[0] < fTemp100) as i32);
			let mut fTemp105: F32 = (self.fRec35[0] - fTemp100) / fTemp102;
			let mut iTemp106: i32 = ((self.fRec35[0] < fTemp99) as i32);
			let mut fTemp107: F32 = (self.fRec35[0] - fTemp99) / fTemp97;
			let mut fTemp108: F32 = self.fRec35[0] / fTemp99;
			let mut fTemp109: F32 = if (iTemp104 as i32 != 0) { if (iTemp106 as i32 != 0) { if (((self.fRec35[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp106 as i32 != 0) { fTemp54 + fTemp98 * if (((self.fRec33[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec33[0] } } } else { if (iTemp104 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp107, 0.33333334) } else { fTemp107 } } else { self.fRec34[0] } } } else { if (((self.fRec35[0] < fTemp103) as i32) as i32 != 0) { self.fRec34[0] + fTemp101 * if (((self.fRec23[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec23[0] } };
			let mut iTemp110: i32 = ((fTemp109) as i32);
			let mut fTemp111: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp110) as usize] };
			let mut fTemp112: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec36[1] + fSlow21 * fTemp74 };
			self.fRec36[0] = fTemp112 - F32::floor(fTemp112);
			let mut fTemp113: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec37[1] + fSlow22 * fTemp74 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			let mut fTemp114: F32 = F32::max(0.0, F32::min(127.0, fTemp49 + 56.0));
			let mut fTemp115: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp114) * (fTemp114 + 28.0);
			self.fRec39[0] = if (iTemp3 as i32 != 0) { fTemp115 + 4064.0 } else { self.fRec39[1] };
			self.fRec40[0] = if (iTemp3 as i32 != 0) { fTemp115 + 3616.0 } else { self.fRec40[1] };
			let mut fTemp116: F32 = self.fRec40[0] - self.fRec39[0];
			self.fRec41[0] = if (iTemp3 as i32 != 0) { fSlow23 } else { self.fRec41[1] };
			let mut fTemp117: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp116) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 42.5) as i32)) as usize] } * if (((fTemp116 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec39[0])) + 2.0) } else { 0.96 }))));
			self.fRec42[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2176.0 } else { self.fRec42[1] };
			let mut fTemp118: F32 = F32::max(5076.0, self.fRec42[0]);
			let mut fTemp119: F32 = self.fRec39[0] - fTemp118;
			let mut fTemp120: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp119) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 29.5) as i32)) as usize] } * if (((fTemp119 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp118)) + 2.0) } else { 0.96 }))));
			let mut fTemp121: F32 = fTemp120 + fTemp117;
			self.fRec44[0] = if (iTemp3 as i32 != 0) { fTemp115 + 2208.0 } else { self.fRec44[1] };
			let mut fTemp122: F32 = self.fRec44[0] - self.fRec40[0];
			let mut fTemp123: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp122) / (unsafe { ftbl1DSP_Cymbal2SIG1[(((self.fRec41[0] + 20.5) as i32)) as usize] } * if (((fTemp122 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec40[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp124: F32 = fTemp121 + fTemp123;
			self.fRec43[0] = if (iTemp16 as i32 != 0) { 0.0 } else { F32::min(fTemp124, self.fRec43[1] + 1.0) };
			let mut iTemp125: i32 = ((self.fRec43[0] < fTemp121) as i32);
			let mut fTemp126: F32 = (self.fRec43[0] - fTemp121) / fTemp123;
			let mut iTemp127: i32 = ((self.fRec43[0] < fTemp120) as i32);
			let mut fTemp128: F32 = (self.fRec43[0] - fTemp120) / fTemp117;
			let mut fTemp129: F32 = self.fRec43[0] / fTemp120;
			let mut fTemp130: F32 = if (iTemp125 as i32 != 0) { if (iTemp127 as i32 != 0) { if (((self.fRec43[0] < 0.0) as i32) as i32 != 0) { fTemp118 } else { if (iTemp127 as i32 != 0) { fTemp118 + fTemp119 * if (((self.fRec39[0] > fTemp118) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec39[0] } } } else { if (iTemp125 as i32 != 0) { self.fRec39[0] + fTemp116 * if (((self.fRec40[0] > self.fRec39[0]) as i32) as i32 != 0) { F32::powf(fTemp128, 0.33333334) } else { fTemp128 } } else { self.fRec40[0] } } } else { if (((self.fRec43[0] < fTemp124) as i32) as i32 != 0) { self.fRec40[0] + fTemp122 * if (((self.fRec44[0] > self.fRec40[0]) as i32) as i32 != 0) { F32::powf(fTemp126, 0.33333334) } else { fTemp126 } } else { self.fRec44[0] } };
			let mut iTemp131: i32 = ((fTemp130) as i32);
			let mut fTemp132: F32 = unsafe { ftbl0DSP_Cymbal2SIG0[(iTemp131) as usize] };
			let mut fTemp133: F32 = if (iTemp70 as i32 != 0) { 0.0 } else { self.fRec45[1] + fSlow24 * fTemp74 };
			self.fRec45[0] = fTemp133 - F32::floor(fTemp133);
			self.fRec38[0] = 0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 24.347826 * self.fRec38[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp132 + (fTemp130 - ((iTemp131) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp131, 1)) as usize] } - fTemp132));
			let mut fTemp134: F32 = fSlow25 * (0.115 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec45[0] + 17.391304 * (self.fRec38[0] + 0.115 * (unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec37[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec36[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp111 + (fTemp109 - ((iTemp110) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp110, 1)) as usize] } - fTemp111)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95)) + unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Cymbal2SIG2[(((1024.0 * self.fRec25[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp69 + (fTemp67 - ((iTemp68) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp68, 1)) as usize] } - fTemp69)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp48 + (fTemp46 - ((iTemp47) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp47, 1)) as usize] } - fTemp48)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Cymbal2SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27)) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow26 * fTemp134;
			let mut fTemp135: F32 = self.fRec2[1] + fSlow4 * fTemp134 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow26 * fTemp135;
			let mut fTemp136: F32 = self.fRec3[1] + fSlow4 * fTemp135 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow26 * fTemp136;
			let mut fTemp137: F32 = self.fRec4[1] + fSlow4 * fTemp136 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow26 * fTemp137;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp137;
			let mut fTemp138: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, self.fConst1 * (1.0 - fTemp0) + 1.0)) + -1.0) + 1.0);
			self.fVec4[0] = fTemp138;
			self.fRec0[0] = self.fConst13 * self.fVec4[1] - self.fConst12 * (self.fConst10 * self.fRec0[1] - self.fConst9 * fTemp138);
			*output0 = fSlow29 * self.fRec0[0];
			*output1 = fSlow30 * self.fRec0[0];
			*output2 = fSlow31 * self.fRec0[0];
			self.fVec0[1] = self.fVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec27[1] = self.iRec27[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec41[1] = self.fRec41[0];
			self.fRec42[1] = self.fRec42[0];
			self.fRec44[1] = self.fRec44[0];
			self.fRec43[1] = self.fRec43[0];
			self.fRec45[1] = self.fRec45[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
