// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_HihatOpen -pn processHihatOpen -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_HihatOpenSIG0 {
	iRec7: [i32;2],
}

impl DSP_HihatOpenSIG0 {
	
	fn get_num_inputsDSP_HihatOpenSIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_HihatOpenSIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_HihatOpenSIG0(&mut self, sample_rate: i32) {
		for l3 in 0..2 {
			self.iRec7[(l3) as usize] = 0;
		}
	}
	
	fn fillDSP_HihatOpenSIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec7[0] = i32::wrapping_add(self.iRec7[1], 1);
			let mut fTemp1: F32 = ((i32::wrapping_add(self.iRec7[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp1))))) * (((((7.2e+03 - fTemp1) < 3824.0) as i32)) as F32);
			self.iRec7[1] = self.iRec7[0];
		}
	}

}


pub fn newDSP_HihatOpenSIG0() -> DSP_HihatOpenSIG0 { 
	DSP_HihatOpenSIG0 {
		iRec7: [0;2],
	}
}

pub struct DSP_HihatOpenSIG1 {
	iRec11: [i32;2],
}

impl DSP_HihatOpenSIG1 {
	
	fn get_num_inputsDSP_HihatOpenSIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_HihatOpenSIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_HihatOpenSIG1(&mut self, sample_rate: i32) {
		for l8 in 0..2 {
			self.iRec11[(l8) as usize] = 0;
		}
	}
	
	fn fillDSP_HihatOpenSIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec11[0] = i32::wrapping_add(self.iRec11[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec11[0], -1)) as F32));
			self.iRec11[1] = self.iRec11[0];
		}
	}

}


pub fn newDSP_HihatOpenSIG1() -> DSP_HihatOpenSIG1 { 
	DSP_HihatOpenSIG1 {
		iRec11: [0;2],
	}
}

pub struct DSP_HihatOpenSIG2 {
	iVec3: [i32;2],
	iRec15: [i32;2],
}

impl DSP_HihatOpenSIG2 {
	
	fn get_num_inputsDSP_HihatOpenSIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_HihatOpenSIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_HihatOpenSIG2(&mut self, sample_rate: i32) {
		for l12 in 0..2 {
			self.iVec3[(l12) as usize] = 0;
		}
		for l13 in 0..2 {
			self.iRec15[(l13) as usize] = 0;
		}
	}
	
	fn fillDSP_HihatOpenSIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec3[0] = 1;
			self.iRec15[0] = (i32::wrapping_add(self.iVec3[1], self.iRec15[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec15[0]) as F32));
			self.iVec3[1] = self.iVec3[0];
			self.iRec15[1] = self.iRec15[0];
		}
	}

}


pub fn newDSP_HihatOpenSIG2() -> DSP_HihatOpenSIG2 { 
	DSP_HihatOpenSIG2 {
		iVec3: [0;2],
		iRec15: [0;2],
	}
}

pub struct DSP_HihatOpenSIG3 {
	iRec22: [i32;2],
}

impl DSP_HihatOpenSIG3 {
	
	fn get_num_inputsDSP_HihatOpenSIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_HihatOpenSIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_HihatOpenSIG3(&mut self, sample_rate: i32) {
		for l19 in 0..2 {
			self.iRec22[(l19) as usize] = 0;
		}
	}
	
	fn fillDSP_HihatOpenSIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec22[0] = i32::wrapping_add(self.iRec22[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec22[0], -1)) as F32) + -128.0));
			self.iRec22[1] = self.iRec22[0];
		}
	}

}


pub fn newDSP_HihatOpenSIG3() -> DSP_HihatOpenSIG3 { 
	DSP_HihatOpenSIG3 {
		iRec22: [0;2],
	}
}
static mut ftbl0DSP_HihatOpenSIG0: [F32;16384] = [0.0;16384];
fn DSP_HihatOpen_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl1DSP_HihatOpenSIG1: [F32;144] = [0.0;144];
static mut ftbl2DSP_HihatOpenSIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_HihatOpenSIG3: [F32;4096] = [0.0;4096];
fn DSP_HihatOpen_faustpower4_f(value: F32) -> F32 {
	return value * value * value * value;
}

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_HihatOpen {
	iVec0: [i32;2],
	fSampleRate: i32,
	fConst0: F32,
	fConst2: F32,
	fConst3: F32,
	fEntry0: F32,
	fVec1: [F32;2],
	iRec1: [i32;2],
	fConst4: F32,
	fHslider0: F32,
	fEntry1: F32,
	iVec2: [i32;2],
	fHslider1: F32,
	fRec9: [F32;2],
	fRec8: [F32;2],
	fRec10: [F32;2],
	fHslider2: F32,
	fRec12: [F32;2],
	fRec13: [F32;2],
	fRec14: [F32;2],
	fRec16: [F32;2],
	fRec17: [F32;2],
	fConst5: F32,
	fRec18: [F32;2],
	fRec19: [F32;2],
	fConst6: F32,
	fRec20: [F32;2],
	fConst9: F32,
	fRec21: [F32;2],
	fConst11: F32,
	fRec23: [F32;2],
	fRec24: [F32;2],
	fRec25: [F32;2],
	fConst13: F32,
	fRec26: [F32;2],
	fConst15: F32,
	fRec27: [F32;2],
	fRec28: [F32;2],
	fRec29: [F32;2],
	fRec30: [F32;2],
	fRec31: [F32;2],
	fRec33: [F32;2],
	fRec34: [F32;2],
	fConst17: F32,
	fRec35: [F32;2],
	fRec32: [F32;2],
	fConst19: F32,
	fRec36: [F32;2],
	fRec2: [F32;2],
	fRec3: [F32;2],
	fRec4: [F32;2],
	fRec5: [F32;2],
	fVec4: [F32;2],
	fConst21: F32,
	fConst22: F32,
	fRec0: [F32;2],
	fHslider3: F32,
	fHslider4: F32,
	fHslider5: F32,
}

impl FaustDsp for DSP_HihatOpen {
	type T = F32;
		
	fn new() -> DSP_HihatOpen { 
		DSP_HihatOpen {
			iVec0: [0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fConst2: 0.0,
			fConst3: 0.0,
			fEntry0: 0.0,
			fVec1: [0.0;2],
			iRec1: [0;2],
			fConst4: 0.0,
			fHslider0: 0.0,
			fEntry1: 0.0,
			iVec2: [0;2],
			fHslider1: 0.0,
			fRec9: [0.0;2],
			fRec8: [0.0;2],
			fRec10: [0.0;2],
			fHslider2: 0.0,
			fRec12: [0.0;2],
			fRec13: [0.0;2],
			fRec14: [0.0;2],
			fRec16: [0.0;2],
			fRec17: [0.0;2],
			fConst5: 0.0,
			fRec18: [0.0;2],
			fRec19: [0.0;2],
			fConst6: 0.0,
			fRec20: [0.0;2],
			fConst9: 0.0,
			fRec21: [0.0;2],
			fConst11: 0.0,
			fRec23: [0.0;2],
			fRec24: [0.0;2],
			fRec25: [0.0;2],
			fConst13: 0.0,
			fRec26: [0.0;2],
			fConst15: 0.0,
			fRec27: [0.0;2],
			fRec28: [0.0;2],
			fRec29: [0.0;2],
			fRec30: [0.0;2],
			fRec31: [0.0;2],
			fRec33: [0.0;2],
			fRec34: [0.0;2],
			fConst17: 0.0,
			fRec35: [0.0;2],
			fRec32: [0.0;2],
			fConst19: 0.0,
			fRec36: [0.0;2],
			fRec2: [0.0;2],
			fRec3: [0.0;2],
			fRec4: [0.0;2],
			fRec5: [0.0;2],
			fVec4: [0.0;2],
			fConst21: 0.0,
			fConst22: 0.0,
			fRec0: [0.0;2],
			fHslider3: 0.0,
			fHslider4: 0.0,
			fHslider5: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_HihatOpen -pn processHihatOpen -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("envelopes.lib/ar:author", "Yann Orlarey, Stéphane Letz");
		m.declare("envelopes.lib/author", "GRAME");
		m.declare("envelopes.lib/copyright", "GRAME");
		m.declare("envelopes.lib/license", "LGPL with exception");
		m.declare("envelopes.lib/name", "Faust Envelope Library");
		m.declare("envelopes.lib/version", "0.2");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
		m.declare("vaeffects.lib/moogLadder:author", "Dario Sanfilippo");
		m.declare("vaeffects.lib/moogLadder:license", "MIT-style STK-4.3 license");
		m.declare("vaeffects.lib/name", "Faust Virtual Analog Filter Effect Library");
		m.declare("vaeffects.lib/version", "0.2");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_HihatOpenSIG0 = newDSP_HihatOpenSIG0();
		sig0.instance_initDSP_HihatOpenSIG0(sample_rate);
		sig0.fillDSP_HihatOpenSIG0(16384, unsafe { &mut ftbl0DSP_HihatOpenSIG0 });
		let mut sig1: DSP_HihatOpenSIG1 = newDSP_HihatOpenSIG1();
		sig1.instance_initDSP_HihatOpenSIG1(sample_rate);
		sig1.fillDSP_HihatOpenSIG1(144, unsafe { &mut ftbl1DSP_HihatOpenSIG1 });
		let mut sig2: DSP_HihatOpenSIG2 = newDSP_HihatOpenSIG2();
		sig2.instance_initDSP_HihatOpenSIG2(sample_rate);
		sig2.fillDSP_HihatOpenSIG2(1024, unsafe { &mut ftbl2DSP_HihatOpenSIG2 });
		let mut sig3: DSP_HihatOpenSIG3 = newDSP_HihatOpenSIG3();
		sig3.instance_initDSP_HihatOpenSIG3(sample_rate);
		sig3.fillDSP_HihatOpenSIG3(4096, unsafe { &mut ftbl3DSP_HihatOpenSIG3 });
	}
	fn instance_reset_params(&mut self) {
		self.fEntry0 = 0.0;
		self.fHslider0 = 9e+01;
		self.fEntry1 = 0.0;
		self.fHslider1 = 0.0;
		self.fHslider2 = 5e+01;
		self.fHslider3 = 0.0;
		self.fHslider4 = 0.0;
		self.fHslider5 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l0 in 0..2 {
			self.iVec0[(l0) as usize] = 0;
		}
		for l1 in 0..2 {
			self.fVec1[(l1) as usize] = 0.0;
		}
		for l2 in 0..2 {
			self.iRec1[(l2) as usize] = 0;
		}
		for l4 in 0..2 {
			self.iVec2[(l4) as usize] = 0;
		}
		for l5 in 0..2 {
			self.fRec9[(l5) as usize] = 0.0;
		}
		for l6 in 0..2 {
			self.fRec8[(l6) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec10[(l7) as usize] = 0.0;
		}
		for l9 in 0..2 {
			self.fRec12[(l9) as usize] = 0.0;
		}
		for l10 in 0..2 {
			self.fRec13[(l10) as usize] = 0.0;
		}
		for l11 in 0..2 {
			self.fRec14[(l11) as usize] = 0.0;
		}
		for l14 in 0..2 {
			self.fRec16[(l14) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec17[(l15) as usize] = 0.0;
		}
		for l16 in 0..2 {
			self.fRec18[(l16) as usize] = 0.0;
		}
		for l17 in 0..2 {
			self.fRec19[(l17) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.fRec20[(l18) as usize] = 0.0;
		}
		for l20 in 0..2 {
			self.fRec21[(l20) as usize] = 0.0;
		}
		for l21 in 0..2 {
			self.fRec23[(l21) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.fRec24[(l22) as usize] = 0.0;
		}
		for l23 in 0..2 {
			self.fRec25[(l23) as usize] = 0.0;
		}
		for l24 in 0..2 {
			self.fRec26[(l24) as usize] = 0.0;
		}
		for l25 in 0..2 {
			self.fRec27[(l25) as usize] = 0.0;
		}
		for l26 in 0..2 {
			self.fRec28[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec29[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec30[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.fRec31[(l29) as usize] = 0.0;
		}
		for l30 in 0..2 {
			self.fRec33[(l30) as usize] = 0.0;
		}
		for l31 in 0..2 {
			self.fRec34[(l31) as usize] = 0.0;
		}
		for l32 in 0..2 {
			self.fRec35[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec32[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec36[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec2[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec3[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fRec4[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec5[(l38) as usize] = 0.0;
		}
		for l39 in 0..2 {
			self.fVec4[(l39) as usize] = 0.0;
		}
		for l40 in 0..2 {
			self.fRec0[(l40) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		let mut fConst1: F32 = F32::tan(62.831852 / self.fConst0);
		self.fConst2 = 1.0 / fConst1;
		self.fConst3 = 1.0 - self.fConst2;
		self.fConst4 = 1.0 / F32::max(1.0, 0.02 * self.fConst0);
		self.fConst5 = F32::max(1.0, 0.001 * self.fConst0);
		self.fConst6 = 2.0 * self.fConst5;
		let mut fConst7: F32 = unsafe { ftbl3DSP_HihatOpenSIG3[2595] };
		let mut fConst8: F32 = 1e+03 / self.fConst0;
		self.fConst9 = fConst8 * (fConst7 + 0.8672086 * (unsafe { ftbl3DSP_HihatOpenSIG3[2596] } - fConst7));
		let mut fConst10: F32 = unsafe { ftbl3DSP_HihatOpenSIG3[2277] };
		self.fConst11 = fConst8 * (fConst10 + 0.049064063 * (unsafe { ftbl3DSP_HihatOpenSIG3[2278] } - fConst10));
		let mut fConst12: F32 = unsafe { ftbl3DSP_HihatOpenSIG3[2468] };
		self.fConst13 = fConst8 * (fConst12 + 0.33995077 * (unsafe { ftbl3DSP_HihatOpenSIG3[2469] } - fConst12));
		let mut fConst14: F32 = unsafe { ftbl3DSP_HihatOpenSIG3[2570] };
		self.fConst15 = fConst8 * (fConst14 + 0.36175704 * (unsafe { ftbl3DSP_HihatOpenSIG3[2571] } - fConst14));
		let mut fConst16: F32 = unsafe { ftbl3DSP_HihatOpenSIG3[2678] };
		self.fConst17 = fConst8 * (fConst16 + 0.7599262 * (unsafe { ftbl3DSP_HihatOpenSIG3[2679] } - fConst16));
		let mut fConst18: F32 = unsafe { ftbl3DSP_HihatOpenSIG3[2047] };
		self.fConst19 = 1.0 / self.fConst0 * (fConst18 + 0.5 * (unsafe { ftbl3DSP_HihatOpenSIG3[2048] } - fConst18));
		let mut fConst20: F32 = self.fConst2 + 1.0;
		self.fConst21 = 1.0 / fConst20;
		self.fConst22 = 0.0 - 1.0 / (fConst1 * fConst20);
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_HihatOpen::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Choke", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_num_entry("Trigger", ParamIndex(1), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(2)), "1", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(2), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(3)), "2", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(3), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "5", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Decay");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Decay", ParamIndex(4), 5e+01, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(5)), "7", "");
		ui_interface.declare(Some(ParamIndex(5)), "export", "Tone");
		ui_interface.declare(Some(ParamIndex(5)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Tone", ParamIndex(5), 9e+01, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(6)), "8", "");
		ui_interface.declare(Some(ParamIndex(6)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(6)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(6), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(7), 0.0, 0.0, 1.0, 0.01);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			1 => Some(self.fEntry1),
			5 => Some(self.fHslider0),
			7 => Some(self.fHslider1),
			4 => Some(self.fHslider2),
			3 => Some(self.fHslider3),
			2 => Some(self.fHslider4),
			6 => Some(self.fHslider5),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			1 => { self.fEntry1 = value }
			5 => { self.fHslider0 = value }
			7 => { self.fHslider1 = value }
			4 => { self.fHslider2 = value }
			3 => { self.fHslider3 = value }
			2 => { self.fHslider4 = value }
			6 => { self.fHslider5 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.08 * fSlow10;
		let mut fSlow12: F32 = 0.11 * fSlow10;
		let mut fSlow13: F32 = 1.0 / (0.16465649 * (DSP_HihatOpen_faustpower4_f(fSlow2) * fSlow5 / DSP_HihatOpen_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow14: F32 = 2.0 * fSlow4;
		let mut fSlow15: F32 = 0.01 * self.fHslider3;
		let mut fSlow16: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.0));
		let mut fSlow17: F32 = fSlow16 * F32::min(1.0, 1.0 - fSlow15);
		let mut fSlow18: F32 = fSlow16 * F32::min(1.0, fSlow15 + 1.0);
		let mut fSlow19: F32 = 0.01 * self.fHslider5 * fSlow16;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.fVec1[0] = fSlow0;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec1[1]) as i32)), ((fSlow0 > self.fVec1[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_HihatOpen_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0]))) + -99.0;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp4 + 99.0));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp6 + 3.52e+03 } else { self.fRec10[1] };
			let mut fTemp7: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 63.5 - fSlow11) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp6 } else { self.fRec13[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp10: F32 = self.fRec8[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp2 > 0) as i32);
			let mut fTemp15: F32 = self.fRec13[0] - self.fRec10[0];
			let mut fTemp16: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp15) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 56.5 - fSlow12) as i32)) as usize] } * if (((fTemp15 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp17: F32 = fTemp13 + fTemp16;
			self.fRec14[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp17, self.fRec14[1] + 1.0) };
			let mut iTemp18: i32 = ((self.fRec14[0] < fTemp13) as i32);
			let mut fTemp19: F32 = (self.fRec14[0] - fTemp13) / fTemp16;
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp12) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp12) / fTemp8;
			let mut fTemp22: F32 = self.fRec14[0] / fTemp12;
			let mut fTemp23: F32 = if (iTemp18 as i32 != 0) { if (iTemp20 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp20 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec8[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec8[0] } } } else { if (iTemp18 as i32 != 0) { self.fRec8[0] + fTemp7 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp17) as i32) as i32 != 0) { self.fRec10[0] + fTemp15 * if (((self.fRec13[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec13[0] } };
			let mut iTemp24: i32 = ((fTemp23) as i32);
			let mut fTemp25: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp24) as usize] };
			self.fRec16[0] = if (iTemp3 as i32 != 0) { 4064.0 } else { self.fRec16[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec16[0]);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { 8128.0 } else { self.fRec17[1] };
			let mut fTemp27: F32 = self.fRec17[0] - fTemp26;
			let mut fTemp28: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0);
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp30: F32 = self.fRec16[0] - self.fRec17[0];
			let mut fTemp31: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0);
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 32.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp33: F32 = self.fConst5 + fTemp29 + fTemp32;
			self.fRec18[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec18[1] + 1.0) };
			let mut fTemp34: F32 = (self.fRec18[0] - fTemp29 - self.fConst5) / fTemp32;
			let mut iTemp35: i32 = ((self.fRec18[0] < fTemp29) as i32);
			let mut fTemp36: F32 = self.fRec18[0] / fTemp29;
			let mut fTemp37: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp29)) as i32) as i32 != 0) { if (iTemp35 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp35 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec17[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp36, 0.33333334) } else { fTemp36 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec18[0] < fTemp33) as i32) as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec16[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec16[0] } };
			let mut iTemp38: i32 = ((fTemp37) as i32);
			let mut fTemp39: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp38) as usize] };
			self.fRec19[0] = if (iTemp3 as i32 != 0) { 7968.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp41: F32 = self.fRec19[0] - fTemp40;
			let mut fTemp42: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp41) / (fTemp11 * if (((fTemp41 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp40)) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp42, self.fRec20[1] + 1.0) };
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp42) as i32);
			let mut fTemp44: F32 = self.fRec20[0] / fTemp42;
			let mut fTemp45: F32 = if (((self.fRec20[0] < (self.fConst5 + fTemp42)) as i32) as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp40 } else { if (iTemp43 as i32 != 0) { fTemp40 + fTemp41 * if (((self.fRec19[0] > fTemp40) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec19[0] } } } else { self.fRec19[0] } } else { self.fRec19[0] };
			let mut iTemp46: i32 = ((fTemp45) as i32);
			let mut fTemp47: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp46) as usize] };
			let mut iTemp48: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp49: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst9 };
			self.fRec21[0] = fTemp49 - F32::floor(fTemp49);
			let mut fTemp50: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst11 };
			self.fRec23[0] = fTemp50 - F32::floor(fTemp50);
			self.fRec24[0] = if (iTemp3 as i32 != 0) { 6.88e+03 } else { self.fRec24[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec24[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp11 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = self.fRec24[0] - self.fRec17[0];
			let mut fTemp55: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp54) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 85.5) as i32)) as usize] } * if (((fTemp54 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp56: F32 = self.fConst5 + fTemp53 + fTemp55;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp56, self.fRec25[1] + 1.0) };
			let mut fTemp57: F32 = (self.fRec25[0] - fTemp53 - self.fConst5) / fTemp55;
			let mut iTemp58: i32 = ((self.fRec25[0] < fTemp53) as i32);
			let mut fTemp59: F32 = self.fRec25[0] / fTemp53;
			let mut fTemp60: F32 = if (((self.fRec25[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp58 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp58 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp59, 0.33333334) } else { fTemp59 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec25[0] < fTemp56) as i32) as i32 != 0) { self.fRec17[0] + fTemp54 * if (((self.fRec24[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec24[0] } };
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec26[1] + self.fConst13 };
			self.fRec26[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst15 };
			self.fRec27[0] = fTemp64 - F32::floor(fTemp64);
			let mut fTemp65: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp4 + 88.0));
			let mut fTemp66: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp65) * (fTemp65 + 28.0);
			self.fRec28[0] = if (iTemp3 as i32 != 0) { fTemp66 + 4064.0 } else { self.fRec28[1] };
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp66 + 1224.0 } else { self.fRec29[1] };
			let mut fTemp67: F32 = self.fRec29[0] - self.fRec28[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 66.5) as i32)) as usize] } * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec28[0])) + 2.0) } else { 0.96 }))));
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp66 } else { self.fRec30[1] };
			let mut fTemp69: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp70: F32 = self.fRec28[0] - fTemp69;
			let mut fTemp71: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp70) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 92.5) as i32)) as usize] } * if (((fTemp70 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp69)) + 2.0) } else { 0.96 }))));
			let mut fTemp72: F32 = fTemp71 + fTemp68;
			let mut fTemp73: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp73) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 58.5) as i32)) as usize] } * if (((fTemp73 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp75: F32 = fTemp72 + fTemp74;
			self.fRec31[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp75, self.fRec31[1] + 1.0) };
			let mut iTemp76: i32 = ((self.fRec31[0] < fTemp72) as i32);
			let mut fTemp77: F32 = (self.fRec31[0] - fTemp72) / fTemp74;
			let mut iTemp78: i32 = ((self.fRec31[0] < fTemp71) as i32);
			let mut fTemp79: F32 = (self.fRec31[0] - fTemp71) / fTemp68;
			let mut fTemp80: F32 = self.fRec31[0] / fTemp71;
			let mut fTemp81: F32 = if (iTemp76 as i32 != 0) { if (iTemp78 as i32 != 0) { if (((self.fRec31[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp78 as i32 != 0) { fTemp69 + fTemp70 * if (((self.fRec28[0] > fTemp69) as i32) as i32 != 0) { F32::powf(fTemp80, 0.33333334) } else { fTemp80 } } else { self.fRec28[0] } } } else { if (iTemp76 as i32 != 0) { self.fRec28[0] + fTemp67 * if (((self.fRec29[0] > self.fRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { self.fRec29[0] } } } else { if (((self.fRec31[0] < fTemp75) as i32) as i32 != 0) { self.fRec29[0] + fTemp73 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp77, 0.33333334) } else { fTemp77 } } else { self.fRec30[0] } };
			let mut iTemp82: i32 = ((fTemp81) as i32);
			let mut fTemp83: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp82) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { 7584.0 } else { self.fRec33[1] };
			let mut fTemp84: F32 = self.fRec33[0] - fTemp26;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp11 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp86: F32 = self.fRec16[0] - self.fRec33[0];
			let mut fTemp87: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp86) / (fTemp11 * if (((fTemp86 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp88: F32 = self.fConst5 + fTemp85 + fTemp87;
			self.fRec34[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp88, self.fRec34[1] + 1.0) };
			let mut fTemp89: F32 = (self.fRec34[0] - fTemp85 - self.fConst5) / fTemp87;
			let mut iTemp90: i32 = ((self.fRec34[0] < fTemp85) as i32);
			let mut fTemp91: F32 = self.fRec34[0] / fTemp85;
			let mut fTemp92: F32 = if (((self.fRec34[0] < (self.fConst5 + fTemp85)) as i32) as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp90 as i32 != 0) { fTemp26 + fTemp84 * if (((self.fRec33[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec33[0] } } } else { self.fRec33[0] } } else { if (((self.fRec34[0] < fTemp88) as i32) as i32 != 0) { self.fRec33[0] + fTemp86 * if (((self.fRec16[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec16[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp93) as usize] };
			let mut fTemp95: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst17 };
			self.fRec35[0] = fTemp95 - F32::floor(fTemp95);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec35[0] + 24.347826 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94));
			let mut fTemp96: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec36[1] + self.fConst19 };
			self.fRec36[0] = fTemp96 - F32::floor(fTemp96);
			let mut fTemp97: F32 = fSlow13 * (0.115 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec36[0] + 17.391304 * self.fRec32[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp83 + (fTemp81 - ((iTemp82) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp82, 1)) as usize] } - fTemp83)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec27[0] + 2.0 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec26[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec23[0] + 2.0 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec21[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp47 + (fTemp45 - ((iTemp46) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp46, 1)) as usize] } - fTemp47)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp39 + (fTemp37 - ((iTemp38) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp38, 1)) as usize] } - fTemp39))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp25 + (fTemp23 - ((iTemp24) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp24, 1)) as usize] } - fTemp25))) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow14 * fTemp97;
			let mut fTemp98: F32 = self.fRec2[1] + fSlow4 * fTemp97 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow14 * fTemp98;
			let mut fTemp99: F32 = self.fRec3[1] + fSlow4 * fTemp98 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow14 * fTemp99;
			let mut fTemp100: F32 = self.fRec4[1] + fSlow4 * fTemp99 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow14 * fTemp100;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp100;
			let mut fTemp101: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, 1.0 - self.fConst4 * (fTemp0 + -1.0))) + -1.0) + 1.0);
			self.fVec4[0] = fTemp101;
			self.fRec0[0] = self.fConst22 * self.fVec4[1] + self.fConst21 * (self.fConst2 * fTemp101 - self.fConst3 * self.fRec0[1]);
			*output0 = fSlow17 * self.fRec0[0];
			*output1 = fSlow18 * self.fRec0[0];
			*output2 = fSlow19 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.fVec1[1] = self.fVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_HihatOpen {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_HihatOpen as FaustDsp>::T]], outputs: &mut[&mut[<DSP_HihatOpen as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.08 * fSlow10;
		let mut fSlow12: F32 = 0.11 * fSlow10;
		let mut fSlow13: F32 = 1.0 / (0.16465649 * (DSP_HihatOpen_faustpower4_f(fSlow2) * fSlow5 / DSP_HihatOpen_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow14: F32 = 2.0 * fSlow4;
		let mut fSlow15: F32 = 0.01 * self.fHslider3;
		let mut fSlow16: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.0));
		let mut fSlow17: F32 = fSlow16 * F32::min(1.0, 1.0 - fSlow15);
		let mut fSlow18: F32 = fSlow16 * F32::min(1.0, fSlow15 + 1.0);
		let mut fSlow19: F32 = 0.01 * self.fHslider5 * fSlow16;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.fVec1[0] = fSlow0;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec1[1]) as i32)), ((fSlow0 > self.fVec1[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_HihatOpen_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0]))) + -99.0;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp4 + 99.0));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp6 + 3.52e+03 } else { self.fRec10[1] };
			let mut fTemp7: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 63.5 - fSlow11) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp6 } else { self.fRec13[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp10: F32 = self.fRec8[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp2 > 0) as i32);
			let mut fTemp15: F32 = self.fRec13[0] - self.fRec10[0];
			let mut fTemp16: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp15) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 56.5 - fSlow12) as i32)) as usize] } * if (((fTemp15 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp17: F32 = fTemp13 + fTemp16;
			self.fRec14[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp17, self.fRec14[1] + 1.0) };
			let mut iTemp18: i32 = ((self.fRec14[0] < fTemp13) as i32);
			let mut fTemp19: F32 = (self.fRec14[0] - fTemp13) / fTemp16;
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp12) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp12) / fTemp8;
			let mut fTemp22: F32 = self.fRec14[0] / fTemp12;
			let mut fTemp23: F32 = if (iTemp18 as i32 != 0) { if (iTemp20 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp20 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec8[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec8[0] } } } else { if (iTemp18 as i32 != 0) { self.fRec8[0] + fTemp7 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp17) as i32) as i32 != 0) { self.fRec10[0] + fTemp15 * if (((self.fRec13[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec13[0] } };
			let mut iTemp24: i32 = ((fTemp23) as i32);
			let mut fTemp25: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp24) as usize] };
			self.fRec16[0] = if (iTemp3 as i32 != 0) { 4064.0 } else { self.fRec16[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec16[0]);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { 8128.0 } else { self.fRec17[1] };
			let mut fTemp27: F32 = self.fRec17[0] - fTemp26;
			let mut fTemp28: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0);
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp30: F32 = self.fRec16[0] - self.fRec17[0];
			let mut fTemp31: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0);
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 32.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp33: F32 = self.fConst5 + fTemp29 + fTemp32;
			self.fRec18[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec18[1] + 1.0) };
			let mut fTemp34: F32 = (self.fRec18[0] - fTemp29 - self.fConst5) / fTemp32;
			let mut iTemp35: i32 = ((self.fRec18[0] < fTemp29) as i32);
			let mut fTemp36: F32 = self.fRec18[0] / fTemp29;
			let mut fTemp37: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp29)) as i32) as i32 != 0) { if (iTemp35 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp35 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec17[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp36, 0.33333334) } else { fTemp36 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec18[0] < fTemp33) as i32) as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec16[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec16[0] } };
			let mut iTemp38: i32 = ((fTemp37) as i32);
			let mut fTemp39: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp38) as usize] };
			self.fRec19[0] = if (iTemp3 as i32 != 0) { 7968.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp41: F32 = self.fRec19[0] - fTemp40;
			let mut fTemp42: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp41) / (fTemp11 * if (((fTemp41 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp40)) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp42, self.fRec20[1] + 1.0) };
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp42) as i32);
			let mut fTemp44: F32 = self.fRec20[0] / fTemp42;
			let mut fTemp45: F32 = if (((self.fRec20[0] < (self.fConst5 + fTemp42)) as i32) as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp40 } else { if (iTemp43 as i32 != 0) { fTemp40 + fTemp41 * if (((self.fRec19[0] > fTemp40) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec19[0] } } } else { self.fRec19[0] } } else { self.fRec19[0] };
			let mut iTemp46: i32 = ((fTemp45) as i32);
			let mut fTemp47: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp46) as usize] };
			let mut iTemp48: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp49: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst9 };
			self.fRec21[0] = fTemp49 - F32::floor(fTemp49);
			let mut fTemp50: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst11 };
			self.fRec23[0] = fTemp50 - F32::floor(fTemp50);
			self.fRec24[0] = if (iTemp3 as i32 != 0) { 6.88e+03 } else { self.fRec24[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec24[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp11 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = self.fRec24[0] - self.fRec17[0];
			let mut fTemp55: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp54) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 85.5) as i32)) as usize] } * if (((fTemp54 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp56: F32 = self.fConst5 + fTemp53 + fTemp55;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp56, self.fRec25[1] + 1.0) };
			let mut fTemp57: F32 = (self.fRec25[0] - fTemp53 - self.fConst5) / fTemp55;
			let mut iTemp58: i32 = ((self.fRec25[0] < fTemp53) as i32);
			let mut fTemp59: F32 = self.fRec25[0] / fTemp53;
			let mut fTemp60: F32 = if (((self.fRec25[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp58 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp58 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp59, 0.33333334) } else { fTemp59 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec25[0] < fTemp56) as i32) as i32 != 0) { self.fRec17[0] + fTemp54 * if (((self.fRec24[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec24[0] } };
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec26[1] + self.fConst13 };
			self.fRec26[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst15 };
			self.fRec27[0] = fTemp64 - F32::floor(fTemp64);
			let mut fTemp65: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp4 + 88.0));
			let mut fTemp66: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp65) * (fTemp65 + 28.0);
			self.fRec28[0] = if (iTemp3 as i32 != 0) { fTemp66 + 4064.0 } else { self.fRec28[1] };
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp66 + 1224.0 } else { self.fRec29[1] };
			let mut fTemp67: F32 = self.fRec29[0] - self.fRec28[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 66.5) as i32)) as usize] } * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec28[0])) + 2.0) } else { 0.96 }))));
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp66 } else { self.fRec30[1] };
			let mut fTemp69: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp70: F32 = self.fRec28[0] - fTemp69;
			let mut fTemp71: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp70) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 92.5) as i32)) as usize] } * if (((fTemp70 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp69)) + 2.0) } else { 0.96 }))));
			let mut fTemp72: F32 = fTemp71 + fTemp68;
			let mut fTemp73: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp73) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 58.5) as i32)) as usize] } * if (((fTemp73 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp75: F32 = fTemp72 + fTemp74;
			self.fRec31[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp75, self.fRec31[1] + 1.0) };
			let mut iTemp76: i32 = ((self.fRec31[0] < fTemp72) as i32);
			let mut fTemp77: F32 = (self.fRec31[0] - fTemp72) / fTemp74;
			let mut iTemp78: i32 = ((self.fRec31[0] < fTemp71) as i32);
			let mut fTemp79: F32 = (self.fRec31[0] - fTemp71) / fTemp68;
			let mut fTemp80: F32 = self.fRec31[0] / fTemp71;
			let mut fTemp81: F32 = if (iTemp76 as i32 != 0) { if (iTemp78 as i32 != 0) { if (((self.fRec31[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp78 as i32 != 0) { fTemp69 + fTemp70 * if (((self.fRec28[0] > fTemp69) as i32) as i32 != 0) { F32::powf(fTemp80, 0.33333334) } else { fTemp80 } } else { self.fRec28[0] } } } else { if (iTemp76 as i32 != 0) { self.fRec28[0] + fTemp67 * if (((self.fRec29[0] > self.fRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { self.fRec29[0] } } } else { if (((self.fRec31[0] < fTemp75) as i32) as i32 != 0) { self.fRec29[0] + fTemp73 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp77, 0.33333334) } else { fTemp77 } } else { self.fRec30[0] } };
			let mut iTemp82: i32 = ((fTemp81) as i32);
			let mut fTemp83: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp82) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { 7584.0 } else { self.fRec33[1] };
			let mut fTemp84: F32 = self.fRec33[0] - fTemp26;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp11 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp86: F32 = self.fRec16[0] - self.fRec33[0];
			let mut fTemp87: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp86) / (fTemp11 * if (((fTemp86 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp88: F32 = self.fConst5 + fTemp85 + fTemp87;
			self.fRec34[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp88, self.fRec34[1] + 1.0) };
			let mut fTemp89: F32 = (self.fRec34[0] - fTemp85 - self.fConst5) / fTemp87;
			let mut iTemp90: i32 = ((self.fRec34[0] < fTemp85) as i32);
			let mut fTemp91: F32 = self.fRec34[0] / fTemp85;
			let mut fTemp92: F32 = if (((self.fRec34[0] < (self.fConst5 + fTemp85)) as i32) as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp90 as i32 != 0) { fTemp26 + fTemp84 * if (((self.fRec33[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec33[0] } } } else { self.fRec33[0] } } else { if (((self.fRec34[0] < fTemp88) as i32) as i32 != 0) { self.fRec33[0] + fTemp86 * if (((self.fRec16[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec16[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp93) as usize] };
			let mut fTemp95: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst17 };
			self.fRec35[0] = fTemp95 - F32::floor(fTemp95);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec35[0] + 24.347826 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94));
			let mut fTemp96: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec36[1] + self.fConst19 };
			self.fRec36[0] = fTemp96 - F32::floor(fTemp96);
			let mut fTemp97: F32 = fSlow13 * (0.115 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec36[0] + 17.391304 * self.fRec32[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp83 + (fTemp81 - ((iTemp82) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp82, 1)) as usize] } - fTemp83)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec27[0] + 2.0 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec26[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec23[0] + 2.0 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec21[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp47 + (fTemp45 - ((iTemp46) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp46, 1)) as usize] } - fTemp47)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp39 + (fTemp37 - ((iTemp38) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp38, 1)) as usize] } - fTemp39))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp25 + (fTemp23 - ((iTemp24) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp24, 1)) as usize] } - fTemp25))) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow14 * fTemp97;
			let mut fTemp98: F32 = self.fRec2[1] + fSlow4 * fTemp97 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow14 * fTemp98;
			let mut fTemp99: F32 = self.fRec3[1] + fSlow4 * fTemp98 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow14 * fTemp99;
			let mut fTemp100: F32 = self.fRec4[1] + fSlow4 * fTemp99 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow14 * fTemp100;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp100;
			let mut fTemp101: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, 1.0 - self.fConst4 * (fTemp0 + -1.0))) + -1.0) + 1.0);
			self.fVec4[0] = fTemp101;
			self.fRec0[0] = self.fConst22 * self.fVec4[1] + self.fConst21 * (self.fConst2 * fTemp101 - self.fConst3 * self.fRec0[1]);
			*output0 = fSlow17 * self.fRec0[0];
			*output1 = fSlow18 * self.fRec0[0];
			*output2 = fSlow19 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.fVec1[1] = self.fVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_HihatOpen {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_HihatOpen as FaustDsp>::T]], outputs: &mut[&mut[<DSP_HihatOpen as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.08 * fSlow10;
		let mut fSlow12: F32 = 0.11 * fSlow10;
		let mut fSlow13: F32 = 1.0 / (0.16465649 * (DSP_HihatOpen_faustpower4_f(fSlow2) * fSlow5 / DSP_HihatOpen_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow14: F32 = 2.0 * fSlow4;
		let mut fSlow15: F32 = 0.01 * self.fHslider3;
		let mut fSlow16: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.0));
		let mut fSlow17: F32 = fSlow16 * F32::min(1.0, 1.0 - fSlow15);
		let mut fSlow18: F32 = fSlow16 * F32::min(1.0, fSlow15 + 1.0);
		let mut fSlow19: F32 = 0.01 * self.fHslider5 * fSlow16;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.fVec1[0] = fSlow0;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec1[1]) as i32)), ((fSlow0 > self.fVec1[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_HihatOpen_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0]))) + -99.0;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp4 + 99.0));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp6 + 3.52e+03 } else { self.fRec10[1] };
			let mut fTemp7: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 63.5 - fSlow11) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp6 } else { self.fRec13[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp10: F32 = self.fRec8[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp2 > 0) as i32);
			let mut fTemp15: F32 = self.fRec13[0] - self.fRec10[0];
			let mut fTemp16: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp15) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 56.5 - fSlow12) as i32)) as usize] } * if (((fTemp15 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp17: F32 = fTemp13 + fTemp16;
			self.fRec14[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp17, self.fRec14[1] + 1.0) };
			let mut iTemp18: i32 = ((self.fRec14[0] < fTemp13) as i32);
			let mut fTemp19: F32 = (self.fRec14[0] - fTemp13) / fTemp16;
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp12) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp12) / fTemp8;
			let mut fTemp22: F32 = self.fRec14[0] / fTemp12;
			let mut fTemp23: F32 = if (iTemp18 as i32 != 0) { if (iTemp20 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp20 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec8[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec8[0] } } } else { if (iTemp18 as i32 != 0) { self.fRec8[0] + fTemp7 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp17) as i32) as i32 != 0) { self.fRec10[0] + fTemp15 * if (((self.fRec13[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec13[0] } };
			let mut iTemp24: i32 = ((fTemp23) as i32);
			let mut fTemp25: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp24) as usize] };
			self.fRec16[0] = if (iTemp3 as i32 != 0) { 4064.0 } else { self.fRec16[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec16[0]);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { 8128.0 } else { self.fRec17[1] };
			let mut fTemp27: F32 = self.fRec17[0] - fTemp26;
			let mut fTemp28: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0);
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp30: F32 = self.fRec16[0] - self.fRec17[0];
			let mut fTemp31: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0);
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 32.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp33: F32 = self.fConst5 + fTemp29 + fTemp32;
			self.fRec18[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec18[1] + 1.0) };
			let mut fTemp34: F32 = (self.fRec18[0] - fTemp29 - self.fConst5) / fTemp32;
			let mut iTemp35: i32 = ((self.fRec18[0] < fTemp29) as i32);
			let mut fTemp36: F32 = self.fRec18[0] / fTemp29;
			let mut fTemp37: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp29)) as i32) as i32 != 0) { if (iTemp35 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp35 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec17[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp36, 0.33333334) } else { fTemp36 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec18[0] < fTemp33) as i32) as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec16[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec16[0] } };
			let mut iTemp38: i32 = ((fTemp37) as i32);
			let mut fTemp39: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp38) as usize] };
			self.fRec19[0] = if (iTemp3 as i32 != 0) { 7968.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp41: F32 = self.fRec19[0] - fTemp40;
			let mut fTemp42: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp41) / (fTemp11 * if (((fTemp41 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp40)) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp42, self.fRec20[1] + 1.0) };
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp42) as i32);
			let mut fTemp44: F32 = self.fRec20[0] / fTemp42;
			let mut fTemp45: F32 = if (((self.fRec20[0] < (self.fConst5 + fTemp42)) as i32) as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp40 } else { if (iTemp43 as i32 != 0) { fTemp40 + fTemp41 * if (((self.fRec19[0] > fTemp40) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec19[0] } } } else { self.fRec19[0] } } else { self.fRec19[0] };
			let mut iTemp46: i32 = ((fTemp45) as i32);
			let mut fTemp47: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp46) as usize] };
			let mut iTemp48: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp49: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst9 };
			self.fRec21[0] = fTemp49 - F32::floor(fTemp49);
			let mut fTemp50: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst11 };
			self.fRec23[0] = fTemp50 - F32::floor(fTemp50);
			self.fRec24[0] = if (iTemp3 as i32 != 0) { 6.88e+03 } else { self.fRec24[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec24[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp11 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = self.fRec24[0] - self.fRec17[0];
			let mut fTemp55: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp54) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 85.5) as i32)) as usize] } * if (((fTemp54 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp56: F32 = self.fConst5 + fTemp53 + fTemp55;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp56, self.fRec25[1] + 1.0) };
			let mut fTemp57: F32 = (self.fRec25[0] - fTemp53 - self.fConst5) / fTemp55;
			let mut iTemp58: i32 = ((self.fRec25[0] < fTemp53) as i32);
			let mut fTemp59: F32 = self.fRec25[0] / fTemp53;
			let mut fTemp60: F32 = if (((self.fRec25[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp58 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp58 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp59, 0.33333334) } else { fTemp59 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec25[0] < fTemp56) as i32) as i32 != 0) { self.fRec17[0] + fTemp54 * if (((self.fRec24[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec24[0] } };
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec26[1] + self.fConst13 };
			self.fRec26[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst15 };
			self.fRec27[0] = fTemp64 - F32::floor(fTemp64);
			let mut fTemp65: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp4 + 88.0));
			let mut fTemp66: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp65) * (fTemp65 + 28.0);
			self.fRec28[0] = if (iTemp3 as i32 != 0) { fTemp66 + 4064.0 } else { self.fRec28[1] };
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp66 + 1224.0 } else { self.fRec29[1] };
			let mut fTemp67: F32 = self.fRec29[0] - self.fRec28[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 66.5) as i32)) as usize] } * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec28[0])) + 2.0) } else { 0.96 }))));
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp66 } else { self.fRec30[1] };
			let mut fTemp69: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp70: F32 = self.fRec28[0] - fTemp69;
			let mut fTemp71: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp70) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 92.5) as i32)) as usize] } * if (((fTemp70 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp69)) + 2.0) } else { 0.96 }))));
			let mut fTemp72: F32 = fTemp71 + fTemp68;
			let mut fTemp73: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp73) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 58.5) as i32)) as usize] } * if (((fTemp73 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp75: F32 = fTemp72 + fTemp74;
			self.fRec31[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp75, self.fRec31[1] + 1.0) };
			let mut iTemp76: i32 = ((self.fRec31[0] < fTemp72) as i32);
			let mut fTemp77: F32 = (self.fRec31[0] - fTemp72) / fTemp74;
			let mut iTemp78: i32 = ((self.fRec31[0] < fTemp71) as i32);
			let mut fTemp79: F32 = (self.fRec31[0] - fTemp71) / fTemp68;
			let mut fTemp80: F32 = self.fRec31[0] / fTemp71;
			let mut fTemp81: F32 = if (iTemp76 as i32 != 0) { if (iTemp78 as i32 != 0) { if (((self.fRec31[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp78 as i32 != 0) { fTemp69 + fTemp70 * if (((self.fRec28[0] > fTemp69) as i32) as i32 != 0) { F32::powf(fTemp80, 0.33333334) } else { fTemp80 } } else { self.fRec28[0] } } } else { if (iTemp76 as i32 != 0) { self.fRec28[0] + fTemp67 * if (((self.fRec29[0] > self.fRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { self.fRec29[0] } } } else { if (((self.fRec31[0] < fTemp75) as i32) as i32 != 0) { self.fRec29[0] + fTemp73 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp77, 0.33333334) } else { fTemp77 } } else { self.fRec30[0] } };
			let mut iTemp82: i32 = ((fTemp81) as i32);
			let mut fTemp83: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp82) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { 7584.0 } else { self.fRec33[1] };
			let mut fTemp84: F32 = self.fRec33[0] - fTemp26;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp11 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp86: F32 = self.fRec16[0] - self.fRec33[0];
			let mut fTemp87: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp86) / (fTemp11 * if (((fTemp86 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp88: F32 = self.fConst5 + fTemp85 + fTemp87;
			self.fRec34[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp88, self.fRec34[1] + 1.0) };
			let mut fTemp89: F32 = (self.fRec34[0] - fTemp85 - self.fConst5) / fTemp87;
			let mut iTemp90: i32 = ((self.fRec34[0] < fTemp85) as i32);
			let mut fTemp91: F32 = self.fRec34[0] / fTemp85;
			let mut fTemp92: F32 = if (((self.fRec34[0] < (self.fConst5 + fTemp85)) as i32) as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp90 as i32 != 0) { fTemp26 + fTemp84 * if (((self.fRec33[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec33[0] } } } else { self.fRec33[0] } } else { if (((self.fRec34[0] < fTemp88) as i32) as i32 != 0) { self.fRec33[0] + fTemp86 * if (((self.fRec16[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec16[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp93) as usize] };
			let mut fTemp95: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst17 };
			self.fRec35[0] = fTemp95 - F32::floor(fTemp95);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec35[0] + 24.347826 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94));
			let mut fTemp96: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec36[1] + self.fConst19 };
			self.fRec36[0] = fTemp96 - F32::floor(fTemp96);
			let mut fTemp97: F32 = fSlow13 * (0.115 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec36[0] + 17.391304 * self.fRec32[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp83 + (fTemp81 - ((iTemp82) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp82, 1)) as usize] } - fTemp83)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec27[0] + 2.0 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec26[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec23[0] + 2.0 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec21[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp47 + (fTemp45 - ((iTemp46) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp46, 1)) as usize] } - fTemp47)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp39 + (fTemp37 - ((iTemp38) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp38, 1)) as usize] } - fTemp39))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp25 + (fTemp23 - ((iTemp24) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp24, 1)) as usize] } - fTemp25))) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow14 * fTemp97;
			let mut fTemp98: F32 = self.fRec2[1] + fSlow4 * fTemp97 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow14 * fTemp98;
			let mut fTemp99: F32 = self.fRec3[1] + fSlow4 * fTemp98 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow14 * fTemp99;
			let mut fTemp100: F32 = self.fRec4[1] + fSlow4 * fTemp99 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow14 * fTemp100;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp100;
			let mut fTemp101: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, 1.0 - self.fConst4 * (fTemp0 + -1.0))) + -1.0) + 1.0);
			self.fVec4[0] = fTemp101;
			self.fRec0[0] = self.fConst22 * self.fVec4[1] + self.fConst21 * (self.fConst2 * fTemp101 - self.fConst3 * self.fRec0[1]);
			*output0 = fSlow17 * self.fRec0[0];
			*output1 = fSlow18 * self.fRec0[0];
			*output2 = fSlow19 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.fVec1[1] = self.fVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_HihatOpen {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_HihatOpen as FaustDsp>::T]], outputs: &mut[&mut[<DSP_HihatOpen as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.08 * fSlow10;
		let mut fSlow12: F32 = 0.11 * fSlow10;
		let mut fSlow13: F32 = 1.0 / (0.16465649 * (DSP_HihatOpen_faustpower4_f(fSlow2) * fSlow5 / DSP_HihatOpen_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow14: F32 = 2.0 * fSlow4;
		let mut fSlow15: F32 = 0.01 * self.fHslider3;
		let mut fSlow16: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.0));
		let mut fSlow17: F32 = fSlow16 * F32::min(1.0, 1.0 - fSlow15);
		let mut fSlow18: F32 = fSlow16 * F32::min(1.0, fSlow15 + 1.0);
		let mut fSlow19: F32 = 0.01 * self.fHslider5 * fSlow16;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.fVec1[0] = fSlow0;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec1[1]) as i32)), ((fSlow0 > self.fVec1[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_HihatOpen_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0]))) + -99.0;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp4 + 99.0));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp6 + 3.52e+03 } else { self.fRec10[1] };
			let mut fTemp7: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 63.5 - fSlow11) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp6 } else { self.fRec13[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp10: F32 = self.fRec8[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp2 > 0) as i32);
			let mut fTemp15: F32 = self.fRec13[0] - self.fRec10[0];
			let mut fTemp16: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp15) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 56.5 - fSlow12) as i32)) as usize] } * if (((fTemp15 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp17: F32 = fTemp13 + fTemp16;
			self.fRec14[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp17, self.fRec14[1] + 1.0) };
			let mut iTemp18: i32 = ((self.fRec14[0] < fTemp13) as i32);
			let mut fTemp19: F32 = (self.fRec14[0] - fTemp13) / fTemp16;
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp12) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp12) / fTemp8;
			let mut fTemp22: F32 = self.fRec14[0] / fTemp12;
			let mut fTemp23: F32 = if (iTemp18 as i32 != 0) { if (iTemp20 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp20 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec8[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec8[0] } } } else { if (iTemp18 as i32 != 0) { self.fRec8[0] + fTemp7 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp17) as i32) as i32 != 0) { self.fRec10[0] + fTemp15 * if (((self.fRec13[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec13[0] } };
			let mut iTemp24: i32 = ((fTemp23) as i32);
			let mut fTemp25: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp24) as usize] };
			self.fRec16[0] = if (iTemp3 as i32 != 0) { 4064.0 } else { self.fRec16[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec16[0]);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { 8128.0 } else { self.fRec17[1] };
			let mut fTemp27: F32 = self.fRec17[0] - fTemp26;
			let mut fTemp28: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0);
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp30: F32 = self.fRec16[0] - self.fRec17[0];
			let mut fTemp31: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0);
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 32.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp33: F32 = self.fConst5 + fTemp29 + fTemp32;
			self.fRec18[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec18[1] + 1.0) };
			let mut fTemp34: F32 = (self.fRec18[0] - fTemp29 - self.fConst5) / fTemp32;
			let mut iTemp35: i32 = ((self.fRec18[0] < fTemp29) as i32);
			let mut fTemp36: F32 = self.fRec18[0] / fTemp29;
			let mut fTemp37: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp29)) as i32) as i32 != 0) { if (iTemp35 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp35 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec17[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp36, 0.33333334) } else { fTemp36 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec18[0] < fTemp33) as i32) as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec16[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec16[0] } };
			let mut iTemp38: i32 = ((fTemp37) as i32);
			let mut fTemp39: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp38) as usize] };
			self.fRec19[0] = if (iTemp3 as i32 != 0) { 7968.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp41: F32 = self.fRec19[0] - fTemp40;
			let mut fTemp42: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp41) / (fTemp11 * if (((fTemp41 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp40)) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp42, self.fRec20[1] + 1.0) };
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp42) as i32);
			let mut fTemp44: F32 = self.fRec20[0] / fTemp42;
			let mut fTemp45: F32 = if (((self.fRec20[0] < (self.fConst5 + fTemp42)) as i32) as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp40 } else { if (iTemp43 as i32 != 0) { fTemp40 + fTemp41 * if (((self.fRec19[0] > fTemp40) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec19[0] } } } else { self.fRec19[0] } } else { self.fRec19[0] };
			let mut iTemp46: i32 = ((fTemp45) as i32);
			let mut fTemp47: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp46) as usize] };
			let mut iTemp48: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp49: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst9 };
			self.fRec21[0] = fTemp49 - F32::floor(fTemp49);
			let mut fTemp50: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst11 };
			self.fRec23[0] = fTemp50 - F32::floor(fTemp50);
			self.fRec24[0] = if (iTemp3 as i32 != 0) { 6.88e+03 } else { self.fRec24[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec24[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp11 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = self.fRec24[0] - self.fRec17[0];
			let mut fTemp55: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp54) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 85.5) as i32)) as usize] } * if (((fTemp54 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp56: F32 = self.fConst5 + fTemp53 + fTemp55;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp56, self.fRec25[1] + 1.0) };
			let mut fTemp57: F32 = (self.fRec25[0] - fTemp53 - self.fConst5) / fTemp55;
			let mut iTemp58: i32 = ((self.fRec25[0] < fTemp53) as i32);
			let mut fTemp59: F32 = self.fRec25[0] / fTemp53;
			let mut fTemp60: F32 = if (((self.fRec25[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp58 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp58 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp59, 0.33333334) } else { fTemp59 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec25[0] < fTemp56) as i32) as i32 != 0) { self.fRec17[0] + fTemp54 * if (((self.fRec24[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec24[0] } };
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec26[1] + self.fConst13 };
			self.fRec26[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst15 };
			self.fRec27[0] = fTemp64 - F32::floor(fTemp64);
			let mut fTemp65: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp4 + 88.0));
			let mut fTemp66: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp65) * (fTemp65 + 28.0);
			self.fRec28[0] = if (iTemp3 as i32 != 0) { fTemp66 + 4064.0 } else { self.fRec28[1] };
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp66 + 1224.0 } else { self.fRec29[1] };
			let mut fTemp67: F32 = self.fRec29[0] - self.fRec28[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 66.5) as i32)) as usize] } * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec28[0])) + 2.0) } else { 0.96 }))));
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp66 } else { self.fRec30[1] };
			let mut fTemp69: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp70: F32 = self.fRec28[0] - fTemp69;
			let mut fTemp71: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp70) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 92.5) as i32)) as usize] } * if (((fTemp70 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp69)) + 2.0) } else { 0.96 }))));
			let mut fTemp72: F32 = fTemp71 + fTemp68;
			let mut fTemp73: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp73) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 58.5) as i32)) as usize] } * if (((fTemp73 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp75: F32 = fTemp72 + fTemp74;
			self.fRec31[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp75, self.fRec31[1] + 1.0) };
			let mut iTemp76: i32 = ((self.fRec31[0] < fTemp72) as i32);
			let mut fTemp77: F32 = (self.fRec31[0] - fTemp72) / fTemp74;
			let mut iTemp78: i32 = ((self.fRec31[0] < fTemp71) as i32);
			let mut fTemp79: F32 = (self.fRec31[0] - fTemp71) / fTemp68;
			let mut fTemp80: F32 = self.fRec31[0] / fTemp71;
			let mut fTemp81: F32 = if (iTemp76 as i32 != 0) { if (iTemp78 as i32 != 0) { if (((self.fRec31[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp78 as i32 != 0) { fTemp69 + fTemp70 * if (((self.fRec28[0] > fTemp69) as i32) as i32 != 0) { F32::powf(fTemp80, 0.33333334) } else { fTemp80 } } else { self.fRec28[0] } } } else { if (iTemp76 as i32 != 0) { self.fRec28[0] + fTemp67 * if (((self.fRec29[0] > self.fRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { self.fRec29[0] } } } else { if (((self.fRec31[0] < fTemp75) as i32) as i32 != 0) { self.fRec29[0] + fTemp73 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp77, 0.33333334) } else { fTemp77 } } else { self.fRec30[0] } };
			let mut iTemp82: i32 = ((fTemp81) as i32);
			let mut fTemp83: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp82) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { 7584.0 } else { self.fRec33[1] };
			let mut fTemp84: F32 = self.fRec33[0] - fTemp26;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp11 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp86: F32 = self.fRec16[0] - self.fRec33[0];
			let mut fTemp87: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp86) / (fTemp11 * if (((fTemp86 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp88: F32 = self.fConst5 + fTemp85 + fTemp87;
			self.fRec34[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp88, self.fRec34[1] + 1.0) };
			let mut fTemp89: F32 = (self.fRec34[0] - fTemp85 - self.fConst5) / fTemp87;
			let mut iTemp90: i32 = ((self.fRec34[0] < fTemp85) as i32);
			let mut fTemp91: F32 = self.fRec34[0] / fTemp85;
			let mut fTemp92: F32 = if (((self.fRec34[0] < (self.fConst5 + fTemp85)) as i32) as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp90 as i32 != 0) { fTemp26 + fTemp84 * if (((self.fRec33[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec33[0] } } } else { self.fRec33[0] } } else { if (((self.fRec34[0] < fTemp88) as i32) as i32 != 0) { self.fRec33[0] + fTemp86 * if (((self.fRec16[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec16[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp93) as usize] };
			let mut fTemp95: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst17 };
			self.fRec35[0] = fTemp95 - F32::floor(fTemp95);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec35[0] + 24.347826 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94));
			let mut fTemp96: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec36[1] + self.fConst19 };
			self.fRec36[0] = fTemp96 - F32::floor(fTemp96);
			let mut fTemp97: F32 = fSlow13 * (0.115 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec36[0] + 17.391304 * self.fRec32[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp83 + (fTemp81 - ((iTemp82) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp82, 1)) as usize] } - fTemp83)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec27[0] + 2.0 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec26[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec23[0] + 2.0 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec21[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp47 + (fTemp45 - ((iTemp46) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp46, 1)) as usize] } - fTemp47)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp39 + (fTemp37 - ((iTemp38) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp38, 1)) as usize] } - fTemp39))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp25 + (fTemp23 - ((iTemp24) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp24, 1)) as usize] } - fTemp25))) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow14 * fTemp97;
			let mut fTemp98: F32 = self.fRec2[1] + fSlow4 * fTemp97 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow14 * fTemp98;
			let mut fTemp99: F32 = self.fRec3[1] + fSlow4 * fTemp98 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow14 * fTemp99;
			let mut fTemp100: F32 = self.fRec4[1] + fSlow4 * fTemp99 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow14 * fTemp100;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp100;
			let mut fTemp101: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, 1.0 - self.fConst4 * (fTemp0 + -1.0))) + -1.0) + 1.0);
			self.fVec4[0] = fTemp101;
			self.fRec0[0] = self.fConst22 * self.fVec4[1] + self.fConst21 * (self.fConst2 * fTemp101 - self.fConst3 * self.fRec0[1]);
			*output0 = fSlow17 * self.fRec0[0];
			*output1 = fSlow18 * self.fRec0[0];
			*output2 = fSlow19 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.fVec1[1] = self.fVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_HihatOpen {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_HihatOpen as FaustDsp>::T]], outputs: &mut[&mut[<DSP_HihatOpen as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut fSlow1: F32 = self.fHslider0;
		let mut fSlow2: F32 = F32::tan(0.0155508835 * fSlow1);
		let mut fSlow3: F32 = fSlow2 + 1.0;
		let mut fSlow4: F32 = fSlow2 / fSlow3;
		let mut fSlow5: F32 = 2.293 - 0.0227007 * fSlow1;
		let mut fSlow6: F32 = 0.16465649 * fSlow5 * (1.0 - fSlow4);
		let mut fSlow7: F32 = self.fEntry1;
		let mut iSlow8: i32 = ((fSlow7 > 0.0) as i32);
		let mut fSlow9: F32 = self.fHslider1;
		let mut fSlow10: F32 = self.fHslider2;
		let mut fSlow11: F32 = 0.08 * fSlow10;
		let mut fSlow12: F32 = 0.11 * fSlow10;
		let mut fSlow13: F32 = 1.0 / (0.16465649 * (DSP_HihatOpen_faustpower4_f(fSlow2) * fSlow5 / DSP_HihatOpen_faustpower4_f(fSlow3)) + 1.0);
		let mut fSlow14: F32 = 2.0 * fSlow4;
		let mut fSlow15: F32 = 0.01 * self.fHslider3;
		let mut fSlow16: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.0));
		let mut fSlow17: F32 = fSlow16 * F32::min(1.0, 1.0 - fSlow15);
		let mut fSlow18: F32 = fSlow16 * F32::min(1.0, fSlow15 + 1.0);
		let mut fSlow19: F32 = 0.01 * self.fHslider5 * fSlow16;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.fVec1[0] = fSlow0;
			self.iRec1[0] = i32::wrapping_add(i32::wrapping_mul(i32::wrapping_add(self.iRec1[1], ((self.iRec1[1] > 0) as i32)), ((fSlow0 <= self.fVec1[1]) as i32)), ((fSlow0 > self.fVec1[1]) as i32));
			let mut fTemp0: F32 = ((self.iRec1[0]) as F32);
			self.iVec2[0] = iSlow8;
			let mut iTemp2: i32 = ((iSlow8 > self.iVec2[1]) as i32);
			let mut iTemp3: i32 = i32::wrapping_sub(1, iTemp2);
			self.fRec9[0] = if (iSlow8 as i32 != 0) { fSlow7 } else { self.fRec9[1] };
			let mut fTemp4: F32 = 106.0 * (1.0 - DSP_HihatOpen_faustpower2_f(1.0 - F32::max(fSlow9, self.fRec9[0]))) + -99.0;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp4 + 99.0));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec8[0] = if (iTemp3 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec8[1] };
			self.fRec10[0] = if (iTemp3 as i32 != 0) { fTemp6 + 3.52e+03 } else { self.fRec10[1] };
			let mut fTemp7: F32 = self.fRec10[0] - self.fRec8[0];
			self.fRec12[0] = if (iTemp3 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 63.5 - fSlow11) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec8[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp3 as i32 != 0) { fTemp6 } else { self.fRec13[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp10: F32 = self.fRec8[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp2 > 0) as i32);
			let mut fTemp15: F32 = self.fRec13[0] - self.fRec10[0];
			let mut fTemp16: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp15) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 56.5 - fSlow12) as i32)) as usize] } * if (((fTemp15 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp17: F32 = fTemp13 + fTemp16;
			self.fRec14[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp17, self.fRec14[1] + 1.0) };
			let mut iTemp18: i32 = ((self.fRec14[0] < fTemp13) as i32);
			let mut fTemp19: F32 = (self.fRec14[0] - fTemp13) / fTemp16;
			let mut iTemp20: i32 = ((self.fRec14[0] < fTemp12) as i32);
			let mut fTemp21: F32 = (self.fRec14[0] - fTemp12) / fTemp8;
			let mut fTemp22: F32 = self.fRec14[0] / fTemp12;
			let mut fTemp23: F32 = if (iTemp18 as i32 != 0) { if (iTemp20 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp20 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec8[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec8[0] } } } else { if (iTemp18 as i32 != 0) { self.fRec8[0] + fTemp7 * if (((self.fRec10[0] > self.fRec8[0]) as i32) as i32 != 0) { F32::powf(fTemp21, 0.33333334) } else { fTemp21 } } else { self.fRec10[0] } } } else { if (((self.fRec14[0] < fTemp17) as i32) as i32 != 0) { self.fRec10[0] + fTemp15 * if (((self.fRec13[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec13[0] } };
			let mut iTemp24: i32 = ((fTemp23) as i32);
			let mut fTemp25: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp24) as usize] };
			self.fRec16[0] = if (iTemp3 as i32 != 0) { 4064.0 } else { self.fRec16[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec16[0]);
			self.fRec17[0] = if (iTemp3 as i32 != 0) { 8128.0 } else { self.fRec17[1] };
			let mut fTemp27: F32 = self.fRec17[0] - fTemp26;
			let mut fTemp28: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0);
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp30: F32 = self.fRec16[0] - self.fRec17[0];
			let mut fTemp31: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0);
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 32.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp33: F32 = self.fConst5 + fTemp29 + fTemp32;
			self.fRec18[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec18[1] + 1.0) };
			let mut fTemp34: F32 = (self.fRec18[0] - fTemp29 - self.fConst5) / fTemp32;
			let mut iTemp35: i32 = ((self.fRec18[0] < fTemp29) as i32);
			let mut fTemp36: F32 = self.fRec18[0] / fTemp29;
			let mut fTemp37: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp29)) as i32) as i32 != 0) { if (iTemp35 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp35 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec17[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp36, 0.33333334) } else { fTemp36 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec18[0] < fTemp33) as i32) as i32 != 0) { self.fRec17[0] + fTemp30 * if (((self.fRec16[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec16[0] } };
			let mut iTemp38: i32 = ((fTemp37) as i32);
			let mut fTemp39: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp38) as usize] };
			self.fRec19[0] = if (iTemp3 as i32 != 0) { 7968.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = F32::max(5076.0, self.fRec19[0]);
			let mut fTemp41: F32 = self.fRec19[0] - fTemp40;
			let mut fTemp42: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp41) / (fTemp11 * if (((fTemp41 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp40)) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp42, self.fRec20[1] + 1.0) };
			let mut iTemp43: i32 = ((self.fRec20[0] < fTemp42) as i32);
			let mut fTemp44: F32 = self.fRec20[0] / fTemp42;
			let mut fTemp45: F32 = if (((self.fRec20[0] < (self.fConst5 + fTemp42)) as i32) as i32 != 0) { if (iTemp43 as i32 != 0) { if (((self.fRec20[0] < 0.0) as i32) as i32 != 0) { fTemp40 } else { if (iTemp43 as i32 != 0) { fTemp40 + fTemp41 * if (((self.fRec19[0] > fTemp40) as i32) as i32 != 0) { F32::powf(fTemp44, 0.33333334) } else { fTemp44 } } else { self.fRec19[0] } } } else { self.fRec19[0] } } else { self.fRec19[0] };
			let mut iTemp46: i32 = ((fTemp45) as i32);
			let mut fTemp47: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp46) as usize] };
			let mut iTemp48: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp49: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst9 };
			self.fRec21[0] = fTemp49 - F32::floor(fTemp49);
			let mut fTemp50: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec23[1] + self.fConst11 };
			self.fRec23[0] = fTemp50 - F32::floor(fTemp50);
			self.fRec24[0] = if (iTemp3 as i32 != 0) { 6.88e+03 } else { self.fRec24[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec24[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp11 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = self.fRec24[0] - self.fRec17[0];
			let mut fTemp55: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp54) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 85.5) as i32)) as usize] } * if (((fTemp54 > 0.0) as i32) as i32 != 0) { fTemp31 } else { 0.96 }))));
			let mut fTemp56: F32 = self.fConst5 + fTemp53 + fTemp55;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp56, self.fRec25[1] + 1.0) };
			let mut fTemp57: F32 = (self.fRec25[0] - fTemp53 - self.fConst5) / fTemp55;
			let mut iTemp58: i32 = ((self.fRec25[0] < fTemp53) as i32);
			let mut fTemp59: F32 = self.fRec25[0] / fTemp53;
			let mut fTemp60: F32 = if (((self.fRec25[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp58 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp58 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp59, 0.33333334) } else { fTemp59 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { if (((self.fRec25[0] < fTemp56) as i32) as i32 != 0) { self.fRec17[0] + fTemp54 * if (((self.fRec24[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec24[0] } };
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec26[1] + self.fConst13 };
			self.fRec26[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst15 };
			self.fRec27[0] = fTemp64 - F32::floor(fTemp64);
			let mut fTemp65: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp4 + 88.0));
			let mut fTemp66: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp65) * (fTemp65 + 28.0);
			self.fRec28[0] = if (iTemp3 as i32 != 0) { fTemp66 + 4064.0 } else { self.fRec28[1] };
			self.fRec29[0] = if (iTemp3 as i32 != 0) { fTemp66 + 1224.0 } else { self.fRec29[1] };
			let mut fTemp67: F32 = self.fRec29[0] - self.fRec28[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 66.5) as i32)) as usize] } * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec28[0])) + 2.0) } else { 0.96 }))));
			self.fRec30[0] = if (iTemp3 as i32 != 0) { fTemp66 } else { self.fRec30[1] };
			let mut fTemp69: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp70: F32 = self.fRec28[0] - fTemp69;
			let mut fTemp71: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp70) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 92.5) as i32)) as usize] } * if (((fTemp70 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp69)) + 2.0) } else { 0.96 }))));
			let mut fTemp72: F32 = fTemp71 + fTemp68;
			let mut fTemp73: F32 = self.fRec30[0] - self.fRec29[0];
			let mut fTemp74: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp73) / (unsafe { ftbl1DSP_HihatOpenSIG1[(((self.fRec12[0] + 58.5) as i32)) as usize] } * if (((fTemp73 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp75: F32 = fTemp72 + fTemp74;
			self.fRec31[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp75, self.fRec31[1] + 1.0) };
			let mut iTemp76: i32 = ((self.fRec31[0] < fTemp72) as i32);
			let mut fTemp77: F32 = (self.fRec31[0] - fTemp72) / fTemp74;
			let mut iTemp78: i32 = ((self.fRec31[0] < fTemp71) as i32);
			let mut fTemp79: F32 = (self.fRec31[0] - fTemp71) / fTemp68;
			let mut fTemp80: F32 = self.fRec31[0] / fTemp71;
			let mut fTemp81: F32 = if (iTemp76 as i32 != 0) { if (iTemp78 as i32 != 0) { if (((self.fRec31[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp78 as i32 != 0) { fTemp69 + fTemp70 * if (((self.fRec28[0] > fTemp69) as i32) as i32 != 0) { F32::powf(fTemp80, 0.33333334) } else { fTemp80 } } else { self.fRec28[0] } } } else { if (iTemp76 as i32 != 0) { self.fRec28[0] + fTemp67 * if (((self.fRec29[0] > self.fRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { self.fRec29[0] } } } else { if (((self.fRec31[0] < fTemp75) as i32) as i32 != 0) { self.fRec29[0] + fTemp73 * if (((self.fRec30[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp77, 0.33333334) } else { fTemp77 } } else { self.fRec30[0] } };
			let mut iTemp82: i32 = ((fTemp81) as i32);
			let mut fTemp83: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp82) as usize] };
			self.fRec33[0] = if (iTemp3 as i32 != 0) { 7584.0 } else { self.fRec33[1] };
			let mut fTemp84: F32 = self.fRec33[0] - fTemp26;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp11 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { fTemp28 } else { 0.96 }))));
			let mut fTemp86: F32 = self.fRec16[0] - self.fRec33[0];
			let mut fTemp87: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp86) / (fTemp11 * if (((fTemp86 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp88: F32 = self.fConst5 + fTemp85 + fTemp87;
			self.fRec34[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp88, self.fRec34[1] + 1.0) };
			let mut fTemp89: F32 = (self.fRec34[0] - fTemp85 - self.fConst5) / fTemp87;
			let mut iTemp90: i32 = ((self.fRec34[0] < fTemp85) as i32);
			let mut fTemp91: F32 = self.fRec34[0] / fTemp85;
			let mut fTemp92: F32 = if (((self.fRec34[0] < (self.fConst5 + fTemp85)) as i32) as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec34[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp90 as i32 != 0) { fTemp26 + fTemp84 * if (((self.fRec33[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec33[0] } } } else { self.fRec33[0] } } else { if (((self.fRec34[0] < fTemp88) as i32) as i32 != 0) { self.fRec33[0] + fTemp86 * if (((self.fRec16[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec16[0] } };
			let mut iTemp93: i32 = ((fTemp92) as i32);
			let mut fTemp94: F32 = unsafe { ftbl0DSP_HihatOpenSIG0[(iTemp93) as usize] };
			let mut fTemp95: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst17 };
			self.fRec35[0] = fTemp95 - F32::floor(fTemp95);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec35[0] + 24.347826 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp94 + (fTemp92 - ((iTemp93) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp93, 1)) as usize] } - fTemp94));
			let mut fTemp96: F32 = if (iTemp48 as i32 != 0) { 0.0 } else { self.fRec36[1] + self.fConst19 };
			self.fRec36[0] = fTemp96 - F32::floor(fTemp96);
			let mut fTemp97: F32 = fSlow13 * (0.115 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec36[0] + 17.391304 * self.fRec32[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp83 + (fTemp81 - ((iTemp82) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp82, 1)) as usize] } - fTemp83)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec27[0] + 2.0 * (unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec26[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) + unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * (self.fRec23[0] + 2.0 * unsafe { ftbl2DSP_HihatOpenSIG2[(((1024.0 * self.fRec21[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp47 + (fTemp45 - ((iTemp46) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp46, 1)) as usize] } - fTemp47)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp39 + (fTemp37 - ((iTemp38) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp38, 1)) as usize] } - fTemp39))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp25 + (fTemp23 - ((iTemp24) as F32)) * (unsafe { ftbl0DSP_HihatOpenSIG0[(i32::wrapping_add(iTemp24, 1)) as usize] } - fTemp25))) - fSlow6 * (self.fRec5[1] + fSlow4 * (self.fRec4[1] + fSlow4 * (self.fRec3[1] + fSlow4 * self.fRec2[1])))) - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow14 * fTemp97;
			let mut fTemp98: F32 = self.fRec2[1] + fSlow4 * fTemp97 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow14 * fTemp98;
			let mut fTemp99: F32 = self.fRec3[1] + fSlow4 * fTemp98 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow14 * fTemp99;
			let mut fTemp100: F32 = self.fRec4[1] + fSlow4 * fTemp99 - self.fRec5[1];
			self.fRec5[0] = self.fRec5[1] + fSlow14 * fTemp100;
			let mut fRec6: F32 = self.fRec5[1] + fSlow4 * fTemp100;
			let mut fTemp101: F32 = fRec6 * (fSlow0 * (F32::max(0.0, F32::min(fTemp0, 1.0 - self.fConst4 * (fTemp0 + -1.0))) + -1.0) + 1.0);
			self.fVec4[0] = fTemp101;
			self.fRec0[0] = self.fConst22 * self.fVec4[1] + self.fConst21 * (self.fConst2 * fTemp101 - self.fConst3 * self.fRec0[1]);
			*output0 = fSlow17 * self.fRec0[0];
			*output1 = fSlow18 * self.fRec0[0];
			*output2 = fSlow19 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.fVec1[1] = self.fVec1[0];
			self.iRec1[1] = self.iRec1[0];
			self.iVec2[1] = self.iVec2[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fVec4[1] = self.fVec4[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
