// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_Kick -pn processKick -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_KickSIG0 {
	iRec1: [i32;2],
}

impl DSP_KickSIG0 {
	
	fn get_num_inputsDSP_KickSIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_KickSIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_KickSIG0(&mut self, sample_rate: i32) {
		for l1 in 0..2 {
			self.iRec1[(l1) as usize] = 0;
		}
	}
	
	fn fillDSP_KickSIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec1[0] = i32::wrapping_add(self.iRec1[1], 1);
			let mut fTemp0: F32 = ((i32::wrapping_add(self.iRec1[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp0))))) * (((((7.2e+03 - fTemp0) < 3824.0) as i32)) as F32);
			self.iRec1[1] = self.iRec1[0];
		}
	}

}


pub fn newDSP_KickSIG0() -> DSP_KickSIG0 { 
	DSP_KickSIG0 {
		iRec1: [0;2],
	}
}

pub struct DSP_KickSIG1 {
	iRec5: [i32;2],
}

impl DSP_KickSIG1 {
	
	fn get_num_inputsDSP_KickSIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_KickSIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_KickSIG1(&mut self, sample_rate: i32) {
		for l6 in 0..2 {
			self.iRec5[(l6) as usize] = 0;
		}
	}
	
	fn fillDSP_KickSIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec5[0] = i32::wrapping_add(self.iRec5[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec5[0], -1)) as F32));
			self.iRec5[1] = self.iRec5[0];
		}
	}

}


pub fn newDSP_KickSIG1() -> DSP_KickSIG1 { 
	DSP_KickSIG1 {
		iRec5: [0;2],
	}
}

pub struct DSP_KickSIG2 {
	iVec2: [i32;2],
	iRec9: [i32;2],
}

impl DSP_KickSIG2 {
	
	fn get_num_inputsDSP_KickSIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_KickSIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_KickSIG2(&mut self, sample_rate: i32) {
		for l10 in 0..2 {
			self.iVec2[(l10) as usize] = 0;
		}
		for l11 in 0..2 {
			self.iRec9[(l11) as usize] = 0;
		}
	}
	
	fn fillDSP_KickSIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec2[0] = 1;
			self.iRec9[0] = (i32::wrapping_add(self.iVec2[1], self.iRec9[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec9[0]) as F32));
			self.iVec2[1] = self.iVec2[0];
			self.iRec9[1] = self.iRec9[0];
		}
	}

}


pub fn newDSP_KickSIG2() -> DSP_KickSIG2 { 
	DSP_KickSIG2 {
		iVec2: [0;2],
		iRec9: [0;2],
	}
}

pub struct DSP_KickSIG3 {
	iRec15: [i32;2],
}

impl DSP_KickSIG3 {
	
	fn get_num_inputsDSP_KickSIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_KickSIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_KickSIG3(&mut self, sample_rate: i32) {
		for l16 in 0..2 {
			self.iRec15[(l16) as usize] = 0;
		}
	}
	
	fn fillDSP_KickSIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec15[0] = i32::wrapping_add(self.iRec15[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec15[0], -1)) as F32) + -128.0));
			self.iRec15[1] = self.iRec15[0];
		}
	}

}


pub fn newDSP_KickSIG3() -> DSP_KickSIG3 { 
	DSP_KickSIG3 {
		iRec15: [0;2],
	}
}
static mut iDSP_KickSIG4Wave0: [i32;100] = [1,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,16,16,17,18,18,19,20,21,22,23,24,25,26,27,28,30,31,33,34,36,37,38,39,41,42,44,46,47,49,51,53,54,56,58,60,62,64,66,68,70,72,74,76,79,82,85,88,91,94,98,102,106,110,115,120,125,130,135,141,147,153,159,165,171,178,185,193,202,211,232,243,254,255];

pub struct DSP_KickSIG4 {
	iDSP_KickSIG4Wave0_idx: i32,
}

impl DSP_KickSIG4 {
	
	fn get_num_inputsDSP_KickSIG4(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_KickSIG4(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_KickSIG4(&mut self, sample_rate: i32) {
		self.iDSP_KickSIG4Wave0_idx = 0;
	}
	
	fn fillDSP_KickSIG4(&mut self, count: i32, table: &mut[i32]) {
		for i5 in 0..count {
			table[(i5) as usize] = unsafe { iDSP_KickSIG4Wave0[(self.iDSP_KickSIG4Wave0_idx) as usize] };
			self.iDSP_KickSIG4Wave0_idx = (i32::wrapping_add(1, self.iDSP_KickSIG4Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_KickSIG4() -> DSP_KickSIG4 { 
	DSP_KickSIG4 {
		iDSP_KickSIG4Wave0_idx: 0,
	}
}
static mut iDSP_KickSIG5Wave0: [i32;100] = [-128,-116,-104,-95,-85,-76,-68,-61,-56,-52,-49,-46,-43,-41,-39,-37,-35,-33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,38,40,43,46,49,53,58,65,73,82,92,103,115,127];

pub struct DSP_KickSIG5 {
	iDSP_KickSIG5Wave0_idx: i32,
}

impl DSP_KickSIG5 {
	
	fn get_num_inputsDSP_KickSIG5(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_KickSIG5(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_KickSIG5(&mut self, sample_rate: i32) {
		self.iDSP_KickSIG5Wave0_idx = 0;
	}
	
	fn fillDSP_KickSIG5(&mut self, count: i32, table: &mut[i32]) {
		for i6 in 0..count {
			table[(i6) as usize] = unsafe { iDSP_KickSIG5Wave0[(self.iDSP_KickSIG5Wave0_idx) as usize] };
			self.iDSP_KickSIG5Wave0_idx = (i32::wrapping_add(1, self.iDSP_KickSIG5Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_KickSIG5() -> DSP_KickSIG5 { 
	DSP_KickSIG5 {
		iDSP_KickSIG5Wave0_idx: 0,
	}
}
static mut ftbl0DSP_KickSIG0: [F32;16384] = [0.0;16384];
fn DSP_Kick_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl1DSP_KickSIG1: [F32;144] = [0.0;144];
static mut ftbl2DSP_KickSIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_KickSIG3: [F32;4096] = [0.0;4096];
static mut itbl4DSP_KickSIG4: [i32;100] = [0;100];
static mut itbl5DSP_KickSIG5: [i32;100] = [0;100];

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_Kick {
	iVec0: [i32;2],
	fSampleRate: i32,
	fConst0: F32,
	fConst4: F32,
	fEntry0: F32,
	iVec1: [i32;2],
	fHslider0: F32,
	fRec3: [F32;2],
	fHslider1: F32,
	fRec2: [F32;2],
	fRec4: [F32;2],
	fHslider2: F32,
	fHslider3: F32,
	fHslider4: F32,
	fRec6: [F32;2],
	fRec7: [F32;2],
	fRec8: [F32;2],
	fRec10: [F32;2],
	fRec11: [F32;2],
	fRec12: [F32;2],
	fRec13: [F32;2],
	fConst7: F32,
	fRec14: [F32;2],
	iConst8: i32,
	iRec17: [i32;2],
	iConst9: i32,
	iRec18: [i32;2],
	fConst10: F32,
	fRec19: [F32;2],
	fConst11: F32,
	fRec16: [F32;2],
	fRec20: [F32;2],
	fRec21: [F32;2],
	fConst12: F32,
	fRec22: [F32;2],
	fRec23: [F32;2],
	fRec24: [F32;2],
	fRec25: [F32;2],
	fRec26: [F32;2],
	fConst14: F32,
	fRec27: [F32;2],
	fRec29: [F32;2],
	fRec30: [F32;2],
	fRec31: [F32;2],
	fRec32: [F32;2],
	fRec33: [F32;2],
	fConst16: F32,
	fRec34: [F32;2],
	fConst18: F32,
	fRec35: [F32;2],
	fVec3: [F32;2],
	fConst19: F32,
	fConst20: F32,
	fRec0: [F32;2],
	fHslider5: F32,
	fHslider6: F32,
	fHslider7: F32,
}

impl FaustDsp for DSP_Kick {
	type T = F32;
		
	fn new() -> DSP_Kick { 
		DSP_Kick {
			iVec0: [0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fConst4: 0.0,
			fEntry0: 0.0,
			iVec1: [0;2],
			fHslider0: 0.0,
			fRec3: [0.0;2],
			fHslider1: 0.0,
			fRec2: [0.0;2],
			fRec4: [0.0;2],
			fHslider2: 0.0,
			fHslider3: 0.0,
			fHslider4: 0.0,
			fRec6: [0.0;2],
			fRec7: [0.0;2],
			fRec8: [0.0;2],
			fRec10: [0.0;2],
			fRec11: [0.0;2],
			fRec12: [0.0;2],
			fRec13: [0.0;2],
			fConst7: 0.0,
			fRec14: [0.0;2],
			iConst8: 0,
			iRec17: [0;2],
			iConst9: 0,
			iRec18: [0;2],
			fConst10: 0.0,
			fRec19: [0.0;2],
			fConst11: 0.0,
			fRec16: [0.0;2],
			fRec20: [0.0;2],
			fRec21: [0.0;2],
			fConst12: 0.0,
			fRec22: [0.0;2],
			fRec23: [0.0;2],
			fRec24: [0.0;2],
			fRec25: [0.0;2],
			fRec26: [0.0;2],
			fConst14: 0.0,
			fRec27: [0.0;2],
			fRec29: [0.0;2],
			fRec30: [0.0;2],
			fRec31: [0.0;2],
			fRec32: [0.0;2],
			fRec33: [0.0;2],
			fConst16: 0.0,
			fRec34: [0.0;2],
			fConst18: 0.0,
			fRec35: [0.0;2],
			fVec3: [0.0;2],
			fConst19: 0.0,
			fConst20: 0.0,
			fRec0: [0.0;2],
			fHslider5: 0.0,
			fHslider6: 0.0,
			fHslider7: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_Kick -pn processKick -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_KickSIG0 = newDSP_KickSIG0();
		sig0.instance_initDSP_KickSIG0(sample_rate);
		sig0.fillDSP_KickSIG0(16384, unsafe { &mut ftbl0DSP_KickSIG0 });
		let mut sig1: DSP_KickSIG1 = newDSP_KickSIG1();
		sig1.instance_initDSP_KickSIG1(sample_rate);
		sig1.fillDSP_KickSIG1(144, unsafe { &mut ftbl1DSP_KickSIG1 });
		let mut sig2: DSP_KickSIG2 = newDSP_KickSIG2();
		sig2.instance_initDSP_KickSIG2(sample_rate);
		sig2.fillDSP_KickSIG2(1024, unsafe { &mut ftbl2DSP_KickSIG2 });
		let mut sig3: DSP_KickSIG3 = newDSP_KickSIG3();
		sig3.instance_initDSP_KickSIG3(sample_rate);
		sig3.fillDSP_KickSIG3(4096, unsafe { &mut ftbl3DSP_KickSIG3 });
		let mut sig4: DSP_KickSIG4 = newDSP_KickSIG4();
		sig4.instance_initDSP_KickSIG4(sample_rate);
		sig4.fillDSP_KickSIG4(100, unsafe { &mut itbl4DSP_KickSIG4 });
		let mut sig5: DSP_KickSIG5 = newDSP_KickSIG5();
		sig5.instance_initDSP_KickSIG5(sample_rate);
		sig5.fillDSP_KickSIG5(100, unsafe { &mut itbl5DSP_KickSIG5 });
	}
	fn instance_reset_params(&mut self) {
		self.fEntry0 = 0.0;
		self.fHslider0 = 0.0;
		self.fHslider1 = 75.0;
		self.fHslider2 = 5e+01;
		self.fHslider3 = 36.0;
		self.fHslider4 = 0.0;
		self.fHslider5 = 0.0;
		self.fHslider6 = 0.0;
		self.fHslider7 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l0 in 0..2 {
			self.iVec0[(l0) as usize] = 0;
		}
		for l2 in 0..2 {
			self.iVec1[(l2) as usize] = 0;
		}
		for l3 in 0..2 {
			self.fRec3[(l3) as usize] = 0.0;
		}
		for l4 in 0..2 {
			self.fRec2[(l4) as usize] = 0.0;
		}
		for l5 in 0..2 {
			self.fRec4[(l5) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec6[(l7) as usize] = 0.0;
		}
		for l8 in 0..2 {
			self.fRec7[(l8) as usize] = 0.0;
		}
		for l9 in 0..2 {
			self.fRec8[(l9) as usize] = 0.0;
		}
		for l12 in 0..2 {
			self.fRec10[(l12) as usize] = 0.0;
		}
		for l13 in 0..2 {
			self.fRec11[(l13) as usize] = 0.0;
		}
		for l14 in 0..2 {
			self.fRec12[(l14) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec13[(l15) as usize] = 0.0;
		}
		for l17 in 0..2 {
			self.fRec14[(l17) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.iRec17[(l18) as usize] = 0;
		}
		for l19 in 0..2 {
			self.iRec18[(l19) as usize] = 0;
		}
		for l20 in 0..2 {
			self.fRec19[(l20) as usize] = 0.0;
		}
		for l21 in 0..2 {
			self.fRec16[(l21) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.fRec20[(l22) as usize] = 0.0;
		}
		for l23 in 0..2 {
			self.fRec21[(l23) as usize] = 0.0;
		}
		for l24 in 0..2 {
			self.fRec22[(l24) as usize] = 0.0;
		}
		for l25 in 0..2 {
			self.fRec23[(l25) as usize] = 0.0;
		}
		for l26 in 0..2 {
			self.fRec24[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec25[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec26[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.fRec27[(l29) as usize] = 0.0;
		}
		for l30 in 0..2 {
			self.fRec29[(l30) as usize] = 0.0;
		}
		for l31 in 0..2 {
			self.fRec30[(l31) as usize] = 0.0;
		}
		for l32 in 0..2 {
			self.fRec31[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec32[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec33[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec34[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec35[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fVec3[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec0[(l38) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		let mut fConst1: F32 = F32::tan(62.831852 / self.fConst0);
		let mut fConst2: F32 = 1.0 / fConst1;
		let mut fConst3: F32 = fConst2 + 1.0;
		self.fConst4 = (1.0 - fConst2) / fConst3;
		let mut fConst5: F32 = unsafe { ftbl3DSP_KickSIG3[2646] };
		let mut fConst6: F32 = 1e+01 / self.fConst0;
		self.fConst7 = fConst6 * (fConst5 + 0.8781117 * (unsafe { ftbl3DSP_KickSIG3[2647] } - fConst5));
		self.iConst8 = unsafe { itbl5DSP_KickSIG5[69] };
		self.iConst9 = unsafe { itbl5DSP_KickSIG5[50] };
		self.fConst10 = 0.64285713 * self.fConst0;
		self.fConst11 = 378.4 / self.fConst0;
		self.fConst12 = F32::max(1.0, 0.001 * self.fConst0);
		let mut fConst13: F32 = unsafe { ftbl3DSP_KickSIG3[2525] };
		self.fConst14 = fConst6 * (fConst13 + 0.7272168 * (unsafe { ftbl3DSP_KickSIG3[2526] } - fConst13));
		let mut fConst15: F32 = unsafe { ftbl3DSP_KickSIG3[2404] };
		self.fConst16 = 1e+02 / self.fConst0 * (fConst15 + 0.5763219 * (unsafe { ftbl3DSP_KickSIG3[2405] } - fConst15));
		let mut fConst17: F32 = unsafe { ftbl3DSP_KickSIG3[2532] };
		self.fConst18 = fConst6 * (fConst17 + 0.103579685 * (unsafe { ftbl3DSP_KickSIG3[2533] } - fConst17));
		self.fConst19 = 1.0 / (fConst1 * fConst3);
		self.fConst20 = 0.0 - self.fConst19;
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_Kick::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Trigger", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(1)), "1", "");
		ui_interface.declare(Some(ParamIndex(1)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(1)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(1), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(2)), "2", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(2), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(3)), "4", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Transpose");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "st");
		ui_interface.add_horizontal_slider("Voice_Transpose", ParamIndex(3), 0.0, -6.0, 6.0, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "5", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Decay");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Decay", ParamIndex(4), 5e+01, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(5)), "6", "");
		ui_interface.declare(Some(ParamIndex(5)), "export", "Thumpy");
		ui_interface.declare(Some(ParamIndex(5)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Thumpy", ParamIndex(5), 75.0, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(6)), "8", "");
		ui_interface.declare(Some(ParamIndex(6)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(6)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(6), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(7), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_horizontal_slider("key", ParamIndex(8), 36.0, 0.0, 127.0, 1.0);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			7 => Some(self.fHslider0),
			5 => Some(self.fHslider1),
			4 => Some(self.fHslider2),
			8 => Some(self.fHslider3),
			3 => Some(self.fHslider4),
			2 => Some(self.fHslider5),
			1 => Some(self.fHslider6),
			6 => Some(self.fHslider7),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			7 => { self.fHslider0 = value }
			5 => { self.fHslider1 = value }
			4 => { self.fHslider2 = value }
			8 => { self.fHslider3 = value }
			3 => { self.fHslider4 = value }
			2 => { self.fHslider5 = value }
			1 => { self.fHslider6 = value }
			6 => { self.fHslider7 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider1) + 7e+01;
		let mut fSlow4: F32 = F32::min(99.0, fSlow3);
		let mut fSlow5: F32 = 0.15 * self.fHslider2;
		let mut fSlow6: F32 = self.fHslider4 + self.fHslider3;
		let mut fSlow7: F32 = 0.5714286 * (0.33333334 * (fSlow6 + -2.75) + 1.0);
		let mut fSlow8: F32 = ((unsafe { itbl4DSP_KickSIG4[(((F32::max(0.0, F32::min(99.0, 55.0 - fSlow5))) as i32)) as usize] }) as F32);
		let mut fSlow9: F32 = F32::powf(2.0, 0.083333336 * (fSlow6 + -71.75));
		let mut fSlow10: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow9, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow11: i32 = ((fSlow10) as i32);
		let mut fSlow12: F32 = unsafe { ftbl3DSP_KickSIG3[(iSlow11) as usize] };
		let mut fSlow13: F32 = fSlow12 + (fSlow10 - ((iSlow11) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iSlow11, 1)) as usize] } - fSlow12);
		let mut fSlow14: F32 = self.fConst11 * fSlow9;
		let mut fSlow15: F32 = ((((fSlow3 > 0.0) as i32)) as F32);
		let mut fSlow16: F32 = 0.115 * fSlow15;
		let mut fSlow17: F32 = 0.01 * self.fHslider5;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider7 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 0.5714286 * (106.0 * (1.0 - DSP_Kick_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0);
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, fSlow4 + fTemp3));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec6[1] };
			let mut fTemp8: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 55.5 - fSlow5) as i32)) as usize] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (fTemp8 * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec2[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 90.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::abs(fTemp11);
			let mut fTemp15: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp13 * fTemp12))));
			let mut fTemp16: F32 = fTemp15 + fTemp9;
			let mut iTemp17: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp18: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp19: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp18) / (fTemp8 * if (((fTemp18 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp20: F32 = fTemp16 + fTemp19;
			self.fRec8[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp20, self.fRec8[1] + 1.0) };
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp16) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp16) / fTemp19;
			let mut iTemp23: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp9;
			let mut iTemp25: i32 = ((self.fRec2[0] > fTemp10) as i32);
			let mut fTemp26: F32 = self.fRec8[0] / fTemp15;
			let mut fTemp27: F32 = if (iTemp21 as i32 != 0) { if (iTemp23 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp23 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp26, 0.33333334) } else { fTemp26 } } else { self.fRec2[0] } } } else { if (iTemp21 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp20) as i32) as i32 != 0) { self.fRec4[0] + fTemp18 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec7[0] } };
			let mut iTemp28: i32 = ((fTemp27) as i32);
			let mut fTemp29: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp28) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { 7744.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7456.0 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 3.68e+03 } else { self.fRec12[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp34: F32 = self.fRec10[0] - fTemp33;
			let mut fTemp35: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] };
			let mut fTemp36: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (fTemp35 * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp37: F32 = fTemp36 + fTemp32;
			let mut fTemp38: F32 = self.fRec12[0] - self.fRec11[0];
			let mut fTemp39: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp38) / (fTemp39 * if (((fTemp38 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp37 + fTemp40;
			self.fRec13[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec13[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec13[0] < fTemp37) as i32);
			let mut fTemp43: F32 = (self.fRec13[0] - fTemp37) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec13[0] < fTemp36) as i32);
			let mut fTemp45: F32 = (self.fRec13[0] - fTemp36) / fTemp32;
			let mut fTemp46: F32 = self.fRec13[0] / fTemp36;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp44 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec10[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec10[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec11[0] } } } else { if (((self.fRec13[0] < fTemp41) as i32) as i32 != 0) { self.fRec11[0] + fTemp38 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec12[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp51: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec14[1] + self.fConst7 };
			self.fRec14[0] = fTemp51 - F32::floor(fTemp51);
			self.iRec17[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec17[1] };
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec18[1] };
			let mut iTemp52: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec17[0]);
			let mut fTemp53: F32 = F32::max(1.0, self.fConst10 * (((i32::abs(iTemp52)) as F32) / fSlow8));
			self.fRec19[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp53 + 2.0, self.fRec19[1] + 1.0) };
			let mut fTemp54: F32 = ((self.iRec18[0]) as F32);
			let mut iTemp55: i32 = ((self.fRec19[0] < fTemp53) as i32);
			let mut fTemp56: F32 = self.fRec19[0] / fTemp53;
			let mut fTemp57: F32 = ((self.iRec17[0]) as F32);
			let mut fTemp58: F32 = 15.996094 * (0.4 * if (((self.fRec19[0] < (fTemp53 + 1.0)) as i32) as i32 != 0) { if (iTemp55 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp57 } else { if (iTemp55 as i32 != 0) { fTemp57 + ((iTemp52) as F32) * if (((self.iRec18[0] > self.iRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp56, 0.33333334) } else { fTemp56 } } else { fTemp54 } } } else { fTemp54 } } else { fTemp54 } + 128.0);
			let mut iTemp59: i32 = ((fTemp58) as i32);
			let mut fTemp60: F32 = unsafe { ftbl3DSP_KickSIG3[(iTemp59) as usize] };
			let mut fTemp61: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow14 * fSlow13 * (fTemp60 + (fTemp58 - ((iTemp59) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iTemp59, 1)) as usize] } - fTemp60)) };
			self.fRec16[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + 99.0));
			let mut fTemp63: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp62) * (fTemp62 + 28.0);
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp63 } else { self.fRec20[1] };
			let mut fTemp64: F32 = F32::max(5076.0, self.fRec20[0]);
			self.fRec21[0] = if (iTemp2 as i32 != 0) { fTemp63 + 4064.0 } else { self.fRec21[1] };
			let mut fTemp65: F32 = self.fRec21[0] - fTemp64;
			let mut fTemp66: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp65) / (fTemp13 * if (((fTemp65 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp64)) + 2.0) } else { 0.96 }))));
			let mut fTemp67: F32 = self.fRec20[0] - self.fRec21[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (fTemp8 * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp69: F32 = self.fConst12 + fTemp66 + fTemp68;
			self.fRec22[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp69, self.fRec22[1] + 1.0) };
			let mut fTemp70: F32 = (self.fRec22[0] - fTemp66 - self.fConst12) / fTemp68;
			let mut iTemp71: i32 = ((self.fRec22[0] < fTemp66) as i32);
			let mut fTemp72: F32 = self.fRec22[0] / fTemp66;
			let mut fTemp73: F32 = if (((self.fRec22[0] < (self.fConst12 + fTemp66)) as i32) as i32 != 0) { if (iTemp71 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp64 } else { if (iTemp71 as i32 != 0) { fTemp64 + fTemp65 * if (((self.fRec21[0] > fTemp64) as i32) as i32 != 0) { F32::powf(fTemp72, 0.33333334) } else { fTemp72 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { if (((self.fRec22[0] < fTemp69) as i32) as i32 != 0) { self.fRec21[0] + fTemp67 * if (((self.fRec20[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp70, 0.33333334) } else { fTemp70 } } else { self.fRec20[0] } };
			let mut iTemp74: i32 = ((fTemp73) as i32);
			let mut fTemp75: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp74) as usize] };
			self.fRec23[0] = if (iTemp2 as i32 != 0) { 6848.0 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { 6.56e+03 } else { self.fRec24[1] };
			let mut fTemp76: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp77: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp76) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 54.5) as i32)) as usize] } * if (((fTemp76 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 2784.0 } else { self.fRec25[1] };
			let mut fTemp78: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp79: F32 = self.fRec23[0] - fTemp78;
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp39 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp78)) + 2.0) } else { 0.96 }))));
			let mut fTemp81: F32 = fTemp80 + fTemp77;
			let mut fTemp82: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp81 + fTemp83;
			self.fRec26[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec26[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec26[0] < fTemp81) as i32);
			let mut fTemp86: F32 = (self.fRec26[0] - fTemp81) / fTemp83;
			let mut iTemp87: i32 = ((self.fRec26[0] < fTemp80) as i32);
			let mut fTemp88: F32 = (self.fRec26[0] - fTemp80) / fTemp77;
			let mut fTemp89: F32 = self.fRec26[0] / fTemp80;
			let mut fTemp90: F32 = if (iTemp85 as i32 != 0) { if (iTemp87 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp78 } else { if (iTemp87 as i32 != 0) { fTemp78 + fTemp79 * if (((self.fRec23[0] > fTemp78) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec23[0] } } } else { if (iTemp85 as i32 != 0) { self.fRec23[0] + fTemp76 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp84) as i32) as i32 != 0) { self.fRec24[0] + fTemp82 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { self.fRec25[0] } };
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst14 };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			self.fRec29[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3904.0 } else { self.fRec29[1] };
			let mut fTemp94: F32 = self.fRec29[0] - self.fRec2[0];
			let mut fTemp95: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp94) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 76.5) as i32)) as usize] } * if (((fTemp94 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp12 * unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 82.5) as i32)) as usize] }))));
			let mut fTemp97: F32 = fTemp96 + fTemp95;
			let mut fTemp98: F32 = self.fRec7[0] - self.fRec29[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp31 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp97 + fTemp99;
			self.fRec30[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp100, self.fRec30[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec30[0] < fTemp97) as i32);
			let mut fTemp102: F32 = (self.fRec30[0] - fTemp97) / fTemp99;
			let mut iTemp103: i32 = ((self.fRec30[0] < fTemp96) as i32);
			let mut fTemp104: F32 = (self.fRec30[0] - fTemp96) / fTemp95;
			let mut fTemp105: F32 = self.fRec30[0] / fTemp96;
			let mut fTemp106: F32 = if (iTemp101 as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec30[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp103 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec2[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec2[0] + fTemp94 * if (((self.fRec29[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec29[0] } } } else { if (((self.fRec30[0] < fTemp100) as i32) as i32 != 0) { self.fRec29[0] + fTemp98 * if (((self.fRec7[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec7[0] } };
			let mut iTemp107: i32 = ((fTemp106) as i32);
			let mut fTemp108: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp107) as usize] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 4e+03 } else { self.fRec31[1] };
			let mut fTemp109: F32 = F32::max(5076.0, self.fRec31[0]);
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 8064.0 } else { self.fRec32[1] };
			let mut fTemp110: F32 = self.fRec32[0] - fTemp109;
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp35 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp109)) + 2.0) } else { 0.96 }))));
			let mut fTemp112: F32 = self.fRec31[0] - self.fRec32[0];
			let mut fTemp113: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp112) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp112 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp114: F32 = self.fConst12 + fTemp111 + fTemp113;
			self.fRec33[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp114, self.fRec33[1] + 1.0) };
			let mut fTemp115: F32 = (self.fRec33[0] - fTemp111 - self.fConst12) / fTemp113;
			let mut iTemp116: i32 = ((self.fRec33[0] < fTemp111) as i32);
			let mut fTemp117: F32 = self.fRec33[0] / fTemp111;
			let mut fTemp118: F32 = if (((self.fRec33[0] < (self.fConst12 + fTemp111)) as i32) as i32 != 0) { if (iTemp116 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp109 } else { if (iTemp116 as i32 != 0) { fTemp109 + fTemp110 * if (((self.fRec32[0] > fTemp109) as i32) as i32 != 0) { F32::powf(fTemp117, 0.33333334) } else { fTemp117 } } else { self.fRec32[0] } } } else { self.fRec32[0] } } else { if (((self.fRec33[0] < fTemp114) as i32) as i32 != 0) { self.fRec32[0] + fTemp112 * if (((self.fRec31[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp115, 0.33333334) } else { fTemp115 } } else { self.fRec31[0] } };
			let mut iTemp119: i32 = ((fTemp118) as i32);
			let mut fTemp120: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp119) as usize] };
			let mut fTemp121: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec34[1] + self.fConst16 };
			self.fRec34[0] = fTemp121 - F32::floor(fTemp121);
			let mut fTemp122: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst18 };
			self.fRec35[0] = fTemp122 - F32::floor(fTemp122);
			let mut fRec28: F32 = fSlow16 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec35[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec34[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp120 + (fTemp118 - ((iTemp119) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp119, 1)) as usize] } - fTemp120)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp108 + (fTemp106 - ((iTemp107) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp107, 1)) as usize] } - fTemp108));
			let mut fTemp123: F32 = fRec28 + 0.115 * (unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp75 + (fTemp73 - ((iTemp74) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp74, 1)) as usize] } - fTemp75)) + fSlow15 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec14[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp29 + (fTemp27 - ((iTemp28) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp28, 1)) as usize] } - fTemp29)));
			self.fVec3[0] = fTemp123;
			self.fRec0[0] = 0.5 * (self.fConst19 * fTemp123 + self.fConst20 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.iRec17[1] = self.iRec17[0];
			self.iRec18[1] = self.iRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_Kick {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_Kick as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Kick as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider1) + 7e+01;
		let mut fSlow4: F32 = F32::min(99.0, fSlow3);
		let mut fSlow5: F32 = 0.15 * self.fHslider2;
		let mut fSlow6: F32 = self.fHslider4 + self.fHslider3;
		let mut fSlow7: F32 = 0.5714286 * (0.33333334 * (fSlow6 + -2.75) + 1.0);
		let mut fSlow8: F32 = ((unsafe { itbl4DSP_KickSIG4[(((F32::max(0.0, F32::min(99.0, 55.0 - fSlow5))) as i32)) as usize] }) as F32);
		let mut fSlow9: F32 = F32::powf(2.0, 0.083333336 * (fSlow6 + -71.75));
		let mut fSlow10: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow9, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow11: i32 = ((fSlow10) as i32);
		let mut fSlow12: F32 = unsafe { ftbl3DSP_KickSIG3[(iSlow11) as usize] };
		let mut fSlow13: F32 = fSlow12 + (fSlow10 - ((iSlow11) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iSlow11, 1)) as usize] } - fSlow12);
		let mut fSlow14: F32 = self.fConst11 * fSlow9;
		let mut fSlow15: F32 = ((((fSlow3 > 0.0) as i32)) as F32);
		let mut fSlow16: F32 = 0.115 * fSlow15;
		let mut fSlow17: F32 = 0.01 * self.fHslider5;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider7 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 0.5714286 * (106.0 * (1.0 - DSP_Kick_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0);
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, fSlow4 + fTemp3));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec6[1] };
			let mut fTemp8: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 55.5 - fSlow5) as i32)) as usize] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (fTemp8 * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec2[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 90.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::abs(fTemp11);
			let mut fTemp15: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp13 * fTemp12))));
			let mut fTemp16: F32 = fTemp15 + fTemp9;
			let mut iTemp17: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp18: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp19: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp18) / (fTemp8 * if (((fTemp18 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp20: F32 = fTemp16 + fTemp19;
			self.fRec8[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp20, self.fRec8[1] + 1.0) };
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp16) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp16) / fTemp19;
			let mut iTemp23: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp9;
			let mut iTemp25: i32 = ((self.fRec2[0] > fTemp10) as i32);
			let mut fTemp26: F32 = self.fRec8[0] / fTemp15;
			let mut fTemp27: F32 = if (iTemp21 as i32 != 0) { if (iTemp23 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp23 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp26, 0.33333334) } else { fTemp26 } } else { self.fRec2[0] } } } else { if (iTemp21 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp20) as i32) as i32 != 0) { self.fRec4[0] + fTemp18 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec7[0] } };
			let mut iTemp28: i32 = ((fTemp27) as i32);
			let mut fTemp29: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp28) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { 7744.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7456.0 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 3.68e+03 } else { self.fRec12[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp34: F32 = self.fRec10[0] - fTemp33;
			let mut fTemp35: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] };
			let mut fTemp36: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (fTemp35 * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp37: F32 = fTemp36 + fTemp32;
			let mut fTemp38: F32 = self.fRec12[0] - self.fRec11[0];
			let mut fTemp39: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp38) / (fTemp39 * if (((fTemp38 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp37 + fTemp40;
			self.fRec13[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec13[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec13[0] < fTemp37) as i32);
			let mut fTemp43: F32 = (self.fRec13[0] - fTemp37) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec13[0] < fTemp36) as i32);
			let mut fTemp45: F32 = (self.fRec13[0] - fTemp36) / fTemp32;
			let mut fTemp46: F32 = self.fRec13[0] / fTemp36;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp44 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec10[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec10[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec11[0] } } } else { if (((self.fRec13[0] < fTemp41) as i32) as i32 != 0) { self.fRec11[0] + fTemp38 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec12[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp51: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec14[1] + self.fConst7 };
			self.fRec14[0] = fTemp51 - F32::floor(fTemp51);
			self.iRec17[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec17[1] };
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec18[1] };
			let mut iTemp52: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec17[0]);
			let mut fTemp53: F32 = F32::max(1.0, self.fConst10 * (((i32::abs(iTemp52)) as F32) / fSlow8));
			self.fRec19[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp53 + 2.0, self.fRec19[1] + 1.0) };
			let mut fTemp54: F32 = ((self.iRec18[0]) as F32);
			let mut iTemp55: i32 = ((self.fRec19[0] < fTemp53) as i32);
			let mut fTemp56: F32 = self.fRec19[0] / fTemp53;
			let mut fTemp57: F32 = ((self.iRec17[0]) as F32);
			let mut fTemp58: F32 = 15.996094 * (0.4 * if (((self.fRec19[0] < (fTemp53 + 1.0)) as i32) as i32 != 0) { if (iTemp55 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp57 } else { if (iTemp55 as i32 != 0) { fTemp57 + ((iTemp52) as F32) * if (((self.iRec18[0] > self.iRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp56, 0.33333334) } else { fTemp56 } } else { fTemp54 } } } else { fTemp54 } } else { fTemp54 } + 128.0);
			let mut iTemp59: i32 = ((fTemp58) as i32);
			let mut fTemp60: F32 = unsafe { ftbl3DSP_KickSIG3[(iTemp59) as usize] };
			let mut fTemp61: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow14 * fSlow13 * (fTemp60 + (fTemp58 - ((iTemp59) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iTemp59, 1)) as usize] } - fTemp60)) };
			self.fRec16[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + 99.0));
			let mut fTemp63: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp62) * (fTemp62 + 28.0);
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp63 } else { self.fRec20[1] };
			let mut fTemp64: F32 = F32::max(5076.0, self.fRec20[0]);
			self.fRec21[0] = if (iTemp2 as i32 != 0) { fTemp63 + 4064.0 } else { self.fRec21[1] };
			let mut fTemp65: F32 = self.fRec21[0] - fTemp64;
			let mut fTemp66: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp65) / (fTemp13 * if (((fTemp65 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp64)) + 2.0) } else { 0.96 }))));
			let mut fTemp67: F32 = self.fRec20[0] - self.fRec21[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (fTemp8 * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp69: F32 = self.fConst12 + fTemp66 + fTemp68;
			self.fRec22[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp69, self.fRec22[1] + 1.0) };
			let mut fTemp70: F32 = (self.fRec22[0] - fTemp66 - self.fConst12) / fTemp68;
			let mut iTemp71: i32 = ((self.fRec22[0] < fTemp66) as i32);
			let mut fTemp72: F32 = self.fRec22[0] / fTemp66;
			let mut fTemp73: F32 = if (((self.fRec22[0] < (self.fConst12 + fTemp66)) as i32) as i32 != 0) { if (iTemp71 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp64 } else { if (iTemp71 as i32 != 0) { fTemp64 + fTemp65 * if (((self.fRec21[0] > fTemp64) as i32) as i32 != 0) { F32::powf(fTemp72, 0.33333334) } else { fTemp72 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { if (((self.fRec22[0] < fTemp69) as i32) as i32 != 0) { self.fRec21[0] + fTemp67 * if (((self.fRec20[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp70, 0.33333334) } else { fTemp70 } } else { self.fRec20[0] } };
			let mut iTemp74: i32 = ((fTemp73) as i32);
			let mut fTemp75: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp74) as usize] };
			self.fRec23[0] = if (iTemp2 as i32 != 0) { 6848.0 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { 6.56e+03 } else { self.fRec24[1] };
			let mut fTemp76: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp77: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp76) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 54.5) as i32)) as usize] } * if (((fTemp76 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 2784.0 } else { self.fRec25[1] };
			let mut fTemp78: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp79: F32 = self.fRec23[0] - fTemp78;
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp39 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp78)) + 2.0) } else { 0.96 }))));
			let mut fTemp81: F32 = fTemp80 + fTemp77;
			let mut fTemp82: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp81 + fTemp83;
			self.fRec26[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec26[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec26[0] < fTemp81) as i32);
			let mut fTemp86: F32 = (self.fRec26[0] - fTemp81) / fTemp83;
			let mut iTemp87: i32 = ((self.fRec26[0] < fTemp80) as i32);
			let mut fTemp88: F32 = (self.fRec26[0] - fTemp80) / fTemp77;
			let mut fTemp89: F32 = self.fRec26[0] / fTemp80;
			let mut fTemp90: F32 = if (iTemp85 as i32 != 0) { if (iTemp87 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp78 } else { if (iTemp87 as i32 != 0) { fTemp78 + fTemp79 * if (((self.fRec23[0] > fTemp78) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec23[0] } } } else { if (iTemp85 as i32 != 0) { self.fRec23[0] + fTemp76 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp84) as i32) as i32 != 0) { self.fRec24[0] + fTemp82 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { self.fRec25[0] } };
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst14 };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			self.fRec29[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3904.0 } else { self.fRec29[1] };
			let mut fTemp94: F32 = self.fRec29[0] - self.fRec2[0];
			let mut fTemp95: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp94) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 76.5) as i32)) as usize] } * if (((fTemp94 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp12 * unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 82.5) as i32)) as usize] }))));
			let mut fTemp97: F32 = fTemp96 + fTemp95;
			let mut fTemp98: F32 = self.fRec7[0] - self.fRec29[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp31 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp97 + fTemp99;
			self.fRec30[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp100, self.fRec30[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec30[0] < fTemp97) as i32);
			let mut fTemp102: F32 = (self.fRec30[0] - fTemp97) / fTemp99;
			let mut iTemp103: i32 = ((self.fRec30[0] < fTemp96) as i32);
			let mut fTemp104: F32 = (self.fRec30[0] - fTemp96) / fTemp95;
			let mut fTemp105: F32 = self.fRec30[0] / fTemp96;
			let mut fTemp106: F32 = if (iTemp101 as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec30[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp103 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec2[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec2[0] + fTemp94 * if (((self.fRec29[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec29[0] } } } else { if (((self.fRec30[0] < fTemp100) as i32) as i32 != 0) { self.fRec29[0] + fTemp98 * if (((self.fRec7[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec7[0] } };
			let mut iTemp107: i32 = ((fTemp106) as i32);
			let mut fTemp108: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp107) as usize] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 4e+03 } else { self.fRec31[1] };
			let mut fTemp109: F32 = F32::max(5076.0, self.fRec31[0]);
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 8064.0 } else { self.fRec32[1] };
			let mut fTemp110: F32 = self.fRec32[0] - fTemp109;
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp35 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp109)) + 2.0) } else { 0.96 }))));
			let mut fTemp112: F32 = self.fRec31[0] - self.fRec32[0];
			let mut fTemp113: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp112) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp112 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp114: F32 = self.fConst12 + fTemp111 + fTemp113;
			self.fRec33[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp114, self.fRec33[1] + 1.0) };
			let mut fTemp115: F32 = (self.fRec33[0] - fTemp111 - self.fConst12) / fTemp113;
			let mut iTemp116: i32 = ((self.fRec33[0] < fTemp111) as i32);
			let mut fTemp117: F32 = self.fRec33[0] / fTemp111;
			let mut fTemp118: F32 = if (((self.fRec33[0] < (self.fConst12 + fTemp111)) as i32) as i32 != 0) { if (iTemp116 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp109 } else { if (iTemp116 as i32 != 0) { fTemp109 + fTemp110 * if (((self.fRec32[0] > fTemp109) as i32) as i32 != 0) { F32::powf(fTemp117, 0.33333334) } else { fTemp117 } } else { self.fRec32[0] } } } else { self.fRec32[0] } } else { if (((self.fRec33[0] < fTemp114) as i32) as i32 != 0) { self.fRec32[0] + fTemp112 * if (((self.fRec31[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp115, 0.33333334) } else { fTemp115 } } else { self.fRec31[0] } };
			let mut iTemp119: i32 = ((fTemp118) as i32);
			let mut fTemp120: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp119) as usize] };
			let mut fTemp121: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec34[1] + self.fConst16 };
			self.fRec34[0] = fTemp121 - F32::floor(fTemp121);
			let mut fTemp122: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst18 };
			self.fRec35[0] = fTemp122 - F32::floor(fTemp122);
			let mut fRec28: F32 = fSlow16 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec35[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec34[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp120 + (fTemp118 - ((iTemp119) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp119, 1)) as usize] } - fTemp120)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp108 + (fTemp106 - ((iTemp107) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp107, 1)) as usize] } - fTemp108));
			let mut fTemp123: F32 = fRec28 + 0.115 * (unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp75 + (fTemp73 - ((iTemp74) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp74, 1)) as usize] } - fTemp75)) + fSlow15 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec14[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp29 + (fTemp27 - ((iTemp28) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp28, 1)) as usize] } - fTemp29)));
			self.fVec3[0] = fTemp123;
			self.fRec0[0] = 0.5 * (self.fConst19 * fTemp123 + self.fConst20 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.iRec17[1] = self.iRec17[0];
			self.iRec18[1] = self.iRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Kick {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_Kick as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Kick as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider1) + 7e+01;
		let mut fSlow4: F32 = F32::min(99.0, fSlow3);
		let mut fSlow5: F32 = 0.15 * self.fHslider2;
		let mut fSlow6: F32 = self.fHslider4 + self.fHslider3;
		let mut fSlow7: F32 = 0.5714286 * (0.33333334 * (fSlow6 + -2.75) + 1.0);
		let mut fSlow8: F32 = ((unsafe { itbl4DSP_KickSIG4[(((F32::max(0.0, F32::min(99.0, 55.0 - fSlow5))) as i32)) as usize] }) as F32);
		let mut fSlow9: F32 = F32::powf(2.0, 0.083333336 * (fSlow6 + -71.75));
		let mut fSlow10: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow9, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow11: i32 = ((fSlow10) as i32);
		let mut fSlow12: F32 = unsafe { ftbl3DSP_KickSIG3[(iSlow11) as usize] };
		let mut fSlow13: F32 = fSlow12 + (fSlow10 - ((iSlow11) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iSlow11, 1)) as usize] } - fSlow12);
		let mut fSlow14: F32 = self.fConst11 * fSlow9;
		let mut fSlow15: F32 = ((((fSlow3 > 0.0) as i32)) as F32);
		let mut fSlow16: F32 = 0.115 * fSlow15;
		let mut fSlow17: F32 = 0.01 * self.fHslider5;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider7 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 0.5714286 * (106.0 * (1.0 - DSP_Kick_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0);
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, fSlow4 + fTemp3));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec6[1] };
			let mut fTemp8: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 55.5 - fSlow5) as i32)) as usize] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (fTemp8 * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec2[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 90.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::abs(fTemp11);
			let mut fTemp15: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp13 * fTemp12))));
			let mut fTemp16: F32 = fTemp15 + fTemp9;
			let mut iTemp17: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp18: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp19: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp18) / (fTemp8 * if (((fTemp18 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp20: F32 = fTemp16 + fTemp19;
			self.fRec8[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp20, self.fRec8[1] + 1.0) };
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp16) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp16) / fTemp19;
			let mut iTemp23: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp9;
			let mut iTemp25: i32 = ((self.fRec2[0] > fTemp10) as i32);
			let mut fTemp26: F32 = self.fRec8[0] / fTemp15;
			let mut fTemp27: F32 = if (iTemp21 as i32 != 0) { if (iTemp23 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp23 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp26, 0.33333334) } else { fTemp26 } } else { self.fRec2[0] } } } else { if (iTemp21 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp20) as i32) as i32 != 0) { self.fRec4[0] + fTemp18 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec7[0] } };
			let mut iTemp28: i32 = ((fTemp27) as i32);
			let mut fTemp29: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp28) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { 7744.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7456.0 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 3.68e+03 } else { self.fRec12[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp34: F32 = self.fRec10[0] - fTemp33;
			let mut fTemp35: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] };
			let mut fTemp36: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (fTemp35 * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp37: F32 = fTemp36 + fTemp32;
			let mut fTemp38: F32 = self.fRec12[0] - self.fRec11[0];
			let mut fTemp39: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp38) / (fTemp39 * if (((fTemp38 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp37 + fTemp40;
			self.fRec13[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec13[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec13[0] < fTemp37) as i32);
			let mut fTemp43: F32 = (self.fRec13[0] - fTemp37) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec13[0] < fTemp36) as i32);
			let mut fTemp45: F32 = (self.fRec13[0] - fTemp36) / fTemp32;
			let mut fTemp46: F32 = self.fRec13[0] / fTemp36;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp44 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec10[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec10[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec11[0] } } } else { if (((self.fRec13[0] < fTemp41) as i32) as i32 != 0) { self.fRec11[0] + fTemp38 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec12[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp51: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec14[1] + self.fConst7 };
			self.fRec14[0] = fTemp51 - F32::floor(fTemp51);
			self.iRec17[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec17[1] };
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec18[1] };
			let mut iTemp52: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec17[0]);
			let mut fTemp53: F32 = F32::max(1.0, self.fConst10 * (((i32::abs(iTemp52)) as F32) / fSlow8));
			self.fRec19[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp53 + 2.0, self.fRec19[1] + 1.0) };
			let mut fTemp54: F32 = ((self.iRec18[0]) as F32);
			let mut iTemp55: i32 = ((self.fRec19[0] < fTemp53) as i32);
			let mut fTemp56: F32 = self.fRec19[0] / fTemp53;
			let mut fTemp57: F32 = ((self.iRec17[0]) as F32);
			let mut fTemp58: F32 = 15.996094 * (0.4 * if (((self.fRec19[0] < (fTemp53 + 1.0)) as i32) as i32 != 0) { if (iTemp55 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp57 } else { if (iTemp55 as i32 != 0) { fTemp57 + ((iTemp52) as F32) * if (((self.iRec18[0] > self.iRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp56, 0.33333334) } else { fTemp56 } } else { fTemp54 } } } else { fTemp54 } } else { fTemp54 } + 128.0);
			let mut iTemp59: i32 = ((fTemp58) as i32);
			let mut fTemp60: F32 = unsafe { ftbl3DSP_KickSIG3[(iTemp59) as usize] };
			let mut fTemp61: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow14 * fSlow13 * (fTemp60 + (fTemp58 - ((iTemp59) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iTemp59, 1)) as usize] } - fTemp60)) };
			self.fRec16[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + 99.0));
			let mut fTemp63: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp62) * (fTemp62 + 28.0);
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp63 } else { self.fRec20[1] };
			let mut fTemp64: F32 = F32::max(5076.0, self.fRec20[0]);
			self.fRec21[0] = if (iTemp2 as i32 != 0) { fTemp63 + 4064.0 } else { self.fRec21[1] };
			let mut fTemp65: F32 = self.fRec21[0] - fTemp64;
			let mut fTemp66: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp65) / (fTemp13 * if (((fTemp65 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp64)) + 2.0) } else { 0.96 }))));
			let mut fTemp67: F32 = self.fRec20[0] - self.fRec21[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (fTemp8 * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp69: F32 = self.fConst12 + fTemp66 + fTemp68;
			self.fRec22[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp69, self.fRec22[1] + 1.0) };
			let mut fTemp70: F32 = (self.fRec22[0] - fTemp66 - self.fConst12) / fTemp68;
			let mut iTemp71: i32 = ((self.fRec22[0] < fTemp66) as i32);
			let mut fTemp72: F32 = self.fRec22[0] / fTemp66;
			let mut fTemp73: F32 = if (((self.fRec22[0] < (self.fConst12 + fTemp66)) as i32) as i32 != 0) { if (iTemp71 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp64 } else { if (iTemp71 as i32 != 0) { fTemp64 + fTemp65 * if (((self.fRec21[0] > fTemp64) as i32) as i32 != 0) { F32::powf(fTemp72, 0.33333334) } else { fTemp72 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { if (((self.fRec22[0] < fTemp69) as i32) as i32 != 0) { self.fRec21[0] + fTemp67 * if (((self.fRec20[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp70, 0.33333334) } else { fTemp70 } } else { self.fRec20[0] } };
			let mut iTemp74: i32 = ((fTemp73) as i32);
			let mut fTemp75: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp74) as usize] };
			self.fRec23[0] = if (iTemp2 as i32 != 0) { 6848.0 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { 6.56e+03 } else { self.fRec24[1] };
			let mut fTemp76: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp77: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp76) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 54.5) as i32)) as usize] } * if (((fTemp76 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 2784.0 } else { self.fRec25[1] };
			let mut fTemp78: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp79: F32 = self.fRec23[0] - fTemp78;
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp39 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp78)) + 2.0) } else { 0.96 }))));
			let mut fTemp81: F32 = fTemp80 + fTemp77;
			let mut fTemp82: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp81 + fTemp83;
			self.fRec26[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec26[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec26[0] < fTemp81) as i32);
			let mut fTemp86: F32 = (self.fRec26[0] - fTemp81) / fTemp83;
			let mut iTemp87: i32 = ((self.fRec26[0] < fTemp80) as i32);
			let mut fTemp88: F32 = (self.fRec26[0] - fTemp80) / fTemp77;
			let mut fTemp89: F32 = self.fRec26[0] / fTemp80;
			let mut fTemp90: F32 = if (iTemp85 as i32 != 0) { if (iTemp87 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp78 } else { if (iTemp87 as i32 != 0) { fTemp78 + fTemp79 * if (((self.fRec23[0] > fTemp78) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec23[0] } } } else { if (iTemp85 as i32 != 0) { self.fRec23[0] + fTemp76 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp84) as i32) as i32 != 0) { self.fRec24[0] + fTemp82 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { self.fRec25[0] } };
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst14 };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			self.fRec29[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3904.0 } else { self.fRec29[1] };
			let mut fTemp94: F32 = self.fRec29[0] - self.fRec2[0];
			let mut fTemp95: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp94) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 76.5) as i32)) as usize] } * if (((fTemp94 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp12 * unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 82.5) as i32)) as usize] }))));
			let mut fTemp97: F32 = fTemp96 + fTemp95;
			let mut fTemp98: F32 = self.fRec7[0] - self.fRec29[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp31 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp97 + fTemp99;
			self.fRec30[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp100, self.fRec30[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec30[0] < fTemp97) as i32);
			let mut fTemp102: F32 = (self.fRec30[0] - fTemp97) / fTemp99;
			let mut iTemp103: i32 = ((self.fRec30[0] < fTemp96) as i32);
			let mut fTemp104: F32 = (self.fRec30[0] - fTemp96) / fTemp95;
			let mut fTemp105: F32 = self.fRec30[0] / fTemp96;
			let mut fTemp106: F32 = if (iTemp101 as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec30[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp103 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec2[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec2[0] + fTemp94 * if (((self.fRec29[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec29[0] } } } else { if (((self.fRec30[0] < fTemp100) as i32) as i32 != 0) { self.fRec29[0] + fTemp98 * if (((self.fRec7[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec7[0] } };
			let mut iTemp107: i32 = ((fTemp106) as i32);
			let mut fTemp108: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp107) as usize] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 4e+03 } else { self.fRec31[1] };
			let mut fTemp109: F32 = F32::max(5076.0, self.fRec31[0]);
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 8064.0 } else { self.fRec32[1] };
			let mut fTemp110: F32 = self.fRec32[0] - fTemp109;
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp35 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp109)) + 2.0) } else { 0.96 }))));
			let mut fTemp112: F32 = self.fRec31[0] - self.fRec32[0];
			let mut fTemp113: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp112) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp112 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp114: F32 = self.fConst12 + fTemp111 + fTemp113;
			self.fRec33[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp114, self.fRec33[1] + 1.0) };
			let mut fTemp115: F32 = (self.fRec33[0] - fTemp111 - self.fConst12) / fTemp113;
			let mut iTemp116: i32 = ((self.fRec33[0] < fTemp111) as i32);
			let mut fTemp117: F32 = self.fRec33[0] / fTemp111;
			let mut fTemp118: F32 = if (((self.fRec33[0] < (self.fConst12 + fTemp111)) as i32) as i32 != 0) { if (iTemp116 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp109 } else { if (iTemp116 as i32 != 0) { fTemp109 + fTemp110 * if (((self.fRec32[0] > fTemp109) as i32) as i32 != 0) { F32::powf(fTemp117, 0.33333334) } else { fTemp117 } } else { self.fRec32[0] } } } else { self.fRec32[0] } } else { if (((self.fRec33[0] < fTemp114) as i32) as i32 != 0) { self.fRec32[0] + fTemp112 * if (((self.fRec31[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp115, 0.33333334) } else { fTemp115 } } else { self.fRec31[0] } };
			let mut iTemp119: i32 = ((fTemp118) as i32);
			let mut fTemp120: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp119) as usize] };
			let mut fTemp121: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec34[1] + self.fConst16 };
			self.fRec34[0] = fTemp121 - F32::floor(fTemp121);
			let mut fTemp122: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst18 };
			self.fRec35[0] = fTemp122 - F32::floor(fTemp122);
			let mut fRec28: F32 = fSlow16 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec35[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec34[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp120 + (fTemp118 - ((iTemp119) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp119, 1)) as usize] } - fTemp120)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp108 + (fTemp106 - ((iTemp107) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp107, 1)) as usize] } - fTemp108));
			let mut fTemp123: F32 = fRec28 + 0.115 * (unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp75 + (fTemp73 - ((iTemp74) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp74, 1)) as usize] } - fTemp75)) + fSlow15 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec14[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp29 + (fTemp27 - ((iTemp28) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp28, 1)) as usize] } - fTemp29)));
			self.fVec3[0] = fTemp123;
			self.fRec0[0] = 0.5 * (self.fConst19 * fTemp123 + self.fConst20 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.iRec17[1] = self.iRec17[0];
			self.iRec18[1] = self.iRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Kick {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_Kick as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Kick as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider1) + 7e+01;
		let mut fSlow4: F32 = F32::min(99.0, fSlow3);
		let mut fSlow5: F32 = 0.15 * self.fHslider2;
		let mut fSlow6: F32 = self.fHslider4 + self.fHslider3;
		let mut fSlow7: F32 = 0.5714286 * (0.33333334 * (fSlow6 + -2.75) + 1.0);
		let mut fSlow8: F32 = ((unsafe { itbl4DSP_KickSIG4[(((F32::max(0.0, F32::min(99.0, 55.0 - fSlow5))) as i32)) as usize] }) as F32);
		let mut fSlow9: F32 = F32::powf(2.0, 0.083333336 * (fSlow6 + -71.75));
		let mut fSlow10: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow9, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow11: i32 = ((fSlow10) as i32);
		let mut fSlow12: F32 = unsafe { ftbl3DSP_KickSIG3[(iSlow11) as usize] };
		let mut fSlow13: F32 = fSlow12 + (fSlow10 - ((iSlow11) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iSlow11, 1)) as usize] } - fSlow12);
		let mut fSlow14: F32 = self.fConst11 * fSlow9;
		let mut fSlow15: F32 = ((((fSlow3 > 0.0) as i32)) as F32);
		let mut fSlow16: F32 = 0.115 * fSlow15;
		let mut fSlow17: F32 = 0.01 * self.fHslider5;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider7 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 0.5714286 * (106.0 * (1.0 - DSP_Kick_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0);
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, fSlow4 + fTemp3));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec6[1] };
			let mut fTemp8: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 55.5 - fSlow5) as i32)) as usize] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (fTemp8 * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec2[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 90.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::abs(fTemp11);
			let mut fTemp15: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp13 * fTemp12))));
			let mut fTemp16: F32 = fTemp15 + fTemp9;
			let mut iTemp17: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp18: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp19: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp18) / (fTemp8 * if (((fTemp18 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp20: F32 = fTemp16 + fTemp19;
			self.fRec8[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp20, self.fRec8[1] + 1.0) };
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp16) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp16) / fTemp19;
			let mut iTemp23: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp9;
			let mut iTemp25: i32 = ((self.fRec2[0] > fTemp10) as i32);
			let mut fTemp26: F32 = self.fRec8[0] / fTemp15;
			let mut fTemp27: F32 = if (iTemp21 as i32 != 0) { if (iTemp23 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp23 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp26, 0.33333334) } else { fTemp26 } } else { self.fRec2[0] } } } else { if (iTemp21 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp20) as i32) as i32 != 0) { self.fRec4[0] + fTemp18 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec7[0] } };
			let mut iTemp28: i32 = ((fTemp27) as i32);
			let mut fTemp29: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp28) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { 7744.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7456.0 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 3.68e+03 } else { self.fRec12[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp34: F32 = self.fRec10[0] - fTemp33;
			let mut fTemp35: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] };
			let mut fTemp36: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (fTemp35 * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp37: F32 = fTemp36 + fTemp32;
			let mut fTemp38: F32 = self.fRec12[0] - self.fRec11[0];
			let mut fTemp39: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp38) / (fTemp39 * if (((fTemp38 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp37 + fTemp40;
			self.fRec13[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec13[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec13[0] < fTemp37) as i32);
			let mut fTemp43: F32 = (self.fRec13[0] - fTemp37) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec13[0] < fTemp36) as i32);
			let mut fTemp45: F32 = (self.fRec13[0] - fTemp36) / fTemp32;
			let mut fTemp46: F32 = self.fRec13[0] / fTemp36;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp44 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec10[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec10[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec11[0] } } } else { if (((self.fRec13[0] < fTemp41) as i32) as i32 != 0) { self.fRec11[0] + fTemp38 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec12[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp51: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec14[1] + self.fConst7 };
			self.fRec14[0] = fTemp51 - F32::floor(fTemp51);
			self.iRec17[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec17[1] };
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec18[1] };
			let mut iTemp52: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec17[0]);
			let mut fTemp53: F32 = F32::max(1.0, self.fConst10 * (((i32::abs(iTemp52)) as F32) / fSlow8));
			self.fRec19[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp53 + 2.0, self.fRec19[1] + 1.0) };
			let mut fTemp54: F32 = ((self.iRec18[0]) as F32);
			let mut iTemp55: i32 = ((self.fRec19[0] < fTemp53) as i32);
			let mut fTemp56: F32 = self.fRec19[0] / fTemp53;
			let mut fTemp57: F32 = ((self.iRec17[0]) as F32);
			let mut fTemp58: F32 = 15.996094 * (0.4 * if (((self.fRec19[0] < (fTemp53 + 1.0)) as i32) as i32 != 0) { if (iTemp55 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp57 } else { if (iTemp55 as i32 != 0) { fTemp57 + ((iTemp52) as F32) * if (((self.iRec18[0] > self.iRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp56, 0.33333334) } else { fTemp56 } } else { fTemp54 } } } else { fTemp54 } } else { fTemp54 } + 128.0);
			let mut iTemp59: i32 = ((fTemp58) as i32);
			let mut fTemp60: F32 = unsafe { ftbl3DSP_KickSIG3[(iTemp59) as usize] };
			let mut fTemp61: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow14 * fSlow13 * (fTemp60 + (fTemp58 - ((iTemp59) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iTemp59, 1)) as usize] } - fTemp60)) };
			self.fRec16[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + 99.0));
			let mut fTemp63: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp62) * (fTemp62 + 28.0);
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp63 } else { self.fRec20[1] };
			let mut fTemp64: F32 = F32::max(5076.0, self.fRec20[0]);
			self.fRec21[0] = if (iTemp2 as i32 != 0) { fTemp63 + 4064.0 } else { self.fRec21[1] };
			let mut fTemp65: F32 = self.fRec21[0] - fTemp64;
			let mut fTemp66: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp65) / (fTemp13 * if (((fTemp65 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp64)) + 2.0) } else { 0.96 }))));
			let mut fTemp67: F32 = self.fRec20[0] - self.fRec21[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (fTemp8 * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp69: F32 = self.fConst12 + fTemp66 + fTemp68;
			self.fRec22[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp69, self.fRec22[1] + 1.0) };
			let mut fTemp70: F32 = (self.fRec22[0] - fTemp66 - self.fConst12) / fTemp68;
			let mut iTemp71: i32 = ((self.fRec22[0] < fTemp66) as i32);
			let mut fTemp72: F32 = self.fRec22[0] / fTemp66;
			let mut fTemp73: F32 = if (((self.fRec22[0] < (self.fConst12 + fTemp66)) as i32) as i32 != 0) { if (iTemp71 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp64 } else { if (iTemp71 as i32 != 0) { fTemp64 + fTemp65 * if (((self.fRec21[0] > fTemp64) as i32) as i32 != 0) { F32::powf(fTemp72, 0.33333334) } else { fTemp72 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { if (((self.fRec22[0] < fTemp69) as i32) as i32 != 0) { self.fRec21[0] + fTemp67 * if (((self.fRec20[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp70, 0.33333334) } else { fTemp70 } } else { self.fRec20[0] } };
			let mut iTemp74: i32 = ((fTemp73) as i32);
			let mut fTemp75: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp74) as usize] };
			self.fRec23[0] = if (iTemp2 as i32 != 0) { 6848.0 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { 6.56e+03 } else { self.fRec24[1] };
			let mut fTemp76: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp77: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp76) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 54.5) as i32)) as usize] } * if (((fTemp76 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 2784.0 } else { self.fRec25[1] };
			let mut fTemp78: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp79: F32 = self.fRec23[0] - fTemp78;
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp39 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp78)) + 2.0) } else { 0.96 }))));
			let mut fTemp81: F32 = fTemp80 + fTemp77;
			let mut fTemp82: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp81 + fTemp83;
			self.fRec26[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec26[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec26[0] < fTemp81) as i32);
			let mut fTemp86: F32 = (self.fRec26[0] - fTemp81) / fTemp83;
			let mut iTemp87: i32 = ((self.fRec26[0] < fTemp80) as i32);
			let mut fTemp88: F32 = (self.fRec26[0] - fTemp80) / fTemp77;
			let mut fTemp89: F32 = self.fRec26[0] / fTemp80;
			let mut fTemp90: F32 = if (iTemp85 as i32 != 0) { if (iTemp87 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp78 } else { if (iTemp87 as i32 != 0) { fTemp78 + fTemp79 * if (((self.fRec23[0] > fTemp78) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec23[0] } } } else { if (iTemp85 as i32 != 0) { self.fRec23[0] + fTemp76 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp84) as i32) as i32 != 0) { self.fRec24[0] + fTemp82 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { self.fRec25[0] } };
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst14 };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			self.fRec29[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3904.0 } else { self.fRec29[1] };
			let mut fTemp94: F32 = self.fRec29[0] - self.fRec2[0];
			let mut fTemp95: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp94) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 76.5) as i32)) as usize] } * if (((fTemp94 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp12 * unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 82.5) as i32)) as usize] }))));
			let mut fTemp97: F32 = fTemp96 + fTemp95;
			let mut fTemp98: F32 = self.fRec7[0] - self.fRec29[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp31 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp97 + fTemp99;
			self.fRec30[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp100, self.fRec30[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec30[0] < fTemp97) as i32);
			let mut fTemp102: F32 = (self.fRec30[0] - fTemp97) / fTemp99;
			let mut iTemp103: i32 = ((self.fRec30[0] < fTemp96) as i32);
			let mut fTemp104: F32 = (self.fRec30[0] - fTemp96) / fTemp95;
			let mut fTemp105: F32 = self.fRec30[0] / fTemp96;
			let mut fTemp106: F32 = if (iTemp101 as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec30[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp103 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec2[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec2[0] + fTemp94 * if (((self.fRec29[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec29[0] } } } else { if (((self.fRec30[0] < fTemp100) as i32) as i32 != 0) { self.fRec29[0] + fTemp98 * if (((self.fRec7[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec7[0] } };
			let mut iTemp107: i32 = ((fTemp106) as i32);
			let mut fTemp108: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp107) as usize] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 4e+03 } else { self.fRec31[1] };
			let mut fTemp109: F32 = F32::max(5076.0, self.fRec31[0]);
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 8064.0 } else { self.fRec32[1] };
			let mut fTemp110: F32 = self.fRec32[0] - fTemp109;
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp35 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp109)) + 2.0) } else { 0.96 }))));
			let mut fTemp112: F32 = self.fRec31[0] - self.fRec32[0];
			let mut fTemp113: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp112) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp112 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp114: F32 = self.fConst12 + fTemp111 + fTemp113;
			self.fRec33[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp114, self.fRec33[1] + 1.0) };
			let mut fTemp115: F32 = (self.fRec33[0] - fTemp111 - self.fConst12) / fTemp113;
			let mut iTemp116: i32 = ((self.fRec33[0] < fTemp111) as i32);
			let mut fTemp117: F32 = self.fRec33[0] / fTemp111;
			let mut fTemp118: F32 = if (((self.fRec33[0] < (self.fConst12 + fTemp111)) as i32) as i32 != 0) { if (iTemp116 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp109 } else { if (iTemp116 as i32 != 0) { fTemp109 + fTemp110 * if (((self.fRec32[0] > fTemp109) as i32) as i32 != 0) { F32::powf(fTemp117, 0.33333334) } else { fTemp117 } } else { self.fRec32[0] } } } else { self.fRec32[0] } } else { if (((self.fRec33[0] < fTemp114) as i32) as i32 != 0) { self.fRec32[0] + fTemp112 * if (((self.fRec31[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp115, 0.33333334) } else { fTemp115 } } else { self.fRec31[0] } };
			let mut iTemp119: i32 = ((fTemp118) as i32);
			let mut fTemp120: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp119) as usize] };
			let mut fTemp121: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec34[1] + self.fConst16 };
			self.fRec34[0] = fTemp121 - F32::floor(fTemp121);
			let mut fTemp122: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst18 };
			self.fRec35[0] = fTemp122 - F32::floor(fTemp122);
			let mut fRec28: F32 = fSlow16 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec35[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec34[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp120 + (fTemp118 - ((iTemp119) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp119, 1)) as usize] } - fTemp120)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp108 + (fTemp106 - ((iTemp107) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp107, 1)) as usize] } - fTemp108));
			let mut fTemp123: F32 = fRec28 + 0.115 * (unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp75 + (fTemp73 - ((iTemp74) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp74, 1)) as usize] } - fTemp75)) + fSlow15 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec14[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp29 + (fTemp27 - ((iTemp28) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp28, 1)) as usize] } - fTemp29)));
			self.fVec3[0] = fTemp123;
			self.fRec0[0] = 0.5 * (self.fConst19 * fTemp123 + self.fConst20 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.iRec17[1] = self.iRec17[0];
			self.iRec18[1] = self.iRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Kick {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_Kick as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Kick as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider1) + 7e+01;
		let mut fSlow4: F32 = F32::min(99.0, fSlow3);
		let mut fSlow5: F32 = 0.15 * self.fHslider2;
		let mut fSlow6: F32 = self.fHslider4 + self.fHslider3;
		let mut fSlow7: F32 = 0.5714286 * (0.33333334 * (fSlow6 + -2.75) + 1.0);
		let mut fSlow8: F32 = ((unsafe { itbl4DSP_KickSIG4[(((F32::max(0.0, F32::min(99.0, 55.0 - fSlow5))) as i32)) as usize] }) as F32);
		let mut fSlow9: F32 = F32::powf(2.0, 0.083333336 * (fSlow6 + -71.75));
		let mut fSlow10: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow9, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow11: i32 = ((fSlow10) as i32);
		let mut fSlow12: F32 = unsafe { ftbl3DSP_KickSIG3[(iSlow11) as usize] };
		let mut fSlow13: F32 = fSlow12 + (fSlow10 - ((iSlow11) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iSlow11, 1)) as usize] } - fSlow12);
		let mut fSlow14: F32 = self.fConst11 * fSlow9;
		let mut fSlow15: F32 = ((((fSlow3 > 0.0) as i32)) as F32);
		let mut fSlow16: F32 = 0.115 * fSlow15;
		let mut fSlow17: F32 = 0.01 * self.fHslider5;
		let mut fSlow18: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow19: F32 = fSlow18 * F32::min(1.0, 1.0 - fSlow17);
		let mut fSlow20: F32 = fSlow18 * F32::min(1.0, fSlow17 + 1.0);
		let mut fSlow21: F32 = 0.01 * self.fHslider7 * fSlow18;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 0.5714286 * (106.0 * (1.0 - DSP_Kick_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0);
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, fSlow4 + fTemp3));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec6[1] };
			let mut fTemp8: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 55.5 - fSlow5) as i32)) as usize] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (fTemp8 * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp11: F32 = self.fRec2[0] - fTemp10;
			let mut fTemp12: F32 = if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 };
			let mut fTemp13: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 90.5) as i32)) as usize] };
			let mut fTemp14: F32 = F32::abs(fTemp11);
			let mut fTemp15: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp13 * fTemp12))));
			let mut fTemp16: F32 = fTemp15 + fTemp9;
			let mut iTemp17: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp18: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp19: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp18) / (fTemp8 * if (((fTemp18 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp20: F32 = fTemp16 + fTemp19;
			self.fRec8[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp20, self.fRec8[1] + 1.0) };
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp16) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp16) / fTemp19;
			let mut iTemp23: i32 = ((self.fRec8[0] < fTemp15) as i32);
			let mut fTemp24: F32 = (self.fRec8[0] - fTemp15) / fTemp9;
			let mut iTemp25: i32 = ((self.fRec2[0] > fTemp10) as i32);
			let mut fTemp26: F32 = self.fRec8[0] / fTemp15;
			let mut fTemp27: F32 = if (iTemp21 as i32 != 0) { if (iTemp23 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp23 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp26, 0.33333334) } else { fTemp26 } } else { self.fRec2[0] } } } else { if (iTemp21 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp20) as i32) as i32 != 0) { self.fRec4[0] + fTemp18 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec7[0] } };
			let mut iTemp28: i32 = ((fTemp27) as i32);
			let mut fTemp29: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp28) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { 7744.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { 7456.0 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			let mut fTemp31: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] };
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (fTemp31 * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 3.68e+03 } else { self.fRec12[1] };
			let mut fTemp33: F32 = F32::max(5076.0, self.fRec12[0]);
			let mut fTemp34: F32 = self.fRec10[0] - fTemp33;
			let mut fTemp35: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] };
			let mut fTemp36: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp34) / (fTemp35 * if (((fTemp34 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp33)) + 2.0) } else { 0.96 }))));
			let mut fTemp37: F32 = fTemp36 + fTemp32;
			let mut fTemp38: F32 = self.fRec12[0] - self.fRec11[0];
			let mut fTemp39: F32 = unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp38) / (fTemp39 * if (((fTemp38 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = fTemp37 + fTemp40;
			self.fRec13[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp41, self.fRec13[1] + 1.0) };
			let mut iTemp42: i32 = ((self.fRec13[0] < fTemp37) as i32);
			let mut fTemp43: F32 = (self.fRec13[0] - fTemp37) / fTemp40;
			let mut iTemp44: i32 = ((self.fRec13[0] < fTemp36) as i32);
			let mut fTemp45: F32 = (self.fRec13[0] - fTemp36) / fTemp32;
			let mut fTemp46: F32 = self.fRec13[0] / fTemp36;
			let mut fTemp47: F32 = if (iTemp42 as i32 != 0) { if (iTemp44 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp33 } else { if (iTemp44 as i32 != 0) { fTemp33 + fTemp34 * if (((self.fRec10[0] > fTemp33) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec10[0] } } } else { if (iTemp42 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp45, 0.33333334) } else { fTemp45 } } else { self.fRec11[0] } } } else { if (((self.fRec13[0] < fTemp41) as i32) as i32 != 0) { self.fRec11[0] + fTemp38 * if (((self.fRec12[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp43, 0.33333334) } else { fTemp43 } } else { self.fRec12[0] } };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp48) as usize] };
			let mut iTemp50: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp51: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec14[1] + self.fConst7 };
			self.fRec14[0] = fTemp51 - F32::floor(fTemp51);
			self.iRec17[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec17[1] };
			self.iRec18[0] = if (iTemp2 as i32 != 0) { self.iConst9 } else { self.iRec18[1] };
			let mut iTemp52: i32 = i32::wrapping_sub(self.iRec18[0], self.iRec17[0]);
			let mut fTemp53: F32 = F32::max(1.0, self.fConst10 * (((i32::abs(iTemp52)) as F32) / fSlow8));
			self.fRec19[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp53 + 2.0, self.fRec19[1] + 1.0) };
			let mut fTemp54: F32 = ((self.iRec18[0]) as F32);
			let mut iTemp55: i32 = ((self.fRec19[0] < fTemp53) as i32);
			let mut fTemp56: F32 = self.fRec19[0] / fTemp53;
			let mut fTemp57: F32 = ((self.iRec17[0]) as F32);
			let mut fTemp58: F32 = 15.996094 * (0.4 * if (((self.fRec19[0] < (fTemp53 + 1.0)) as i32) as i32 != 0) { if (iTemp55 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp57 } else { if (iTemp55 as i32 != 0) { fTemp57 + ((iTemp52) as F32) * if (((self.iRec18[0] > self.iRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp56, 0.33333334) } else { fTemp56 } } else { fTemp54 } } } else { fTemp54 } } else { fTemp54 } + 128.0);
			let mut iTemp59: i32 = ((fTemp58) as i32);
			let mut fTemp60: F32 = unsafe { ftbl3DSP_KickSIG3[(iTemp59) as usize] };
			let mut fTemp61: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec16[1] + fSlow14 * fSlow13 * (fTemp60 + (fTemp58 - ((iTemp59) as F32)) * (unsafe { ftbl3DSP_KickSIG3[(i32::wrapping_add(iTemp59, 1)) as usize] } - fTemp60)) };
			self.fRec16[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + 99.0));
			let mut fTemp63: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp62) * (fTemp62 + 28.0);
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp63 } else { self.fRec20[1] };
			let mut fTemp64: F32 = F32::max(5076.0, self.fRec20[0]);
			self.fRec21[0] = if (iTemp2 as i32 != 0) { fTemp63 + 4064.0 } else { self.fRec21[1] };
			let mut fTemp65: F32 = self.fRec21[0] - fTemp64;
			let mut fTemp66: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp65) / (fTemp13 * if (((fTemp65 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp64)) + 2.0) } else { 0.96 }))));
			let mut fTemp67: F32 = self.fRec20[0] - self.fRec21[0];
			let mut fTemp68: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp67) / (fTemp8 * if (((fTemp67 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec21[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp69: F32 = self.fConst12 + fTemp66 + fTemp68;
			self.fRec22[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp69, self.fRec22[1] + 1.0) };
			let mut fTemp70: F32 = (self.fRec22[0] - fTemp66 - self.fConst12) / fTemp68;
			let mut iTemp71: i32 = ((self.fRec22[0] < fTemp66) as i32);
			let mut fTemp72: F32 = self.fRec22[0] / fTemp66;
			let mut fTemp73: F32 = if (((self.fRec22[0] < (self.fConst12 + fTemp66)) as i32) as i32 != 0) { if (iTemp71 as i32 != 0) { if (((self.fRec22[0] < 0.0) as i32) as i32 != 0) { fTemp64 } else { if (iTemp71 as i32 != 0) { fTemp64 + fTemp65 * if (((self.fRec21[0] > fTemp64) as i32) as i32 != 0) { F32::powf(fTemp72, 0.33333334) } else { fTemp72 } } else { self.fRec21[0] } } } else { self.fRec21[0] } } else { if (((self.fRec22[0] < fTemp69) as i32) as i32 != 0) { self.fRec21[0] + fTemp67 * if (((self.fRec20[0] > self.fRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp70, 0.33333334) } else { fTemp70 } } else { self.fRec20[0] } };
			let mut iTemp74: i32 = ((fTemp73) as i32);
			let mut fTemp75: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp74) as usize] };
			self.fRec23[0] = if (iTemp2 as i32 != 0) { 6848.0 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { 6.56e+03 } else { self.fRec24[1] };
			let mut fTemp76: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp77: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp76) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 54.5) as i32)) as usize] } * if (((fTemp76 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { 2784.0 } else { self.fRec25[1] };
			let mut fTemp78: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp79: F32 = self.fRec23[0] - fTemp78;
			let mut fTemp80: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp79) / (fTemp39 * if (((fTemp79 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp78)) + 2.0) } else { 0.96 }))));
			let mut fTemp81: F32 = fTemp80 + fTemp77;
			let mut fTemp82: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp82) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp82 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp84: F32 = fTemp81 + fTemp83;
			self.fRec26[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec26[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec26[0] < fTemp81) as i32);
			let mut fTemp86: F32 = (self.fRec26[0] - fTemp81) / fTemp83;
			let mut iTemp87: i32 = ((self.fRec26[0] < fTemp80) as i32);
			let mut fTemp88: F32 = (self.fRec26[0] - fTemp80) / fTemp77;
			let mut fTemp89: F32 = self.fRec26[0] / fTemp80;
			let mut fTemp90: F32 = if (iTemp85 as i32 != 0) { if (iTemp87 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp78 } else { if (iTemp87 as i32 != 0) { fTemp78 + fTemp79 * if (((self.fRec23[0] > fTemp78) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec23[0] } } } else { if (iTemp85 as i32 != 0) { self.fRec23[0] + fTemp76 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp84) as i32) as i32 != 0) { self.fRec24[0] + fTemp82 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { self.fRec25[0] } };
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec27[1] + self.fConst14 };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			self.fRec29[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3904.0 } else { self.fRec29[1] };
			let mut fTemp94: F32 = self.fRec29[0] - self.fRec2[0];
			let mut fTemp95: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp94) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 76.5) as i32)) as usize] } * if (((fTemp94 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp96: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp14 / (fTemp12 * unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 82.5) as i32)) as usize] }))));
			let mut fTemp97: F32 = fTemp96 + fTemp95;
			let mut fTemp98: F32 = self.fRec7[0] - self.fRec29[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (fTemp31 * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec29[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp100: F32 = fTemp97 + fTemp99;
			self.fRec30[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp100, self.fRec30[1] + 1.0) };
			let mut iTemp101: i32 = ((self.fRec30[0] < fTemp97) as i32);
			let mut fTemp102: F32 = (self.fRec30[0] - fTemp97) / fTemp99;
			let mut iTemp103: i32 = ((self.fRec30[0] < fTemp96) as i32);
			let mut fTemp104: F32 = (self.fRec30[0] - fTemp96) / fTemp95;
			let mut fTemp105: F32 = self.fRec30[0] / fTemp96;
			let mut fTemp106: F32 = if (iTemp101 as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec30[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp103 as i32 != 0) { fTemp10 + fTemp11 * if (iTemp25 as i32 != 0) { F32::powf(fTemp105, 0.33333334) } else { fTemp105 } } else { self.fRec2[0] } } } else { if (iTemp101 as i32 != 0) { self.fRec2[0] + fTemp94 * if (((self.fRec29[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec29[0] } } } else { if (((self.fRec30[0] < fTemp100) as i32) as i32 != 0) { self.fRec29[0] + fTemp98 * if (((self.fRec7[0] > self.fRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec7[0] } };
			let mut iTemp107: i32 = ((fTemp106) as i32);
			let mut fTemp108: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp107) as usize] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 4e+03 } else { self.fRec31[1] };
			let mut fTemp109: F32 = F32::max(5076.0, self.fRec31[0]);
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 8064.0 } else { self.fRec32[1] };
			let mut fTemp110: F32 = self.fRec32[0] - fTemp109;
			let mut fTemp111: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp110) / (fTemp35 * if (((fTemp110 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp109)) + 2.0) } else { 0.96 }))));
			let mut fTemp112: F32 = self.fRec31[0] - self.fRec32[0];
			let mut fTemp113: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp112) / (unsafe { ftbl1DSP_KickSIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp112 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec32[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp114: F32 = self.fConst12 + fTemp111 + fTemp113;
			self.fRec33[0] = if (iTemp17 as i32 != 0) { 0.0 } else { F32::min(fTemp114, self.fRec33[1] + 1.0) };
			let mut fTemp115: F32 = (self.fRec33[0] - fTemp111 - self.fConst12) / fTemp113;
			let mut iTemp116: i32 = ((self.fRec33[0] < fTemp111) as i32);
			let mut fTemp117: F32 = self.fRec33[0] / fTemp111;
			let mut fTemp118: F32 = if (((self.fRec33[0] < (self.fConst12 + fTemp111)) as i32) as i32 != 0) { if (iTemp116 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp109 } else { if (iTemp116 as i32 != 0) { fTemp109 + fTemp110 * if (((self.fRec32[0] > fTemp109) as i32) as i32 != 0) { F32::powf(fTemp117, 0.33333334) } else { fTemp117 } } else { self.fRec32[0] } } } else { self.fRec32[0] } } else { if (((self.fRec33[0] < fTemp114) as i32) as i32 != 0) { self.fRec32[0] + fTemp112 * if (((self.fRec31[0] > self.fRec32[0]) as i32) as i32 != 0) { F32::powf(fTemp115, 0.33333334) } else { fTemp115 } } else { self.fRec31[0] } };
			let mut iTemp119: i32 = ((fTemp118) as i32);
			let mut fTemp120: F32 = unsafe { ftbl0DSP_KickSIG0[(iTemp119) as usize] };
			let mut fTemp121: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec34[1] + self.fConst16 };
			self.fRec34[0] = fTemp121 - F32::floor(fTemp121);
			let mut fTemp122: F32 = if (iTemp50 as i32 != 0) { 0.0 } else { self.fRec35[1] + self.fConst18 };
			self.fRec35[0] = fTemp122 - F32::floor(fTemp122);
			let mut fRec28: F32 = fSlow16 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec35[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec34[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp120 + (fTemp118 - ((iTemp119) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp119, 1)) as usize] } - fTemp120)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp108 + (fTemp106 - ((iTemp107) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp107, 1)) as usize] } - fTemp108));
			let mut fTemp123: F32 = fRec28 + 0.115 * (unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp75 + (fTemp73 - ((iTemp74) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp74, 1)) as usize] } - fTemp75)) + fSlow15 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * (self.fRec16[0] + 2.0 * unsafe { ftbl2DSP_KickSIG2[(((1024.0 * self.fRec14[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp29 + (fTemp27 - ((iTemp28) as F32)) * (unsafe { ftbl0DSP_KickSIG0[(i32::wrapping_add(iTemp28, 1)) as usize] } - fTemp29)));
			self.fVec3[0] = fTemp123;
			self.fRec0[0] = 0.5 * (self.fConst19 * fTemp123 + self.fConst20 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow19 * self.fRec0[0];
			*output1 = fSlow20 * self.fRec0[0];
			*output2 = fSlow21 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.iRec17[1] = self.iRec17[0];
			self.iRec18[1] = self.iRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
