// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_Snare -pn processSnare -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_SnareSIG0 {
	iRec6: [i32;2],
}

impl DSP_SnareSIG0 {
	
	fn get_num_inputsDSP_SnareSIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_SnareSIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_SnareSIG0(&mut self, sample_rate: i32) {
		for l1 in 0..2 {
			self.iRec6[(l1) as usize] = 0;
		}
	}
	
	fn fillDSP_SnareSIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec6[0] = i32::wrapping_add(self.iRec6[1], 1);
			let mut fTemp0: F32 = ((i32::wrapping_add(self.iRec6[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp0))))) * (((((7.2e+03 - fTemp0) < 3824.0) as i32)) as F32);
			self.iRec6[1] = self.iRec6[0];
		}
	}

}


pub fn newDSP_SnareSIG0() -> DSP_SnareSIG0 { 
	DSP_SnareSIG0 {
		iRec6: [0;2],
	}
}

pub struct DSP_SnareSIG1 {
	iRec10: [i32;2],
}

impl DSP_SnareSIG1 {
	
	fn get_num_inputsDSP_SnareSIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_SnareSIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_SnareSIG1(&mut self, sample_rate: i32) {
		for l6 in 0..2 {
			self.iRec10[(l6) as usize] = 0;
		}
	}
	
	fn fillDSP_SnareSIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec10[0] = i32::wrapping_add(self.iRec10[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec10[0], -1)) as F32));
			self.iRec10[1] = self.iRec10[0];
		}
	}

}


pub fn newDSP_SnareSIG1() -> DSP_SnareSIG1 { 
	DSP_SnareSIG1 {
		iRec10: [0;2],
	}
}

pub struct DSP_SnareSIG2 {
	iVec2: [i32;2],
	iRec13: [i32;2],
}

impl DSP_SnareSIG2 {
	
	fn get_num_inputsDSP_SnareSIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_SnareSIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_SnareSIG2(&mut self, sample_rate: i32) {
		for l9 in 0..2 {
			self.iVec2[(l9) as usize] = 0;
		}
		for l10 in 0..2 {
			self.iRec13[(l10) as usize] = 0;
		}
	}
	
	fn fillDSP_SnareSIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec2[0] = 1;
			self.iRec13[0] = (i32::wrapping_add(self.iVec2[1], self.iRec13[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec13[0]) as F32));
			self.iVec2[1] = self.iVec2[0];
			self.iRec13[1] = self.iRec13[0];
		}
	}

}


pub fn newDSP_SnareSIG2() -> DSP_SnareSIG2 { 
	DSP_SnareSIG2 {
		iVec2: [0;2],
		iRec13: [0;2],
	}
}

pub struct DSP_SnareSIG3 {
	iRec23: [i32;2],
}

impl DSP_SnareSIG3 {
	
	fn get_num_inputsDSP_SnareSIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_SnareSIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_SnareSIG3(&mut self, sample_rate: i32) {
		for l19 in 0..2 {
			self.iRec23[(l19) as usize] = 0;
		}
	}
	
	fn fillDSP_SnareSIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec23[0] = i32::wrapping_add(self.iRec23[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec23[0], -1)) as F32) + -128.0));
			self.iRec23[1] = self.iRec23[0];
		}
	}

}


pub fn newDSP_SnareSIG3() -> DSP_SnareSIG3 { 
	DSP_SnareSIG3 {
		iRec23: [0;2],
	}
}
static mut iDSP_SnareSIG4Wave0: [i32;100] = [-128,-116,-104,-95,-85,-76,-68,-61,-56,-52,-49,-46,-43,-41,-39,-37,-35,-33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,38,40,43,46,49,53,58,65,73,82,92,103,115,127];

pub struct DSP_SnareSIG4 {
	iDSP_SnareSIG4Wave0_idx: i32,
}

impl DSP_SnareSIG4 {
	
	fn get_num_inputsDSP_SnareSIG4(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_SnareSIG4(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_SnareSIG4(&mut self, sample_rate: i32) {
		self.iDSP_SnareSIG4Wave0_idx = 0;
	}
	
	fn fillDSP_SnareSIG4(&mut self, count: i32, table: &mut[i32]) {
		for i5 in 0..count {
			table[(i5) as usize] = unsafe { iDSP_SnareSIG4Wave0[(self.iDSP_SnareSIG4Wave0_idx) as usize] };
			self.iDSP_SnareSIG4Wave0_idx = (i32::wrapping_add(1, self.iDSP_SnareSIG4Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_SnareSIG4() -> DSP_SnareSIG4 { 
	DSP_SnareSIG4 {
		iDSP_SnareSIG4Wave0_idx: 0,
	}
}
static mut ftbl0DSP_SnareSIG0: [F32;16384] = [0.0;16384];
fn DSP_Snare_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl1DSP_SnareSIG1: [F32;144] = [0.0;144];
static mut ftbl2DSP_SnareSIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_SnareSIG3: [F32;4096] = [0.0;4096];
static mut itbl4DSP_SnareSIG4: [i32;100] = [0;100];
fn DSP_Snare_faustpower4_f(value: F32) -> F32 {
	return value * value * value * value;
}

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_Snare {
	iVec0: [i32;2],
	fHslider0: F32,
	fEntry0: F32,
	iVec1: [i32;2],
	fHslider1: F32,
	fRec8: [F32;2],
	fRec7: [F32;2],
	fRec9: [F32;2],
	fHslider2: F32,
	fHslider3: F32,
	fRec11: [F32;2],
	fSampleRate: i32,
	fConst0: F32,
	fConst1: F32,
	fRec12: [F32;2],
	fRec14: [F32;2],
	fRec15: [F32;2],
	fRec16: [F32;2],
	fRec17: [F32;2],
	fRec18: [F32;2],
	fRec19: [F32;2],
	fRec20: [F32;2],
	fRec21: [F32;2],
	fConst4: F32,
	fRec22: [F32;2],
	fConst6: F32,
	fRec24: [F32;2],
	iConst7: i32,
	iRec26: [i32;2],
	fConst8: F32,
	fRec25: [F32;2],
	fHslider4: F32,
	fRec27: [F32;2],
	fRec28: [F32;2],
	fRec29: [F32;2],
	fRec30: [F32;2],
	fRec31: [F32;2],
	fRec32: [F32;2],
	fConst10: F32,
	fRec33: [F32;2],
	fRec35: [F32;2],
	fRec36: [F32;2],
	fRec37: [F32;2],
	fRec38: [F32;2],
	fConst12: F32,
	fRec39: [F32;2],
	fRec34: [F32;2],
	fConst14: F32,
	fRec40: [F32;2],
	fRec1: [F32;2],
	fRec2: [F32;2],
	fRec3: [F32;2],
	fRec4: [F32;2],
	fRec5: [F32;2],
	fConst16: F32,
	fConst17: F32,
	fConst19: F32,
	fConst20: F32,
	fRec0: [F32;2],
	fHslider5: F32,
	fHslider6: F32,
	fHslider7: F32,
}

impl FaustDsp for DSP_Snare {
	type T = F32;
		
	fn new() -> DSP_Snare { 
		DSP_Snare {
			iVec0: [0;2],
			fHslider0: 0.0,
			fEntry0: 0.0,
			iVec1: [0;2],
			fHslider1: 0.0,
			fRec8: [0.0;2],
			fRec7: [0.0;2],
			fRec9: [0.0;2],
			fHslider2: 0.0,
			fHslider3: 0.0,
			fRec11: [0.0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fConst1: 0.0,
			fRec12: [0.0;2],
			fRec14: [0.0;2],
			fRec15: [0.0;2],
			fRec16: [0.0;2],
			fRec17: [0.0;2],
			fRec18: [0.0;2],
			fRec19: [0.0;2],
			fRec20: [0.0;2],
			fRec21: [0.0;2],
			fConst4: 0.0,
			fRec22: [0.0;2],
			fConst6: 0.0,
			fRec24: [0.0;2],
			iConst7: 0,
			iRec26: [0;2],
			fConst8: 0.0,
			fRec25: [0.0;2],
			fHslider4: 0.0,
			fRec27: [0.0;2],
			fRec28: [0.0;2],
			fRec29: [0.0;2],
			fRec30: [0.0;2],
			fRec31: [0.0;2],
			fRec32: [0.0;2],
			fConst10: 0.0,
			fRec33: [0.0;2],
			fRec35: [0.0;2],
			fRec36: [0.0;2],
			fRec37: [0.0;2],
			fRec38: [0.0;2],
			fConst12: 0.0,
			fRec39: [0.0;2],
			fRec34: [0.0;2],
			fConst14: 0.0,
			fRec40: [0.0;2],
			fRec1: [0.0;2],
			fRec2: [0.0;2],
			fRec3: [0.0;2],
			fRec4: [0.0;2],
			fRec5: [0.0;2],
			fConst16: 0.0,
			fConst17: 0.0,
			fConst19: 0.0,
			fConst20: 0.0,
			fRec0: [0.0;2],
			fHslider5: 0.0,
			fHslider6: 0.0,
			fHslider7: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_Snare -pn processSnare -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
		m.declare("vaeffects.lib/moogLadder:author", "Dario Sanfilippo");
		m.declare("vaeffects.lib/moogLadder:license", "MIT-style STK-4.3 license");
		m.declare("vaeffects.lib/name", "Faust Virtual Analog Filter Effect Library");
		m.declare("vaeffects.lib/version", "0.2");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_SnareSIG0 = newDSP_SnareSIG0();
		sig0.instance_initDSP_SnareSIG0(sample_rate);
		sig0.fillDSP_SnareSIG0(16384, unsafe { &mut ftbl0DSP_SnareSIG0 });
		let mut sig1: DSP_SnareSIG1 = newDSP_SnareSIG1();
		sig1.instance_initDSP_SnareSIG1(sample_rate);
		sig1.fillDSP_SnareSIG1(144, unsafe { &mut ftbl1DSP_SnareSIG1 });
		let mut sig2: DSP_SnareSIG2 = newDSP_SnareSIG2();
		sig2.instance_initDSP_SnareSIG2(sample_rate);
		sig2.fillDSP_SnareSIG2(1024, unsafe { &mut ftbl2DSP_SnareSIG2 });
		let mut sig3: DSP_SnareSIG3 = newDSP_SnareSIG3();
		sig3.instance_initDSP_SnareSIG3(sample_rate);
		sig3.fillDSP_SnareSIG3(4096, unsafe { &mut ftbl3DSP_SnareSIG3 });
		let mut sig4: DSP_SnareSIG4 = newDSP_SnareSIG4();
		sig4.instance_initDSP_SnareSIG4(sample_rate);
		sig4.fillDSP_SnareSIG4(100, unsafe { &mut itbl4DSP_SnareSIG4 });
	}
	fn instance_reset_params(&mut self) {
		self.fHslider0 = 9e+01;
		self.fEntry0 = 0.0;
		self.fHslider1 = 0.0;
		self.fHslider2 = 36.0;
		self.fHslider3 = 0.0;
		self.fHslider4 = 75.0;
		self.fHslider5 = 0.0;
		self.fHslider6 = 0.0;
		self.fHslider7 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l0 in 0..2 {
			self.iVec0[(l0) as usize] = 0;
		}
		for l2 in 0..2 {
			self.iVec1[(l2) as usize] = 0;
		}
		for l3 in 0..2 {
			self.fRec8[(l3) as usize] = 0.0;
		}
		for l4 in 0..2 {
			self.fRec7[(l4) as usize] = 0.0;
		}
		for l5 in 0..2 {
			self.fRec9[(l5) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec11[(l7) as usize] = 0.0;
		}
		for l8 in 0..2 {
			self.fRec12[(l8) as usize] = 0.0;
		}
		for l11 in 0..2 {
			self.fRec14[(l11) as usize] = 0.0;
		}
		for l12 in 0..2 {
			self.fRec15[(l12) as usize] = 0.0;
		}
		for l13 in 0..2 {
			self.fRec16[(l13) as usize] = 0.0;
		}
		for l14 in 0..2 {
			self.fRec17[(l14) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec18[(l15) as usize] = 0.0;
		}
		for l16 in 0..2 {
			self.fRec19[(l16) as usize] = 0.0;
		}
		for l17 in 0..2 {
			self.fRec20[(l17) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.fRec21[(l18) as usize] = 0.0;
		}
		for l20 in 0..2 {
			self.fRec22[(l20) as usize] = 0.0;
		}
		for l21 in 0..2 {
			self.fRec24[(l21) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.iRec26[(l22) as usize] = 0;
		}
		for l23 in 0..2 {
			self.fRec25[(l23) as usize] = 0.0;
		}
		for l24 in 0..2 {
			self.fRec27[(l24) as usize] = 0.0;
		}
		for l25 in 0..2 {
			self.fRec28[(l25) as usize] = 0.0;
		}
		for l26 in 0..2 {
			self.fRec29[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec30[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec31[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.fRec32[(l29) as usize] = 0.0;
		}
		for l30 in 0..2 {
			self.fRec33[(l30) as usize] = 0.0;
		}
		for l31 in 0..2 {
			self.fRec35[(l31) as usize] = 0.0;
		}
		for l32 in 0..2 {
			self.fRec36[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec37[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec38[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec39[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec34[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fRec40[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec1[(l38) as usize] = 0.0;
		}
		for l39 in 0..2 {
			self.fRec2[(l39) as usize] = 0.0;
		}
		for l40 in 0..2 {
			self.fRec3[(l40) as usize] = 0.0;
		}
		for l41 in 0..2 {
			self.fRec4[(l41) as usize] = 0.0;
		}
		for l42 in 0..2 {
			self.fRec5[(l42) as usize] = 0.0;
		}
		for l43 in 0..2 {
			self.fRec0[(l43) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		self.fConst1 = F32::max(1.0, 0.001 * self.fConst0);
		let mut fConst2: F32 = unsafe { ftbl3DSP_SnareSIG3[2226] };
		let mut fConst3: F32 = 1e+02 / self.fConst0;
		self.fConst4 = fConst3 * (fConst2 + 0.03816094 * (unsafe { ftbl3DSP_SnareSIG3[2227] } - fConst2));
		let mut fConst5: F32 = unsafe { ftbl3DSP_SnareSIG3[2385] };
		self.fConst6 = 1e+01 / self.fConst0 * (fConst5 + 0.4472332 * (unsafe { ftbl3DSP_SnareSIG3[2386] } - fConst5));
		self.iConst7 = unsafe { itbl4DSP_SnareSIG4[50] };
		self.fConst8 = 264.0 / self.fConst0;
		let mut fConst9: F32 = unsafe { ftbl3DSP_SnareSIG3[2672] };
		self.fConst10 = 1.0 / self.fConst0 * (fConst9 + 0.38356328 * (unsafe { ftbl3DSP_SnareSIG3[2673] } - fConst9));
		let mut fConst11: F32 = unsafe { ftbl3DSP_SnareSIG3[2512] };
		self.fConst12 = 1e+03 / self.fConst0 * (fConst11 + 0.974491 * (unsafe { ftbl3DSP_SnareSIG3[2513] } - fConst11));
		let mut fConst13: F32 = unsafe { ftbl3DSP_SnareSIG3[2308] };
		self.fConst14 = fConst3 * (fConst13 + 0.9308785 * (unsafe { ftbl3DSP_SnareSIG3[2309] } - fConst13));
		let mut fConst15: F32 = F32::tan(62.831852 / self.fConst0);
		self.fConst16 = 1.0 / fConst15;
		self.fConst17 = 1.0 - self.fConst16;
		let mut fConst18: F32 = self.fConst16 + 1.0;
		self.fConst19 = 1.0 / fConst18;
		self.fConst20 = 0.0 - 1.0 / (fConst15 * fConst18);
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_Snare::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Trigger", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(1)), "1", "");
		ui_interface.declare(Some(ParamIndex(1)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(1)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(1), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(2)), "2", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(2), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(3)), "4", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Transpose");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "st");
		ui_interface.add_horizontal_slider("Voice_Transpose", ParamIndex(3), 0.0, -12.0, 12.0, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "6", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Snappy");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Snappy", ParamIndex(4), 75.0, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(5)), "7", "");
		ui_interface.declare(Some(ParamIndex(5)), "export", "Tone");
		ui_interface.declare(Some(ParamIndex(5)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Tone", ParamIndex(5), 9e+01, 0.0, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(6)), "8", "");
		ui_interface.declare(Some(ParamIndex(6)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(6)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(6), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(7), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_horizontal_slider("key", ParamIndex(8), 36.0, 0.0, 127.0, 1.0);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			5 => Some(self.fHslider0),
			7 => Some(self.fHslider1),
			8 => Some(self.fHslider2),
			3 => Some(self.fHslider3),
			4 => Some(self.fHslider4),
			2 => Some(self.fHslider5),
			1 => Some(self.fHslider6),
			6 => Some(self.fHslider7),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			5 => { self.fHslider0 = value }
			7 => { self.fHslider1 = value }
			8 => { self.fHslider2 = value }
			3 => { self.fHslider3 = value }
			4 => { self.fHslider4 = value }
			2 => { self.fHslider5 = value }
			1 => { self.fHslider6 = value }
			6 => { self.fHslider7 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.42857143 * (0.33333334 * (fSlow9 + -3.0) + 1.0);
		let mut fSlow11: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -72.0));
		let mut fSlow12: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow11, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow13: i32 = ((fSlow12) as i32);
		let mut fSlow14: F32 = unsafe { ftbl3DSP_SnareSIG3[(iSlow13) as usize] };
		let mut fSlow15: F32 = fSlow14 + (fSlow12 - ((iSlow13) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iSlow13, 1)) as usize] } - fSlow14);
		let mut fSlow16: F32 = self.fConst8 * fSlow11;
		let mut fSlow17: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider4) + 7e+01;
		let mut fSlow18: F32 = F32::min(99.0, fSlow17);
		let mut fSlow19: F32 = ((((fSlow17 > 0.0) as i32)) as F32);
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Snare_faustpower4_f(fSlow1) * fSlow4 / DSP_Snare_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider5;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider7 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Snare_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0])));
			let mut fTemp4: F32 = fTemp3 + -99.0;
			let mut fTemp5: F32 = 0.5714286 * fTemp4;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 95.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp7 } else { self.fRec9[1] };
			let mut fTemp8: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec11[1] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 52.5) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec9[0]);
			let mut fTemp11: F32 = self.fRec7[0] - fTemp10;
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp11) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp9;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec12[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp13, self.fRec12[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec12[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec12[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec12[0] - fTemp12) / fTemp9;
			let mut fTemp18: F32 = self.fRec12[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec12[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp16 as i32 != 0) { fTemp10 + fTemp11 * if (((self.fRec7[0] > fTemp10) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec7[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec7[0] + fTemp8 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec9[0] } } } else { self.fRec9[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp4 + 99.0));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec15[1] };
			let mut fTemp24: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec16[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 78.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp27: F32 = self.fRec14[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			self.fRec17[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp30, self.fRec17[1] + 1.0) };
			let mut iTemp31: i32 = ((self.fRec17[0] < fTemp30) as i32);
			let mut iTemp32: i32 = ((self.fRec17[0] < fTemp29) as i32);
			let mut fTemp33: F32 = (self.fRec17[0] - fTemp29) / fTemp25;
			let mut fTemp34: F32 = self.fRec17[0] / fTemp29;
			let mut fTemp35: F32 = if (iTemp31 as i32 != 0) { if (iTemp32 as i32 != 0) { if (((self.fRec17[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp32 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec14[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec14[0] } } } else { if (iTemp31 as i32 != 0) { self.fRec14[0] + fTemp24 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec15[0] } } } else { self.fRec15[0] };
			let mut iTemp36: i32 = ((fTemp35) as i32);
			let mut fTemp37: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp36) as usize] };
			let mut fTemp38: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 63.0));
			let mut fTemp39: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp38) * (fTemp38 + 28.0);
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp39 + 4064.0 } else { self.fRec18[1] };
			self.fRec19[0] = if (iTemp2 as i32 != 0) { fTemp39 + 3776.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp41: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp40) / (fTemp28 * if (((fTemp40 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp39 } else { self.fRec20[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec20[0]);
			let mut fTemp43: F32 = self.fRec18[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			let mut fTemp45: F32 = fTemp44 + fTemp41;
			let mut fTemp46: F32 = self.fRec20[0] - self.fRec19[0];
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 35.5) as i32)) as usize] } * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec19[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp48: F32 = fTemp45 + fTemp47;
			self.fRec21[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp48, self.fRec21[1] + 1.0) };
			let mut iTemp49: i32 = ((self.fRec21[0] < fTemp45) as i32);
			let mut fTemp50: F32 = (self.fRec21[0] - fTemp45) / fTemp47;
			let mut iTemp51: i32 = ((self.fRec21[0] < fTemp44) as i32);
			let mut fTemp52: F32 = (self.fRec21[0] - fTemp44) / fTemp41;
			let mut fTemp53: F32 = self.fRec21[0] / fTemp44;
			let mut fTemp54: F32 = if (iTemp49 as i32 != 0) { if (iTemp51 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp51 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec18[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp53, 0.33333334) } else { fTemp53 } } else { self.fRec18[0] } } } else { if (iTemp49 as i32 != 0) { self.fRec18[0] + fTemp40 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp52, 0.33333334) } else { fTemp52 } } else { self.fRec19[0] } } } else { if (((self.fRec21[0] < fTemp48) as i32) as i32 != 0) { self.fRec19[0] + fTemp46 * if (((self.fRec20[0] > self.fRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp50, 0.33333334) } else { fTemp50 } } else { self.fRec20[0] } };
			let mut iTemp55: i32 = ((fTemp54) as i32);
			let mut fTemp56: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp55) as usize] };
			let mut iTemp57: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp58: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst4 };
			self.fRec22[0] = fTemp58 - F32::floor(fTemp58);
			let mut fTemp59: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst6 };
			self.fRec24[0] = fTemp59 - F32::floor(fTemp59);
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			let mut fTemp60: F32 = 15.996094 * (0.4 * ((self.iRec26[0]) as F32) + 128.0);
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl3DSP_SnareSIG3[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow16 * fSlow15 * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) };
			self.fRec25[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = F32::max(0.0, F32::min(127.0, fSlow18 + 0.85714287 * fTemp4));
			let mut fTemp65: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp64) * (fTemp64 + 28.0);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp65 + 4064.0 } else { self.fRec27[1] };
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fTemp65 } else { self.fRec28[1] };
			let mut fTemp66: F32 = self.fRec28[0] - self.fRec27[0];
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 61.5) as i32)) as usize] } * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = F32::max(5076.0, self.fRec28[0]);
			let mut fTemp69: F32 = self.fRec27[0] - fTemp68;
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 89.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp68)) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp70 + fTemp67;
			self.fRec29[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp71, self.fRec29[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec29[0] < fTemp71) as i32);
			let mut iTemp73: i32 = ((self.fRec29[0] < fTemp70) as i32);
			let mut fTemp74: F32 = (self.fRec29[0] - fTemp70) / fTemp67;
			let mut fTemp75: F32 = self.fRec29[0] / fTemp70;
			let mut fTemp76: F32 = if (iTemp72 as i32 != 0) { if (iTemp73 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp68 } else { if (iTemp73 as i32 != 0) { fTemp68 + fTemp69 * if (((self.fRec27[0] > fTemp68) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec27[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec27[0] + fTemp66 * if (((self.fRec28[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp74, 0.33333334) } else { fTemp74 } } else { self.fRec28[0] } } } else { self.fRec28[0] };
			let mut iTemp77: i32 = ((fTemp76) as i32);
			let mut fTemp78: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp77) as usize] };
			let mut fTemp79: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + -9.0));
			let mut fTemp80: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp79) * (fTemp79 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp80 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp80 + 3168.0 } else { self.fRec31[1] };
			let mut fTemp81: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (fTemp28 * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp84: F32 = self.fRec30[0] - fTemp83;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp28 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp83)) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp85 + fTemp82;
			let mut fTemp87: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp88: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp87) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 50.5) as i32)) as usize] } * if (((fTemp87 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp89: F32 = fTemp86 + fTemp88;
			self.fRec32[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp89, self.fRec32[1] + 1.0) };
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp86) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp86) / fTemp88;
			let mut iTemp92: i32 = ((self.fRec32[0] < fTemp85) as i32);
			let mut fTemp93: F32 = (self.fRec32[0] - fTemp85) / fTemp82;
			let mut fTemp94: F32 = self.fRec32[0] / fTemp85;
			let mut fTemp95: F32 = if (iTemp90 as i32 != 0) { if (iTemp92 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp83 } else { if (iTemp92 as i32 != 0) { fTemp83 + fTemp84 * if (((self.fRec30[0] > fTemp83) as i32) as i32 != 0) { F32::powf(fTemp94, 0.33333334) } else { fTemp94 } } else { self.fRec30[0] } } } else { if (iTemp90 as i32 != 0) { self.fRec30[0] + fTemp81 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp93, 0.33333334) } else { fTemp93 } } else { self.fRec31[0] } } } else { if (((self.fRec32[0] < fTemp89) as i32) as i32 != 0) { self.fRec31[0] + fTemp87 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } };
			let mut iTemp96: i32 = ((fTemp95) as i32);
			let mut fTemp97: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp96) as usize] };
			let mut fTemp98: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec33[1] + self.fConst10 };
			self.fRec33[0] = fTemp98 - F32::floor(fTemp98);
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 6784.0 } else { self.fRec36[1] };
			let mut fTemp99: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 7.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { 4064.0 } else { self.fRec37[1] };
			let mut fTemp101: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp102: F32 = self.fRec35[0] - fTemp101;
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp101)) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp103 + fTemp100;
			let mut fTemp105: F32 = self.fRec37[0] - self.fRec36[0];
			let mut fTemp106: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp105) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 0.5) as i32)) as usize] } * if (((fTemp105 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec36[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp107: F32 = fTemp104 + fTemp106;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp107, self.fRec38[1] + 1.0) };
			let mut iTemp108: i32 = ((self.fRec38[0] < fTemp104) as i32);
			let mut fTemp109: F32 = (self.fRec38[0] - fTemp104) / fTemp106;
			let mut iTemp110: i32 = ((self.fRec38[0] < fTemp103) as i32);
			let mut fTemp111: F32 = (self.fRec38[0] - fTemp103) / fTemp100;
			let mut fTemp112: F32 = self.fRec38[0] / fTemp103;
			let mut fTemp113: F32 = if (iTemp108 as i32 != 0) { if (iTemp110 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp101 } else { if (iTemp110 as i32 != 0) { fTemp101 + fTemp102 * if (((self.fRec35[0] > fTemp101) as i32) as i32 != 0) { F32::powf(fTemp112, 0.33333334) } else { fTemp112 } } else { self.fRec35[0] } } } else { if (iTemp108 as i32 != 0) { self.fRec35[0] + fTemp99 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec36[0] } } } else { if (((self.fRec38[0] < fTemp107) as i32) as i32 != 0) { self.fRec36[0] + fTemp105 * if (((self.fRec37[0] > self.fRec36[0]) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec37[0] } };
			let mut iTemp114: i32 = ((fTemp113) as i32);
			let mut fTemp115: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp114) as usize] };
			let mut fTemp116: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst12 };
			self.fRec39[0] = fTemp116 - F32::floor(fTemp116);
			self.fRec34[0] = 0.161 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec39[0] + 17.391304 * self.fRec34[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp115 + (fTemp113 - ((iTemp114) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp114, 1)) as usize] } - fTemp115));
			let mut fTemp117: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec40[1] + self.fConst14 };
			self.fRec40[0] = fTemp117 - F32::floor(fTemp117);
			let mut fTemp118: F32 = fSlow20 * (0.115 * (fSlow19 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec40[0] + 17.391304 * (self.fRec34[0] + 0.115 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec33[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp97 + (fTemp95 - ((iTemp96) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp96, 1)) as usize] } - fTemp97))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp78 + (fTemp76 - ((iTemp77) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp77, 1)) as usize] } - fTemp78)) + unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec22[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp56 + (fTemp54 - ((iTemp55) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp55, 1)) as usize] } - fTemp56)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp37 + (fTemp35 - ((iTemp36) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp36, 1)) as usize] } - fTemp37)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp118;
			let mut fTemp119: F32 = self.fRec1[1] + fSlow3 * fTemp118 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp119;
			let mut fTemp120: F32 = self.fRec2[1] + fSlow3 * fTemp119 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp120;
			let mut fTemp121: F32 = self.fRec3[1] + fSlow3 * fTemp120 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp121;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp121;
			self.fRec0[0] = self.fConst20 * self.fRec5[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_Snare {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_Snare as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Snare as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.42857143 * (0.33333334 * (fSlow9 + -3.0) + 1.0);
		let mut fSlow11: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -72.0));
		let mut fSlow12: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow11, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow13: i32 = ((fSlow12) as i32);
		let mut fSlow14: F32 = unsafe { ftbl3DSP_SnareSIG3[(iSlow13) as usize] };
		let mut fSlow15: F32 = fSlow14 + (fSlow12 - ((iSlow13) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iSlow13, 1)) as usize] } - fSlow14);
		let mut fSlow16: F32 = self.fConst8 * fSlow11;
		let mut fSlow17: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider4) + 7e+01;
		let mut fSlow18: F32 = F32::min(99.0, fSlow17);
		let mut fSlow19: F32 = ((((fSlow17 > 0.0) as i32)) as F32);
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Snare_faustpower4_f(fSlow1) * fSlow4 / DSP_Snare_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider5;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider7 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Snare_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0])));
			let mut fTemp4: F32 = fTemp3 + -99.0;
			let mut fTemp5: F32 = 0.5714286 * fTemp4;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 95.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp7 } else { self.fRec9[1] };
			let mut fTemp8: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec11[1] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 52.5) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec9[0]);
			let mut fTemp11: F32 = self.fRec7[0] - fTemp10;
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp11) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp9;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec12[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp13, self.fRec12[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec12[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec12[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec12[0] - fTemp12) / fTemp9;
			let mut fTemp18: F32 = self.fRec12[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec12[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp16 as i32 != 0) { fTemp10 + fTemp11 * if (((self.fRec7[0] > fTemp10) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec7[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec7[0] + fTemp8 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec9[0] } } } else { self.fRec9[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp4 + 99.0));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec15[1] };
			let mut fTemp24: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec16[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 78.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp27: F32 = self.fRec14[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			self.fRec17[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp30, self.fRec17[1] + 1.0) };
			let mut iTemp31: i32 = ((self.fRec17[0] < fTemp30) as i32);
			let mut iTemp32: i32 = ((self.fRec17[0] < fTemp29) as i32);
			let mut fTemp33: F32 = (self.fRec17[0] - fTemp29) / fTemp25;
			let mut fTemp34: F32 = self.fRec17[0] / fTemp29;
			let mut fTemp35: F32 = if (iTemp31 as i32 != 0) { if (iTemp32 as i32 != 0) { if (((self.fRec17[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp32 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec14[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec14[0] } } } else { if (iTemp31 as i32 != 0) { self.fRec14[0] + fTemp24 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec15[0] } } } else { self.fRec15[0] };
			let mut iTemp36: i32 = ((fTemp35) as i32);
			let mut fTemp37: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp36) as usize] };
			let mut fTemp38: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 63.0));
			let mut fTemp39: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp38) * (fTemp38 + 28.0);
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp39 + 4064.0 } else { self.fRec18[1] };
			self.fRec19[0] = if (iTemp2 as i32 != 0) { fTemp39 + 3776.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp41: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp40) / (fTemp28 * if (((fTemp40 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp39 } else { self.fRec20[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec20[0]);
			let mut fTemp43: F32 = self.fRec18[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			let mut fTemp45: F32 = fTemp44 + fTemp41;
			let mut fTemp46: F32 = self.fRec20[0] - self.fRec19[0];
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 35.5) as i32)) as usize] } * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec19[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp48: F32 = fTemp45 + fTemp47;
			self.fRec21[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp48, self.fRec21[1] + 1.0) };
			let mut iTemp49: i32 = ((self.fRec21[0] < fTemp45) as i32);
			let mut fTemp50: F32 = (self.fRec21[0] - fTemp45) / fTemp47;
			let mut iTemp51: i32 = ((self.fRec21[0] < fTemp44) as i32);
			let mut fTemp52: F32 = (self.fRec21[0] - fTemp44) / fTemp41;
			let mut fTemp53: F32 = self.fRec21[0] / fTemp44;
			let mut fTemp54: F32 = if (iTemp49 as i32 != 0) { if (iTemp51 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp51 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec18[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp53, 0.33333334) } else { fTemp53 } } else { self.fRec18[0] } } } else { if (iTemp49 as i32 != 0) { self.fRec18[0] + fTemp40 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp52, 0.33333334) } else { fTemp52 } } else { self.fRec19[0] } } } else { if (((self.fRec21[0] < fTemp48) as i32) as i32 != 0) { self.fRec19[0] + fTemp46 * if (((self.fRec20[0] > self.fRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp50, 0.33333334) } else { fTemp50 } } else { self.fRec20[0] } };
			let mut iTemp55: i32 = ((fTemp54) as i32);
			let mut fTemp56: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp55) as usize] };
			let mut iTemp57: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp58: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst4 };
			self.fRec22[0] = fTemp58 - F32::floor(fTemp58);
			let mut fTemp59: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst6 };
			self.fRec24[0] = fTemp59 - F32::floor(fTemp59);
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			let mut fTemp60: F32 = 15.996094 * (0.4 * ((self.iRec26[0]) as F32) + 128.0);
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl3DSP_SnareSIG3[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow16 * fSlow15 * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) };
			self.fRec25[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = F32::max(0.0, F32::min(127.0, fSlow18 + 0.85714287 * fTemp4));
			let mut fTemp65: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp64) * (fTemp64 + 28.0);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp65 + 4064.0 } else { self.fRec27[1] };
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fTemp65 } else { self.fRec28[1] };
			let mut fTemp66: F32 = self.fRec28[0] - self.fRec27[0];
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 61.5) as i32)) as usize] } * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = F32::max(5076.0, self.fRec28[0]);
			let mut fTemp69: F32 = self.fRec27[0] - fTemp68;
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 89.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp68)) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp70 + fTemp67;
			self.fRec29[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp71, self.fRec29[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec29[0] < fTemp71) as i32);
			let mut iTemp73: i32 = ((self.fRec29[0] < fTemp70) as i32);
			let mut fTemp74: F32 = (self.fRec29[0] - fTemp70) / fTemp67;
			let mut fTemp75: F32 = self.fRec29[0] / fTemp70;
			let mut fTemp76: F32 = if (iTemp72 as i32 != 0) { if (iTemp73 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp68 } else { if (iTemp73 as i32 != 0) { fTemp68 + fTemp69 * if (((self.fRec27[0] > fTemp68) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec27[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec27[0] + fTemp66 * if (((self.fRec28[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp74, 0.33333334) } else { fTemp74 } } else { self.fRec28[0] } } } else { self.fRec28[0] };
			let mut iTemp77: i32 = ((fTemp76) as i32);
			let mut fTemp78: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp77) as usize] };
			let mut fTemp79: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + -9.0));
			let mut fTemp80: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp79) * (fTemp79 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp80 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp80 + 3168.0 } else { self.fRec31[1] };
			let mut fTemp81: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (fTemp28 * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp84: F32 = self.fRec30[0] - fTemp83;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp28 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp83)) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp85 + fTemp82;
			let mut fTemp87: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp88: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp87) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 50.5) as i32)) as usize] } * if (((fTemp87 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp89: F32 = fTemp86 + fTemp88;
			self.fRec32[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp89, self.fRec32[1] + 1.0) };
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp86) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp86) / fTemp88;
			let mut iTemp92: i32 = ((self.fRec32[0] < fTemp85) as i32);
			let mut fTemp93: F32 = (self.fRec32[0] - fTemp85) / fTemp82;
			let mut fTemp94: F32 = self.fRec32[0] / fTemp85;
			let mut fTemp95: F32 = if (iTemp90 as i32 != 0) { if (iTemp92 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp83 } else { if (iTemp92 as i32 != 0) { fTemp83 + fTemp84 * if (((self.fRec30[0] > fTemp83) as i32) as i32 != 0) { F32::powf(fTemp94, 0.33333334) } else { fTemp94 } } else { self.fRec30[0] } } } else { if (iTemp90 as i32 != 0) { self.fRec30[0] + fTemp81 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp93, 0.33333334) } else { fTemp93 } } else { self.fRec31[0] } } } else { if (((self.fRec32[0] < fTemp89) as i32) as i32 != 0) { self.fRec31[0] + fTemp87 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } };
			let mut iTemp96: i32 = ((fTemp95) as i32);
			let mut fTemp97: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp96) as usize] };
			let mut fTemp98: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec33[1] + self.fConst10 };
			self.fRec33[0] = fTemp98 - F32::floor(fTemp98);
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 6784.0 } else { self.fRec36[1] };
			let mut fTemp99: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 7.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { 4064.0 } else { self.fRec37[1] };
			let mut fTemp101: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp102: F32 = self.fRec35[0] - fTemp101;
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp101)) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp103 + fTemp100;
			let mut fTemp105: F32 = self.fRec37[0] - self.fRec36[0];
			let mut fTemp106: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp105) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 0.5) as i32)) as usize] } * if (((fTemp105 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec36[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp107: F32 = fTemp104 + fTemp106;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp107, self.fRec38[1] + 1.0) };
			let mut iTemp108: i32 = ((self.fRec38[0] < fTemp104) as i32);
			let mut fTemp109: F32 = (self.fRec38[0] - fTemp104) / fTemp106;
			let mut iTemp110: i32 = ((self.fRec38[0] < fTemp103) as i32);
			let mut fTemp111: F32 = (self.fRec38[0] - fTemp103) / fTemp100;
			let mut fTemp112: F32 = self.fRec38[0] / fTemp103;
			let mut fTemp113: F32 = if (iTemp108 as i32 != 0) { if (iTemp110 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp101 } else { if (iTemp110 as i32 != 0) { fTemp101 + fTemp102 * if (((self.fRec35[0] > fTemp101) as i32) as i32 != 0) { F32::powf(fTemp112, 0.33333334) } else { fTemp112 } } else { self.fRec35[0] } } } else { if (iTemp108 as i32 != 0) { self.fRec35[0] + fTemp99 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec36[0] } } } else { if (((self.fRec38[0] < fTemp107) as i32) as i32 != 0) { self.fRec36[0] + fTemp105 * if (((self.fRec37[0] > self.fRec36[0]) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec37[0] } };
			let mut iTemp114: i32 = ((fTemp113) as i32);
			let mut fTemp115: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp114) as usize] };
			let mut fTemp116: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst12 };
			self.fRec39[0] = fTemp116 - F32::floor(fTemp116);
			self.fRec34[0] = 0.161 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec39[0] + 17.391304 * self.fRec34[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp115 + (fTemp113 - ((iTemp114) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp114, 1)) as usize] } - fTemp115));
			let mut fTemp117: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec40[1] + self.fConst14 };
			self.fRec40[0] = fTemp117 - F32::floor(fTemp117);
			let mut fTemp118: F32 = fSlow20 * (0.115 * (fSlow19 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec40[0] + 17.391304 * (self.fRec34[0] + 0.115 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec33[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp97 + (fTemp95 - ((iTemp96) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp96, 1)) as usize] } - fTemp97))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp78 + (fTemp76 - ((iTemp77) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp77, 1)) as usize] } - fTemp78)) + unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec22[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp56 + (fTemp54 - ((iTemp55) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp55, 1)) as usize] } - fTemp56)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp37 + (fTemp35 - ((iTemp36) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp36, 1)) as usize] } - fTemp37)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp118;
			let mut fTemp119: F32 = self.fRec1[1] + fSlow3 * fTemp118 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp119;
			let mut fTemp120: F32 = self.fRec2[1] + fSlow3 * fTemp119 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp120;
			let mut fTemp121: F32 = self.fRec3[1] + fSlow3 * fTemp120 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp121;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp121;
			self.fRec0[0] = self.fConst20 * self.fRec5[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Snare {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_Snare as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Snare as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.42857143 * (0.33333334 * (fSlow9 + -3.0) + 1.0);
		let mut fSlow11: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -72.0));
		let mut fSlow12: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow11, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow13: i32 = ((fSlow12) as i32);
		let mut fSlow14: F32 = unsafe { ftbl3DSP_SnareSIG3[(iSlow13) as usize] };
		let mut fSlow15: F32 = fSlow14 + (fSlow12 - ((iSlow13) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iSlow13, 1)) as usize] } - fSlow14);
		let mut fSlow16: F32 = self.fConst8 * fSlow11;
		let mut fSlow17: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider4) + 7e+01;
		let mut fSlow18: F32 = F32::min(99.0, fSlow17);
		let mut fSlow19: F32 = ((((fSlow17 > 0.0) as i32)) as F32);
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Snare_faustpower4_f(fSlow1) * fSlow4 / DSP_Snare_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider5;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider7 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Snare_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0])));
			let mut fTemp4: F32 = fTemp3 + -99.0;
			let mut fTemp5: F32 = 0.5714286 * fTemp4;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 95.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp7 } else { self.fRec9[1] };
			let mut fTemp8: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec11[1] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 52.5) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec9[0]);
			let mut fTemp11: F32 = self.fRec7[0] - fTemp10;
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp11) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp9;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec12[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp13, self.fRec12[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec12[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec12[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec12[0] - fTemp12) / fTemp9;
			let mut fTemp18: F32 = self.fRec12[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec12[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp16 as i32 != 0) { fTemp10 + fTemp11 * if (((self.fRec7[0] > fTemp10) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec7[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec7[0] + fTemp8 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec9[0] } } } else { self.fRec9[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp4 + 99.0));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec15[1] };
			let mut fTemp24: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec16[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 78.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp27: F32 = self.fRec14[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			self.fRec17[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp30, self.fRec17[1] + 1.0) };
			let mut iTemp31: i32 = ((self.fRec17[0] < fTemp30) as i32);
			let mut iTemp32: i32 = ((self.fRec17[0] < fTemp29) as i32);
			let mut fTemp33: F32 = (self.fRec17[0] - fTemp29) / fTemp25;
			let mut fTemp34: F32 = self.fRec17[0] / fTemp29;
			let mut fTemp35: F32 = if (iTemp31 as i32 != 0) { if (iTemp32 as i32 != 0) { if (((self.fRec17[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp32 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec14[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec14[0] } } } else { if (iTemp31 as i32 != 0) { self.fRec14[0] + fTemp24 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec15[0] } } } else { self.fRec15[0] };
			let mut iTemp36: i32 = ((fTemp35) as i32);
			let mut fTemp37: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp36) as usize] };
			let mut fTemp38: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 63.0));
			let mut fTemp39: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp38) * (fTemp38 + 28.0);
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp39 + 4064.0 } else { self.fRec18[1] };
			self.fRec19[0] = if (iTemp2 as i32 != 0) { fTemp39 + 3776.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp41: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp40) / (fTemp28 * if (((fTemp40 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp39 } else { self.fRec20[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec20[0]);
			let mut fTemp43: F32 = self.fRec18[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			let mut fTemp45: F32 = fTemp44 + fTemp41;
			let mut fTemp46: F32 = self.fRec20[0] - self.fRec19[0];
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 35.5) as i32)) as usize] } * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec19[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp48: F32 = fTemp45 + fTemp47;
			self.fRec21[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp48, self.fRec21[1] + 1.0) };
			let mut iTemp49: i32 = ((self.fRec21[0] < fTemp45) as i32);
			let mut fTemp50: F32 = (self.fRec21[0] - fTemp45) / fTemp47;
			let mut iTemp51: i32 = ((self.fRec21[0] < fTemp44) as i32);
			let mut fTemp52: F32 = (self.fRec21[0] - fTemp44) / fTemp41;
			let mut fTemp53: F32 = self.fRec21[0] / fTemp44;
			let mut fTemp54: F32 = if (iTemp49 as i32 != 0) { if (iTemp51 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp51 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec18[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp53, 0.33333334) } else { fTemp53 } } else { self.fRec18[0] } } } else { if (iTemp49 as i32 != 0) { self.fRec18[0] + fTemp40 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp52, 0.33333334) } else { fTemp52 } } else { self.fRec19[0] } } } else { if (((self.fRec21[0] < fTemp48) as i32) as i32 != 0) { self.fRec19[0] + fTemp46 * if (((self.fRec20[0] > self.fRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp50, 0.33333334) } else { fTemp50 } } else { self.fRec20[0] } };
			let mut iTemp55: i32 = ((fTemp54) as i32);
			let mut fTemp56: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp55) as usize] };
			let mut iTemp57: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp58: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst4 };
			self.fRec22[0] = fTemp58 - F32::floor(fTemp58);
			let mut fTemp59: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst6 };
			self.fRec24[0] = fTemp59 - F32::floor(fTemp59);
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			let mut fTemp60: F32 = 15.996094 * (0.4 * ((self.iRec26[0]) as F32) + 128.0);
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl3DSP_SnareSIG3[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow16 * fSlow15 * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) };
			self.fRec25[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = F32::max(0.0, F32::min(127.0, fSlow18 + 0.85714287 * fTemp4));
			let mut fTemp65: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp64) * (fTemp64 + 28.0);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp65 + 4064.0 } else { self.fRec27[1] };
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fTemp65 } else { self.fRec28[1] };
			let mut fTemp66: F32 = self.fRec28[0] - self.fRec27[0];
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 61.5) as i32)) as usize] } * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = F32::max(5076.0, self.fRec28[0]);
			let mut fTemp69: F32 = self.fRec27[0] - fTemp68;
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 89.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp68)) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp70 + fTemp67;
			self.fRec29[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp71, self.fRec29[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec29[0] < fTemp71) as i32);
			let mut iTemp73: i32 = ((self.fRec29[0] < fTemp70) as i32);
			let mut fTemp74: F32 = (self.fRec29[0] - fTemp70) / fTemp67;
			let mut fTemp75: F32 = self.fRec29[0] / fTemp70;
			let mut fTemp76: F32 = if (iTemp72 as i32 != 0) { if (iTemp73 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp68 } else { if (iTemp73 as i32 != 0) { fTemp68 + fTemp69 * if (((self.fRec27[0] > fTemp68) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec27[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec27[0] + fTemp66 * if (((self.fRec28[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp74, 0.33333334) } else { fTemp74 } } else { self.fRec28[0] } } } else { self.fRec28[0] };
			let mut iTemp77: i32 = ((fTemp76) as i32);
			let mut fTemp78: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp77) as usize] };
			let mut fTemp79: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + -9.0));
			let mut fTemp80: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp79) * (fTemp79 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp80 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp80 + 3168.0 } else { self.fRec31[1] };
			let mut fTemp81: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (fTemp28 * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp84: F32 = self.fRec30[0] - fTemp83;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp28 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp83)) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp85 + fTemp82;
			let mut fTemp87: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp88: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp87) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 50.5) as i32)) as usize] } * if (((fTemp87 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp89: F32 = fTemp86 + fTemp88;
			self.fRec32[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp89, self.fRec32[1] + 1.0) };
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp86) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp86) / fTemp88;
			let mut iTemp92: i32 = ((self.fRec32[0] < fTemp85) as i32);
			let mut fTemp93: F32 = (self.fRec32[0] - fTemp85) / fTemp82;
			let mut fTemp94: F32 = self.fRec32[0] / fTemp85;
			let mut fTemp95: F32 = if (iTemp90 as i32 != 0) { if (iTemp92 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp83 } else { if (iTemp92 as i32 != 0) { fTemp83 + fTemp84 * if (((self.fRec30[0] > fTemp83) as i32) as i32 != 0) { F32::powf(fTemp94, 0.33333334) } else { fTemp94 } } else { self.fRec30[0] } } } else { if (iTemp90 as i32 != 0) { self.fRec30[0] + fTemp81 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp93, 0.33333334) } else { fTemp93 } } else { self.fRec31[0] } } } else { if (((self.fRec32[0] < fTemp89) as i32) as i32 != 0) { self.fRec31[0] + fTemp87 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } };
			let mut iTemp96: i32 = ((fTemp95) as i32);
			let mut fTemp97: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp96) as usize] };
			let mut fTemp98: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec33[1] + self.fConst10 };
			self.fRec33[0] = fTemp98 - F32::floor(fTemp98);
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 6784.0 } else { self.fRec36[1] };
			let mut fTemp99: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 7.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { 4064.0 } else { self.fRec37[1] };
			let mut fTemp101: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp102: F32 = self.fRec35[0] - fTemp101;
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp101)) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp103 + fTemp100;
			let mut fTemp105: F32 = self.fRec37[0] - self.fRec36[0];
			let mut fTemp106: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp105) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 0.5) as i32)) as usize] } * if (((fTemp105 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec36[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp107: F32 = fTemp104 + fTemp106;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp107, self.fRec38[1] + 1.0) };
			let mut iTemp108: i32 = ((self.fRec38[0] < fTemp104) as i32);
			let mut fTemp109: F32 = (self.fRec38[0] - fTemp104) / fTemp106;
			let mut iTemp110: i32 = ((self.fRec38[0] < fTemp103) as i32);
			let mut fTemp111: F32 = (self.fRec38[0] - fTemp103) / fTemp100;
			let mut fTemp112: F32 = self.fRec38[0] / fTemp103;
			let mut fTemp113: F32 = if (iTemp108 as i32 != 0) { if (iTemp110 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp101 } else { if (iTemp110 as i32 != 0) { fTemp101 + fTemp102 * if (((self.fRec35[0] > fTemp101) as i32) as i32 != 0) { F32::powf(fTemp112, 0.33333334) } else { fTemp112 } } else { self.fRec35[0] } } } else { if (iTemp108 as i32 != 0) { self.fRec35[0] + fTemp99 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec36[0] } } } else { if (((self.fRec38[0] < fTemp107) as i32) as i32 != 0) { self.fRec36[0] + fTemp105 * if (((self.fRec37[0] > self.fRec36[0]) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec37[0] } };
			let mut iTemp114: i32 = ((fTemp113) as i32);
			let mut fTemp115: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp114) as usize] };
			let mut fTemp116: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst12 };
			self.fRec39[0] = fTemp116 - F32::floor(fTemp116);
			self.fRec34[0] = 0.161 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec39[0] + 17.391304 * self.fRec34[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp115 + (fTemp113 - ((iTemp114) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp114, 1)) as usize] } - fTemp115));
			let mut fTemp117: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec40[1] + self.fConst14 };
			self.fRec40[0] = fTemp117 - F32::floor(fTemp117);
			let mut fTemp118: F32 = fSlow20 * (0.115 * (fSlow19 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec40[0] + 17.391304 * (self.fRec34[0] + 0.115 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec33[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp97 + (fTemp95 - ((iTemp96) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp96, 1)) as usize] } - fTemp97))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp78 + (fTemp76 - ((iTemp77) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp77, 1)) as usize] } - fTemp78)) + unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec22[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp56 + (fTemp54 - ((iTemp55) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp55, 1)) as usize] } - fTemp56)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp37 + (fTemp35 - ((iTemp36) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp36, 1)) as usize] } - fTemp37)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp118;
			let mut fTemp119: F32 = self.fRec1[1] + fSlow3 * fTemp118 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp119;
			let mut fTemp120: F32 = self.fRec2[1] + fSlow3 * fTemp119 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp120;
			let mut fTemp121: F32 = self.fRec3[1] + fSlow3 * fTemp120 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp121;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp121;
			self.fRec0[0] = self.fConst20 * self.fRec5[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Snare {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_Snare as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Snare as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.42857143 * (0.33333334 * (fSlow9 + -3.0) + 1.0);
		let mut fSlow11: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -72.0));
		let mut fSlow12: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow11, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow13: i32 = ((fSlow12) as i32);
		let mut fSlow14: F32 = unsafe { ftbl3DSP_SnareSIG3[(iSlow13) as usize] };
		let mut fSlow15: F32 = fSlow14 + (fSlow12 - ((iSlow13) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iSlow13, 1)) as usize] } - fSlow14);
		let mut fSlow16: F32 = self.fConst8 * fSlow11;
		let mut fSlow17: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider4) + 7e+01;
		let mut fSlow18: F32 = F32::min(99.0, fSlow17);
		let mut fSlow19: F32 = ((((fSlow17 > 0.0) as i32)) as F32);
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Snare_faustpower4_f(fSlow1) * fSlow4 / DSP_Snare_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider5;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider7 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Snare_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0])));
			let mut fTemp4: F32 = fTemp3 + -99.0;
			let mut fTemp5: F32 = 0.5714286 * fTemp4;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 95.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp7 } else { self.fRec9[1] };
			let mut fTemp8: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec11[1] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 52.5) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec9[0]);
			let mut fTemp11: F32 = self.fRec7[0] - fTemp10;
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp11) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp9;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec12[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp13, self.fRec12[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec12[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec12[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec12[0] - fTemp12) / fTemp9;
			let mut fTemp18: F32 = self.fRec12[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec12[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp16 as i32 != 0) { fTemp10 + fTemp11 * if (((self.fRec7[0] > fTemp10) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec7[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec7[0] + fTemp8 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec9[0] } } } else { self.fRec9[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp4 + 99.0));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec15[1] };
			let mut fTemp24: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec16[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 78.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp27: F32 = self.fRec14[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			self.fRec17[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp30, self.fRec17[1] + 1.0) };
			let mut iTemp31: i32 = ((self.fRec17[0] < fTemp30) as i32);
			let mut iTemp32: i32 = ((self.fRec17[0] < fTemp29) as i32);
			let mut fTemp33: F32 = (self.fRec17[0] - fTemp29) / fTemp25;
			let mut fTemp34: F32 = self.fRec17[0] / fTemp29;
			let mut fTemp35: F32 = if (iTemp31 as i32 != 0) { if (iTemp32 as i32 != 0) { if (((self.fRec17[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp32 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec14[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec14[0] } } } else { if (iTemp31 as i32 != 0) { self.fRec14[0] + fTemp24 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec15[0] } } } else { self.fRec15[0] };
			let mut iTemp36: i32 = ((fTemp35) as i32);
			let mut fTemp37: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp36) as usize] };
			let mut fTemp38: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 63.0));
			let mut fTemp39: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp38) * (fTemp38 + 28.0);
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp39 + 4064.0 } else { self.fRec18[1] };
			self.fRec19[0] = if (iTemp2 as i32 != 0) { fTemp39 + 3776.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp41: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp40) / (fTemp28 * if (((fTemp40 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp39 } else { self.fRec20[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec20[0]);
			let mut fTemp43: F32 = self.fRec18[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			let mut fTemp45: F32 = fTemp44 + fTemp41;
			let mut fTemp46: F32 = self.fRec20[0] - self.fRec19[0];
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 35.5) as i32)) as usize] } * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec19[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp48: F32 = fTemp45 + fTemp47;
			self.fRec21[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp48, self.fRec21[1] + 1.0) };
			let mut iTemp49: i32 = ((self.fRec21[0] < fTemp45) as i32);
			let mut fTemp50: F32 = (self.fRec21[0] - fTemp45) / fTemp47;
			let mut iTemp51: i32 = ((self.fRec21[0] < fTemp44) as i32);
			let mut fTemp52: F32 = (self.fRec21[0] - fTemp44) / fTemp41;
			let mut fTemp53: F32 = self.fRec21[0] / fTemp44;
			let mut fTemp54: F32 = if (iTemp49 as i32 != 0) { if (iTemp51 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp51 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec18[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp53, 0.33333334) } else { fTemp53 } } else { self.fRec18[0] } } } else { if (iTemp49 as i32 != 0) { self.fRec18[0] + fTemp40 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp52, 0.33333334) } else { fTemp52 } } else { self.fRec19[0] } } } else { if (((self.fRec21[0] < fTemp48) as i32) as i32 != 0) { self.fRec19[0] + fTemp46 * if (((self.fRec20[0] > self.fRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp50, 0.33333334) } else { fTemp50 } } else { self.fRec20[0] } };
			let mut iTemp55: i32 = ((fTemp54) as i32);
			let mut fTemp56: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp55) as usize] };
			let mut iTemp57: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp58: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst4 };
			self.fRec22[0] = fTemp58 - F32::floor(fTemp58);
			let mut fTemp59: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst6 };
			self.fRec24[0] = fTemp59 - F32::floor(fTemp59);
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			let mut fTemp60: F32 = 15.996094 * (0.4 * ((self.iRec26[0]) as F32) + 128.0);
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl3DSP_SnareSIG3[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow16 * fSlow15 * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) };
			self.fRec25[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = F32::max(0.0, F32::min(127.0, fSlow18 + 0.85714287 * fTemp4));
			let mut fTemp65: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp64) * (fTemp64 + 28.0);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp65 + 4064.0 } else { self.fRec27[1] };
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fTemp65 } else { self.fRec28[1] };
			let mut fTemp66: F32 = self.fRec28[0] - self.fRec27[0];
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 61.5) as i32)) as usize] } * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = F32::max(5076.0, self.fRec28[0]);
			let mut fTemp69: F32 = self.fRec27[0] - fTemp68;
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 89.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp68)) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp70 + fTemp67;
			self.fRec29[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp71, self.fRec29[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec29[0] < fTemp71) as i32);
			let mut iTemp73: i32 = ((self.fRec29[0] < fTemp70) as i32);
			let mut fTemp74: F32 = (self.fRec29[0] - fTemp70) / fTemp67;
			let mut fTemp75: F32 = self.fRec29[0] / fTemp70;
			let mut fTemp76: F32 = if (iTemp72 as i32 != 0) { if (iTemp73 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp68 } else { if (iTemp73 as i32 != 0) { fTemp68 + fTemp69 * if (((self.fRec27[0] > fTemp68) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec27[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec27[0] + fTemp66 * if (((self.fRec28[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp74, 0.33333334) } else { fTemp74 } } else { self.fRec28[0] } } } else { self.fRec28[0] };
			let mut iTemp77: i32 = ((fTemp76) as i32);
			let mut fTemp78: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp77) as usize] };
			let mut fTemp79: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + -9.0));
			let mut fTemp80: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp79) * (fTemp79 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp80 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp80 + 3168.0 } else { self.fRec31[1] };
			let mut fTemp81: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (fTemp28 * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp84: F32 = self.fRec30[0] - fTemp83;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp28 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp83)) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp85 + fTemp82;
			let mut fTemp87: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp88: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp87) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 50.5) as i32)) as usize] } * if (((fTemp87 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp89: F32 = fTemp86 + fTemp88;
			self.fRec32[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp89, self.fRec32[1] + 1.0) };
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp86) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp86) / fTemp88;
			let mut iTemp92: i32 = ((self.fRec32[0] < fTemp85) as i32);
			let mut fTemp93: F32 = (self.fRec32[0] - fTemp85) / fTemp82;
			let mut fTemp94: F32 = self.fRec32[0] / fTemp85;
			let mut fTemp95: F32 = if (iTemp90 as i32 != 0) { if (iTemp92 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp83 } else { if (iTemp92 as i32 != 0) { fTemp83 + fTemp84 * if (((self.fRec30[0] > fTemp83) as i32) as i32 != 0) { F32::powf(fTemp94, 0.33333334) } else { fTemp94 } } else { self.fRec30[0] } } } else { if (iTemp90 as i32 != 0) { self.fRec30[0] + fTemp81 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp93, 0.33333334) } else { fTemp93 } } else { self.fRec31[0] } } } else { if (((self.fRec32[0] < fTemp89) as i32) as i32 != 0) { self.fRec31[0] + fTemp87 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } };
			let mut iTemp96: i32 = ((fTemp95) as i32);
			let mut fTemp97: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp96) as usize] };
			let mut fTemp98: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec33[1] + self.fConst10 };
			self.fRec33[0] = fTemp98 - F32::floor(fTemp98);
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 6784.0 } else { self.fRec36[1] };
			let mut fTemp99: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 7.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { 4064.0 } else { self.fRec37[1] };
			let mut fTemp101: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp102: F32 = self.fRec35[0] - fTemp101;
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp101)) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp103 + fTemp100;
			let mut fTemp105: F32 = self.fRec37[0] - self.fRec36[0];
			let mut fTemp106: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp105) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 0.5) as i32)) as usize] } * if (((fTemp105 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec36[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp107: F32 = fTemp104 + fTemp106;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp107, self.fRec38[1] + 1.0) };
			let mut iTemp108: i32 = ((self.fRec38[0] < fTemp104) as i32);
			let mut fTemp109: F32 = (self.fRec38[0] - fTemp104) / fTemp106;
			let mut iTemp110: i32 = ((self.fRec38[0] < fTemp103) as i32);
			let mut fTemp111: F32 = (self.fRec38[0] - fTemp103) / fTemp100;
			let mut fTemp112: F32 = self.fRec38[0] / fTemp103;
			let mut fTemp113: F32 = if (iTemp108 as i32 != 0) { if (iTemp110 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp101 } else { if (iTemp110 as i32 != 0) { fTemp101 + fTemp102 * if (((self.fRec35[0] > fTemp101) as i32) as i32 != 0) { F32::powf(fTemp112, 0.33333334) } else { fTemp112 } } else { self.fRec35[0] } } } else { if (iTemp108 as i32 != 0) { self.fRec35[0] + fTemp99 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec36[0] } } } else { if (((self.fRec38[0] < fTemp107) as i32) as i32 != 0) { self.fRec36[0] + fTemp105 * if (((self.fRec37[0] > self.fRec36[0]) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec37[0] } };
			let mut iTemp114: i32 = ((fTemp113) as i32);
			let mut fTemp115: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp114) as usize] };
			let mut fTemp116: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst12 };
			self.fRec39[0] = fTemp116 - F32::floor(fTemp116);
			self.fRec34[0] = 0.161 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec39[0] + 17.391304 * self.fRec34[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp115 + (fTemp113 - ((iTemp114) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp114, 1)) as usize] } - fTemp115));
			let mut fTemp117: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec40[1] + self.fConst14 };
			self.fRec40[0] = fTemp117 - F32::floor(fTemp117);
			let mut fTemp118: F32 = fSlow20 * (0.115 * (fSlow19 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec40[0] + 17.391304 * (self.fRec34[0] + 0.115 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec33[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp97 + (fTemp95 - ((iTemp96) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp96, 1)) as usize] } - fTemp97))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp78 + (fTemp76 - ((iTemp77) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp77, 1)) as usize] } - fTemp78)) + unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec22[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp56 + (fTemp54 - ((iTemp55) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp55, 1)) as usize] } - fTemp56)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp37 + (fTemp35 - ((iTemp36) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp36, 1)) as usize] } - fTemp37)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp118;
			let mut fTemp119: F32 = self.fRec1[1] + fSlow3 * fTemp118 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp119;
			let mut fTemp120: F32 = self.fRec2[1] + fSlow3 * fTemp119 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp120;
			let mut fTemp121: F32 = self.fRec3[1] + fSlow3 * fTemp120 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp121;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp121;
			self.fRec0[0] = self.fConst20 * self.fRec5[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Snare {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_Snare as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Snare as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fHslider0;
		let mut fSlow1: F32 = F32::tan(0.0155508835 * fSlow0);
		let mut fSlow2: F32 = fSlow1 + 1.0;
		let mut fSlow3: F32 = fSlow1 / fSlow2;
		let mut fSlow4: F32 = 2.293 - 0.0227007 * fSlow0;
		let mut fSlow5: F32 = 0.16465649 * fSlow4 * (1.0 - fSlow3);
		let mut fSlow6: F32 = self.fEntry0;
		let mut iSlow7: i32 = ((fSlow6 > 0.0) as i32);
		let mut fSlow8: F32 = self.fHslider1;
		let mut fSlow9: F32 = self.fHslider3 + self.fHslider2;
		let mut fSlow10: F32 = 0.42857143 * (0.33333334 * (fSlow9 + -3.0) + 1.0);
		let mut fSlow11: F32 = F32::powf(2.0, 0.083333336 * (fSlow9 + -72.0));
		let mut fSlow12: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow11, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow13: i32 = ((fSlow12) as i32);
		let mut fSlow14: F32 = unsafe { ftbl3DSP_SnareSIG3[(iSlow13) as usize] };
		let mut fSlow15: F32 = fSlow14 + (fSlow12 - ((iSlow13) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iSlow13, 1)) as usize] } - fSlow14);
		let mut fSlow16: F32 = self.fConst8 * fSlow11;
		let mut fSlow17: F32 = 29.0 * F32::sqrt(0.01 * self.fHslider4) + 7e+01;
		let mut fSlow18: F32 = F32::min(99.0, fSlow17);
		let mut fSlow19: F32 = ((((fSlow17 > 0.0) as i32)) as F32);
		let mut fSlow20: F32 = 1.0 / (0.16465649 * (DSP_Snare_faustpower4_f(fSlow1) * fSlow4 / DSP_Snare_faustpower4_f(fSlow2)) + 1.0);
		let mut fSlow21: F32 = 2.0 * fSlow3;
		let mut fSlow22: F32 = 0.01 * self.fHslider5;
		let mut fSlow23: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider6 + 9.5));
		let mut fSlow24: F32 = fSlow23 * F32::min(1.0, 1.0 - fSlow22);
		let mut fSlow25: F32 = fSlow23 * F32::min(1.0, fSlow22 + 1.0);
		let mut fSlow26: F32 = 0.01 * self.fHslider7 * fSlow23;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow7;
			let mut iTemp1: i32 = ((iSlow7 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec8[0] = if (iSlow7 as i32 != 0) { fSlow6 } else { self.fRec8[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Snare_faustpower2_f(1.0 - F32::max(fSlow8, self.fRec8[0])));
			let mut fTemp4: F32 = fTemp3 + -99.0;
			let mut fTemp5: F32 = 0.5714286 * fTemp4;
			let mut fTemp6: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 95.0));
			let mut fTemp7: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp6) * (fTemp6 + 28.0);
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp7 + 4064.0 } else { self.fRec7[1] };
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp7 } else { self.fRec9[1] };
			let mut fTemp8: F32 = self.fRec9[0] - self.fRec7[0];
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec11[1] };
			let mut fTemp9: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp8) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 52.5) as i32)) as usize] } * if (((fTemp8 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec7[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp10: F32 = F32::max(5076.0, self.fRec9[0]);
			let mut fTemp11: F32 = self.fRec7[0] - fTemp10;
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp11) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec11[0] + 90.5) as i32)) as usize] } * if (((fTemp11 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp10)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp9;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec12[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp13, self.fRec12[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec12[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec12[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec12[0] - fTemp12) / fTemp9;
			let mut fTemp18: F32 = self.fRec12[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec12[0] < 0.0) as i32) as i32 != 0) { fTemp10 } else { if (iTemp16 as i32 != 0) { fTemp10 + fTemp11 * if (((self.fRec7[0] > fTemp10) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec7[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec7[0] + fTemp8 * if (((self.fRec9[0] > self.fRec7[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec9[0] } } } else { self.fRec9[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp4 + 99.0));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec15[1] };
			let mut fTemp24: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec16[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 78.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp27: F32 = self.fRec14[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			self.fRec17[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp30, self.fRec17[1] + 1.0) };
			let mut iTemp31: i32 = ((self.fRec17[0] < fTemp30) as i32);
			let mut iTemp32: i32 = ((self.fRec17[0] < fTemp29) as i32);
			let mut fTemp33: F32 = (self.fRec17[0] - fTemp29) / fTemp25;
			let mut fTemp34: F32 = self.fRec17[0] / fTemp29;
			let mut fTemp35: F32 = if (iTemp31 as i32 != 0) { if (iTemp32 as i32 != 0) { if (((self.fRec17[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp32 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec14[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp34, 0.33333334) } else { fTemp34 } } else { self.fRec14[0] } } } else { if (iTemp31 as i32 != 0) { self.fRec14[0] + fTemp24 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec15[0] } } } else { self.fRec15[0] };
			let mut iTemp36: i32 = ((fTemp35) as i32);
			let mut fTemp37: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp36) as usize] };
			let mut fTemp38: F32 = F32::max(0.0, F32::min(127.0, fTemp5 + 63.0));
			let mut fTemp39: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp38) * (fTemp38 + 28.0);
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fTemp39 + 4064.0 } else { self.fRec18[1] };
			self.fRec19[0] = if (iTemp2 as i32 != 0) { fTemp39 + 3776.0 } else { self.fRec19[1] };
			let mut fTemp40: F32 = self.fRec19[0] - self.fRec18[0];
			let mut fTemp41: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp40) / (fTemp28 * if (((fTemp40 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			self.fRec20[0] = if (iTemp2 as i32 != 0) { fTemp39 } else { self.fRec20[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec20[0]);
			let mut fTemp43: F32 = self.fRec18[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			let mut fTemp45: F32 = fTemp44 + fTemp41;
			let mut fTemp46: F32 = self.fRec20[0] - self.fRec19[0];
			let mut fTemp47: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp46) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 35.5) as i32)) as usize] } * if (((fTemp46 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec19[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp48: F32 = fTemp45 + fTemp47;
			self.fRec21[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp48, self.fRec21[1] + 1.0) };
			let mut iTemp49: i32 = ((self.fRec21[0] < fTemp45) as i32);
			let mut fTemp50: F32 = (self.fRec21[0] - fTemp45) / fTemp47;
			let mut iTemp51: i32 = ((self.fRec21[0] < fTemp44) as i32);
			let mut fTemp52: F32 = (self.fRec21[0] - fTemp44) / fTemp41;
			let mut fTemp53: F32 = self.fRec21[0] / fTemp44;
			let mut fTemp54: F32 = if (iTemp49 as i32 != 0) { if (iTemp51 as i32 != 0) { if (((self.fRec21[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp51 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec18[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp53, 0.33333334) } else { fTemp53 } } else { self.fRec18[0] } } } else { if (iTemp49 as i32 != 0) { self.fRec18[0] + fTemp40 * if (((self.fRec19[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp52, 0.33333334) } else { fTemp52 } } else { self.fRec19[0] } } } else { if (((self.fRec21[0] < fTemp48) as i32) as i32 != 0) { self.fRec19[0] + fTemp46 * if (((self.fRec20[0] > self.fRec19[0]) as i32) as i32 != 0) { F32::powf(fTemp50, 0.33333334) } else { fTemp50 } } else { self.fRec20[0] } };
			let mut iTemp55: i32 = ((fTemp54) as i32);
			let mut fTemp56: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp55) as usize] };
			let mut iTemp57: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp58: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst4 };
			self.fRec22[0] = fTemp58 - F32::floor(fTemp58);
			let mut fTemp59: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst6 };
			self.fRec24[0] = fTemp59 - F32::floor(fTemp59);
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec26[1] };
			let mut fTemp60: F32 = 15.996094 * (0.4 * ((self.iRec26[0]) as F32) + 128.0);
			let mut iTemp61: i32 = ((fTemp60) as i32);
			let mut fTemp62: F32 = unsafe { ftbl3DSP_SnareSIG3[(iTemp61) as usize] };
			let mut fTemp63: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow16 * fSlow15 * (fTemp62 + (fTemp60 - ((iTemp61) as F32)) * (unsafe { ftbl3DSP_SnareSIG3[(i32::wrapping_add(iTemp61, 1)) as usize] } - fTemp62)) };
			self.fRec25[0] = fTemp63 - F32::floor(fTemp63);
			let mut fTemp64: F32 = F32::max(0.0, F32::min(127.0, fSlow18 + 0.85714287 * fTemp4));
			let mut fTemp65: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp64) * (fTemp64 + 28.0);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp65 + 4064.0 } else { self.fRec27[1] };
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fTemp65 } else { self.fRec28[1] };
			let mut fTemp66: F32 = self.fRec28[0] - self.fRec27[0];
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 61.5) as i32)) as usize] } * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = F32::max(5076.0, self.fRec28[0]);
			let mut fTemp69: F32 = self.fRec27[0] - fTemp68;
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 89.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp68)) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp70 + fTemp67;
			self.fRec29[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp71, self.fRec29[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec29[0] < fTemp71) as i32);
			let mut iTemp73: i32 = ((self.fRec29[0] < fTemp70) as i32);
			let mut fTemp74: F32 = (self.fRec29[0] - fTemp70) / fTemp67;
			let mut fTemp75: F32 = self.fRec29[0] / fTemp70;
			let mut fTemp76: F32 = if (iTemp72 as i32 != 0) { if (iTemp73 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp68 } else { if (iTemp73 as i32 != 0) { fTemp68 + fTemp69 * if (((self.fRec27[0] > fTemp68) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec27[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec27[0] + fTemp66 * if (((self.fRec28[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp74, 0.33333334) } else { fTemp74 } } else { self.fRec28[0] } } } else { self.fRec28[0] };
			let mut iTemp77: i32 = ((fTemp76) as i32);
			let mut fTemp78: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp77) as usize] };
			let mut fTemp79: F32 = F32::max(0.0, F32::min(127.0, fTemp3 + -9.0));
			let mut fTemp80: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp79) * (fTemp79 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp80 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp80 + 3168.0 } else { self.fRec31[1] };
			let mut fTemp81: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (fTemp28 * if (((fTemp81 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(5076.0, self.fRec30[0]);
			let mut fTemp84: F32 = self.fRec30[0] - fTemp83;
			let mut fTemp85: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp84) / (fTemp28 * if (((fTemp84 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp83)) + 2.0) } else { 0.96 }))));
			let mut fTemp86: F32 = fTemp85 + fTemp82;
			let mut fTemp87: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp88: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp87) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 50.5) as i32)) as usize] } * if (((fTemp87 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp89: F32 = fTemp86 + fTemp88;
			self.fRec32[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp89, self.fRec32[1] + 1.0) };
			let mut iTemp90: i32 = ((self.fRec32[0] < fTemp86) as i32);
			let mut fTemp91: F32 = (self.fRec32[0] - fTemp86) / fTemp88;
			let mut iTemp92: i32 = ((self.fRec32[0] < fTemp85) as i32);
			let mut fTemp93: F32 = (self.fRec32[0] - fTemp85) / fTemp82;
			let mut fTemp94: F32 = self.fRec32[0] / fTemp85;
			let mut fTemp95: F32 = if (iTemp90 as i32 != 0) { if (iTemp92 as i32 != 0) { if (((self.fRec32[0] < 0.0) as i32) as i32 != 0) { fTemp83 } else { if (iTemp92 as i32 != 0) { fTemp83 + fTemp84 * if (((self.fRec30[0] > fTemp83) as i32) as i32 != 0) { F32::powf(fTemp94, 0.33333334) } else { fTemp94 } } else { self.fRec30[0] } } } else { if (iTemp90 as i32 != 0) { self.fRec30[0] + fTemp81 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp93, 0.33333334) } else { fTemp93 } } else { self.fRec31[0] } } } else { if (((self.fRec32[0] < fTemp89) as i32) as i32 != 0) { self.fRec31[0] + fTemp87 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec30[0] } };
			let mut iTemp96: i32 = ((fTemp95) as i32);
			let mut fTemp97: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp96) as usize] };
			let mut fTemp98: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec33[1] + self.fConst10 };
			self.fRec33[0] = fTemp98 - F32::floor(fTemp98);
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec35[1] };
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 6784.0 } else { self.fRec36[1] };
			let mut fTemp99: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 7.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { 4064.0 } else { self.fRec37[1] };
			let mut fTemp101: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp102: F32 = self.fRec35[0] - fTemp101;
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp101)) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp103 + fTemp100;
			let mut fTemp105: F32 = self.fRec37[0] - self.fRec36[0];
			let mut fTemp106: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp105) / (unsafe { ftbl1DSP_SnareSIG1[(((self.fRec16[0] + 0.5) as i32)) as usize] } * if (((fTemp105 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec36[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp107: F32 = fTemp104 + fTemp106;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp107, self.fRec38[1] + 1.0) };
			let mut iTemp108: i32 = ((self.fRec38[0] < fTemp104) as i32);
			let mut fTemp109: F32 = (self.fRec38[0] - fTemp104) / fTemp106;
			let mut iTemp110: i32 = ((self.fRec38[0] < fTemp103) as i32);
			let mut fTemp111: F32 = (self.fRec38[0] - fTemp103) / fTemp100;
			let mut fTemp112: F32 = self.fRec38[0] / fTemp103;
			let mut fTemp113: F32 = if (iTemp108 as i32 != 0) { if (iTemp110 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp101 } else { if (iTemp110 as i32 != 0) { fTemp101 + fTemp102 * if (((self.fRec35[0] > fTemp101) as i32) as i32 != 0) { F32::powf(fTemp112, 0.33333334) } else { fTemp112 } } else { self.fRec35[0] } } } else { if (iTemp108 as i32 != 0) { self.fRec35[0] + fTemp99 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec36[0] } } } else { if (((self.fRec38[0] < fTemp107) as i32) as i32 != 0) { self.fRec36[0] + fTemp105 * if (((self.fRec37[0] > self.fRec36[0]) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec37[0] } };
			let mut iTemp114: i32 = ((fTemp113) as i32);
			let mut fTemp115: F32 = unsafe { ftbl0DSP_SnareSIG0[(iTemp114) as usize] };
			let mut fTemp116: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst12 };
			self.fRec39[0] = fTemp116 - F32::floor(fTemp116);
			self.fRec34[0] = 0.161 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec39[0] + 17.391304 * self.fRec34[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp115 + (fTemp113 - ((iTemp114) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp114, 1)) as usize] } - fTemp115));
			let mut fTemp117: F32 = if (iTemp57 as i32 != 0) { 0.0 } else { self.fRec40[1] + self.fConst14 };
			self.fRec40[0] = fTemp117 - F32::floor(fTemp117);
			let mut fTemp118: F32 = fSlow20 * (0.115 * (fSlow19 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec40[0] + 17.391304 * (self.fRec34[0] + 0.115 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec33[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp97 + (fTemp95 - ((iTemp96) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp96, 1)) as usize] } - fTemp97))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp78 + (fTemp76 - ((iTemp77) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp77, 1)) as usize] } - fTemp78)) + unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_SnareSIG2[(((1024.0 * self.fRec22[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp56 + (fTemp54 - ((iTemp55) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp55, 1)) as usize] } - fTemp56)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp37 + (fTemp35 - ((iTemp36) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp36, 1)) as usize] } - fTemp37)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_SnareSIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21))) - fSlow5 * (self.fRec4[1] + fSlow3 * (self.fRec3[1] + fSlow3 * (self.fRec2[1] + fSlow3 * self.fRec1[1])))) - self.fRec1[1];
			self.fRec1[0] = self.fRec1[1] + fSlow21 * fTemp118;
			let mut fTemp119: F32 = self.fRec1[1] + fSlow3 * fTemp118 - self.fRec2[1];
			self.fRec2[0] = self.fRec2[1] + fSlow21 * fTemp119;
			let mut fTemp120: F32 = self.fRec2[1] + fSlow3 * fTemp119 - self.fRec3[1];
			self.fRec3[0] = self.fRec3[1] + fSlow21 * fTemp120;
			let mut fTemp121: F32 = self.fRec3[1] + fSlow3 * fTemp120 - self.fRec4[1];
			self.fRec4[0] = self.fRec4[1] + fSlow21 * fTemp121;
			self.fRec5[0] = self.fRec4[1] + fSlow3 * fTemp121;
			self.fRec0[0] = self.fConst20 * self.fRec5[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * self.fRec5[0]);
			*output0 = fSlow24 * self.fRec0[0];
			*output1 = fSlow25 * self.fRec0[0];
			*output2 = fSlow26 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec24[1] = self.fRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec1[1] = self.fRec1[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec5[1] = self.fRec5[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
