// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_Tom1 -pn processTom1 -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_Tom1SIG0 {
	iRec1: [i32;2],
}

impl DSP_Tom1SIG0 {
	
	fn get_num_inputsDSP_Tom1SIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom1SIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom1SIG0(&mut self, sample_rate: i32) {
		for l1 in 0..2 {
			self.iRec1[(l1) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom1SIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec1[0] = i32::wrapping_add(self.iRec1[1], 1);
			let mut fTemp0: F32 = ((i32::wrapping_add(self.iRec1[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp0))))) * (((((7.2e+03 - fTemp0) < 3824.0) as i32)) as F32);
			self.iRec1[1] = self.iRec1[0];
		}
	}

}


pub fn newDSP_Tom1SIG0() -> DSP_Tom1SIG0 { 
	DSP_Tom1SIG0 {
		iRec1: [0;2],
	}
}

pub struct DSP_Tom1SIG1 {
	iRec5: [i32;2],
}

impl DSP_Tom1SIG1 {
	
	fn get_num_inputsDSP_Tom1SIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom1SIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom1SIG1(&mut self, sample_rate: i32) {
		for l6 in 0..2 {
			self.iRec5[(l6) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom1SIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec5[0] = i32::wrapping_add(self.iRec5[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec5[0], -1)) as F32));
			self.iRec5[1] = self.iRec5[0];
		}
	}

}


pub fn newDSP_Tom1SIG1() -> DSP_Tom1SIG1 { 
	DSP_Tom1SIG1 {
		iRec5: [0;2],
	}
}

pub struct DSP_Tom1SIG2 {
	iVec2: [i32;2],
	iRec9: [i32;2],
}

impl DSP_Tom1SIG2 {
	
	fn get_num_inputsDSP_Tom1SIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom1SIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom1SIG2(&mut self, sample_rate: i32) {
		for l10 in 0..2 {
			self.iVec2[(l10) as usize] = 0;
		}
		for l11 in 0..2 {
			self.iRec9[(l11) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom1SIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec2[0] = 1;
			self.iRec9[0] = (i32::wrapping_add(self.iVec2[1], self.iRec9[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec9[0]) as F32));
			self.iVec2[1] = self.iVec2[0];
			self.iRec9[1] = self.iRec9[0];
		}
	}

}


pub fn newDSP_Tom1SIG2() -> DSP_Tom1SIG2 { 
	DSP_Tom1SIG2 {
		iVec2: [0;2],
		iRec9: [0;2],
	}
}

pub struct DSP_Tom1SIG3 {
	iRec20: [i32;2],
}

impl DSP_Tom1SIG3 {
	
	fn get_num_inputsDSP_Tom1SIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom1SIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom1SIG3(&mut self, sample_rate: i32) {
		for l21 in 0..2 {
			self.iRec20[(l21) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom1SIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec20[0] = i32::wrapping_add(self.iRec20[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec20[0], -1)) as F32) + -128.0));
			self.iRec20[1] = self.iRec20[0];
		}
	}

}


pub fn newDSP_Tom1SIG3() -> DSP_Tom1SIG3 { 
	DSP_Tom1SIG3 {
		iRec20: [0;2],
	}
}
static mut iDSP_Tom1SIG4Wave0: [i32;100] = [1,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,16,16,17,18,18,19,20,21,22,23,24,25,26,27,28,30,31,33,34,36,37,38,39,41,42,44,46,47,49,51,53,54,56,58,60,62,64,66,68,70,72,74,76,79,82,85,88,91,94,98,102,106,110,115,120,125,130,135,141,147,153,159,165,171,178,185,193,202,211,232,243,254,255];

pub struct DSP_Tom1SIG4 {
	iDSP_Tom1SIG4Wave0_idx: i32,
}

impl DSP_Tom1SIG4 {
	
	fn get_num_inputsDSP_Tom1SIG4(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom1SIG4(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom1SIG4(&mut self, sample_rate: i32) {
		self.iDSP_Tom1SIG4Wave0_idx = 0;
	}
	
	fn fillDSP_Tom1SIG4(&mut self, count: i32, table: &mut[i32]) {
		for i5 in 0..count {
			table[(i5) as usize] = unsafe { iDSP_Tom1SIG4Wave0[(self.iDSP_Tom1SIG4Wave0_idx) as usize] };
			self.iDSP_Tom1SIG4Wave0_idx = (i32::wrapping_add(1, self.iDSP_Tom1SIG4Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Tom1SIG4() -> DSP_Tom1SIG4 { 
	DSP_Tom1SIG4 {
		iDSP_Tom1SIG4Wave0_idx: 0,
	}
}
static mut iDSP_Tom1SIG5Wave0: [i32;100] = [-128,-116,-104,-95,-85,-76,-68,-61,-56,-52,-49,-46,-43,-41,-39,-37,-35,-33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,38,40,43,46,49,53,58,65,73,82,92,103,115,127];

pub struct DSP_Tom1SIG5 {
	iDSP_Tom1SIG5Wave0_idx: i32,
}

impl DSP_Tom1SIG5 {
	
	fn get_num_inputsDSP_Tom1SIG5(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom1SIG5(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom1SIG5(&mut self, sample_rate: i32) {
		self.iDSP_Tom1SIG5Wave0_idx = 0;
	}
	
	fn fillDSP_Tom1SIG5(&mut self, count: i32, table: &mut[i32]) {
		for i6 in 0..count {
			table[(i6) as usize] = unsafe { iDSP_Tom1SIG5Wave0[(self.iDSP_Tom1SIG5Wave0_idx) as usize] };
			self.iDSP_Tom1SIG5Wave0_idx = (i32::wrapping_add(1, self.iDSP_Tom1SIG5Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Tom1SIG5() -> DSP_Tom1SIG5 { 
	DSP_Tom1SIG5 {
		iDSP_Tom1SIG5Wave0_idx: 0,
	}
}
static mut ftbl0DSP_Tom1SIG0: [F32;16384] = [0.0;16384];
fn DSP_Tom1_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl1DSP_Tom1SIG1: [F32;144] = [0.0;144];
static mut ftbl2DSP_Tom1SIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_Tom1SIG3: [F32;4096] = [0.0;4096];
static mut itbl4DSP_Tom1SIG4: [i32;100] = [0;100];
static mut itbl5DSP_Tom1SIG5: [i32;100] = [0;100];

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_Tom1 {
	iVec0: [i32;2],
	fSampleRate: i32,
	fConst0: F32,
	fConst4: F32,
	fEntry0: F32,
	iVec1: [i32;2],
	fHslider0: F32,
	fRec3: [F32;2],
	fRec2: [F32;2],
	fRec4: [F32;2],
	fHslider1: F32,
	fHslider2: F32,
	fRec6: [F32;2],
	fRec7: [F32;2],
	fRec8: [F32;2],
	fRec10: [F32;2],
	fRec11: [F32;2],
	fRec12: [F32;2],
	fRec13: [F32;2],
	fRec14: [F32;2],
	fRec15: [F32;2],
	fConst5: F32,
	fConst6: F32,
	fRec16: [F32;2],
	fRec17: [F32;2],
	fRec18: [F32;2],
	fConst9: F32,
	fRec19: [F32;2],
	fConst11: F32,
	fRec21: [F32;2],
	fConst13: F32,
	fRec22: [F32;2],
	fRec23: [F32;2],
	fRec24: [F32;2],
	fRec25: [F32;2],
	fRec26: [F32;2],
	fConst14: F32,
	iConst15: i32,
	iRec28: [i32;2],
	iConst16: i32,
	iRec29: [i32;2],
	fConst17: F32,
	fConst18: F32,
	iConst19: i32,
	iRec31: [i32;2],
	fRec30: [F32;2],
	fConst20: F32,
	fRec27: [F32;2],
	fRec33: [F32;2],
	fRec34: [F32;2],
	fRec35: [F32;2],
	fRec36: [F32;2],
	fConst22: F32,
	fRec37: [F32;2],
	fRec32: [F32;2],
	fVec3: [F32;2],
	fConst23: F32,
	fConst24: F32,
	fRec0: [F32;2],
	fHslider3: F32,
	fHslider4: F32,
	fHslider5: F32,
}

impl FaustDsp for DSP_Tom1 {
	type T = F32;
		
	fn new() -> DSP_Tom1 { 
		DSP_Tom1 {
			iVec0: [0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fConst4: 0.0,
			fEntry0: 0.0,
			iVec1: [0;2],
			fHslider0: 0.0,
			fRec3: [0.0;2],
			fRec2: [0.0;2],
			fRec4: [0.0;2],
			fHslider1: 0.0,
			fHslider2: 0.0,
			fRec6: [0.0;2],
			fRec7: [0.0;2],
			fRec8: [0.0;2],
			fRec10: [0.0;2],
			fRec11: [0.0;2],
			fRec12: [0.0;2],
			fRec13: [0.0;2],
			fRec14: [0.0;2],
			fRec15: [0.0;2],
			fConst5: 0.0,
			fConst6: 0.0,
			fRec16: [0.0;2],
			fRec17: [0.0;2],
			fRec18: [0.0;2],
			fConst9: 0.0,
			fRec19: [0.0;2],
			fConst11: 0.0,
			fRec21: [0.0;2],
			fConst13: 0.0,
			fRec22: [0.0;2],
			fRec23: [0.0;2],
			fRec24: [0.0;2],
			fRec25: [0.0;2],
			fRec26: [0.0;2],
			fConst14: 0.0,
			iConst15: 0,
			iRec28: [0;2],
			iConst16: 0,
			iRec29: [0;2],
			fConst17: 0.0,
			fConst18: 0.0,
			iConst19: 0,
			iRec31: [0;2],
			fRec30: [0.0;2],
			fConst20: 0.0,
			fRec27: [0.0;2],
			fRec33: [0.0;2],
			fRec34: [0.0;2],
			fRec35: [0.0;2],
			fRec36: [0.0;2],
			fConst22: 0.0,
			fRec37: [0.0;2],
			fRec32: [0.0;2],
			fVec3: [0.0;2],
			fConst23: 0.0,
			fConst24: 0.0,
			fRec0: [0.0;2],
			fHslider3: 0.0,
			fHslider4: 0.0,
			fHslider5: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_Tom1 -pn processTom1 -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_Tom1SIG0 = newDSP_Tom1SIG0();
		sig0.instance_initDSP_Tom1SIG0(sample_rate);
		sig0.fillDSP_Tom1SIG0(16384, unsafe { &mut ftbl0DSP_Tom1SIG0 });
		let mut sig1: DSP_Tom1SIG1 = newDSP_Tom1SIG1();
		sig1.instance_initDSP_Tom1SIG1(sample_rate);
		sig1.fillDSP_Tom1SIG1(144, unsafe { &mut ftbl1DSP_Tom1SIG1 });
		let mut sig2: DSP_Tom1SIG2 = newDSP_Tom1SIG2();
		sig2.instance_initDSP_Tom1SIG2(sample_rate);
		sig2.fillDSP_Tom1SIG2(1024, unsafe { &mut ftbl2DSP_Tom1SIG2 });
		let mut sig3: DSP_Tom1SIG3 = newDSP_Tom1SIG3();
		sig3.instance_initDSP_Tom1SIG3(sample_rate);
		sig3.fillDSP_Tom1SIG3(4096, unsafe { &mut ftbl3DSP_Tom1SIG3 });
		let mut sig4: DSP_Tom1SIG4 = newDSP_Tom1SIG4();
		sig4.instance_initDSP_Tom1SIG4(sample_rate);
		sig4.fillDSP_Tom1SIG4(100, unsafe { &mut itbl4DSP_Tom1SIG4 });
		let mut sig5: DSP_Tom1SIG5 = newDSP_Tom1SIG5();
		sig5.instance_initDSP_Tom1SIG5(sample_rate);
		sig5.fillDSP_Tom1SIG5(100, unsafe { &mut itbl5DSP_Tom1SIG5 });
	}
	fn instance_reset_params(&mut self) {
		self.fEntry0 = 0.0;
		self.fHslider0 = 0.0;
		self.fHslider1 = 36.0;
		self.fHslider2 = 0.0;
		self.fHslider3 = 0.0;
		self.fHslider4 = 0.0;
		self.fHslider5 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l0 in 0..2 {
			self.iVec0[(l0) as usize] = 0;
		}
		for l2 in 0..2 {
			self.iVec1[(l2) as usize] = 0;
		}
		for l3 in 0..2 {
			self.fRec3[(l3) as usize] = 0.0;
		}
		for l4 in 0..2 {
			self.fRec2[(l4) as usize] = 0.0;
		}
		for l5 in 0..2 {
			self.fRec4[(l5) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec6[(l7) as usize] = 0.0;
		}
		for l8 in 0..2 {
			self.fRec7[(l8) as usize] = 0.0;
		}
		for l9 in 0..2 {
			self.fRec8[(l9) as usize] = 0.0;
		}
		for l12 in 0..2 {
			self.fRec10[(l12) as usize] = 0.0;
		}
		for l13 in 0..2 {
			self.fRec11[(l13) as usize] = 0.0;
		}
		for l14 in 0..2 {
			self.fRec12[(l14) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec13[(l15) as usize] = 0.0;
		}
		for l16 in 0..2 {
			self.fRec14[(l16) as usize] = 0.0;
		}
		for l17 in 0..2 {
			self.fRec15[(l17) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.fRec16[(l18) as usize] = 0.0;
		}
		for l19 in 0..2 {
			self.fRec17[(l19) as usize] = 0.0;
		}
		for l20 in 0..2 {
			self.fRec18[(l20) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.fRec19[(l22) as usize] = 0.0;
		}
		for l23 in 0..2 {
			self.fRec21[(l23) as usize] = 0.0;
		}
		for l24 in 0..2 {
			self.fRec22[(l24) as usize] = 0.0;
		}
		for l25 in 0..2 {
			self.fRec23[(l25) as usize] = 0.0;
		}
		for l26 in 0..2 {
			self.fRec24[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec25[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec26[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.iRec28[(l29) as usize] = 0;
		}
		for l30 in 0..2 {
			self.iRec29[(l30) as usize] = 0;
		}
		for l31 in 0..2 {
			self.iRec31[(l31) as usize] = 0;
		}
		for l32 in 0..2 {
			self.fRec30[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec27[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec33[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec34[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec35[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fRec36[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec37[(l38) as usize] = 0.0;
		}
		for l39 in 0..2 {
			self.fRec32[(l39) as usize] = 0.0;
		}
		for l40 in 0..2 {
			self.fVec3[(l40) as usize] = 0.0;
		}
		for l41 in 0..2 {
			self.fRec0[(l41) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		let mut fConst1: F32 = F32::tan(62.831852 / self.fConst0);
		let mut fConst2: F32 = 1.0 / fConst1;
		let mut fConst3: F32 = fConst2 + 1.0;
		self.fConst4 = (1.0 - fConst2) / fConst3;
		self.fConst5 = F32::max(1.0, 0.001 * self.fConst0);
		self.fConst6 = 2.0 * self.fConst5;
		let mut fConst7: F32 = unsafe { ftbl3DSP_Tom1SIG3[2430] };
		let mut fConst8: F32 = 1e+02 / self.fConst0;
		self.fConst9 = fConst8 * (fConst7 + 0.08177344 * (unsafe { ftbl3DSP_Tom1SIG3[2431] } - fConst7));
		let mut fConst10: F32 = unsafe { ftbl3DSP_Tom1SIG3[2111] };
		self.fConst11 = fConst8 * (fConst10 + 0.2636289 * (unsafe { ftbl3DSP_Tom1SIG3[2112] } - fConst10));
		let mut fConst12: F32 = unsafe { ftbl3DSP_Tom1SIG3[2047] };
		self.fConst13 = 1e+01 / self.fConst0 * (fConst12 + 0.5 * (unsafe { ftbl3DSP_Tom1SIG3[2048] } - fConst12));
		self.fConst14 = ((unsafe { itbl4DSP_Tom1SIG4[81] }) as F32);
		self.iConst15 = unsafe { itbl5DSP_Tom1SIG5[50] };
		self.iConst16 = unsafe { itbl5DSP_Tom1SIG5[10] };
		self.fConst17 = 0.64285713 * self.fConst0;
		self.fConst18 = ((unsafe { itbl4DSP_Tom1SIG4[50] }) as F32);
		self.iConst19 = unsafe { itbl5DSP_Tom1SIG5[0] };
		self.fConst20 = 4.4e+02 / self.fConst0;
		let mut fConst21: F32 = unsafe { ftbl3DSP_Tom1SIG3[2257] };
		self.fConst22 = fConst8 * (fConst21 + 0.9199754 * (unsafe { ftbl3DSP_Tom1SIG3[2258] } - fConst21));
		self.fConst23 = 1.0 / (fConst1 * fConst3);
		self.fConst24 = 0.0 - self.fConst23;
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_Tom1::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Trigger", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(1)), "1", "");
		ui_interface.declare(Some(ParamIndex(1)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(1)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(1), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(2)), "2", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(2), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(3)), "4", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Transpose");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "st");
		ui_interface.add_horizontal_slider("Voice_Transpose", ParamIndex(3), 0.0, -12.0, 12.0, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "8", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(4), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(5), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_horizontal_slider("key", ParamIndex(6), 36.0, 0.0, 127.0, 1.0);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			5 => Some(self.fHslider0),
			6 => Some(self.fHslider1),
			3 => Some(self.fHslider2),
			2 => Some(self.fHslider3),
			1 => Some(self.fHslider4),
			4 => Some(self.fHslider5),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			5 => { self.fHslider0 = value }
			6 => { self.fHslider1 = value }
			3 => { self.fHslider2 = value }
			2 => { self.fHslider3 = value }
			1 => { self.fHslider4 = value }
			4 => { self.fHslider5 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.42857143 * (0.33333334 * (fSlow3 + 4.7) + 1.0);
		let mut fSlow5: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.07070707 * (0.0 - 2.0 * F32::max(0.0, F32::abs(-1.0 * (fSlow3 + -99.3)))) + 87.0)));
		let mut fSlow6: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow5) * (fSlow5 + 28.0);
		let mut fSlow7: F32 = fSlow6 + 4064.0;
		let mut fSlow8: F32 = fSlow6 + 2848.0;
		let mut fSlow9: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.5050505 * (0.0 - 2.0 * F32::max(0.0, F32::abs(fSlow3 + -46.3))) + 76.0)));
		let mut fSlow10: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow9) * (fSlow9 + 28.0);
		let mut fSlow11: F32 = fSlow10 + 4064.0;
		let mut fSlow12: F32 = fSlow10 + 3392.0;
		let mut fSlow13: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow14: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow13, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow15: i32 = ((fSlow14) as i32);
		let mut fSlow16: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iSlow15) as usize] };
		let mut fSlow17: F32 = fSlow16 + (fSlow14 - ((iSlow15) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iSlow15, 1)) as usize] } - fSlow16);
		let mut fSlow18: F32 = self.fConst20 * fSlow13;
		let mut fSlow19: F32 = 0.01 * self.fHslider3;
		let mut fSlow20: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.5));
		let mut fSlow21: F32 = fSlow20 * F32::min(1.0, 1.0 - fSlow19);
		let mut fSlow22: F32 = fSlow20 * F32::min(1.0, fSlow19 + 1.0);
		let mut fSlow23: F32 = 0.01 * self.fHslider5 * fSlow20;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom1_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3968.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec6[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 60.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp9: F32 = self.fRec2[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 45.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec8[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec8[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec8[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec8[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec8[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec8[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec8[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec2[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec2[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp15) as i32) as i32 != 0) { self.fRec4[0] + fTemp13 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec7[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp22) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec11[1] };
			let mut fTemp24: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 72.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp27: F32 = self.fRec10[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			let mut fTemp31: F32 = self.fRec13[0] - self.fRec11[0];
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp31) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 39.5) as i32)) as usize] } * if (((fTemp31 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp30 + fTemp32;
			self.fRec14[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec14[1] + 1.0) };
			let mut iTemp34: i32 = ((self.fRec14[0] < fTemp30) as i32);
			let mut fTemp35: F32 = (self.fRec14[0] - fTemp30) / fTemp32;
			let mut iTemp36: i32 = ((self.fRec14[0] < fTemp29) as i32);
			let mut fTemp37: F32 = (self.fRec14[0] - fTemp29) / fTemp25;
			let mut fTemp38: F32 = self.fRec14[0] / fTemp29;
			let mut fTemp39: F32 = if (iTemp34 as i32 != 0) { if (iTemp36 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp36 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec10[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec10[0] } } } else { if (iTemp34 as i32 != 0) { self.fRec10[0] + fTemp24 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp37, 0.33333334) } else { fTemp37 } } else { self.fRec11[0] } } } else { if (((self.fRec14[0] < fTemp33) as i32) as i32 != 0) { self.fRec11[0] + fTemp31 * if (((self.fRec13[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp35, 0.33333334) } else { fTemp35 } } else { self.fRec13[0] } };
			let mut iTemp40: i32 = ((fTemp39) as i32);
			let mut fTemp41: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp40) as usize] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec15[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp43: F32 = self.fRec15[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			self.fRec16[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp44, self.fRec16[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec16[0] < fTemp44) as i32);
			let mut fTemp46: F32 = self.fRec16[0] / fTemp44;
			let mut fTemp47: F32 = if (((self.fRec16[0] < (self.fConst5 + fTemp44)) as i32) as i32 != 0) { if (iTemp45 as i32 != 0) { if (((self.fRec16[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp45 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec15[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec15[0] } } } else { self.fRec15[0] } } else { self.fRec15[0] };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp48) as usize] };
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp3 + 99.0));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0) + 4064.0 } else { self.fRec17[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp28 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp53) as i32);
			let mut fTemp55: F32 = self.fRec18[0] / fTemp53;
			let mut fTemp56: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp54 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp54 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { self.fRec17[0] };
			let mut iTemp57: i32 = ((fTemp56) as i32);
			let mut fTemp58: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp57) as usize] };
			let mut iTemp59: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp60: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec19[1] + self.fConst9 };
			self.fRec19[0] = fTemp60 - F32::floor(fTemp60);
			let mut fTemp61: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst11 };
			self.fRec21[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst13 };
			self.fRec22[0] = fTemp62 - F32::floor(fTemp62);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { fSlow12 } else { self.fRec24[1] };
			let mut fTemp63: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp64: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp63) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 71.5) as i32)) as usize] } * if (((fTemp63 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec25[1] };
			let mut fTemp65: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp66: F32 = self.fRec23[0] - fTemp65;
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (fTemp28 * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp65)) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = fTemp67 + fTemp64;
			let mut fTemp69: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 8.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp68 + fTemp70;
			self.fRec26[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp71, self.fRec26[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec26[0] < fTemp68) as i32);
			let mut fTemp73: F32 = (self.fRec26[0] - fTemp68) / fTemp70;
			let mut iTemp74: i32 = ((self.fRec26[0] < fTemp67) as i32);
			let mut fTemp75: F32 = (self.fRec26[0] - fTemp67) / fTemp64;
			let mut fTemp76: F32 = self.fRec26[0] / fTemp67;
			let mut fTemp77: F32 = if (iTemp72 as i32 != 0) { if (iTemp74 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp74 as i32 != 0) { fTemp65 + fTemp66 * if (((self.fRec23[0] > fTemp65) as i32) as i32 != 0) { F32::powf(fTemp76, 0.33333334) } else { fTemp76 } } else { self.fRec23[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec23[0] + fTemp63 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp71) as i32) as i32 != 0) { self.fRec24[0] + fTemp69 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { self.fRec25[0] } };
			let mut iTemp78: i32 = ((fTemp77) as i32);
			let mut fTemp79: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp78) as usize] };
			self.iRec28[0] = if (iTemp2 as i32 != 0) { self.iConst15 } else { self.iRec28[1] };
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst16 } else { self.iRec29[1] };
			let mut iTemp80: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec28[0]);
			let mut fTemp81: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp80)) as F32) / self.fConst14));
			self.iRec31[0] = if (iTemp2 as i32 != 0) { self.iConst19 } else { self.iRec31[1] };
			let mut iTemp82: i32 = i32::wrapping_sub(self.iRec31[0], self.iRec29[0]);
			let mut fTemp83: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp82)) as F32) / self.fConst18));
			let mut fTemp84: F32 = fTemp81 + fTemp83 + 1.0;
			self.fRec30[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec30[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec30[0] < (fTemp81 + 1.0)) as i32);
			let mut fTemp86: F32 = (self.fRec30[0] + (-1.0 - fTemp81)) / fTemp83;
			let mut fTemp87: F32 = ((self.iRec29[0]) as F32);
			let mut fTemp88: F32 = (self.fRec30[0] + -1.0) / fTemp81;
			let mut fTemp89: F32 = ((self.iRec28[0]) as F32);
			let mut fTemp90: F32 = 15.996094 * (0.4 * if (iTemp85 as i32 != 0) { if (((self.fRec30[0] < 1.0) as i32) as i32 != 0) { fTemp89 } else { if (iTemp85 as i32 != 0) { fTemp89 + ((iTemp80) as F32) * if (((self.iRec29[0] > self.iRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { fTemp87 } } } else { if (((self.fRec30[0] < fTemp84) as i32) as i32 != 0) { fTemp87 + ((iTemp82) as F32) * if (((self.iRec31[0] > self.iRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { ((self.iRec31[0]) as F32) } } + 128.0);
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow18 * fSlow17 * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp95: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp94) * (fTemp94 + 28.0);
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4064.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 57.5) as i32)) as usize] } * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp95 } else { self.fRec35[1] };
			let mut fTemp98: F32 = F32::max(5076.0, self.fRec35[0]);
			let mut fTemp99: F32 = self.fRec33[0] - fTemp98;
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (fTemp28 * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp98)) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = fTemp100 + fTemp97;
			let mut fTemp102: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp101 + fTemp103;
			self.fRec36[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp104, self.fRec36[1] + 1.0) };
			let mut iTemp105: i32 = ((self.fRec36[0] < fTemp101) as i32);
			let mut fTemp106: F32 = (self.fRec36[0] - fTemp101) / fTemp103;
			let mut iTemp107: i32 = ((self.fRec36[0] < fTemp100) as i32);
			let mut fTemp108: F32 = (self.fRec36[0] - fTemp100) / fTemp97;
			let mut fTemp109: F32 = self.fRec36[0] / fTemp100;
			let mut fTemp110: F32 = if (iTemp105 as i32 != 0) { if (iTemp107 as i32 != 0) { if (((self.fRec36[0] < 0.0) as i32) as i32 != 0) { fTemp98 } else { if (iTemp107 as i32 != 0) { fTemp98 + fTemp99 * if (((self.fRec33[0] > fTemp98) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec33[0] } } } else { if (iTemp105 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec34[0] } } } else { if (((self.fRec36[0] < fTemp104) as i32) as i32 != 0) { self.fRec34[0] + fTemp102 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp106, 0.33333334) } else { fTemp106 } } else { self.fRec35[0] } };
			let mut iTemp111: i32 = ((fTemp110) as i32);
			let mut fTemp112: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp111) as usize] };
			let mut fTemp113: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec37[1] + self.fConst22 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec37[0] + 6.9565215 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp112 + (fTemp110 - ((iTemp111) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp111, 1)) as usize] } - fTemp112));
			let mut fTemp114: F32 = unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * (self.fRec32[0] + 0.115 * (unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp79 + (fTemp77 - ((iTemp78) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp78, 1)) as usize] } - fTemp79)) + unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec21[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp58 + (fTemp56 - ((iTemp57) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp57, 1)) as usize] } - fTemp58)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp41 + (fTemp39 - ((iTemp40) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp40, 1)) as usize] } - fTemp41)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23));
			self.fVec3[0] = fTemp114;
			self.fRec0[0] = 0.115 * (self.fConst23 * fTemp114 + self.fConst24 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow21 * self.fRec0[0];
			*output1 = fSlow22 * self.fRec0[0];
			*output2 = fSlow23 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.iRec28[1] = self.iRec28[0];
			self.iRec29[1] = self.iRec29[0];
			self.iRec31[1] = self.iRec31[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec32[1] = self.fRec32[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_Tom1 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_Tom1 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom1 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.42857143 * (0.33333334 * (fSlow3 + 4.7) + 1.0);
		let mut fSlow5: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.07070707 * (0.0 - 2.0 * F32::max(0.0, F32::abs(-1.0 * (fSlow3 + -99.3)))) + 87.0)));
		let mut fSlow6: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow5) * (fSlow5 + 28.0);
		let mut fSlow7: F32 = fSlow6 + 4064.0;
		let mut fSlow8: F32 = fSlow6 + 2848.0;
		let mut fSlow9: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.5050505 * (0.0 - 2.0 * F32::max(0.0, F32::abs(fSlow3 + -46.3))) + 76.0)));
		let mut fSlow10: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow9) * (fSlow9 + 28.0);
		let mut fSlow11: F32 = fSlow10 + 4064.0;
		let mut fSlow12: F32 = fSlow10 + 3392.0;
		let mut fSlow13: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow14: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow13, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow15: i32 = ((fSlow14) as i32);
		let mut fSlow16: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iSlow15) as usize] };
		let mut fSlow17: F32 = fSlow16 + (fSlow14 - ((iSlow15) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iSlow15, 1)) as usize] } - fSlow16);
		let mut fSlow18: F32 = self.fConst20 * fSlow13;
		let mut fSlow19: F32 = 0.01 * self.fHslider3;
		let mut fSlow20: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.5));
		let mut fSlow21: F32 = fSlow20 * F32::min(1.0, 1.0 - fSlow19);
		let mut fSlow22: F32 = fSlow20 * F32::min(1.0, fSlow19 + 1.0);
		let mut fSlow23: F32 = 0.01 * self.fHslider5 * fSlow20;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom1_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3968.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec6[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 60.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp9: F32 = self.fRec2[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 45.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec8[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec8[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec8[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec8[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec8[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec8[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec8[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec2[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec2[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp15) as i32) as i32 != 0) { self.fRec4[0] + fTemp13 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec7[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp22) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec11[1] };
			let mut fTemp24: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 72.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp27: F32 = self.fRec10[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			let mut fTemp31: F32 = self.fRec13[0] - self.fRec11[0];
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp31) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 39.5) as i32)) as usize] } * if (((fTemp31 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp30 + fTemp32;
			self.fRec14[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec14[1] + 1.0) };
			let mut iTemp34: i32 = ((self.fRec14[0] < fTemp30) as i32);
			let mut fTemp35: F32 = (self.fRec14[0] - fTemp30) / fTemp32;
			let mut iTemp36: i32 = ((self.fRec14[0] < fTemp29) as i32);
			let mut fTemp37: F32 = (self.fRec14[0] - fTemp29) / fTemp25;
			let mut fTemp38: F32 = self.fRec14[0] / fTemp29;
			let mut fTemp39: F32 = if (iTemp34 as i32 != 0) { if (iTemp36 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp36 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec10[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec10[0] } } } else { if (iTemp34 as i32 != 0) { self.fRec10[0] + fTemp24 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp37, 0.33333334) } else { fTemp37 } } else { self.fRec11[0] } } } else { if (((self.fRec14[0] < fTemp33) as i32) as i32 != 0) { self.fRec11[0] + fTemp31 * if (((self.fRec13[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp35, 0.33333334) } else { fTemp35 } } else { self.fRec13[0] } };
			let mut iTemp40: i32 = ((fTemp39) as i32);
			let mut fTemp41: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp40) as usize] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec15[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp43: F32 = self.fRec15[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			self.fRec16[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp44, self.fRec16[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec16[0] < fTemp44) as i32);
			let mut fTemp46: F32 = self.fRec16[0] / fTemp44;
			let mut fTemp47: F32 = if (((self.fRec16[0] < (self.fConst5 + fTemp44)) as i32) as i32 != 0) { if (iTemp45 as i32 != 0) { if (((self.fRec16[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp45 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec15[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec15[0] } } } else { self.fRec15[0] } } else { self.fRec15[0] };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp48) as usize] };
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp3 + 99.0));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0) + 4064.0 } else { self.fRec17[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp28 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp53) as i32);
			let mut fTemp55: F32 = self.fRec18[0] / fTemp53;
			let mut fTemp56: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp54 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp54 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { self.fRec17[0] };
			let mut iTemp57: i32 = ((fTemp56) as i32);
			let mut fTemp58: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp57) as usize] };
			let mut iTemp59: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp60: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec19[1] + self.fConst9 };
			self.fRec19[0] = fTemp60 - F32::floor(fTemp60);
			let mut fTemp61: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst11 };
			self.fRec21[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst13 };
			self.fRec22[0] = fTemp62 - F32::floor(fTemp62);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { fSlow12 } else { self.fRec24[1] };
			let mut fTemp63: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp64: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp63) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 71.5) as i32)) as usize] } * if (((fTemp63 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec25[1] };
			let mut fTemp65: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp66: F32 = self.fRec23[0] - fTemp65;
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (fTemp28 * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp65)) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = fTemp67 + fTemp64;
			let mut fTemp69: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 8.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp68 + fTemp70;
			self.fRec26[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp71, self.fRec26[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec26[0] < fTemp68) as i32);
			let mut fTemp73: F32 = (self.fRec26[0] - fTemp68) / fTemp70;
			let mut iTemp74: i32 = ((self.fRec26[0] < fTemp67) as i32);
			let mut fTemp75: F32 = (self.fRec26[0] - fTemp67) / fTemp64;
			let mut fTemp76: F32 = self.fRec26[0] / fTemp67;
			let mut fTemp77: F32 = if (iTemp72 as i32 != 0) { if (iTemp74 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp74 as i32 != 0) { fTemp65 + fTemp66 * if (((self.fRec23[0] > fTemp65) as i32) as i32 != 0) { F32::powf(fTemp76, 0.33333334) } else { fTemp76 } } else { self.fRec23[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec23[0] + fTemp63 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp71) as i32) as i32 != 0) { self.fRec24[0] + fTemp69 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { self.fRec25[0] } };
			let mut iTemp78: i32 = ((fTemp77) as i32);
			let mut fTemp79: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp78) as usize] };
			self.iRec28[0] = if (iTemp2 as i32 != 0) { self.iConst15 } else { self.iRec28[1] };
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst16 } else { self.iRec29[1] };
			let mut iTemp80: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec28[0]);
			let mut fTemp81: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp80)) as F32) / self.fConst14));
			self.iRec31[0] = if (iTemp2 as i32 != 0) { self.iConst19 } else { self.iRec31[1] };
			let mut iTemp82: i32 = i32::wrapping_sub(self.iRec31[0], self.iRec29[0]);
			let mut fTemp83: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp82)) as F32) / self.fConst18));
			let mut fTemp84: F32 = fTemp81 + fTemp83 + 1.0;
			self.fRec30[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec30[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec30[0] < (fTemp81 + 1.0)) as i32);
			let mut fTemp86: F32 = (self.fRec30[0] + (-1.0 - fTemp81)) / fTemp83;
			let mut fTemp87: F32 = ((self.iRec29[0]) as F32);
			let mut fTemp88: F32 = (self.fRec30[0] + -1.0) / fTemp81;
			let mut fTemp89: F32 = ((self.iRec28[0]) as F32);
			let mut fTemp90: F32 = 15.996094 * (0.4 * if (iTemp85 as i32 != 0) { if (((self.fRec30[0] < 1.0) as i32) as i32 != 0) { fTemp89 } else { if (iTemp85 as i32 != 0) { fTemp89 + ((iTemp80) as F32) * if (((self.iRec29[0] > self.iRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { fTemp87 } } } else { if (((self.fRec30[0] < fTemp84) as i32) as i32 != 0) { fTemp87 + ((iTemp82) as F32) * if (((self.iRec31[0] > self.iRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { ((self.iRec31[0]) as F32) } } + 128.0);
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow18 * fSlow17 * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp95: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp94) * (fTemp94 + 28.0);
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4064.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 57.5) as i32)) as usize] } * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp95 } else { self.fRec35[1] };
			let mut fTemp98: F32 = F32::max(5076.0, self.fRec35[0]);
			let mut fTemp99: F32 = self.fRec33[0] - fTemp98;
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (fTemp28 * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp98)) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = fTemp100 + fTemp97;
			let mut fTemp102: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp101 + fTemp103;
			self.fRec36[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp104, self.fRec36[1] + 1.0) };
			let mut iTemp105: i32 = ((self.fRec36[0] < fTemp101) as i32);
			let mut fTemp106: F32 = (self.fRec36[0] - fTemp101) / fTemp103;
			let mut iTemp107: i32 = ((self.fRec36[0] < fTemp100) as i32);
			let mut fTemp108: F32 = (self.fRec36[0] - fTemp100) / fTemp97;
			let mut fTemp109: F32 = self.fRec36[0] / fTemp100;
			let mut fTemp110: F32 = if (iTemp105 as i32 != 0) { if (iTemp107 as i32 != 0) { if (((self.fRec36[0] < 0.0) as i32) as i32 != 0) { fTemp98 } else { if (iTemp107 as i32 != 0) { fTemp98 + fTemp99 * if (((self.fRec33[0] > fTemp98) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec33[0] } } } else { if (iTemp105 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec34[0] } } } else { if (((self.fRec36[0] < fTemp104) as i32) as i32 != 0) { self.fRec34[0] + fTemp102 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp106, 0.33333334) } else { fTemp106 } } else { self.fRec35[0] } };
			let mut iTemp111: i32 = ((fTemp110) as i32);
			let mut fTemp112: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp111) as usize] };
			let mut fTemp113: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec37[1] + self.fConst22 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec37[0] + 6.9565215 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp112 + (fTemp110 - ((iTemp111) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp111, 1)) as usize] } - fTemp112));
			let mut fTemp114: F32 = unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * (self.fRec32[0] + 0.115 * (unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp79 + (fTemp77 - ((iTemp78) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp78, 1)) as usize] } - fTemp79)) + unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec21[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp58 + (fTemp56 - ((iTemp57) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp57, 1)) as usize] } - fTemp58)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp41 + (fTemp39 - ((iTemp40) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp40, 1)) as usize] } - fTemp41)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23));
			self.fVec3[0] = fTemp114;
			self.fRec0[0] = 0.115 * (self.fConst23 * fTemp114 + self.fConst24 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow21 * self.fRec0[0];
			*output1 = fSlow22 * self.fRec0[0];
			*output2 = fSlow23 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.iRec28[1] = self.iRec28[0];
			self.iRec29[1] = self.iRec29[0];
			self.iRec31[1] = self.iRec31[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec32[1] = self.fRec32[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom1 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_Tom1 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom1 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.42857143 * (0.33333334 * (fSlow3 + 4.7) + 1.0);
		let mut fSlow5: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.07070707 * (0.0 - 2.0 * F32::max(0.0, F32::abs(-1.0 * (fSlow3 + -99.3)))) + 87.0)));
		let mut fSlow6: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow5) * (fSlow5 + 28.0);
		let mut fSlow7: F32 = fSlow6 + 4064.0;
		let mut fSlow8: F32 = fSlow6 + 2848.0;
		let mut fSlow9: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.5050505 * (0.0 - 2.0 * F32::max(0.0, F32::abs(fSlow3 + -46.3))) + 76.0)));
		let mut fSlow10: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow9) * (fSlow9 + 28.0);
		let mut fSlow11: F32 = fSlow10 + 4064.0;
		let mut fSlow12: F32 = fSlow10 + 3392.0;
		let mut fSlow13: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow14: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow13, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow15: i32 = ((fSlow14) as i32);
		let mut fSlow16: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iSlow15) as usize] };
		let mut fSlow17: F32 = fSlow16 + (fSlow14 - ((iSlow15) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iSlow15, 1)) as usize] } - fSlow16);
		let mut fSlow18: F32 = self.fConst20 * fSlow13;
		let mut fSlow19: F32 = 0.01 * self.fHslider3;
		let mut fSlow20: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.5));
		let mut fSlow21: F32 = fSlow20 * F32::min(1.0, 1.0 - fSlow19);
		let mut fSlow22: F32 = fSlow20 * F32::min(1.0, fSlow19 + 1.0);
		let mut fSlow23: F32 = 0.01 * self.fHslider5 * fSlow20;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom1_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3968.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec6[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 60.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp9: F32 = self.fRec2[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 45.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec8[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec8[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec8[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec8[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec8[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec8[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec8[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec2[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec2[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp15) as i32) as i32 != 0) { self.fRec4[0] + fTemp13 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec7[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp22) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec11[1] };
			let mut fTemp24: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 72.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp27: F32 = self.fRec10[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			let mut fTemp31: F32 = self.fRec13[0] - self.fRec11[0];
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp31) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 39.5) as i32)) as usize] } * if (((fTemp31 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp30 + fTemp32;
			self.fRec14[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec14[1] + 1.0) };
			let mut iTemp34: i32 = ((self.fRec14[0] < fTemp30) as i32);
			let mut fTemp35: F32 = (self.fRec14[0] - fTemp30) / fTemp32;
			let mut iTemp36: i32 = ((self.fRec14[0] < fTemp29) as i32);
			let mut fTemp37: F32 = (self.fRec14[0] - fTemp29) / fTemp25;
			let mut fTemp38: F32 = self.fRec14[0] / fTemp29;
			let mut fTemp39: F32 = if (iTemp34 as i32 != 0) { if (iTemp36 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp36 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec10[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec10[0] } } } else { if (iTemp34 as i32 != 0) { self.fRec10[0] + fTemp24 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp37, 0.33333334) } else { fTemp37 } } else { self.fRec11[0] } } } else { if (((self.fRec14[0] < fTemp33) as i32) as i32 != 0) { self.fRec11[0] + fTemp31 * if (((self.fRec13[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp35, 0.33333334) } else { fTemp35 } } else { self.fRec13[0] } };
			let mut iTemp40: i32 = ((fTemp39) as i32);
			let mut fTemp41: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp40) as usize] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec15[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp43: F32 = self.fRec15[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			self.fRec16[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp44, self.fRec16[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec16[0] < fTemp44) as i32);
			let mut fTemp46: F32 = self.fRec16[0] / fTemp44;
			let mut fTemp47: F32 = if (((self.fRec16[0] < (self.fConst5 + fTemp44)) as i32) as i32 != 0) { if (iTemp45 as i32 != 0) { if (((self.fRec16[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp45 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec15[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec15[0] } } } else { self.fRec15[0] } } else { self.fRec15[0] };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp48) as usize] };
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp3 + 99.0));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0) + 4064.0 } else { self.fRec17[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp28 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp53) as i32);
			let mut fTemp55: F32 = self.fRec18[0] / fTemp53;
			let mut fTemp56: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp54 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp54 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { self.fRec17[0] };
			let mut iTemp57: i32 = ((fTemp56) as i32);
			let mut fTemp58: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp57) as usize] };
			let mut iTemp59: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp60: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec19[1] + self.fConst9 };
			self.fRec19[0] = fTemp60 - F32::floor(fTemp60);
			let mut fTemp61: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst11 };
			self.fRec21[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst13 };
			self.fRec22[0] = fTemp62 - F32::floor(fTemp62);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { fSlow12 } else { self.fRec24[1] };
			let mut fTemp63: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp64: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp63) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 71.5) as i32)) as usize] } * if (((fTemp63 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec25[1] };
			let mut fTemp65: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp66: F32 = self.fRec23[0] - fTemp65;
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (fTemp28 * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp65)) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = fTemp67 + fTemp64;
			let mut fTemp69: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 8.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp68 + fTemp70;
			self.fRec26[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp71, self.fRec26[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec26[0] < fTemp68) as i32);
			let mut fTemp73: F32 = (self.fRec26[0] - fTemp68) / fTemp70;
			let mut iTemp74: i32 = ((self.fRec26[0] < fTemp67) as i32);
			let mut fTemp75: F32 = (self.fRec26[0] - fTemp67) / fTemp64;
			let mut fTemp76: F32 = self.fRec26[0] / fTemp67;
			let mut fTemp77: F32 = if (iTemp72 as i32 != 0) { if (iTemp74 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp74 as i32 != 0) { fTemp65 + fTemp66 * if (((self.fRec23[0] > fTemp65) as i32) as i32 != 0) { F32::powf(fTemp76, 0.33333334) } else { fTemp76 } } else { self.fRec23[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec23[0] + fTemp63 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp71) as i32) as i32 != 0) { self.fRec24[0] + fTemp69 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { self.fRec25[0] } };
			let mut iTemp78: i32 = ((fTemp77) as i32);
			let mut fTemp79: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp78) as usize] };
			self.iRec28[0] = if (iTemp2 as i32 != 0) { self.iConst15 } else { self.iRec28[1] };
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst16 } else { self.iRec29[1] };
			let mut iTemp80: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec28[0]);
			let mut fTemp81: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp80)) as F32) / self.fConst14));
			self.iRec31[0] = if (iTemp2 as i32 != 0) { self.iConst19 } else { self.iRec31[1] };
			let mut iTemp82: i32 = i32::wrapping_sub(self.iRec31[0], self.iRec29[0]);
			let mut fTemp83: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp82)) as F32) / self.fConst18));
			let mut fTemp84: F32 = fTemp81 + fTemp83 + 1.0;
			self.fRec30[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec30[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec30[0] < (fTemp81 + 1.0)) as i32);
			let mut fTemp86: F32 = (self.fRec30[0] + (-1.0 - fTemp81)) / fTemp83;
			let mut fTemp87: F32 = ((self.iRec29[0]) as F32);
			let mut fTemp88: F32 = (self.fRec30[0] + -1.0) / fTemp81;
			let mut fTemp89: F32 = ((self.iRec28[0]) as F32);
			let mut fTemp90: F32 = 15.996094 * (0.4 * if (iTemp85 as i32 != 0) { if (((self.fRec30[0] < 1.0) as i32) as i32 != 0) { fTemp89 } else { if (iTemp85 as i32 != 0) { fTemp89 + ((iTemp80) as F32) * if (((self.iRec29[0] > self.iRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { fTemp87 } } } else { if (((self.fRec30[0] < fTemp84) as i32) as i32 != 0) { fTemp87 + ((iTemp82) as F32) * if (((self.iRec31[0] > self.iRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { ((self.iRec31[0]) as F32) } } + 128.0);
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow18 * fSlow17 * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp95: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp94) * (fTemp94 + 28.0);
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4064.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 57.5) as i32)) as usize] } * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp95 } else { self.fRec35[1] };
			let mut fTemp98: F32 = F32::max(5076.0, self.fRec35[0]);
			let mut fTemp99: F32 = self.fRec33[0] - fTemp98;
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (fTemp28 * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp98)) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = fTemp100 + fTemp97;
			let mut fTemp102: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp101 + fTemp103;
			self.fRec36[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp104, self.fRec36[1] + 1.0) };
			let mut iTemp105: i32 = ((self.fRec36[0] < fTemp101) as i32);
			let mut fTemp106: F32 = (self.fRec36[0] - fTemp101) / fTemp103;
			let mut iTemp107: i32 = ((self.fRec36[0] < fTemp100) as i32);
			let mut fTemp108: F32 = (self.fRec36[0] - fTemp100) / fTemp97;
			let mut fTemp109: F32 = self.fRec36[0] / fTemp100;
			let mut fTemp110: F32 = if (iTemp105 as i32 != 0) { if (iTemp107 as i32 != 0) { if (((self.fRec36[0] < 0.0) as i32) as i32 != 0) { fTemp98 } else { if (iTemp107 as i32 != 0) { fTemp98 + fTemp99 * if (((self.fRec33[0] > fTemp98) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec33[0] } } } else { if (iTemp105 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec34[0] } } } else { if (((self.fRec36[0] < fTemp104) as i32) as i32 != 0) { self.fRec34[0] + fTemp102 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp106, 0.33333334) } else { fTemp106 } } else { self.fRec35[0] } };
			let mut iTemp111: i32 = ((fTemp110) as i32);
			let mut fTemp112: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp111) as usize] };
			let mut fTemp113: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec37[1] + self.fConst22 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec37[0] + 6.9565215 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp112 + (fTemp110 - ((iTemp111) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp111, 1)) as usize] } - fTemp112));
			let mut fTemp114: F32 = unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * (self.fRec32[0] + 0.115 * (unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp79 + (fTemp77 - ((iTemp78) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp78, 1)) as usize] } - fTemp79)) + unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec21[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp58 + (fTemp56 - ((iTemp57) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp57, 1)) as usize] } - fTemp58)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp41 + (fTemp39 - ((iTemp40) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp40, 1)) as usize] } - fTemp41)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23));
			self.fVec3[0] = fTemp114;
			self.fRec0[0] = 0.115 * (self.fConst23 * fTemp114 + self.fConst24 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow21 * self.fRec0[0];
			*output1 = fSlow22 * self.fRec0[0];
			*output2 = fSlow23 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.iRec28[1] = self.iRec28[0];
			self.iRec29[1] = self.iRec29[0];
			self.iRec31[1] = self.iRec31[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec32[1] = self.fRec32[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom1 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_Tom1 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom1 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.42857143 * (0.33333334 * (fSlow3 + 4.7) + 1.0);
		let mut fSlow5: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.07070707 * (0.0 - 2.0 * F32::max(0.0, F32::abs(-1.0 * (fSlow3 + -99.3)))) + 87.0)));
		let mut fSlow6: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow5) * (fSlow5 + 28.0);
		let mut fSlow7: F32 = fSlow6 + 4064.0;
		let mut fSlow8: F32 = fSlow6 + 2848.0;
		let mut fSlow9: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.5050505 * (0.0 - 2.0 * F32::max(0.0, F32::abs(fSlow3 + -46.3))) + 76.0)));
		let mut fSlow10: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow9) * (fSlow9 + 28.0);
		let mut fSlow11: F32 = fSlow10 + 4064.0;
		let mut fSlow12: F32 = fSlow10 + 3392.0;
		let mut fSlow13: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow14: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow13, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow15: i32 = ((fSlow14) as i32);
		let mut fSlow16: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iSlow15) as usize] };
		let mut fSlow17: F32 = fSlow16 + (fSlow14 - ((iSlow15) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iSlow15, 1)) as usize] } - fSlow16);
		let mut fSlow18: F32 = self.fConst20 * fSlow13;
		let mut fSlow19: F32 = 0.01 * self.fHslider3;
		let mut fSlow20: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.5));
		let mut fSlow21: F32 = fSlow20 * F32::min(1.0, 1.0 - fSlow19);
		let mut fSlow22: F32 = fSlow20 * F32::min(1.0, fSlow19 + 1.0);
		let mut fSlow23: F32 = 0.01 * self.fHslider5 * fSlow20;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom1_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3968.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec6[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 60.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp9: F32 = self.fRec2[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 45.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec8[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec8[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec8[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec8[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec8[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec8[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec8[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec2[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec2[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp15) as i32) as i32 != 0) { self.fRec4[0] + fTemp13 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec7[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp22) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec11[1] };
			let mut fTemp24: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 72.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp27: F32 = self.fRec10[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			let mut fTemp31: F32 = self.fRec13[0] - self.fRec11[0];
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp31) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 39.5) as i32)) as usize] } * if (((fTemp31 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp30 + fTemp32;
			self.fRec14[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec14[1] + 1.0) };
			let mut iTemp34: i32 = ((self.fRec14[0] < fTemp30) as i32);
			let mut fTemp35: F32 = (self.fRec14[0] - fTemp30) / fTemp32;
			let mut iTemp36: i32 = ((self.fRec14[0] < fTemp29) as i32);
			let mut fTemp37: F32 = (self.fRec14[0] - fTemp29) / fTemp25;
			let mut fTemp38: F32 = self.fRec14[0] / fTemp29;
			let mut fTemp39: F32 = if (iTemp34 as i32 != 0) { if (iTemp36 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp36 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec10[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec10[0] } } } else { if (iTemp34 as i32 != 0) { self.fRec10[0] + fTemp24 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp37, 0.33333334) } else { fTemp37 } } else { self.fRec11[0] } } } else { if (((self.fRec14[0] < fTemp33) as i32) as i32 != 0) { self.fRec11[0] + fTemp31 * if (((self.fRec13[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp35, 0.33333334) } else { fTemp35 } } else { self.fRec13[0] } };
			let mut iTemp40: i32 = ((fTemp39) as i32);
			let mut fTemp41: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp40) as usize] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec15[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp43: F32 = self.fRec15[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			self.fRec16[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp44, self.fRec16[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec16[0] < fTemp44) as i32);
			let mut fTemp46: F32 = self.fRec16[0] / fTemp44;
			let mut fTemp47: F32 = if (((self.fRec16[0] < (self.fConst5 + fTemp44)) as i32) as i32 != 0) { if (iTemp45 as i32 != 0) { if (((self.fRec16[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp45 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec15[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec15[0] } } } else { self.fRec15[0] } } else { self.fRec15[0] };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp48) as usize] };
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp3 + 99.0));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0) + 4064.0 } else { self.fRec17[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp28 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp53) as i32);
			let mut fTemp55: F32 = self.fRec18[0] / fTemp53;
			let mut fTemp56: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp54 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp54 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { self.fRec17[0] };
			let mut iTemp57: i32 = ((fTemp56) as i32);
			let mut fTemp58: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp57) as usize] };
			let mut iTemp59: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp60: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec19[1] + self.fConst9 };
			self.fRec19[0] = fTemp60 - F32::floor(fTemp60);
			let mut fTemp61: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst11 };
			self.fRec21[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst13 };
			self.fRec22[0] = fTemp62 - F32::floor(fTemp62);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { fSlow12 } else { self.fRec24[1] };
			let mut fTemp63: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp64: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp63) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 71.5) as i32)) as usize] } * if (((fTemp63 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec25[1] };
			let mut fTemp65: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp66: F32 = self.fRec23[0] - fTemp65;
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (fTemp28 * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp65)) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = fTemp67 + fTemp64;
			let mut fTemp69: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 8.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp68 + fTemp70;
			self.fRec26[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp71, self.fRec26[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec26[0] < fTemp68) as i32);
			let mut fTemp73: F32 = (self.fRec26[0] - fTemp68) / fTemp70;
			let mut iTemp74: i32 = ((self.fRec26[0] < fTemp67) as i32);
			let mut fTemp75: F32 = (self.fRec26[0] - fTemp67) / fTemp64;
			let mut fTemp76: F32 = self.fRec26[0] / fTemp67;
			let mut fTemp77: F32 = if (iTemp72 as i32 != 0) { if (iTemp74 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp74 as i32 != 0) { fTemp65 + fTemp66 * if (((self.fRec23[0] > fTemp65) as i32) as i32 != 0) { F32::powf(fTemp76, 0.33333334) } else { fTemp76 } } else { self.fRec23[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec23[0] + fTemp63 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp71) as i32) as i32 != 0) { self.fRec24[0] + fTemp69 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { self.fRec25[0] } };
			let mut iTemp78: i32 = ((fTemp77) as i32);
			let mut fTemp79: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp78) as usize] };
			self.iRec28[0] = if (iTemp2 as i32 != 0) { self.iConst15 } else { self.iRec28[1] };
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst16 } else { self.iRec29[1] };
			let mut iTemp80: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec28[0]);
			let mut fTemp81: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp80)) as F32) / self.fConst14));
			self.iRec31[0] = if (iTemp2 as i32 != 0) { self.iConst19 } else { self.iRec31[1] };
			let mut iTemp82: i32 = i32::wrapping_sub(self.iRec31[0], self.iRec29[0]);
			let mut fTemp83: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp82)) as F32) / self.fConst18));
			let mut fTemp84: F32 = fTemp81 + fTemp83 + 1.0;
			self.fRec30[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec30[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec30[0] < (fTemp81 + 1.0)) as i32);
			let mut fTemp86: F32 = (self.fRec30[0] + (-1.0 - fTemp81)) / fTemp83;
			let mut fTemp87: F32 = ((self.iRec29[0]) as F32);
			let mut fTemp88: F32 = (self.fRec30[0] + -1.0) / fTemp81;
			let mut fTemp89: F32 = ((self.iRec28[0]) as F32);
			let mut fTemp90: F32 = 15.996094 * (0.4 * if (iTemp85 as i32 != 0) { if (((self.fRec30[0] < 1.0) as i32) as i32 != 0) { fTemp89 } else { if (iTemp85 as i32 != 0) { fTemp89 + ((iTemp80) as F32) * if (((self.iRec29[0] > self.iRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { fTemp87 } } } else { if (((self.fRec30[0] < fTemp84) as i32) as i32 != 0) { fTemp87 + ((iTemp82) as F32) * if (((self.iRec31[0] > self.iRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { ((self.iRec31[0]) as F32) } } + 128.0);
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow18 * fSlow17 * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp95: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp94) * (fTemp94 + 28.0);
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4064.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 57.5) as i32)) as usize] } * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp95 } else { self.fRec35[1] };
			let mut fTemp98: F32 = F32::max(5076.0, self.fRec35[0]);
			let mut fTemp99: F32 = self.fRec33[0] - fTemp98;
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (fTemp28 * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp98)) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = fTemp100 + fTemp97;
			let mut fTemp102: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp101 + fTemp103;
			self.fRec36[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp104, self.fRec36[1] + 1.0) };
			let mut iTemp105: i32 = ((self.fRec36[0] < fTemp101) as i32);
			let mut fTemp106: F32 = (self.fRec36[0] - fTemp101) / fTemp103;
			let mut iTemp107: i32 = ((self.fRec36[0] < fTemp100) as i32);
			let mut fTemp108: F32 = (self.fRec36[0] - fTemp100) / fTemp97;
			let mut fTemp109: F32 = self.fRec36[0] / fTemp100;
			let mut fTemp110: F32 = if (iTemp105 as i32 != 0) { if (iTemp107 as i32 != 0) { if (((self.fRec36[0] < 0.0) as i32) as i32 != 0) { fTemp98 } else { if (iTemp107 as i32 != 0) { fTemp98 + fTemp99 * if (((self.fRec33[0] > fTemp98) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec33[0] } } } else { if (iTemp105 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec34[0] } } } else { if (((self.fRec36[0] < fTemp104) as i32) as i32 != 0) { self.fRec34[0] + fTemp102 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp106, 0.33333334) } else { fTemp106 } } else { self.fRec35[0] } };
			let mut iTemp111: i32 = ((fTemp110) as i32);
			let mut fTemp112: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp111) as usize] };
			let mut fTemp113: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec37[1] + self.fConst22 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec37[0] + 6.9565215 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp112 + (fTemp110 - ((iTemp111) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp111, 1)) as usize] } - fTemp112));
			let mut fTemp114: F32 = unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * (self.fRec32[0] + 0.115 * (unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp79 + (fTemp77 - ((iTemp78) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp78, 1)) as usize] } - fTemp79)) + unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec21[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp58 + (fTemp56 - ((iTemp57) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp57, 1)) as usize] } - fTemp58)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp41 + (fTemp39 - ((iTemp40) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp40, 1)) as usize] } - fTemp41)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23));
			self.fVec3[0] = fTemp114;
			self.fRec0[0] = 0.115 * (self.fConst23 * fTemp114 + self.fConst24 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow21 * self.fRec0[0];
			*output1 = fSlow22 * self.fRec0[0];
			*output2 = fSlow23 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.iRec28[1] = self.iRec28[0];
			self.iRec29[1] = self.iRec29[0];
			self.iRec31[1] = self.iRec31[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec32[1] = self.fRec32[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom1 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_Tom1 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom1 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.42857143 * (0.33333334 * (fSlow3 + 4.7) + 1.0);
		let mut fSlow5: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.07070707 * (0.0 - 2.0 * F32::max(0.0, F32::abs(-1.0 * (fSlow3 + -99.3)))) + 87.0)));
		let mut fSlow6: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow5) * (fSlow5 + 28.0);
		let mut fSlow7: F32 = fSlow6 + 4064.0;
		let mut fSlow8: F32 = fSlow6 + 2848.0;
		let mut fSlow9: F32 = F32::max(0.0, F32::min(127.0, F32::min(99.0, 0.5050505 * (0.0 - 2.0 * F32::max(0.0, F32::abs(fSlow3 + -46.3))) + 76.0)));
		let mut fSlow10: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow9) * (fSlow9 + 28.0);
		let mut fSlow11: F32 = fSlow10 + 4064.0;
		let mut fSlow12: F32 = fSlow10 + 3392.0;
		let mut fSlow13: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow14: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow13, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow15: i32 = ((fSlow14) as i32);
		let mut fSlow16: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iSlow15) as usize] };
		let mut fSlow17: F32 = fSlow16 + (fSlow14 - ((iSlow15) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iSlow15, 1)) as usize] } - fSlow16);
		let mut fSlow18: F32 = self.fConst20 * fSlow13;
		let mut fSlow19: F32 = 0.01 * self.fHslider3;
		let mut fSlow20: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 3.5));
		let mut fSlow21: F32 = fSlow20 * F32::min(1.0, 1.0 - fSlow19);
		let mut fSlow22: F32 = fSlow20 * F32::min(1.0, fSlow19 + 1.0);
		let mut fSlow23: F32 = 0.01 * self.fHslider5 * fSlow20;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom1_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3968.0 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow4 } else { self.fRec6[1] };
			let mut fTemp7: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 60.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp8: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp9: F32 = self.fRec2[0] - fTemp8;
			let mut fTemp10: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp9) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 99.5) as i32)) as usize] } * if (((fTemp9 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp8)) + 2.0) } else { 0.96 }))));
			let mut fTemp11: F32 = fTemp10 + fTemp7;
			let mut iTemp12: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp13: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp14: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp13) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec6[0] + 45.5) as i32)) as usize] } * if (((fTemp13 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp15: F32 = fTemp11 + fTemp14;
			self.fRec8[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp15, self.fRec8[1] + 1.0) };
			let mut iTemp16: i32 = ((self.fRec8[0] < fTemp11) as i32);
			let mut fTemp17: F32 = (self.fRec8[0] - fTemp11) / fTemp14;
			let mut iTemp18: i32 = ((self.fRec8[0] < fTemp10) as i32);
			let mut fTemp19: F32 = (self.fRec8[0] - fTemp10) / fTemp7;
			let mut fTemp20: F32 = self.fRec8[0] / fTemp10;
			let mut fTemp21: F32 = if (iTemp16 as i32 != 0) { if (iTemp18 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp8 } else { if (iTemp18 as i32 != 0) { fTemp8 + fTemp9 * if (((self.fRec2[0] > fTemp8) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec2[0] } } } else { if (iTemp16 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp19, 0.33333334) } else { fTemp19 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp15) as i32) as i32 != 0) { self.fRec4[0] + fTemp13 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec7[0] } };
			let mut iTemp22: i32 = ((fTemp21) as i32);
			let mut fTemp23: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp22) as usize] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec11[1] };
			let mut fTemp24: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec12[1] };
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 72.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec13[1] };
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp27: F32 = self.fRec10[0] - fTemp26;
			let mut fTemp28: F32 = unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 99.5) as i32)) as usize] };
			let mut fTemp29: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp28 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp30: F32 = fTemp29 + fTemp25;
			let mut fTemp31: F32 = self.fRec13[0] - self.fRec11[0];
			let mut fTemp32: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp31) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 39.5) as i32)) as usize] } * if (((fTemp31 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec11[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp33: F32 = fTemp30 + fTemp32;
			self.fRec14[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp33, self.fRec14[1] + 1.0) };
			let mut iTemp34: i32 = ((self.fRec14[0] < fTemp30) as i32);
			let mut fTemp35: F32 = (self.fRec14[0] - fTemp30) / fTemp32;
			let mut iTemp36: i32 = ((self.fRec14[0] < fTemp29) as i32);
			let mut fTemp37: F32 = (self.fRec14[0] - fTemp29) / fTemp25;
			let mut fTemp38: F32 = self.fRec14[0] / fTemp29;
			let mut fTemp39: F32 = if (iTemp34 as i32 != 0) { if (iTemp36 as i32 != 0) { if (((self.fRec14[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp36 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec10[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec10[0] } } } else { if (iTemp34 as i32 != 0) { self.fRec10[0] + fTemp24 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp37, 0.33333334) } else { fTemp37 } } else { self.fRec11[0] } } } else { if (((self.fRec14[0] < fTemp33) as i32) as i32 != 0) { self.fRec11[0] + fTemp31 * if (((self.fRec13[0] > self.fRec11[0]) as i32) as i32 != 0) { F32::powf(fTemp35, 0.33333334) } else { fTemp35 } } else { self.fRec13[0] } };
			let mut iTemp40: i32 = ((fTemp39) as i32);
			let mut fTemp41: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp40) as usize] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { 8128.0 } else { self.fRec15[1] };
			let mut fTemp42: F32 = F32::max(5076.0, self.fRec15[0]);
			let mut fTemp43: F32 = self.fRec15[0] - fTemp42;
			let mut fTemp44: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp43) / (fTemp28 * if (((fTemp43 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp42)) + 2.0) } else { 0.96 }))));
			self.fRec16[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp44, self.fRec16[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec16[0] < fTemp44) as i32);
			let mut fTemp46: F32 = self.fRec16[0] / fTemp44;
			let mut fTemp47: F32 = if (((self.fRec16[0] < (self.fConst5 + fTemp44)) as i32) as i32 != 0) { if (iTemp45 as i32 != 0) { if (((self.fRec16[0] < 0.0) as i32) as i32 != 0) { fTemp42 } else { if (iTemp45 as i32 != 0) { fTemp42 + fTemp43 * if (((self.fRec15[0] > fTemp42) as i32) as i32 != 0) { F32::powf(fTemp46, 0.33333334) } else { fTemp46 } } else { self.fRec15[0] } } } else { self.fRec15[0] } } else { self.fRec15[0] };
			let mut iTemp48: i32 = ((fTemp47) as i32);
			let mut fTemp49: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp48) as usize] };
			let mut fTemp50: F32 = F32::max(0.0, F32::min(127.0, 0.42857143 * fTemp3 + 99.0));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { 32.0 * F32::min(1.0, 0.05 * fTemp50) * (fTemp50 + 28.0) + 4064.0 } else { self.fRec17[1] };
			let mut fTemp51: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp52: F32 = self.fRec17[0] - fTemp51;
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (fTemp28 * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp51)) + 2.0) } else { 0.96 }))));
			self.fRec18[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(self.fConst6 + fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp53) as i32);
			let mut fTemp55: F32 = self.fRec18[0] / fTemp53;
			let mut fTemp56: F32 = if (((self.fRec18[0] < (self.fConst5 + fTemp53)) as i32) as i32 != 0) { if (iTemp54 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp51 } else { if (iTemp54 as i32 != 0) { fTemp51 + fTemp52 * if (((self.fRec17[0] > fTemp51) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } } } else { self.fRec17[0] } } else { self.fRec17[0] };
			let mut iTemp57: i32 = ((fTemp56) as i32);
			let mut fTemp58: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp57) as usize] };
			let mut iTemp59: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			let mut fTemp60: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec19[1] + self.fConst9 };
			self.fRec19[0] = fTemp60 - F32::floor(fTemp60);
			let mut fTemp61: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec21[1] + self.fConst11 };
			self.fRec21[0] = fTemp61 - F32::floor(fTemp61);
			let mut fTemp62: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec22[1] + self.fConst13 };
			self.fRec22[0] = fTemp62 - F32::floor(fTemp62);
			self.fRec23[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec23[1] };
			self.fRec24[0] = if (iTemp2 as i32 != 0) { fSlow12 } else { self.fRec24[1] };
			let mut fTemp63: F32 = self.fRec24[0] - self.fRec23[0];
			let mut fTemp64: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp63) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 71.5) as i32)) as usize] } * if (((fTemp63 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec23[0])) + 2.0) } else { 0.96 }))));
			self.fRec25[0] = if (iTemp2 as i32 != 0) { fSlow10 } else { self.fRec25[1] };
			let mut fTemp65: F32 = F32::max(5076.0, self.fRec25[0]);
			let mut fTemp66: F32 = self.fRec23[0] - fTemp65;
			let mut fTemp67: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp66) / (fTemp28 * if (((fTemp66 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp65)) + 2.0) } else { 0.96 }))));
			let mut fTemp68: F32 = fTemp67 + fTemp64;
			let mut fTemp69: F32 = self.fRec25[0] - self.fRec24[0];
			let mut fTemp70: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp69) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 8.5) as i32)) as usize] } * if (((fTemp69 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec24[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp71: F32 = fTemp68 + fTemp70;
			self.fRec26[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp71, self.fRec26[1] + 1.0) };
			let mut iTemp72: i32 = ((self.fRec26[0] < fTemp68) as i32);
			let mut fTemp73: F32 = (self.fRec26[0] - fTemp68) / fTemp70;
			let mut iTemp74: i32 = ((self.fRec26[0] < fTemp67) as i32);
			let mut fTemp75: F32 = (self.fRec26[0] - fTemp67) / fTemp64;
			let mut fTemp76: F32 = self.fRec26[0] / fTemp67;
			let mut fTemp77: F32 = if (iTemp72 as i32 != 0) { if (iTemp74 as i32 != 0) { if (((self.fRec26[0] < 0.0) as i32) as i32 != 0) { fTemp65 } else { if (iTemp74 as i32 != 0) { fTemp65 + fTemp66 * if (((self.fRec23[0] > fTemp65) as i32) as i32 != 0) { F32::powf(fTemp76, 0.33333334) } else { fTemp76 } } else { self.fRec23[0] } } } else { if (iTemp72 as i32 != 0) { self.fRec23[0] + fTemp63 * if (((self.fRec24[0] > self.fRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp75, 0.33333334) } else { fTemp75 } } else { self.fRec24[0] } } } else { if (((self.fRec26[0] < fTemp71) as i32) as i32 != 0) { self.fRec24[0] + fTemp69 * if (((self.fRec25[0] > self.fRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { self.fRec25[0] } };
			let mut iTemp78: i32 = ((fTemp77) as i32);
			let mut fTemp79: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp78) as usize] };
			self.iRec28[0] = if (iTemp2 as i32 != 0) { self.iConst15 } else { self.iRec28[1] };
			self.iRec29[0] = if (iTemp2 as i32 != 0) { self.iConst16 } else { self.iRec29[1] };
			let mut iTemp80: i32 = i32::wrapping_sub(self.iRec29[0], self.iRec28[0]);
			let mut fTemp81: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp80)) as F32) / self.fConst14));
			self.iRec31[0] = if (iTemp2 as i32 != 0) { self.iConst19 } else { self.iRec31[1] };
			let mut iTemp82: i32 = i32::wrapping_sub(self.iRec31[0], self.iRec29[0]);
			let mut fTemp83: F32 = F32::max(1.0, self.fConst17 * (((i32::abs(iTemp82)) as F32) / self.fConst18));
			let mut fTemp84: F32 = fTemp81 + fTemp83 + 1.0;
			self.fRec30[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp84, self.fRec30[1] + 1.0) };
			let mut iTemp85: i32 = ((self.fRec30[0] < (fTemp81 + 1.0)) as i32);
			let mut fTemp86: F32 = (self.fRec30[0] + (-1.0 - fTemp81)) / fTemp83;
			let mut fTemp87: F32 = ((self.iRec29[0]) as F32);
			let mut fTemp88: F32 = (self.fRec30[0] + -1.0) / fTemp81;
			let mut fTemp89: F32 = ((self.iRec28[0]) as F32);
			let mut fTemp90: F32 = 15.996094 * (0.4 * if (iTemp85 as i32 != 0) { if (((self.fRec30[0] < 1.0) as i32) as i32 != 0) { fTemp89 } else { if (iTemp85 as i32 != 0) { fTemp89 + ((iTemp80) as F32) * if (((self.iRec29[0] > self.iRec28[0]) as i32) as i32 != 0) { F32::powf(fTemp88, 0.33333334) } else { fTemp88 } } else { fTemp87 } } } else { if (((self.fRec30[0] < fTemp84) as i32) as i32 != 0) { fTemp87 + ((iTemp82) as F32) * if (((self.iRec31[0] > self.iRec29[0]) as i32) as i32 != 0) { F32::powf(fTemp86, 0.33333334) } else { fTemp86 } } else { ((self.iRec31[0]) as F32) } } + 128.0);
			let mut iTemp91: i32 = ((fTemp90) as i32);
			let mut fTemp92: F32 = unsafe { ftbl3DSP_Tom1SIG3[(iTemp91) as usize] };
			let mut fTemp93: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow18 * fSlow17 * (fTemp92 + (fTemp90 - ((iTemp91) as F32)) * (unsafe { ftbl3DSP_Tom1SIG3[(i32::wrapping_add(iTemp91, 1)) as usize] } - fTemp92)) };
			self.fRec27[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = F32::max(0.0, F32::min(127.0, 0.71428573 * fTemp3 + 99.0));
			let mut fTemp95: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp94) * (fTemp94 + 28.0);
			self.fRec33[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4064.0 } else { self.fRec33[1] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp95 + 4e+03 } else { self.fRec34[1] };
			let mut fTemp96: F32 = self.fRec34[0] - self.fRec33[0];
			let mut fTemp97: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp96) / (unsafe { ftbl1DSP_Tom1SIG1[(((self.fRec12[0] + 57.5) as i32)) as usize] } * if (((fTemp96 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec33[0])) + 2.0) } else { 0.96 }))));
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp95 } else { self.fRec35[1] };
			let mut fTemp98: F32 = F32::max(5076.0, self.fRec35[0]);
			let mut fTemp99: F32 = self.fRec33[0] - fTemp98;
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (fTemp28 * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp98)) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = fTemp100 + fTemp97;
			let mut fTemp102: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp103: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp102) / (fTemp28 * if (((fTemp102 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp104: F32 = fTemp101 + fTemp103;
			self.fRec36[0] = if (iTemp12 as i32 != 0) { 0.0 } else { F32::min(fTemp104, self.fRec36[1] + 1.0) };
			let mut iTemp105: i32 = ((self.fRec36[0] < fTemp101) as i32);
			let mut fTemp106: F32 = (self.fRec36[0] - fTemp101) / fTemp103;
			let mut iTemp107: i32 = ((self.fRec36[0] < fTemp100) as i32);
			let mut fTemp108: F32 = (self.fRec36[0] - fTemp100) / fTemp97;
			let mut fTemp109: F32 = self.fRec36[0] / fTemp100;
			let mut fTemp110: F32 = if (iTemp105 as i32 != 0) { if (iTemp107 as i32 != 0) { if (((self.fRec36[0] < 0.0) as i32) as i32 != 0) { fTemp98 } else { if (iTemp107 as i32 != 0) { fTemp98 + fTemp99 * if (((self.fRec33[0] > fTemp98) as i32) as i32 != 0) { F32::powf(fTemp109, 0.33333334) } else { fTemp109 } } else { self.fRec33[0] } } } else { if (iTemp105 as i32 != 0) { self.fRec33[0] + fTemp96 * if (((self.fRec34[0] > self.fRec33[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec34[0] } } } else { if (((self.fRec36[0] < fTemp104) as i32) as i32 != 0) { self.fRec34[0] + fTemp102 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp106, 0.33333334) } else { fTemp106 } } else { self.fRec35[0] } };
			let mut iTemp111: i32 = ((fTemp110) as i32);
			let mut fTemp112: F32 = unsafe { ftbl0DSP_Tom1SIG0[(iTemp111) as usize] };
			let mut fTemp113: F32 = if (iTemp59 as i32 != 0) { 0.0 } else { self.fRec37[1] + self.fConst22 };
			self.fRec37[0] = fTemp113 - F32::floor(fTemp113);
			self.fRec32[0] = 0.115 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec37[0] + 6.9565215 * self.fRec32[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp112 + (fTemp110 - ((iTemp111) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp111, 1)) as usize] } - fTemp112));
			let mut fTemp114: F32 = unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * (self.fRec32[0] + 0.115 * (unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec27[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp79 + (fTemp77 - ((iTemp78) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp78, 1)) as usize] } - fTemp79)) + unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec22[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * (self.fRec21[0] + 2.0 * unsafe { ftbl2DSP_Tom1SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp58 + (fTemp56 - ((iTemp57) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp57, 1)) as usize] } - fTemp58)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp49 + (fTemp47 - ((iTemp48) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp48, 1)) as usize] } - fTemp49)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp41 + (fTemp39 - ((iTemp40) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp40, 1)) as usize] } - fTemp41)))) + 1e+01)) as i32) % 1024) as usize] } * (fTemp23 + (fTemp21 - ((iTemp22) as F32)) * (unsafe { ftbl0DSP_Tom1SIG0[(i32::wrapping_add(iTemp22, 1)) as usize] } - fTemp23));
			self.fVec3[0] = fTemp114;
			self.fRec0[0] = 0.115 * (self.fConst23 * fTemp114 + self.fConst24 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow21 * self.fRec0[0];
			*output1 = fSlow22 * self.fRec0[0];
			*output2 = fSlow23 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec21[1] = self.fRec21[0];
			self.fRec22[1] = self.fRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec26[1] = self.fRec26[0];
			self.iRec28[1] = self.iRec28[0];
			self.iRec29[1] = self.iRec29[0];
			self.iRec31[1] = self.iRec31[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec32[1] = self.fRec32[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
