// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_Tom2 -pn processTom2 -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_Tom2SIG0 {
	iRec1: [i32;2],
}

impl DSP_Tom2SIG0 {
	
	fn get_num_inputsDSP_Tom2SIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom2SIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom2SIG0(&mut self, sample_rate: i32) {
		for l1 in 0..2 {
			self.iRec1[(l1) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom2SIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec1[0] = i32::wrapping_add(self.iRec1[1], 1);
			let mut fTemp0: F32 = ((i32::wrapping_add(self.iRec1[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp0))))) * (((((7.2e+03 - fTemp0) < 3824.0) as i32)) as F32);
			self.iRec1[1] = self.iRec1[0];
		}
	}

}


pub fn newDSP_Tom2SIG0() -> DSP_Tom2SIG0 { 
	DSP_Tom2SIG0 {
		iRec1: [0;2],
	}
}

pub struct DSP_Tom2SIG1 {
	iRec5: [i32;2],
}

impl DSP_Tom2SIG1 {
	
	fn get_num_inputsDSP_Tom2SIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom2SIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom2SIG1(&mut self, sample_rate: i32) {
		for l6 in 0..2 {
			self.iRec5[(l6) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom2SIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec5[0] = i32::wrapping_add(self.iRec5[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec5[0], -1)) as F32));
			self.iRec5[1] = self.iRec5[0];
		}
	}

}


pub fn newDSP_Tom2SIG1() -> DSP_Tom2SIG1 { 
	DSP_Tom2SIG1 {
		iRec5: [0;2],
	}
}

pub struct DSP_Tom2SIG2 {
	iVec2: [i32;2],
	iRec8: [i32;2],
}

impl DSP_Tom2SIG2 {
	
	fn get_num_inputsDSP_Tom2SIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom2SIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom2SIG2(&mut self, sample_rate: i32) {
		for l9 in 0..2 {
			self.iVec2[(l9) as usize] = 0;
		}
		for l10 in 0..2 {
			self.iRec8[(l10) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom2SIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec2[0] = 1;
			self.iRec8[0] = (i32::wrapping_add(self.iVec2[1], self.iRec8[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec8[0]) as F32));
			self.iVec2[1] = self.iVec2[0];
			self.iRec8[1] = self.iRec8[0];
		}
	}

}


pub fn newDSP_Tom2SIG2() -> DSP_Tom2SIG2 { 
	DSP_Tom2SIG2 {
		iVec2: [0;2],
		iRec8: [0;2],
	}
}

pub struct DSP_Tom2SIG3 {
	iRec21: [i32;2],
}

impl DSP_Tom2SIG3 {
	
	fn get_num_inputsDSP_Tom2SIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom2SIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom2SIG3(&mut self, sample_rate: i32) {
		for l21 in 0..2 {
			self.iRec21[(l21) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom2SIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec21[0] = i32::wrapping_add(self.iRec21[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec21[0], -1)) as F32) + -128.0));
			self.iRec21[1] = self.iRec21[0];
		}
	}

}


pub fn newDSP_Tom2SIG3() -> DSP_Tom2SIG3 { 
	DSP_Tom2SIG3 {
		iRec21: [0;2],
	}
}
static mut iDSP_Tom2SIG4Wave0: [i32;100] = [1,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,16,16,17,18,18,19,20,21,22,23,24,25,26,27,28,30,31,33,34,36,37,38,39,41,42,44,46,47,49,51,53,54,56,58,60,62,64,66,68,70,72,74,76,79,82,85,88,91,94,98,102,106,110,115,120,125,130,135,141,147,153,159,165,171,178,185,193,202,211,232,243,254,255];

pub struct DSP_Tom2SIG4 {
	iDSP_Tom2SIG4Wave0_idx: i32,
}

impl DSP_Tom2SIG4 {
	
	fn get_num_inputsDSP_Tom2SIG4(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom2SIG4(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom2SIG4(&mut self, sample_rate: i32) {
		self.iDSP_Tom2SIG4Wave0_idx = 0;
	}
	
	fn fillDSP_Tom2SIG4(&mut self, count: i32, table: &mut[i32]) {
		for i5 in 0..count {
			table[(i5) as usize] = unsafe { iDSP_Tom2SIG4Wave0[(self.iDSP_Tom2SIG4Wave0_idx) as usize] };
			self.iDSP_Tom2SIG4Wave0_idx = (i32::wrapping_add(1, self.iDSP_Tom2SIG4Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Tom2SIG4() -> DSP_Tom2SIG4 { 
	DSP_Tom2SIG4 {
		iDSP_Tom2SIG4Wave0_idx: 0,
	}
}
static mut iDSP_Tom2SIG5Wave0: [i32;100] = [-128,-116,-104,-95,-85,-76,-68,-61,-56,-52,-49,-46,-43,-41,-39,-37,-35,-33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,38,40,43,46,49,53,58,65,73,82,92,103,115,127];

pub struct DSP_Tom2SIG5 {
	iDSP_Tom2SIG5Wave0_idx: i32,
}

impl DSP_Tom2SIG5 {
	
	fn get_num_inputsDSP_Tom2SIG5(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom2SIG5(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom2SIG5(&mut self, sample_rate: i32) {
		self.iDSP_Tom2SIG5Wave0_idx = 0;
	}
	
	fn fillDSP_Tom2SIG5(&mut self, count: i32, table: &mut[i32]) {
		for i6 in 0..count {
			table[(i6) as usize] = unsafe { iDSP_Tom2SIG5Wave0[(self.iDSP_Tom2SIG5Wave0_idx) as usize] };
			self.iDSP_Tom2SIG5Wave0_idx = (i32::wrapping_add(1, self.iDSP_Tom2SIG5Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Tom2SIG5() -> DSP_Tom2SIG5 { 
	DSP_Tom2SIG5 {
		iDSP_Tom2SIG5Wave0_idx: 0,
	}
}
static mut ftbl0DSP_Tom2SIG0: [F32;16384] = [0.0;16384];
fn DSP_Tom2_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl1DSP_Tom2SIG1: [F32;144] = [0.0;144];
static mut ftbl2DSP_Tom2SIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_Tom2SIG3: [F32;4096] = [0.0;4096];
static mut itbl4DSP_Tom2SIG4: [i32;100] = [0;100];
static mut itbl5DSP_Tom2SIG5: [i32;100] = [0;100];

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_Tom2 {
	iVec0: [i32;2],
	fSampleRate: i32,
	fConst0: F32,
	fConst4: F32,
	fEntry0: F32,
	iVec1: [i32;2],
	fHslider0: F32,
	fRec3: [F32;2],
	fHslider1: F32,
	fHslider2: F32,
	fRec2: [F32;2],
	fRec4: [F32;2],
	fRec6: [F32;2],
	fConst5: F32,
	fRec7: [F32;2],
	fRec9: [F32;2],
	fRec10: [F32;2],
	fRec11: [F32;2],
	fRec12: [F32;2],
	fRec13: [F32;2],
	fRec14: [F32;2],
	fRec15: [F32;2],
	fRec17: [F32;2],
	fRec18: [F32;2],
	fRec19: [F32;2],
	fConst6: F32,
	iConst7: i32,
	iRec22: [i32;2],
	iConst8: i32,
	iRec23: [i32;2],
	fConst9: F32,
	fConst10: F32,
	iConst11: i32,
	iRec24: [i32;2],
	fConst12: F32,
	iConst13: i32,
	iRec26: [i32;2],
	fRec25: [F32;2],
	fConst14: F32,
	fRec20: [F32;2],
	fRec16: [F32;2],
	fConst15: F32,
	fRec27: [F32;2],
	fConst16: F32,
	fRec28: [F32;2],
	fConst17: F32,
	fRec29: [F32;2],
	fRec30: [F32;2],
	fRec31: [F32;2],
	fRec32: [F32;2],
	fRec33: [F32;2],
	fRec34: [F32;2],
	fRec35: [F32;2],
	fRec36: [F32;2],
	fRec37: [F32;2],
	fRec38: [F32;2],
	fConst18: F32,
	fRec39: [F32;2],
	fConst19: F32,
	fRec40: [F32;2],
	fVec3: [F32;2],
	fConst20: F32,
	fConst21: F32,
	fRec0: [F32;2],
	fHslider3: F32,
	fHslider4: F32,
	fHslider5: F32,
}

impl FaustDsp for DSP_Tom2 {
	type T = F32;
		
	fn new() -> DSP_Tom2 { 
		DSP_Tom2 {
			iVec0: [0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fConst4: 0.0,
			fEntry0: 0.0,
			iVec1: [0;2],
			fHslider0: 0.0,
			fRec3: [0.0;2],
			fHslider1: 0.0,
			fHslider2: 0.0,
			fRec2: [0.0;2],
			fRec4: [0.0;2],
			fRec6: [0.0;2],
			fConst5: 0.0,
			fRec7: [0.0;2],
			fRec9: [0.0;2],
			fRec10: [0.0;2],
			fRec11: [0.0;2],
			fRec12: [0.0;2],
			fRec13: [0.0;2],
			fRec14: [0.0;2],
			fRec15: [0.0;2],
			fRec17: [0.0;2],
			fRec18: [0.0;2],
			fRec19: [0.0;2],
			fConst6: 0.0,
			iConst7: 0,
			iRec22: [0;2],
			iConst8: 0,
			iRec23: [0;2],
			fConst9: 0.0,
			fConst10: 0.0,
			iConst11: 0,
			iRec24: [0;2],
			fConst12: 0.0,
			iConst13: 0,
			iRec26: [0;2],
			fRec25: [0.0;2],
			fConst14: 0.0,
			fRec20: [0.0;2],
			fRec16: [0.0;2],
			fConst15: 0.0,
			fRec27: [0.0;2],
			fConst16: 0.0,
			fRec28: [0.0;2],
			fConst17: 0.0,
			fRec29: [0.0;2],
			fRec30: [0.0;2],
			fRec31: [0.0;2],
			fRec32: [0.0;2],
			fRec33: [0.0;2],
			fRec34: [0.0;2],
			fRec35: [0.0;2],
			fRec36: [0.0;2],
			fRec37: [0.0;2],
			fRec38: [0.0;2],
			fConst18: 0.0,
			fRec39: [0.0;2],
			fConst19: 0.0,
			fRec40: [0.0;2],
			fVec3: [0.0;2],
			fConst20: 0.0,
			fConst21: 0.0,
			fRec0: [0.0;2],
			fHslider3: 0.0,
			fHslider4: 0.0,
			fHslider5: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_Tom2 -pn processTom2 -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_Tom2SIG0 = newDSP_Tom2SIG0();
		sig0.instance_initDSP_Tom2SIG0(sample_rate);
		sig0.fillDSP_Tom2SIG0(16384, unsafe { &mut ftbl0DSP_Tom2SIG0 });
		let mut sig1: DSP_Tom2SIG1 = newDSP_Tom2SIG1();
		sig1.instance_initDSP_Tom2SIG1(sample_rate);
		sig1.fillDSP_Tom2SIG1(144, unsafe { &mut ftbl1DSP_Tom2SIG1 });
		let mut sig2: DSP_Tom2SIG2 = newDSP_Tom2SIG2();
		sig2.instance_initDSP_Tom2SIG2(sample_rate);
		sig2.fillDSP_Tom2SIG2(1024, unsafe { &mut ftbl2DSP_Tom2SIG2 });
		let mut sig3: DSP_Tom2SIG3 = newDSP_Tom2SIG3();
		sig3.instance_initDSP_Tom2SIG3(sample_rate);
		sig3.fillDSP_Tom2SIG3(4096, unsafe { &mut ftbl3DSP_Tom2SIG3 });
		let mut sig4: DSP_Tom2SIG4 = newDSP_Tom2SIG4();
		sig4.instance_initDSP_Tom2SIG4(sample_rate);
		sig4.fillDSP_Tom2SIG4(100, unsafe { &mut itbl4DSP_Tom2SIG4 });
		let mut sig5: DSP_Tom2SIG5 = newDSP_Tom2SIG5();
		sig5.instance_initDSP_Tom2SIG5(sample_rate);
		sig5.fillDSP_Tom2SIG5(100, unsafe { &mut itbl5DSP_Tom2SIG5 });
	}
	fn instance_reset_params(&mut self) {
		self.fEntry0 = 0.0;
		self.fHslider0 = 0.0;
		self.fHslider1 = 36.0;
		self.fHslider2 = 0.0;
		self.fHslider3 = 0.0;
		self.fHslider4 = 0.0;
		self.fHslider5 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l0 in 0..2 {
			self.iVec0[(l0) as usize] = 0;
		}
		for l2 in 0..2 {
			self.iVec1[(l2) as usize] = 0;
		}
		for l3 in 0..2 {
			self.fRec3[(l3) as usize] = 0.0;
		}
		for l4 in 0..2 {
			self.fRec2[(l4) as usize] = 0.0;
		}
		for l5 in 0..2 {
			self.fRec4[(l5) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec6[(l7) as usize] = 0.0;
		}
		for l8 in 0..2 {
			self.fRec7[(l8) as usize] = 0.0;
		}
		for l11 in 0..2 {
			self.fRec9[(l11) as usize] = 0.0;
		}
		for l12 in 0..2 {
			self.fRec10[(l12) as usize] = 0.0;
		}
		for l13 in 0..2 {
			self.fRec11[(l13) as usize] = 0.0;
		}
		for l14 in 0..2 {
			self.fRec12[(l14) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec13[(l15) as usize] = 0.0;
		}
		for l16 in 0..2 {
			self.fRec14[(l16) as usize] = 0.0;
		}
		for l17 in 0..2 {
			self.fRec15[(l17) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.fRec17[(l18) as usize] = 0.0;
		}
		for l19 in 0..2 {
			self.fRec18[(l19) as usize] = 0.0;
		}
		for l20 in 0..2 {
			self.fRec19[(l20) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.iRec22[(l22) as usize] = 0;
		}
		for l23 in 0..2 {
			self.iRec23[(l23) as usize] = 0;
		}
		for l24 in 0..2 {
			self.iRec24[(l24) as usize] = 0;
		}
		for l25 in 0..2 {
			self.iRec26[(l25) as usize] = 0;
		}
		for l26 in 0..2 {
			self.fRec25[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec20[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec16[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.fRec27[(l29) as usize] = 0.0;
		}
		for l30 in 0..2 {
			self.fRec28[(l30) as usize] = 0.0;
		}
		for l31 in 0..2 {
			self.fRec29[(l31) as usize] = 0.0;
		}
		for l32 in 0..2 {
			self.fRec30[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec31[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec32[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec33[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec34[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fRec35[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec36[(l38) as usize] = 0.0;
		}
		for l39 in 0..2 {
			self.fRec37[(l39) as usize] = 0.0;
		}
		for l40 in 0..2 {
			self.fRec38[(l40) as usize] = 0.0;
		}
		for l41 in 0..2 {
			self.fRec39[(l41) as usize] = 0.0;
		}
		for l42 in 0..2 {
			self.fRec40[(l42) as usize] = 0.0;
		}
		for l43 in 0..2 {
			self.fVec3[(l43) as usize] = 0.0;
		}
		for l44 in 0..2 {
			self.fRec0[(l44) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		let mut fConst1: F32 = F32::tan(62.831852 / self.fConst0);
		let mut fConst2: F32 = 1.0 / fConst1;
		let mut fConst3: F32 = fConst2 + 1.0;
		self.fConst4 = (1.0 - fConst2) / fConst3;
		self.fConst5 = F32::max(1.0, 0.001 * self.fConst0);
		self.fConst6 = ((unsafe { itbl4DSP_Tom2SIG4[98] }) as F32);
		self.iConst7 = unsafe { itbl5DSP_Tom2SIG5[52] };
		self.iConst8 = unsafe { itbl5DSP_Tom2SIG5[50] };
		self.fConst9 = 0.64285713 * self.fConst0;
		self.fConst10 = ((unsafe { itbl4DSP_Tom2SIG4[54] }) as F32);
		self.iConst11 = unsafe { itbl5DSP_Tom2SIG5[51] };
		self.fConst12 = ((unsafe { itbl4DSP_Tom2SIG4[7] }) as F32);
		self.iConst13 = unsafe { itbl5DSP_Tom2SIG5[53] };
		self.fConst14 = 765.6 / self.fConst0;
		self.fConst15 = 299.2 / self.fConst0;
		self.fConst16 = 598.4 / self.fConst0;
		self.fConst17 = 4.4e+02 / self.fConst0;
		self.fConst18 = 686.4 / self.fConst0;
		self.fConst19 = 457.6 / self.fConst0;
		self.fConst20 = 1.0 / (fConst1 * fConst3);
		self.fConst21 = 0.0 - self.fConst20;
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_Tom2::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Trigger", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(1)), "1", "");
		ui_interface.declare(Some(ParamIndex(1)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(1)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(1), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(2)), "2", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(2), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(3)), "4", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Transpose");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "st");
		ui_interface.add_horizontal_slider("Voice_Transpose", ParamIndex(3), 0.0, -12.0, 12.0, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "8", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(4), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(5), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_horizontal_slider("key", ParamIndex(6), 36.0, 0.0, 127.0, 1.0);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			5 => Some(self.fHslider0),
			6 => Some(self.fHslider1),
			3 => Some(self.fHslider2),
			2 => Some(self.fHslider3),
			1 => Some(self.fHslider4),
			4 => Some(self.fHslider5),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			5 => { self.fHslider0 = value }
			6 => { self.fHslider1 = value }
			3 => { self.fHslider2 = value }
			2 => { self.fHslider3 = value }
			1 => { self.fHslider4 = value }
			4 => { self.fHslider5 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = fSlow3 + -57.3;
		let mut fSlow5: F32 = 0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow4));
		let mut fSlow6: F32 = F32::min(99.0, 0.64646465 * fSlow5 + 99.0);
		let mut fSlow7: F32 = 0.33333334 * (fSlow3 + -1.3) + 1.0;
		let mut fSlow8: F32 = 0.71428573 * fSlow7;
		let mut fSlow9: F32 = F32::min(99.0, 0.64646465 * (0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow3 + -45.3))) + 77.0);
		let mut fSlow10: F32 = F32::min(99.0, 1.1919192 * F32::max(0.0, F32::abs(-1.0 * fSlow4)) + 0.6969697 * fSlow5 + 99.0);
		let mut fSlow11: F32 = 0.14285715 * fSlow7;
		let mut fSlow12: F32 = F32::max(0.0, F32::min(127.0, fSlow10));
		let mut fSlow13: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow12) * (fSlow12 + 28.0);
		let mut fSlow14: F32 = fSlow13 + 4064.0;
		let mut fSlow15: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -70.3));
		let mut fSlow16: F32 = 1.0 - 0.008333334 * (17.31234 * F32::log(fSlow15, std::f32::consts::E) + 48.0);
		let mut fSlow17: F32 = 15.996094 * (0.1 * fSlow16 + 128.0);
		let mut iSlow18: i32 = ((fSlow17) as i32);
		let mut fSlow19: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow18) as usize] };
		let mut fSlow20: F32 = fSlow19 + (fSlow17 - ((iSlow18) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow18, 1)) as usize] } - fSlow19);
		let mut fSlow21: F32 = self.fConst14 * fSlow15;
		let mut fSlow22: F32 = 15.996094 * (0.042857144 * fSlow16 + 128.0);
		let mut iSlow23: i32 = ((fSlow22) as i32);
		let mut fSlow24: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow23) as usize] };
		let mut fSlow25: F32 = fSlow24 + (fSlow22 - ((iSlow23) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow23, 1)) as usize] } - fSlow24);
		let mut fSlow26: F32 = self.fConst15 * fSlow15;
		let mut fSlow27: F32 = 15.996094 * (0.057142857 * fSlow16 + 128.0);
		let mut iSlow28: i32 = ((fSlow27) as i32);
		let mut fSlow29: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow28) as usize] };
		let mut fSlow30: F32 = fSlow29 + (fSlow27 - ((iSlow28) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow28, 1)) as usize] } - fSlow29);
		let mut fSlow31: F32 = self.fConst16 * fSlow15;
		let mut fSlow32: F32 = self.fConst17 * fSlow15;
		let mut fSlow33: F32 = 0.42857143 * fSlow7;
		let mut fSlow34: F32 = self.fConst18 * fSlow15;
		let mut fSlow35: F32 = self.fConst19 * fSlow15;
		let mut fSlow36: F32 = 0.01 * self.fHslider3;
		let mut fSlow37: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4));
		let mut fSlow38: F32 = fSlow37 * F32::min(1.0, 1.0 - fSlow36);
		let mut fSlow39: F32 = fSlow37 * F32::min(1.0, fSlow36 + 1.0);
		let mut fSlow40: F32 = 0.01 * self.fHslider5 * fSlow37;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom2_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = 0.71428573 * fTemp3;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, fSlow6 + fTemp4));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp6 } else { self.fRec4[1] };
			let mut fTemp7: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 38.5) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec4[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 98.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec7[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp13, self.fRec7[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec7[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec7[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec7[0] - fTemp12) / fTemp8;
			let mut fTemp18: F32 = self.fRec7[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec7[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp16 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec2[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec2[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec2[0] + fTemp7 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec4[0] } } } else { self.fRec4[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, fSlow9 + fTemp4));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec9[1] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec10[1] };
			let mut fTemp24: F32 = self.fRec10[0] - self.fRec9[0];
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 26.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec10[0]);
			let mut fTemp27: F32 = self.fRec9[0] - fTemp26;
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp29: F32 = fTemp28 + fTemp25;
			self.fRec11[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp29, self.fRec11[1] + 1.0) };
			let mut iTemp30: i32 = ((self.fRec11[0] < fTemp29) as i32);
			let mut iTemp31: i32 = ((self.fRec11[0] < fTemp28) as i32);
			let mut fTemp32: F32 = (self.fRec11[0] - fTemp28) / fTemp25;
			let mut fTemp33: F32 = self.fRec11[0] / fTemp28;
			let mut fTemp34: F32 = if (iTemp30 as i32 != 0) { if (iTemp31 as i32 != 0) { if (((self.fRec11[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp31 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec9[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec9[0] } } } else { if (iTemp30 as i32 != 0) { self.fRec9[0] + fTemp24 * if (((self.fRec10[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp32, 0.33333334) } else { fTemp32 } } else { self.fRec10[0] } } } else { self.fRec10[0] };
			let mut iTemp35: i32 = ((fTemp34) as i32);
			let mut fTemp36: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp35) as usize] };
			let mut fTemp37: F32 = F32::max(0.0, F32::min(127.0, fSlow10 + fTemp4));
			let mut fTemp38: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp37) * (fTemp37 + 28.0);
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp38 + 4064.0 } else { self.fRec12[1] };
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fTemp38 } else { self.fRec13[1] };
			let mut fTemp39: F32 = self.fRec13[0] - self.fRec12[0];
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec14[1] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 79.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp42: F32 = self.fRec12[0] - fTemp41;
			let mut fTemp43: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp42) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 95.5) as i32)) as usize] } * if (((fTemp42 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp41)) + 2.0) } else { 0.96 }))));
			let mut fTemp44: F32 = fTemp43 + fTemp40;
			self.fRec15[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp44, self.fRec15[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec15[0] < fTemp44) as i32);
			let mut iTemp46: i32 = ((self.fRec15[0] < fTemp43) as i32);
			let mut fTemp47: F32 = (self.fRec15[0] - fTemp43) / fTemp40;
			let mut fTemp48: F32 = self.fRec15[0] / fTemp43;
			let mut fTemp49: F32 = if (iTemp45 as i32 != 0) { if (iTemp46 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp41 } else { if (iTemp46 as i32 != 0) { fTemp41 + fTemp42 * if (((self.fRec12[0] > fTemp41) as i32) as i32 != 0) { F32::powf(fTemp48, 0.33333334) } else { fTemp48 } } else { self.fRec12[0] } } } else { if (iTemp45 as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec13[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp47, 0.33333334) } else { fTemp47 } } else { self.fRec13[0] } } } else { self.fRec13[0] };
			let mut iTemp50: i32 = ((fTemp49) as i32);
			let mut fTemp51: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp50) as usize] };
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fSlow13 } else { self.fRec18[1] };
			let mut fTemp52: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 78.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp55: F32 = self.fRec17[0] - fTemp54;
			let mut fTemp56: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 95.5) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0) } else { 0.96 }))));
			let mut fTemp57: F32 = fTemp56 + fTemp53;
			let mut fTemp58: F32 = self.fRec17[0] - self.fRec18[0];
			let mut fTemp59: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp58) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 69.5) as i32)) as usize] } * if (((fTemp58 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp60: F32 = fTemp57 + fTemp59;
			self.fRec19[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp60, self.fRec19[1] + 1.0) };
			let mut iTemp61: i32 = ((self.fRec19[0] < fTemp57) as i32);
			let mut fTemp62: F32 = (self.fRec19[0] - fTemp57) / fTemp59;
			let mut iTemp63: i32 = ((self.fRec19[0] < fTemp56) as i32);
			let mut fTemp64: F32 = (self.fRec19[0] - fTemp56) / fTemp53;
			let mut fTemp65: F32 = self.fRec19[0] / fTemp56;
			let mut fTemp66: F32 = if (iTemp61 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp63 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec17[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec17[0] } } } else { if (iTemp61 as i32 != 0) { self.fRec17[0] + fTemp52 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { self.fRec18[0] } } } else { if (((self.fRec19[0] < fTemp60) as i32) as i32 != 0) { self.fRec18[0] + fTemp58 * if (((self.fRec17[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp62, 0.33333334) } else { fTemp62 } } else { self.fRec17[0] } };
			let mut iTemp67: i32 = ((fTemp66) as i32);
			let mut fTemp68: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp67) as usize] };
			let mut iTemp69: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec22[1] };
			self.iRec23[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec23[1] };
			let mut iTemp70: i32 = i32::wrapping_sub(self.iRec23[0], self.iRec22[0]);
			let mut fTemp71: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp70)) as F32) / self.fConst6));
			self.iRec24[0] = if (iTemp2 as i32 != 0) { self.iConst11 } else { self.iRec24[1] };
			let mut iTemp72: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec24[0]);
			let mut fTemp73: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp72)) as F32) / self.fConst10));
			let mut fTemp74: F32 = fTemp73 + fTemp71;
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst13 } else { self.iRec26[1] };
			let mut iTemp75: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec23[0]);
			let mut fTemp76: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp75)) as F32) / self.fConst12));
			let mut fTemp77: F32 = fTemp74 + fTemp76;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp77, self.fRec25[1] + 1.0) };
			let mut iTemp78: i32 = ((self.fRec25[0] < fTemp74) as i32);
			let mut fTemp79: F32 = (self.fRec25[0] - fTemp74) / fTemp76;
			let mut fTemp80: F32 = ((self.iRec23[0]) as F32);
			let mut iTemp81: i32 = ((self.fRec25[0] < fTemp73) as i32);
			let mut fTemp82: F32 = (self.fRec25[0] - fTemp73) / fTemp71;
			let mut fTemp83: F32 = ((self.iRec22[0]) as F32);
			let mut fTemp84: F32 = self.fRec25[0] / fTemp73;
			let mut fTemp85: F32 = ((self.iRec24[0]) as F32);
			let mut fTemp86: F32 = 15.996094 * (0.4 * if (iTemp78 as i32 != 0) { if (iTemp81 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp85 } else { if (iTemp81 as i32 != 0) { fTemp85 + ((iTemp72) as F32) * if (((self.iRec22[0] > self.iRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { fTemp83 } } } else { if (iTemp78 as i32 != 0) { fTemp83 + ((iTemp70) as F32) * if (((self.iRec23[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp82, 0.33333334) } else { fTemp82 } } else { fTemp80 } } } else { if (((self.fRec25[0] < fTemp77) as i32) as i32 != 0) { fTemp80 + ((iTemp75) as F32) * if (((self.iRec26[0] > self.iRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { ((self.iRec26[0]) as F32) } } + 128.0);
			let mut iTemp87: i32 = ((fTemp86) as i32);
			let mut fTemp88: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iTemp87) as usize] };
			let mut fTemp89: F32 = fTemp88 + (fTemp86 - ((iTemp87) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iTemp87, 1)) as usize] } - fTemp88);
			let mut fTemp90: F32 = fSlow20 * fTemp89;
			let mut fTemp91: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec20[1] + fSlow21 * fTemp90 };
			self.fRec20[0] = fTemp91 - F32::floor(fTemp91);
			self.fRec16[0] = 0.115 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec20[0] + 20.869566 * self.fRec16[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp68 + (fTemp66 - ((iTemp67) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp67, 1)) as usize] } - fTemp68));
			let mut fTemp92: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow26 * fTemp89 * fSlow25 };
			self.fRec27[0] = fTemp92 - F32::floor(fTemp92);
			let mut fTemp93: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow31 * fTemp89 * fSlow30 };
			self.fRec28[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow32 * fTemp90 };
			self.fRec29[0] = fTemp94 - F32::floor(fTemp94);
			let mut fTemp95: F32 = 0.5714286 * fTemp3;
			let mut fTemp96: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 99.0));
			let mut fTemp97: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp96) * (fTemp96 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp97 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp97 + 2368.0 } else { self.fRec31[1] };
			let mut fTemp98: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 37.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp97 } else { self.fRec32[1] };
			let mut fTemp100: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp101: F32 = self.fRec30[0] - fTemp100;
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 94.5) as i32)) as usize] } * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp100)) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp102 + fTemp99;
			let mut fTemp104: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp105: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp104) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 57.5) as i32)) as usize] } * if (((fTemp104 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp106: F32 = fTemp103 + fTemp105;
			self.fRec33[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp106, self.fRec33[1] + 1.0) };
			let mut iTemp107: i32 = ((self.fRec33[0] < fTemp103) as i32);
			let mut fTemp108: F32 = (self.fRec33[0] - fTemp103) / fTemp105;
			let mut iTemp109: i32 = ((self.fRec33[0] < fTemp102) as i32);
			let mut fTemp110: F32 = (self.fRec33[0] - fTemp102) / fTemp99;
			let mut fTemp111: F32 = self.fRec33[0] / fTemp102;
			let mut fTemp112: F32 = if (iTemp107 as i32 != 0) { if (iTemp109 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp100 } else { if (iTemp109 as i32 != 0) { fTemp100 + fTemp101 * if (((self.fRec30[0] > fTemp100) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec30[0] } } } else { if (iTemp107 as i32 != 0) { self.fRec30[0] + fTemp98 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp110, 0.33333334) } else { fTemp110 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp106) as i32) as i32 != 0) { self.fRec31[0] + fTemp104 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec32[0] } };
			let mut iTemp113: i32 = ((fTemp112) as i32);
			let mut fTemp114: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp113) as usize] };
			let mut fTemp115: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 69.0));
			let mut fTemp116: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp115) * (fTemp115 + 28.0);
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp116 + 2464.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp116 + 4064.0 } else { self.fRec35[1] };
			let mut fTemp117: F32 = self.fRec35[0] - self.fRec34[0];
			self.fRec36[0] = if (iTemp2 as i32 != 0) { fSlow33 } else { self.fRec36[1] };
			let mut fTemp118: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp117) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 97.5) as i32)) as usize] } * if (((fTemp117 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fTemp116 } else { self.fRec37[1] };
			let mut fTemp119: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp120: F32 = self.fRec34[0] - fTemp119;
			let mut fTemp121: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp120) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 63.5) as i32)) as usize] } * if (((fTemp120 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp119)) + 2.0) } else { 0.96 }))));
			let mut fTemp122: F32 = fTemp121 + fTemp118;
			let mut fTemp123: F32 = self.fRec37[0] - self.fRec35[0];
			let mut fTemp124: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp123) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 54.5) as i32)) as usize] } * if (((fTemp123 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp125: F32 = fTemp122 + fTemp124;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp125, self.fRec38[1] + 1.0) };
			let mut iTemp126: i32 = ((self.fRec38[0] < fTemp122) as i32);
			let mut fTemp127: F32 = (self.fRec38[0] - fTemp122) / fTemp124;
			let mut iTemp128: i32 = ((self.fRec38[0] < fTemp121) as i32);
			let mut fTemp129: F32 = (self.fRec38[0] - fTemp121) / fTemp118;
			let mut fTemp130: F32 = self.fRec38[0] / fTemp121;
			let mut fTemp131: F32 = if (iTemp126 as i32 != 0) { if (iTemp128 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp119 } else { if (iTemp128 as i32 != 0) { fTemp119 + fTemp120 * if (((self.fRec34[0] > fTemp119) as i32) as i32 != 0) { F32::powf(fTemp130, 0.33333334) } else { fTemp130 } } else { self.fRec34[0] } } } else { if (iTemp126 as i32 != 0) { self.fRec34[0] + fTemp117 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec35[0] } } } else { if (((self.fRec38[0] < fTemp125) as i32) as i32 != 0) { self.fRec35[0] + fTemp123 * if (((self.fRec37[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp127, 0.33333334) } else { fTemp127 } } else { self.fRec37[0] } };
			let mut iTemp132: i32 = ((fTemp131) as i32);
			let mut fTemp133: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp132) as usize] };
			let mut fTemp134: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec39[1] + fSlow34 * fTemp90 };
			self.fRec39[0] = fTemp134 - F32::floor(fTemp134);
			let mut fTemp135: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow35 * fTemp90 };
			self.fRec40[0] = fTemp135 - F32::floor(fTemp135);
			let mut fTemp136: F32 = unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * self.fRec39[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp133 + (fTemp131 - ((iTemp132) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp132, 1)) as usize] } - fTemp133)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp114 + (fTemp112 - ((iTemp113) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp113, 1)) as usize] } - fTemp114)) + unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec29[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * self.fRec16[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp51 + (fTemp49 - ((iTemp50) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp50, 1)) as usize] } - fTemp51)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp36 + (fTemp34 - ((iTemp35) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp35, 1)) as usize] } - fTemp36)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21));
			self.fVec3[0] = fTemp136;
			self.fRec0[0] = 0.115 * (self.fConst20 * fTemp136 + self.fConst21 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow38 * self.fRec0[0];
			*output1 = fSlow39 * self.fRec0[0];
			*output2 = fSlow40 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.iRec22[1] = self.iRec22[0];
			self.iRec23[1] = self.iRec23[0];
			self.iRec24[1] = self.iRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_Tom2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_Tom2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = fSlow3 + -57.3;
		let mut fSlow5: F32 = 0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow4));
		let mut fSlow6: F32 = F32::min(99.0, 0.64646465 * fSlow5 + 99.0);
		let mut fSlow7: F32 = 0.33333334 * (fSlow3 + -1.3) + 1.0;
		let mut fSlow8: F32 = 0.71428573 * fSlow7;
		let mut fSlow9: F32 = F32::min(99.0, 0.64646465 * (0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow3 + -45.3))) + 77.0);
		let mut fSlow10: F32 = F32::min(99.0, 1.1919192 * F32::max(0.0, F32::abs(-1.0 * fSlow4)) + 0.6969697 * fSlow5 + 99.0);
		let mut fSlow11: F32 = 0.14285715 * fSlow7;
		let mut fSlow12: F32 = F32::max(0.0, F32::min(127.0, fSlow10));
		let mut fSlow13: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow12) * (fSlow12 + 28.0);
		let mut fSlow14: F32 = fSlow13 + 4064.0;
		let mut fSlow15: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -70.3));
		let mut fSlow16: F32 = 1.0 - 0.008333334 * (17.31234 * F32::log(fSlow15, std::f32::consts::E) + 48.0);
		let mut fSlow17: F32 = 15.996094 * (0.1 * fSlow16 + 128.0);
		let mut iSlow18: i32 = ((fSlow17) as i32);
		let mut fSlow19: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow18) as usize] };
		let mut fSlow20: F32 = fSlow19 + (fSlow17 - ((iSlow18) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow18, 1)) as usize] } - fSlow19);
		let mut fSlow21: F32 = self.fConst14 * fSlow15;
		let mut fSlow22: F32 = 15.996094 * (0.042857144 * fSlow16 + 128.0);
		let mut iSlow23: i32 = ((fSlow22) as i32);
		let mut fSlow24: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow23) as usize] };
		let mut fSlow25: F32 = fSlow24 + (fSlow22 - ((iSlow23) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow23, 1)) as usize] } - fSlow24);
		let mut fSlow26: F32 = self.fConst15 * fSlow15;
		let mut fSlow27: F32 = 15.996094 * (0.057142857 * fSlow16 + 128.0);
		let mut iSlow28: i32 = ((fSlow27) as i32);
		let mut fSlow29: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow28) as usize] };
		let mut fSlow30: F32 = fSlow29 + (fSlow27 - ((iSlow28) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow28, 1)) as usize] } - fSlow29);
		let mut fSlow31: F32 = self.fConst16 * fSlow15;
		let mut fSlow32: F32 = self.fConst17 * fSlow15;
		let mut fSlow33: F32 = 0.42857143 * fSlow7;
		let mut fSlow34: F32 = self.fConst18 * fSlow15;
		let mut fSlow35: F32 = self.fConst19 * fSlow15;
		let mut fSlow36: F32 = 0.01 * self.fHslider3;
		let mut fSlow37: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4));
		let mut fSlow38: F32 = fSlow37 * F32::min(1.0, 1.0 - fSlow36);
		let mut fSlow39: F32 = fSlow37 * F32::min(1.0, fSlow36 + 1.0);
		let mut fSlow40: F32 = 0.01 * self.fHslider5 * fSlow37;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom2_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = 0.71428573 * fTemp3;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, fSlow6 + fTemp4));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp6 } else { self.fRec4[1] };
			let mut fTemp7: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 38.5) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec4[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 98.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec7[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp13, self.fRec7[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec7[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec7[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec7[0] - fTemp12) / fTemp8;
			let mut fTemp18: F32 = self.fRec7[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec7[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp16 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec2[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec2[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec2[0] + fTemp7 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec4[0] } } } else { self.fRec4[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, fSlow9 + fTemp4));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec9[1] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec10[1] };
			let mut fTemp24: F32 = self.fRec10[0] - self.fRec9[0];
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 26.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec10[0]);
			let mut fTemp27: F32 = self.fRec9[0] - fTemp26;
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp29: F32 = fTemp28 + fTemp25;
			self.fRec11[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp29, self.fRec11[1] + 1.0) };
			let mut iTemp30: i32 = ((self.fRec11[0] < fTemp29) as i32);
			let mut iTemp31: i32 = ((self.fRec11[0] < fTemp28) as i32);
			let mut fTemp32: F32 = (self.fRec11[0] - fTemp28) / fTemp25;
			let mut fTemp33: F32 = self.fRec11[0] / fTemp28;
			let mut fTemp34: F32 = if (iTemp30 as i32 != 0) { if (iTemp31 as i32 != 0) { if (((self.fRec11[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp31 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec9[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec9[0] } } } else { if (iTemp30 as i32 != 0) { self.fRec9[0] + fTemp24 * if (((self.fRec10[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp32, 0.33333334) } else { fTemp32 } } else { self.fRec10[0] } } } else { self.fRec10[0] };
			let mut iTemp35: i32 = ((fTemp34) as i32);
			let mut fTemp36: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp35) as usize] };
			let mut fTemp37: F32 = F32::max(0.0, F32::min(127.0, fSlow10 + fTemp4));
			let mut fTemp38: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp37) * (fTemp37 + 28.0);
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp38 + 4064.0 } else { self.fRec12[1] };
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fTemp38 } else { self.fRec13[1] };
			let mut fTemp39: F32 = self.fRec13[0] - self.fRec12[0];
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec14[1] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 79.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp42: F32 = self.fRec12[0] - fTemp41;
			let mut fTemp43: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp42) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 95.5) as i32)) as usize] } * if (((fTemp42 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp41)) + 2.0) } else { 0.96 }))));
			let mut fTemp44: F32 = fTemp43 + fTemp40;
			self.fRec15[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp44, self.fRec15[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec15[0] < fTemp44) as i32);
			let mut iTemp46: i32 = ((self.fRec15[0] < fTemp43) as i32);
			let mut fTemp47: F32 = (self.fRec15[0] - fTemp43) / fTemp40;
			let mut fTemp48: F32 = self.fRec15[0] / fTemp43;
			let mut fTemp49: F32 = if (iTemp45 as i32 != 0) { if (iTemp46 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp41 } else { if (iTemp46 as i32 != 0) { fTemp41 + fTemp42 * if (((self.fRec12[0] > fTemp41) as i32) as i32 != 0) { F32::powf(fTemp48, 0.33333334) } else { fTemp48 } } else { self.fRec12[0] } } } else { if (iTemp45 as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec13[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp47, 0.33333334) } else { fTemp47 } } else { self.fRec13[0] } } } else { self.fRec13[0] };
			let mut iTemp50: i32 = ((fTemp49) as i32);
			let mut fTemp51: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp50) as usize] };
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fSlow13 } else { self.fRec18[1] };
			let mut fTemp52: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 78.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp55: F32 = self.fRec17[0] - fTemp54;
			let mut fTemp56: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 95.5) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0) } else { 0.96 }))));
			let mut fTemp57: F32 = fTemp56 + fTemp53;
			let mut fTemp58: F32 = self.fRec17[0] - self.fRec18[0];
			let mut fTemp59: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp58) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 69.5) as i32)) as usize] } * if (((fTemp58 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp60: F32 = fTemp57 + fTemp59;
			self.fRec19[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp60, self.fRec19[1] + 1.0) };
			let mut iTemp61: i32 = ((self.fRec19[0] < fTemp57) as i32);
			let mut fTemp62: F32 = (self.fRec19[0] - fTemp57) / fTemp59;
			let mut iTemp63: i32 = ((self.fRec19[0] < fTemp56) as i32);
			let mut fTemp64: F32 = (self.fRec19[0] - fTemp56) / fTemp53;
			let mut fTemp65: F32 = self.fRec19[0] / fTemp56;
			let mut fTemp66: F32 = if (iTemp61 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp63 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec17[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec17[0] } } } else { if (iTemp61 as i32 != 0) { self.fRec17[0] + fTemp52 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { self.fRec18[0] } } } else { if (((self.fRec19[0] < fTemp60) as i32) as i32 != 0) { self.fRec18[0] + fTemp58 * if (((self.fRec17[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp62, 0.33333334) } else { fTemp62 } } else { self.fRec17[0] } };
			let mut iTemp67: i32 = ((fTemp66) as i32);
			let mut fTemp68: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp67) as usize] };
			let mut iTemp69: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec22[1] };
			self.iRec23[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec23[1] };
			let mut iTemp70: i32 = i32::wrapping_sub(self.iRec23[0], self.iRec22[0]);
			let mut fTemp71: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp70)) as F32) / self.fConst6));
			self.iRec24[0] = if (iTemp2 as i32 != 0) { self.iConst11 } else { self.iRec24[1] };
			let mut iTemp72: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec24[0]);
			let mut fTemp73: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp72)) as F32) / self.fConst10));
			let mut fTemp74: F32 = fTemp73 + fTemp71;
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst13 } else { self.iRec26[1] };
			let mut iTemp75: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec23[0]);
			let mut fTemp76: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp75)) as F32) / self.fConst12));
			let mut fTemp77: F32 = fTemp74 + fTemp76;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp77, self.fRec25[1] + 1.0) };
			let mut iTemp78: i32 = ((self.fRec25[0] < fTemp74) as i32);
			let mut fTemp79: F32 = (self.fRec25[0] - fTemp74) / fTemp76;
			let mut fTemp80: F32 = ((self.iRec23[0]) as F32);
			let mut iTemp81: i32 = ((self.fRec25[0] < fTemp73) as i32);
			let mut fTemp82: F32 = (self.fRec25[0] - fTemp73) / fTemp71;
			let mut fTemp83: F32 = ((self.iRec22[0]) as F32);
			let mut fTemp84: F32 = self.fRec25[0] / fTemp73;
			let mut fTemp85: F32 = ((self.iRec24[0]) as F32);
			let mut fTemp86: F32 = 15.996094 * (0.4 * if (iTemp78 as i32 != 0) { if (iTemp81 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp85 } else { if (iTemp81 as i32 != 0) { fTemp85 + ((iTemp72) as F32) * if (((self.iRec22[0] > self.iRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { fTemp83 } } } else { if (iTemp78 as i32 != 0) { fTemp83 + ((iTemp70) as F32) * if (((self.iRec23[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp82, 0.33333334) } else { fTemp82 } } else { fTemp80 } } } else { if (((self.fRec25[0] < fTemp77) as i32) as i32 != 0) { fTemp80 + ((iTemp75) as F32) * if (((self.iRec26[0] > self.iRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { ((self.iRec26[0]) as F32) } } + 128.0);
			let mut iTemp87: i32 = ((fTemp86) as i32);
			let mut fTemp88: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iTemp87) as usize] };
			let mut fTemp89: F32 = fTemp88 + (fTemp86 - ((iTemp87) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iTemp87, 1)) as usize] } - fTemp88);
			let mut fTemp90: F32 = fSlow20 * fTemp89;
			let mut fTemp91: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec20[1] + fSlow21 * fTemp90 };
			self.fRec20[0] = fTemp91 - F32::floor(fTemp91);
			self.fRec16[0] = 0.115 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec20[0] + 20.869566 * self.fRec16[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp68 + (fTemp66 - ((iTemp67) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp67, 1)) as usize] } - fTemp68));
			let mut fTemp92: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow26 * fTemp89 * fSlow25 };
			self.fRec27[0] = fTemp92 - F32::floor(fTemp92);
			let mut fTemp93: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow31 * fTemp89 * fSlow30 };
			self.fRec28[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow32 * fTemp90 };
			self.fRec29[0] = fTemp94 - F32::floor(fTemp94);
			let mut fTemp95: F32 = 0.5714286 * fTemp3;
			let mut fTemp96: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 99.0));
			let mut fTemp97: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp96) * (fTemp96 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp97 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp97 + 2368.0 } else { self.fRec31[1] };
			let mut fTemp98: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 37.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp97 } else { self.fRec32[1] };
			let mut fTemp100: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp101: F32 = self.fRec30[0] - fTemp100;
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 94.5) as i32)) as usize] } * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp100)) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp102 + fTemp99;
			let mut fTemp104: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp105: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp104) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 57.5) as i32)) as usize] } * if (((fTemp104 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp106: F32 = fTemp103 + fTemp105;
			self.fRec33[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp106, self.fRec33[1] + 1.0) };
			let mut iTemp107: i32 = ((self.fRec33[0] < fTemp103) as i32);
			let mut fTemp108: F32 = (self.fRec33[0] - fTemp103) / fTemp105;
			let mut iTemp109: i32 = ((self.fRec33[0] < fTemp102) as i32);
			let mut fTemp110: F32 = (self.fRec33[0] - fTemp102) / fTemp99;
			let mut fTemp111: F32 = self.fRec33[0] / fTemp102;
			let mut fTemp112: F32 = if (iTemp107 as i32 != 0) { if (iTemp109 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp100 } else { if (iTemp109 as i32 != 0) { fTemp100 + fTemp101 * if (((self.fRec30[0] > fTemp100) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec30[0] } } } else { if (iTemp107 as i32 != 0) { self.fRec30[0] + fTemp98 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp110, 0.33333334) } else { fTemp110 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp106) as i32) as i32 != 0) { self.fRec31[0] + fTemp104 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec32[0] } };
			let mut iTemp113: i32 = ((fTemp112) as i32);
			let mut fTemp114: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp113) as usize] };
			let mut fTemp115: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 69.0));
			let mut fTemp116: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp115) * (fTemp115 + 28.0);
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp116 + 2464.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp116 + 4064.0 } else { self.fRec35[1] };
			let mut fTemp117: F32 = self.fRec35[0] - self.fRec34[0];
			self.fRec36[0] = if (iTemp2 as i32 != 0) { fSlow33 } else { self.fRec36[1] };
			let mut fTemp118: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp117) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 97.5) as i32)) as usize] } * if (((fTemp117 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fTemp116 } else { self.fRec37[1] };
			let mut fTemp119: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp120: F32 = self.fRec34[0] - fTemp119;
			let mut fTemp121: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp120) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 63.5) as i32)) as usize] } * if (((fTemp120 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp119)) + 2.0) } else { 0.96 }))));
			let mut fTemp122: F32 = fTemp121 + fTemp118;
			let mut fTemp123: F32 = self.fRec37[0] - self.fRec35[0];
			let mut fTemp124: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp123) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 54.5) as i32)) as usize] } * if (((fTemp123 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp125: F32 = fTemp122 + fTemp124;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp125, self.fRec38[1] + 1.0) };
			let mut iTemp126: i32 = ((self.fRec38[0] < fTemp122) as i32);
			let mut fTemp127: F32 = (self.fRec38[0] - fTemp122) / fTemp124;
			let mut iTemp128: i32 = ((self.fRec38[0] < fTemp121) as i32);
			let mut fTemp129: F32 = (self.fRec38[0] - fTemp121) / fTemp118;
			let mut fTemp130: F32 = self.fRec38[0] / fTemp121;
			let mut fTemp131: F32 = if (iTemp126 as i32 != 0) { if (iTemp128 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp119 } else { if (iTemp128 as i32 != 0) { fTemp119 + fTemp120 * if (((self.fRec34[0] > fTemp119) as i32) as i32 != 0) { F32::powf(fTemp130, 0.33333334) } else { fTemp130 } } else { self.fRec34[0] } } } else { if (iTemp126 as i32 != 0) { self.fRec34[0] + fTemp117 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec35[0] } } } else { if (((self.fRec38[0] < fTemp125) as i32) as i32 != 0) { self.fRec35[0] + fTemp123 * if (((self.fRec37[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp127, 0.33333334) } else { fTemp127 } } else { self.fRec37[0] } };
			let mut iTemp132: i32 = ((fTemp131) as i32);
			let mut fTemp133: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp132) as usize] };
			let mut fTemp134: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec39[1] + fSlow34 * fTemp90 };
			self.fRec39[0] = fTemp134 - F32::floor(fTemp134);
			let mut fTemp135: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow35 * fTemp90 };
			self.fRec40[0] = fTemp135 - F32::floor(fTemp135);
			let mut fTemp136: F32 = unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * self.fRec39[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp133 + (fTemp131 - ((iTemp132) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp132, 1)) as usize] } - fTemp133)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp114 + (fTemp112 - ((iTemp113) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp113, 1)) as usize] } - fTemp114)) + unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec29[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * self.fRec16[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp51 + (fTemp49 - ((iTemp50) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp50, 1)) as usize] } - fTemp51)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp36 + (fTemp34 - ((iTemp35) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp35, 1)) as usize] } - fTemp36)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21));
			self.fVec3[0] = fTemp136;
			self.fRec0[0] = 0.115 * (self.fConst20 * fTemp136 + self.fConst21 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow38 * self.fRec0[0];
			*output1 = fSlow39 * self.fRec0[0];
			*output2 = fSlow40 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.iRec22[1] = self.iRec22[0];
			self.iRec23[1] = self.iRec23[0];
			self.iRec24[1] = self.iRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_Tom2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = fSlow3 + -57.3;
		let mut fSlow5: F32 = 0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow4));
		let mut fSlow6: F32 = F32::min(99.0, 0.64646465 * fSlow5 + 99.0);
		let mut fSlow7: F32 = 0.33333334 * (fSlow3 + -1.3) + 1.0;
		let mut fSlow8: F32 = 0.71428573 * fSlow7;
		let mut fSlow9: F32 = F32::min(99.0, 0.64646465 * (0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow3 + -45.3))) + 77.0);
		let mut fSlow10: F32 = F32::min(99.0, 1.1919192 * F32::max(0.0, F32::abs(-1.0 * fSlow4)) + 0.6969697 * fSlow5 + 99.0);
		let mut fSlow11: F32 = 0.14285715 * fSlow7;
		let mut fSlow12: F32 = F32::max(0.0, F32::min(127.0, fSlow10));
		let mut fSlow13: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow12) * (fSlow12 + 28.0);
		let mut fSlow14: F32 = fSlow13 + 4064.0;
		let mut fSlow15: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -70.3));
		let mut fSlow16: F32 = 1.0 - 0.008333334 * (17.31234 * F32::log(fSlow15, std::f32::consts::E) + 48.0);
		let mut fSlow17: F32 = 15.996094 * (0.1 * fSlow16 + 128.0);
		let mut iSlow18: i32 = ((fSlow17) as i32);
		let mut fSlow19: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow18) as usize] };
		let mut fSlow20: F32 = fSlow19 + (fSlow17 - ((iSlow18) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow18, 1)) as usize] } - fSlow19);
		let mut fSlow21: F32 = self.fConst14 * fSlow15;
		let mut fSlow22: F32 = 15.996094 * (0.042857144 * fSlow16 + 128.0);
		let mut iSlow23: i32 = ((fSlow22) as i32);
		let mut fSlow24: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow23) as usize] };
		let mut fSlow25: F32 = fSlow24 + (fSlow22 - ((iSlow23) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow23, 1)) as usize] } - fSlow24);
		let mut fSlow26: F32 = self.fConst15 * fSlow15;
		let mut fSlow27: F32 = 15.996094 * (0.057142857 * fSlow16 + 128.0);
		let mut iSlow28: i32 = ((fSlow27) as i32);
		let mut fSlow29: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow28) as usize] };
		let mut fSlow30: F32 = fSlow29 + (fSlow27 - ((iSlow28) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow28, 1)) as usize] } - fSlow29);
		let mut fSlow31: F32 = self.fConst16 * fSlow15;
		let mut fSlow32: F32 = self.fConst17 * fSlow15;
		let mut fSlow33: F32 = 0.42857143 * fSlow7;
		let mut fSlow34: F32 = self.fConst18 * fSlow15;
		let mut fSlow35: F32 = self.fConst19 * fSlow15;
		let mut fSlow36: F32 = 0.01 * self.fHslider3;
		let mut fSlow37: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4));
		let mut fSlow38: F32 = fSlow37 * F32::min(1.0, 1.0 - fSlow36);
		let mut fSlow39: F32 = fSlow37 * F32::min(1.0, fSlow36 + 1.0);
		let mut fSlow40: F32 = 0.01 * self.fHslider5 * fSlow37;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom2_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = 0.71428573 * fTemp3;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, fSlow6 + fTemp4));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp6 } else { self.fRec4[1] };
			let mut fTemp7: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 38.5) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec4[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 98.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec7[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp13, self.fRec7[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec7[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec7[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec7[0] - fTemp12) / fTemp8;
			let mut fTemp18: F32 = self.fRec7[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec7[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp16 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec2[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec2[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec2[0] + fTemp7 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec4[0] } } } else { self.fRec4[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, fSlow9 + fTemp4));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec9[1] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec10[1] };
			let mut fTemp24: F32 = self.fRec10[0] - self.fRec9[0];
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 26.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec10[0]);
			let mut fTemp27: F32 = self.fRec9[0] - fTemp26;
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp29: F32 = fTemp28 + fTemp25;
			self.fRec11[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp29, self.fRec11[1] + 1.0) };
			let mut iTemp30: i32 = ((self.fRec11[0] < fTemp29) as i32);
			let mut iTemp31: i32 = ((self.fRec11[0] < fTemp28) as i32);
			let mut fTemp32: F32 = (self.fRec11[0] - fTemp28) / fTemp25;
			let mut fTemp33: F32 = self.fRec11[0] / fTemp28;
			let mut fTemp34: F32 = if (iTemp30 as i32 != 0) { if (iTemp31 as i32 != 0) { if (((self.fRec11[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp31 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec9[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec9[0] } } } else { if (iTemp30 as i32 != 0) { self.fRec9[0] + fTemp24 * if (((self.fRec10[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp32, 0.33333334) } else { fTemp32 } } else { self.fRec10[0] } } } else { self.fRec10[0] };
			let mut iTemp35: i32 = ((fTemp34) as i32);
			let mut fTemp36: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp35) as usize] };
			let mut fTemp37: F32 = F32::max(0.0, F32::min(127.0, fSlow10 + fTemp4));
			let mut fTemp38: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp37) * (fTemp37 + 28.0);
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp38 + 4064.0 } else { self.fRec12[1] };
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fTemp38 } else { self.fRec13[1] };
			let mut fTemp39: F32 = self.fRec13[0] - self.fRec12[0];
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec14[1] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 79.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp42: F32 = self.fRec12[0] - fTemp41;
			let mut fTemp43: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp42) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 95.5) as i32)) as usize] } * if (((fTemp42 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp41)) + 2.0) } else { 0.96 }))));
			let mut fTemp44: F32 = fTemp43 + fTemp40;
			self.fRec15[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp44, self.fRec15[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec15[0] < fTemp44) as i32);
			let mut iTemp46: i32 = ((self.fRec15[0] < fTemp43) as i32);
			let mut fTemp47: F32 = (self.fRec15[0] - fTemp43) / fTemp40;
			let mut fTemp48: F32 = self.fRec15[0] / fTemp43;
			let mut fTemp49: F32 = if (iTemp45 as i32 != 0) { if (iTemp46 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp41 } else { if (iTemp46 as i32 != 0) { fTemp41 + fTemp42 * if (((self.fRec12[0] > fTemp41) as i32) as i32 != 0) { F32::powf(fTemp48, 0.33333334) } else { fTemp48 } } else { self.fRec12[0] } } } else { if (iTemp45 as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec13[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp47, 0.33333334) } else { fTemp47 } } else { self.fRec13[0] } } } else { self.fRec13[0] };
			let mut iTemp50: i32 = ((fTemp49) as i32);
			let mut fTemp51: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp50) as usize] };
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fSlow13 } else { self.fRec18[1] };
			let mut fTemp52: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 78.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp55: F32 = self.fRec17[0] - fTemp54;
			let mut fTemp56: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 95.5) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0) } else { 0.96 }))));
			let mut fTemp57: F32 = fTemp56 + fTemp53;
			let mut fTemp58: F32 = self.fRec17[0] - self.fRec18[0];
			let mut fTemp59: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp58) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 69.5) as i32)) as usize] } * if (((fTemp58 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp60: F32 = fTemp57 + fTemp59;
			self.fRec19[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp60, self.fRec19[1] + 1.0) };
			let mut iTemp61: i32 = ((self.fRec19[0] < fTemp57) as i32);
			let mut fTemp62: F32 = (self.fRec19[0] - fTemp57) / fTemp59;
			let mut iTemp63: i32 = ((self.fRec19[0] < fTemp56) as i32);
			let mut fTemp64: F32 = (self.fRec19[0] - fTemp56) / fTemp53;
			let mut fTemp65: F32 = self.fRec19[0] / fTemp56;
			let mut fTemp66: F32 = if (iTemp61 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp63 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec17[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec17[0] } } } else { if (iTemp61 as i32 != 0) { self.fRec17[0] + fTemp52 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { self.fRec18[0] } } } else { if (((self.fRec19[0] < fTemp60) as i32) as i32 != 0) { self.fRec18[0] + fTemp58 * if (((self.fRec17[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp62, 0.33333334) } else { fTemp62 } } else { self.fRec17[0] } };
			let mut iTemp67: i32 = ((fTemp66) as i32);
			let mut fTemp68: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp67) as usize] };
			let mut iTemp69: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec22[1] };
			self.iRec23[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec23[1] };
			let mut iTemp70: i32 = i32::wrapping_sub(self.iRec23[0], self.iRec22[0]);
			let mut fTemp71: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp70)) as F32) / self.fConst6));
			self.iRec24[0] = if (iTemp2 as i32 != 0) { self.iConst11 } else { self.iRec24[1] };
			let mut iTemp72: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec24[0]);
			let mut fTemp73: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp72)) as F32) / self.fConst10));
			let mut fTemp74: F32 = fTemp73 + fTemp71;
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst13 } else { self.iRec26[1] };
			let mut iTemp75: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec23[0]);
			let mut fTemp76: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp75)) as F32) / self.fConst12));
			let mut fTemp77: F32 = fTemp74 + fTemp76;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp77, self.fRec25[1] + 1.0) };
			let mut iTemp78: i32 = ((self.fRec25[0] < fTemp74) as i32);
			let mut fTemp79: F32 = (self.fRec25[0] - fTemp74) / fTemp76;
			let mut fTemp80: F32 = ((self.iRec23[0]) as F32);
			let mut iTemp81: i32 = ((self.fRec25[0] < fTemp73) as i32);
			let mut fTemp82: F32 = (self.fRec25[0] - fTemp73) / fTemp71;
			let mut fTemp83: F32 = ((self.iRec22[0]) as F32);
			let mut fTemp84: F32 = self.fRec25[0] / fTemp73;
			let mut fTemp85: F32 = ((self.iRec24[0]) as F32);
			let mut fTemp86: F32 = 15.996094 * (0.4 * if (iTemp78 as i32 != 0) { if (iTemp81 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp85 } else { if (iTemp81 as i32 != 0) { fTemp85 + ((iTemp72) as F32) * if (((self.iRec22[0] > self.iRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { fTemp83 } } } else { if (iTemp78 as i32 != 0) { fTemp83 + ((iTemp70) as F32) * if (((self.iRec23[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp82, 0.33333334) } else { fTemp82 } } else { fTemp80 } } } else { if (((self.fRec25[0] < fTemp77) as i32) as i32 != 0) { fTemp80 + ((iTemp75) as F32) * if (((self.iRec26[0] > self.iRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { ((self.iRec26[0]) as F32) } } + 128.0);
			let mut iTemp87: i32 = ((fTemp86) as i32);
			let mut fTemp88: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iTemp87) as usize] };
			let mut fTemp89: F32 = fTemp88 + (fTemp86 - ((iTemp87) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iTemp87, 1)) as usize] } - fTemp88);
			let mut fTemp90: F32 = fSlow20 * fTemp89;
			let mut fTemp91: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec20[1] + fSlow21 * fTemp90 };
			self.fRec20[0] = fTemp91 - F32::floor(fTemp91);
			self.fRec16[0] = 0.115 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec20[0] + 20.869566 * self.fRec16[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp68 + (fTemp66 - ((iTemp67) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp67, 1)) as usize] } - fTemp68));
			let mut fTemp92: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow26 * fTemp89 * fSlow25 };
			self.fRec27[0] = fTemp92 - F32::floor(fTemp92);
			let mut fTemp93: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow31 * fTemp89 * fSlow30 };
			self.fRec28[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow32 * fTemp90 };
			self.fRec29[0] = fTemp94 - F32::floor(fTemp94);
			let mut fTemp95: F32 = 0.5714286 * fTemp3;
			let mut fTemp96: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 99.0));
			let mut fTemp97: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp96) * (fTemp96 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp97 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp97 + 2368.0 } else { self.fRec31[1] };
			let mut fTemp98: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 37.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp97 } else { self.fRec32[1] };
			let mut fTemp100: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp101: F32 = self.fRec30[0] - fTemp100;
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 94.5) as i32)) as usize] } * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp100)) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp102 + fTemp99;
			let mut fTemp104: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp105: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp104) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 57.5) as i32)) as usize] } * if (((fTemp104 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp106: F32 = fTemp103 + fTemp105;
			self.fRec33[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp106, self.fRec33[1] + 1.0) };
			let mut iTemp107: i32 = ((self.fRec33[0] < fTemp103) as i32);
			let mut fTemp108: F32 = (self.fRec33[0] - fTemp103) / fTemp105;
			let mut iTemp109: i32 = ((self.fRec33[0] < fTemp102) as i32);
			let mut fTemp110: F32 = (self.fRec33[0] - fTemp102) / fTemp99;
			let mut fTemp111: F32 = self.fRec33[0] / fTemp102;
			let mut fTemp112: F32 = if (iTemp107 as i32 != 0) { if (iTemp109 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp100 } else { if (iTemp109 as i32 != 0) { fTemp100 + fTemp101 * if (((self.fRec30[0] > fTemp100) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec30[0] } } } else { if (iTemp107 as i32 != 0) { self.fRec30[0] + fTemp98 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp110, 0.33333334) } else { fTemp110 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp106) as i32) as i32 != 0) { self.fRec31[0] + fTemp104 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec32[0] } };
			let mut iTemp113: i32 = ((fTemp112) as i32);
			let mut fTemp114: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp113) as usize] };
			let mut fTemp115: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 69.0));
			let mut fTemp116: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp115) * (fTemp115 + 28.0);
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp116 + 2464.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp116 + 4064.0 } else { self.fRec35[1] };
			let mut fTemp117: F32 = self.fRec35[0] - self.fRec34[0];
			self.fRec36[0] = if (iTemp2 as i32 != 0) { fSlow33 } else { self.fRec36[1] };
			let mut fTemp118: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp117) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 97.5) as i32)) as usize] } * if (((fTemp117 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fTemp116 } else { self.fRec37[1] };
			let mut fTemp119: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp120: F32 = self.fRec34[0] - fTemp119;
			let mut fTemp121: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp120) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 63.5) as i32)) as usize] } * if (((fTemp120 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp119)) + 2.0) } else { 0.96 }))));
			let mut fTemp122: F32 = fTemp121 + fTemp118;
			let mut fTemp123: F32 = self.fRec37[0] - self.fRec35[0];
			let mut fTemp124: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp123) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 54.5) as i32)) as usize] } * if (((fTemp123 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp125: F32 = fTemp122 + fTemp124;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp125, self.fRec38[1] + 1.0) };
			let mut iTemp126: i32 = ((self.fRec38[0] < fTemp122) as i32);
			let mut fTemp127: F32 = (self.fRec38[0] - fTemp122) / fTemp124;
			let mut iTemp128: i32 = ((self.fRec38[0] < fTemp121) as i32);
			let mut fTemp129: F32 = (self.fRec38[0] - fTemp121) / fTemp118;
			let mut fTemp130: F32 = self.fRec38[0] / fTemp121;
			let mut fTemp131: F32 = if (iTemp126 as i32 != 0) { if (iTemp128 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp119 } else { if (iTemp128 as i32 != 0) { fTemp119 + fTemp120 * if (((self.fRec34[0] > fTemp119) as i32) as i32 != 0) { F32::powf(fTemp130, 0.33333334) } else { fTemp130 } } else { self.fRec34[0] } } } else { if (iTemp126 as i32 != 0) { self.fRec34[0] + fTemp117 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec35[0] } } } else { if (((self.fRec38[0] < fTemp125) as i32) as i32 != 0) { self.fRec35[0] + fTemp123 * if (((self.fRec37[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp127, 0.33333334) } else { fTemp127 } } else { self.fRec37[0] } };
			let mut iTemp132: i32 = ((fTemp131) as i32);
			let mut fTemp133: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp132) as usize] };
			let mut fTemp134: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec39[1] + fSlow34 * fTemp90 };
			self.fRec39[0] = fTemp134 - F32::floor(fTemp134);
			let mut fTemp135: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow35 * fTemp90 };
			self.fRec40[0] = fTemp135 - F32::floor(fTemp135);
			let mut fTemp136: F32 = unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * self.fRec39[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp133 + (fTemp131 - ((iTemp132) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp132, 1)) as usize] } - fTemp133)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp114 + (fTemp112 - ((iTemp113) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp113, 1)) as usize] } - fTemp114)) + unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec29[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * self.fRec16[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp51 + (fTemp49 - ((iTemp50) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp50, 1)) as usize] } - fTemp51)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp36 + (fTemp34 - ((iTemp35) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp35, 1)) as usize] } - fTemp36)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21));
			self.fVec3[0] = fTemp136;
			self.fRec0[0] = 0.115 * (self.fConst20 * fTemp136 + self.fConst21 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow38 * self.fRec0[0];
			*output1 = fSlow39 * self.fRec0[0];
			*output2 = fSlow40 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.iRec22[1] = self.iRec22[0];
			self.iRec23[1] = self.iRec23[0];
			self.iRec24[1] = self.iRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_Tom2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = fSlow3 + -57.3;
		let mut fSlow5: F32 = 0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow4));
		let mut fSlow6: F32 = F32::min(99.0, 0.64646465 * fSlow5 + 99.0);
		let mut fSlow7: F32 = 0.33333334 * (fSlow3 + -1.3) + 1.0;
		let mut fSlow8: F32 = 0.71428573 * fSlow7;
		let mut fSlow9: F32 = F32::min(99.0, 0.64646465 * (0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow3 + -45.3))) + 77.0);
		let mut fSlow10: F32 = F32::min(99.0, 1.1919192 * F32::max(0.0, F32::abs(-1.0 * fSlow4)) + 0.6969697 * fSlow5 + 99.0);
		let mut fSlow11: F32 = 0.14285715 * fSlow7;
		let mut fSlow12: F32 = F32::max(0.0, F32::min(127.0, fSlow10));
		let mut fSlow13: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow12) * (fSlow12 + 28.0);
		let mut fSlow14: F32 = fSlow13 + 4064.0;
		let mut fSlow15: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -70.3));
		let mut fSlow16: F32 = 1.0 - 0.008333334 * (17.31234 * F32::log(fSlow15, std::f32::consts::E) + 48.0);
		let mut fSlow17: F32 = 15.996094 * (0.1 * fSlow16 + 128.0);
		let mut iSlow18: i32 = ((fSlow17) as i32);
		let mut fSlow19: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow18) as usize] };
		let mut fSlow20: F32 = fSlow19 + (fSlow17 - ((iSlow18) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow18, 1)) as usize] } - fSlow19);
		let mut fSlow21: F32 = self.fConst14 * fSlow15;
		let mut fSlow22: F32 = 15.996094 * (0.042857144 * fSlow16 + 128.0);
		let mut iSlow23: i32 = ((fSlow22) as i32);
		let mut fSlow24: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow23) as usize] };
		let mut fSlow25: F32 = fSlow24 + (fSlow22 - ((iSlow23) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow23, 1)) as usize] } - fSlow24);
		let mut fSlow26: F32 = self.fConst15 * fSlow15;
		let mut fSlow27: F32 = 15.996094 * (0.057142857 * fSlow16 + 128.0);
		let mut iSlow28: i32 = ((fSlow27) as i32);
		let mut fSlow29: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow28) as usize] };
		let mut fSlow30: F32 = fSlow29 + (fSlow27 - ((iSlow28) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow28, 1)) as usize] } - fSlow29);
		let mut fSlow31: F32 = self.fConst16 * fSlow15;
		let mut fSlow32: F32 = self.fConst17 * fSlow15;
		let mut fSlow33: F32 = 0.42857143 * fSlow7;
		let mut fSlow34: F32 = self.fConst18 * fSlow15;
		let mut fSlow35: F32 = self.fConst19 * fSlow15;
		let mut fSlow36: F32 = 0.01 * self.fHslider3;
		let mut fSlow37: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4));
		let mut fSlow38: F32 = fSlow37 * F32::min(1.0, 1.0 - fSlow36);
		let mut fSlow39: F32 = fSlow37 * F32::min(1.0, fSlow36 + 1.0);
		let mut fSlow40: F32 = 0.01 * self.fHslider5 * fSlow37;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom2_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = 0.71428573 * fTemp3;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, fSlow6 + fTemp4));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp6 } else { self.fRec4[1] };
			let mut fTemp7: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 38.5) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec4[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 98.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec7[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp13, self.fRec7[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec7[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec7[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec7[0] - fTemp12) / fTemp8;
			let mut fTemp18: F32 = self.fRec7[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec7[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp16 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec2[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec2[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec2[0] + fTemp7 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec4[0] } } } else { self.fRec4[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, fSlow9 + fTemp4));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec9[1] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec10[1] };
			let mut fTemp24: F32 = self.fRec10[0] - self.fRec9[0];
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 26.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec10[0]);
			let mut fTemp27: F32 = self.fRec9[0] - fTemp26;
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp29: F32 = fTemp28 + fTemp25;
			self.fRec11[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp29, self.fRec11[1] + 1.0) };
			let mut iTemp30: i32 = ((self.fRec11[0] < fTemp29) as i32);
			let mut iTemp31: i32 = ((self.fRec11[0] < fTemp28) as i32);
			let mut fTemp32: F32 = (self.fRec11[0] - fTemp28) / fTemp25;
			let mut fTemp33: F32 = self.fRec11[0] / fTemp28;
			let mut fTemp34: F32 = if (iTemp30 as i32 != 0) { if (iTemp31 as i32 != 0) { if (((self.fRec11[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp31 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec9[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec9[0] } } } else { if (iTemp30 as i32 != 0) { self.fRec9[0] + fTemp24 * if (((self.fRec10[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp32, 0.33333334) } else { fTemp32 } } else { self.fRec10[0] } } } else { self.fRec10[0] };
			let mut iTemp35: i32 = ((fTemp34) as i32);
			let mut fTemp36: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp35) as usize] };
			let mut fTemp37: F32 = F32::max(0.0, F32::min(127.0, fSlow10 + fTemp4));
			let mut fTemp38: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp37) * (fTemp37 + 28.0);
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp38 + 4064.0 } else { self.fRec12[1] };
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fTemp38 } else { self.fRec13[1] };
			let mut fTemp39: F32 = self.fRec13[0] - self.fRec12[0];
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec14[1] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 79.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp42: F32 = self.fRec12[0] - fTemp41;
			let mut fTemp43: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp42) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 95.5) as i32)) as usize] } * if (((fTemp42 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp41)) + 2.0) } else { 0.96 }))));
			let mut fTemp44: F32 = fTemp43 + fTemp40;
			self.fRec15[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp44, self.fRec15[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec15[0] < fTemp44) as i32);
			let mut iTemp46: i32 = ((self.fRec15[0] < fTemp43) as i32);
			let mut fTemp47: F32 = (self.fRec15[0] - fTemp43) / fTemp40;
			let mut fTemp48: F32 = self.fRec15[0] / fTemp43;
			let mut fTemp49: F32 = if (iTemp45 as i32 != 0) { if (iTemp46 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp41 } else { if (iTemp46 as i32 != 0) { fTemp41 + fTemp42 * if (((self.fRec12[0] > fTemp41) as i32) as i32 != 0) { F32::powf(fTemp48, 0.33333334) } else { fTemp48 } } else { self.fRec12[0] } } } else { if (iTemp45 as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec13[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp47, 0.33333334) } else { fTemp47 } } else { self.fRec13[0] } } } else { self.fRec13[0] };
			let mut iTemp50: i32 = ((fTemp49) as i32);
			let mut fTemp51: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp50) as usize] };
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fSlow13 } else { self.fRec18[1] };
			let mut fTemp52: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 78.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp55: F32 = self.fRec17[0] - fTemp54;
			let mut fTemp56: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 95.5) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0) } else { 0.96 }))));
			let mut fTemp57: F32 = fTemp56 + fTemp53;
			let mut fTemp58: F32 = self.fRec17[0] - self.fRec18[0];
			let mut fTemp59: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp58) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 69.5) as i32)) as usize] } * if (((fTemp58 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp60: F32 = fTemp57 + fTemp59;
			self.fRec19[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp60, self.fRec19[1] + 1.0) };
			let mut iTemp61: i32 = ((self.fRec19[0] < fTemp57) as i32);
			let mut fTemp62: F32 = (self.fRec19[0] - fTemp57) / fTemp59;
			let mut iTemp63: i32 = ((self.fRec19[0] < fTemp56) as i32);
			let mut fTemp64: F32 = (self.fRec19[0] - fTemp56) / fTemp53;
			let mut fTemp65: F32 = self.fRec19[0] / fTemp56;
			let mut fTemp66: F32 = if (iTemp61 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp63 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec17[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec17[0] } } } else { if (iTemp61 as i32 != 0) { self.fRec17[0] + fTemp52 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { self.fRec18[0] } } } else { if (((self.fRec19[0] < fTemp60) as i32) as i32 != 0) { self.fRec18[0] + fTemp58 * if (((self.fRec17[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp62, 0.33333334) } else { fTemp62 } } else { self.fRec17[0] } };
			let mut iTemp67: i32 = ((fTemp66) as i32);
			let mut fTemp68: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp67) as usize] };
			let mut iTemp69: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec22[1] };
			self.iRec23[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec23[1] };
			let mut iTemp70: i32 = i32::wrapping_sub(self.iRec23[0], self.iRec22[0]);
			let mut fTemp71: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp70)) as F32) / self.fConst6));
			self.iRec24[0] = if (iTemp2 as i32 != 0) { self.iConst11 } else { self.iRec24[1] };
			let mut iTemp72: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec24[0]);
			let mut fTemp73: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp72)) as F32) / self.fConst10));
			let mut fTemp74: F32 = fTemp73 + fTemp71;
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst13 } else { self.iRec26[1] };
			let mut iTemp75: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec23[0]);
			let mut fTemp76: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp75)) as F32) / self.fConst12));
			let mut fTemp77: F32 = fTemp74 + fTemp76;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp77, self.fRec25[1] + 1.0) };
			let mut iTemp78: i32 = ((self.fRec25[0] < fTemp74) as i32);
			let mut fTemp79: F32 = (self.fRec25[0] - fTemp74) / fTemp76;
			let mut fTemp80: F32 = ((self.iRec23[0]) as F32);
			let mut iTemp81: i32 = ((self.fRec25[0] < fTemp73) as i32);
			let mut fTemp82: F32 = (self.fRec25[0] - fTemp73) / fTemp71;
			let mut fTemp83: F32 = ((self.iRec22[0]) as F32);
			let mut fTemp84: F32 = self.fRec25[0] / fTemp73;
			let mut fTemp85: F32 = ((self.iRec24[0]) as F32);
			let mut fTemp86: F32 = 15.996094 * (0.4 * if (iTemp78 as i32 != 0) { if (iTemp81 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp85 } else { if (iTemp81 as i32 != 0) { fTemp85 + ((iTemp72) as F32) * if (((self.iRec22[0] > self.iRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { fTemp83 } } } else { if (iTemp78 as i32 != 0) { fTemp83 + ((iTemp70) as F32) * if (((self.iRec23[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp82, 0.33333334) } else { fTemp82 } } else { fTemp80 } } } else { if (((self.fRec25[0] < fTemp77) as i32) as i32 != 0) { fTemp80 + ((iTemp75) as F32) * if (((self.iRec26[0] > self.iRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { ((self.iRec26[0]) as F32) } } + 128.0);
			let mut iTemp87: i32 = ((fTemp86) as i32);
			let mut fTemp88: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iTemp87) as usize] };
			let mut fTemp89: F32 = fTemp88 + (fTemp86 - ((iTemp87) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iTemp87, 1)) as usize] } - fTemp88);
			let mut fTemp90: F32 = fSlow20 * fTemp89;
			let mut fTemp91: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec20[1] + fSlow21 * fTemp90 };
			self.fRec20[0] = fTemp91 - F32::floor(fTemp91);
			self.fRec16[0] = 0.115 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec20[0] + 20.869566 * self.fRec16[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp68 + (fTemp66 - ((iTemp67) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp67, 1)) as usize] } - fTemp68));
			let mut fTemp92: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow26 * fTemp89 * fSlow25 };
			self.fRec27[0] = fTemp92 - F32::floor(fTemp92);
			let mut fTemp93: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow31 * fTemp89 * fSlow30 };
			self.fRec28[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow32 * fTemp90 };
			self.fRec29[0] = fTemp94 - F32::floor(fTemp94);
			let mut fTemp95: F32 = 0.5714286 * fTemp3;
			let mut fTemp96: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 99.0));
			let mut fTemp97: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp96) * (fTemp96 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp97 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp97 + 2368.0 } else { self.fRec31[1] };
			let mut fTemp98: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 37.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp97 } else { self.fRec32[1] };
			let mut fTemp100: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp101: F32 = self.fRec30[0] - fTemp100;
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 94.5) as i32)) as usize] } * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp100)) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp102 + fTemp99;
			let mut fTemp104: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp105: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp104) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 57.5) as i32)) as usize] } * if (((fTemp104 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp106: F32 = fTemp103 + fTemp105;
			self.fRec33[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp106, self.fRec33[1] + 1.0) };
			let mut iTemp107: i32 = ((self.fRec33[0] < fTemp103) as i32);
			let mut fTemp108: F32 = (self.fRec33[0] - fTemp103) / fTemp105;
			let mut iTemp109: i32 = ((self.fRec33[0] < fTemp102) as i32);
			let mut fTemp110: F32 = (self.fRec33[0] - fTemp102) / fTemp99;
			let mut fTemp111: F32 = self.fRec33[0] / fTemp102;
			let mut fTemp112: F32 = if (iTemp107 as i32 != 0) { if (iTemp109 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp100 } else { if (iTemp109 as i32 != 0) { fTemp100 + fTemp101 * if (((self.fRec30[0] > fTemp100) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec30[0] } } } else { if (iTemp107 as i32 != 0) { self.fRec30[0] + fTemp98 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp110, 0.33333334) } else { fTemp110 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp106) as i32) as i32 != 0) { self.fRec31[0] + fTemp104 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec32[0] } };
			let mut iTemp113: i32 = ((fTemp112) as i32);
			let mut fTemp114: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp113) as usize] };
			let mut fTemp115: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 69.0));
			let mut fTemp116: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp115) * (fTemp115 + 28.0);
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp116 + 2464.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp116 + 4064.0 } else { self.fRec35[1] };
			let mut fTemp117: F32 = self.fRec35[0] - self.fRec34[0];
			self.fRec36[0] = if (iTemp2 as i32 != 0) { fSlow33 } else { self.fRec36[1] };
			let mut fTemp118: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp117) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 97.5) as i32)) as usize] } * if (((fTemp117 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fTemp116 } else { self.fRec37[1] };
			let mut fTemp119: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp120: F32 = self.fRec34[0] - fTemp119;
			let mut fTemp121: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp120) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 63.5) as i32)) as usize] } * if (((fTemp120 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp119)) + 2.0) } else { 0.96 }))));
			let mut fTemp122: F32 = fTemp121 + fTemp118;
			let mut fTemp123: F32 = self.fRec37[0] - self.fRec35[0];
			let mut fTemp124: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp123) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 54.5) as i32)) as usize] } * if (((fTemp123 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp125: F32 = fTemp122 + fTemp124;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp125, self.fRec38[1] + 1.0) };
			let mut iTemp126: i32 = ((self.fRec38[0] < fTemp122) as i32);
			let mut fTemp127: F32 = (self.fRec38[0] - fTemp122) / fTemp124;
			let mut iTemp128: i32 = ((self.fRec38[0] < fTemp121) as i32);
			let mut fTemp129: F32 = (self.fRec38[0] - fTemp121) / fTemp118;
			let mut fTemp130: F32 = self.fRec38[0] / fTemp121;
			let mut fTemp131: F32 = if (iTemp126 as i32 != 0) { if (iTemp128 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp119 } else { if (iTemp128 as i32 != 0) { fTemp119 + fTemp120 * if (((self.fRec34[0] > fTemp119) as i32) as i32 != 0) { F32::powf(fTemp130, 0.33333334) } else { fTemp130 } } else { self.fRec34[0] } } } else { if (iTemp126 as i32 != 0) { self.fRec34[0] + fTemp117 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec35[0] } } } else { if (((self.fRec38[0] < fTemp125) as i32) as i32 != 0) { self.fRec35[0] + fTemp123 * if (((self.fRec37[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp127, 0.33333334) } else { fTemp127 } } else { self.fRec37[0] } };
			let mut iTemp132: i32 = ((fTemp131) as i32);
			let mut fTemp133: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp132) as usize] };
			let mut fTemp134: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec39[1] + fSlow34 * fTemp90 };
			self.fRec39[0] = fTemp134 - F32::floor(fTemp134);
			let mut fTemp135: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow35 * fTemp90 };
			self.fRec40[0] = fTemp135 - F32::floor(fTemp135);
			let mut fTemp136: F32 = unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * self.fRec39[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp133 + (fTemp131 - ((iTemp132) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp132, 1)) as usize] } - fTemp133)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp114 + (fTemp112 - ((iTemp113) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp113, 1)) as usize] } - fTemp114)) + unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec29[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * self.fRec16[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp51 + (fTemp49 - ((iTemp50) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp50, 1)) as usize] } - fTemp51)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp36 + (fTemp34 - ((iTemp35) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp35, 1)) as usize] } - fTemp36)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21));
			self.fVec3[0] = fTemp136;
			self.fRec0[0] = 0.115 * (self.fConst20 * fTemp136 + self.fConst21 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow38 * self.fRec0[0];
			*output1 = fSlow39 * self.fRec0[0];
			*output2 = fSlow40 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.iRec22[1] = self.iRec22[0];
			self.iRec23[1] = self.iRec23[0];
			self.iRec24[1] = self.iRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom2 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_Tom2 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom2 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = fSlow3 + -57.3;
		let mut fSlow5: F32 = 0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow4));
		let mut fSlow6: F32 = F32::min(99.0, 0.64646465 * fSlow5 + 99.0);
		let mut fSlow7: F32 = 0.33333334 * (fSlow3 + -1.3) + 1.0;
		let mut fSlow8: F32 = 0.71428573 * fSlow7;
		let mut fSlow9: F32 = F32::min(99.0, 0.64646465 * (0.0 - 0.666 * F32::max(0.0, F32::abs(fSlow3 + -45.3))) + 77.0);
		let mut fSlow10: F32 = F32::min(99.0, 1.1919192 * F32::max(0.0, F32::abs(-1.0 * fSlow4)) + 0.6969697 * fSlow5 + 99.0);
		let mut fSlow11: F32 = 0.14285715 * fSlow7;
		let mut fSlow12: F32 = F32::max(0.0, F32::min(127.0, fSlow10));
		let mut fSlow13: F32 = 32.0 * F32::min(1.0, 0.05 * fSlow12) * (fSlow12 + 28.0);
		let mut fSlow14: F32 = fSlow13 + 4064.0;
		let mut fSlow15: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -70.3));
		let mut fSlow16: F32 = 1.0 - 0.008333334 * (17.31234 * F32::log(fSlow15, std::f32::consts::E) + 48.0);
		let mut fSlow17: F32 = 15.996094 * (0.1 * fSlow16 + 128.0);
		let mut iSlow18: i32 = ((fSlow17) as i32);
		let mut fSlow19: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow18) as usize] };
		let mut fSlow20: F32 = fSlow19 + (fSlow17 - ((iSlow18) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow18, 1)) as usize] } - fSlow19);
		let mut fSlow21: F32 = self.fConst14 * fSlow15;
		let mut fSlow22: F32 = 15.996094 * (0.042857144 * fSlow16 + 128.0);
		let mut iSlow23: i32 = ((fSlow22) as i32);
		let mut fSlow24: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow23) as usize] };
		let mut fSlow25: F32 = fSlow24 + (fSlow22 - ((iSlow23) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow23, 1)) as usize] } - fSlow24);
		let mut fSlow26: F32 = self.fConst15 * fSlow15;
		let mut fSlow27: F32 = 15.996094 * (0.057142857 * fSlow16 + 128.0);
		let mut iSlow28: i32 = ((fSlow27) as i32);
		let mut fSlow29: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iSlow28) as usize] };
		let mut fSlow30: F32 = fSlow29 + (fSlow27 - ((iSlow28) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iSlow28, 1)) as usize] } - fSlow29);
		let mut fSlow31: F32 = self.fConst16 * fSlow15;
		let mut fSlow32: F32 = self.fConst17 * fSlow15;
		let mut fSlow33: F32 = 0.42857143 * fSlow7;
		let mut fSlow34: F32 = self.fConst18 * fSlow15;
		let mut fSlow35: F32 = self.fConst19 * fSlow15;
		let mut fSlow36: F32 = 0.01 * self.fHslider3;
		let mut fSlow37: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4));
		let mut fSlow38: F32 = fSlow37 * F32::min(1.0, 1.0 - fSlow36);
		let mut fSlow39: F32 = fSlow37 * F32::min(1.0, fSlow36 + 1.0);
		let mut fSlow40: F32 = 0.01 * self.fHslider5 * fSlow37;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = 1;
			self.iVec1[0] = iSlow1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec1[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom2_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = 0.71428573 * fTemp3;
			let mut fTemp5: F32 = F32::max(0.0, F32::min(127.0, fSlow6 + fTemp4));
			let mut fTemp6: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp5) * (fTemp5 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp6 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp6 } else { self.fRec4[1] };
			let mut fTemp7: F32 = self.fRec4[0] - self.fRec2[0];
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow8 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp7) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 38.5) as i32)) as usize] } * if (((fTemp7 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec4[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 98.5) as i32)) as usize] };
			let mut fTemp12: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp10) / (fTemp11 * if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 }))));
			let mut fTemp13: F32 = fTemp12 + fTemp8;
			let mut iTemp14: i32 = ((iTemp1 > 0) as i32);
			self.fRec7[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp13, self.fRec7[1] + 1.0) };
			let mut iTemp15: i32 = ((self.fRec7[0] < fTemp13) as i32);
			let mut iTemp16: i32 = ((self.fRec7[0] < fTemp12) as i32);
			let mut fTemp17: F32 = (self.fRec7[0] - fTemp12) / fTemp8;
			let mut fTemp18: F32 = self.fRec7[0] / fTemp12;
			let mut fTemp19: F32 = if (iTemp15 as i32 != 0) { if (iTemp16 as i32 != 0) { if (((self.fRec7[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp16 as i32 != 0) { fTemp9 + fTemp10 * if (((self.fRec2[0] > fTemp9) as i32) as i32 != 0) { F32::powf(fTemp18, 0.33333334) } else { fTemp18 } } else { self.fRec2[0] } } } else { if (iTemp15 as i32 != 0) { self.fRec2[0] + fTemp7 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp17, 0.33333334) } else { fTemp17 } } else { self.fRec4[0] } } } else { self.fRec4[0] };
			let mut iTemp20: i32 = ((fTemp19) as i32);
			let mut fTemp21: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp20) as usize] };
			let mut fTemp22: F32 = F32::max(0.0, F32::min(127.0, fSlow9 + fTemp4));
			let mut fTemp23: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp22) * (fTemp22 + 28.0);
			self.fRec9[0] = if (iTemp2 as i32 != 0) { fTemp23 + 4064.0 } else { self.fRec9[1] };
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp23 } else { self.fRec10[1] };
			let mut fTemp24: F32 = self.fRec10[0] - self.fRec9[0];
			let mut fTemp25: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp24) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 26.5) as i32)) as usize] } * if (((fTemp24 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec9[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp26: F32 = F32::max(5076.0, self.fRec10[0]);
			let mut fTemp27: F32 = self.fRec9[0] - fTemp26;
			let mut fTemp28: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp27) / (fTemp11 * if (((fTemp27 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp26)) + 2.0) } else { 0.96 }))));
			let mut fTemp29: F32 = fTemp28 + fTemp25;
			self.fRec11[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp29, self.fRec11[1] + 1.0) };
			let mut iTemp30: i32 = ((self.fRec11[0] < fTemp29) as i32);
			let mut iTemp31: i32 = ((self.fRec11[0] < fTemp28) as i32);
			let mut fTemp32: F32 = (self.fRec11[0] - fTemp28) / fTemp25;
			let mut fTemp33: F32 = self.fRec11[0] / fTemp28;
			let mut fTemp34: F32 = if (iTemp30 as i32 != 0) { if (iTemp31 as i32 != 0) { if (((self.fRec11[0] < 0.0) as i32) as i32 != 0) { fTemp26 } else { if (iTemp31 as i32 != 0) { fTemp26 + fTemp27 * if (((self.fRec9[0] > fTemp26) as i32) as i32 != 0) { F32::powf(fTemp33, 0.33333334) } else { fTemp33 } } else { self.fRec9[0] } } } else { if (iTemp30 as i32 != 0) { self.fRec9[0] + fTemp24 * if (((self.fRec10[0] > self.fRec9[0]) as i32) as i32 != 0) { F32::powf(fTemp32, 0.33333334) } else { fTemp32 } } else { self.fRec10[0] } } } else { self.fRec10[0] };
			let mut iTemp35: i32 = ((fTemp34) as i32);
			let mut fTemp36: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp35) as usize] };
			let mut fTemp37: F32 = F32::max(0.0, F32::min(127.0, fSlow10 + fTemp4));
			let mut fTemp38: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp37) * (fTemp37 + 28.0);
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fTemp38 + 4064.0 } else { self.fRec12[1] };
			self.fRec13[0] = if (iTemp2 as i32 != 0) { fTemp38 } else { self.fRec13[1] };
			let mut fTemp39: F32 = self.fRec13[0] - self.fRec12[0];
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fSlow11 } else { self.fRec14[1] };
			let mut fTemp40: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp39) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 79.5) as i32)) as usize] } * if (((fTemp39 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec12[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp41: F32 = F32::max(5076.0, self.fRec13[0]);
			let mut fTemp42: F32 = self.fRec12[0] - fTemp41;
			let mut fTemp43: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp42) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec14[0] + 95.5) as i32)) as usize] } * if (((fTemp42 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp41)) + 2.0) } else { 0.96 }))));
			let mut fTemp44: F32 = fTemp43 + fTemp40;
			self.fRec15[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(self.fConst5 + fTemp44, self.fRec15[1] + 1.0) };
			let mut iTemp45: i32 = ((self.fRec15[0] < fTemp44) as i32);
			let mut iTemp46: i32 = ((self.fRec15[0] < fTemp43) as i32);
			let mut fTemp47: F32 = (self.fRec15[0] - fTemp43) / fTemp40;
			let mut fTemp48: F32 = self.fRec15[0] / fTemp43;
			let mut fTemp49: F32 = if (iTemp45 as i32 != 0) { if (iTemp46 as i32 != 0) { if (((self.fRec15[0] < 0.0) as i32) as i32 != 0) { fTemp41 } else { if (iTemp46 as i32 != 0) { fTemp41 + fTemp42 * if (((self.fRec12[0] > fTemp41) as i32) as i32 != 0) { F32::powf(fTemp48, 0.33333334) } else { fTemp48 } } else { self.fRec12[0] } } } else { if (iTemp45 as i32 != 0) { self.fRec12[0] + fTemp39 * if (((self.fRec13[0] > self.fRec12[0]) as i32) as i32 != 0) { F32::powf(fTemp47, 0.33333334) } else { fTemp47 } } else { self.fRec13[0] } } } else { self.fRec13[0] };
			let mut iTemp50: i32 = ((fTemp49) as i32);
			let mut fTemp51: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp50) as usize] };
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fSlow14 } else { self.fRec17[1] };
			self.fRec18[0] = if (iTemp2 as i32 != 0) { fSlow13 } else { self.fRec18[1] };
			let mut fTemp52: F32 = self.fRec18[0] - self.fRec17[0];
			let mut fTemp53: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp52) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 78.5) as i32)) as usize] } * if (((fTemp52 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec17[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp54: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp55: F32 = self.fRec17[0] - fTemp54;
			let mut fTemp56: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp55) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 95.5) as i32)) as usize] } * if (((fTemp55 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp54)) + 2.0) } else { 0.96 }))));
			let mut fTemp57: F32 = fTemp56 + fTemp53;
			let mut fTemp58: F32 = self.fRec17[0] - self.fRec18[0];
			let mut fTemp59: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp58) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 69.5) as i32)) as usize] } * if (((fTemp58 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec18[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp60: F32 = fTemp57 + fTemp59;
			self.fRec19[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp60, self.fRec19[1] + 1.0) };
			let mut iTemp61: i32 = ((self.fRec19[0] < fTemp57) as i32);
			let mut fTemp62: F32 = (self.fRec19[0] - fTemp57) / fTemp59;
			let mut iTemp63: i32 = ((self.fRec19[0] < fTemp56) as i32);
			let mut fTemp64: F32 = (self.fRec19[0] - fTemp56) / fTemp53;
			let mut fTemp65: F32 = self.fRec19[0] / fTemp56;
			let mut fTemp66: F32 = if (iTemp61 as i32 != 0) { if (iTemp63 as i32 != 0) { if (((self.fRec19[0] < 0.0) as i32) as i32 != 0) { fTemp54 } else { if (iTemp63 as i32 != 0) { fTemp54 + fTemp55 * if (((self.fRec17[0] > fTemp54) as i32) as i32 != 0) { F32::powf(fTemp65, 0.33333334) } else { fTemp65 } } else { self.fRec17[0] } } } else { if (iTemp61 as i32 != 0) { self.fRec17[0] + fTemp52 * if (((self.fRec18[0] > self.fRec17[0]) as i32) as i32 != 0) { F32::powf(fTemp64, 0.33333334) } else { fTemp64 } } else { self.fRec18[0] } } } else { if (((self.fRec19[0] < fTemp60) as i32) as i32 != 0) { self.fRec18[0] + fTemp58 * if (((self.fRec17[0] > self.fRec18[0]) as i32) as i32 != 0) { F32::powf(fTemp62, 0.33333334) } else { fTemp62 } } else { self.fRec17[0] } };
			let mut iTemp67: i32 = ((fTemp66) as i32);
			let mut fTemp68: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp67) as usize] };
			let mut iTemp69: i32 = i32::wrapping_sub(1, self.iVec0[1]);
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst7 } else { self.iRec22[1] };
			self.iRec23[0] = if (iTemp2 as i32 != 0) { self.iConst8 } else { self.iRec23[1] };
			let mut iTemp70: i32 = i32::wrapping_sub(self.iRec23[0], self.iRec22[0]);
			let mut fTemp71: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp70)) as F32) / self.fConst6));
			self.iRec24[0] = if (iTemp2 as i32 != 0) { self.iConst11 } else { self.iRec24[1] };
			let mut iTemp72: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec24[0]);
			let mut fTemp73: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp72)) as F32) / self.fConst10));
			let mut fTemp74: F32 = fTemp73 + fTemp71;
			self.iRec26[0] = if (iTemp2 as i32 != 0) { self.iConst13 } else { self.iRec26[1] };
			let mut iTemp75: i32 = i32::wrapping_sub(self.iRec26[0], self.iRec23[0]);
			let mut fTemp76: F32 = F32::max(1.0, self.fConst9 * (((i32::abs(iTemp75)) as F32) / self.fConst12));
			let mut fTemp77: F32 = fTemp74 + fTemp76;
			self.fRec25[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp77, self.fRec25[1] + 1.0) };
			let mut iTemp78: i32 = ((self.fRec25[0] < fTemp74) as i32);
			let mut fTemp79: F32 = (self.fRec25[0] - fTemp74) / fTemp76;
			let mut fTemp80: F32 = ((self.iRec23[0]) as F32);
			let mut iTemp81: i32 = ((self.fRec25[0] < fTemp73) as i32);
			let mut fTemp82: F32 = (self.fRec25[0] - fTemp73) / fTemp71;
			let mut fTemp83: F32 = ((self.iRec22[0]) as F32);
			let mut fTemp84: F32 = self.fRec25[0] / fTemp73;
			let mut fTemp85: F32 = ((self.iRec24[0]) as F32);
			let mut fTemp86: F32 = 15.996094 * (0.4 * if (iTemp78 as i32 != 0) { if (iTemp81 as i32 != 0) { if (((self.fRec25[0] < 0.0) as i32) as i32 != 0) { fTemp85 } else { if (iTemp81 as i32 != 0) { fTemp85 + ((iTemp72) as F32) * if (((self.iRec22[0] > self.iRec24[0]) as i32) as i32 != 0) { F32::powf(fTemp84, 0.33333334) } else { fTemp84 } } else { fTemp83 } } } else { if (iTemp78 as i32 != 0) { fTemp83 + ((iTemp70) as F32) * if (((self.iRec23[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp82, 0.33333334) } else { fTemp82 } } else { fTemp80 } } } else { if (((self.fRec25[0] < fTemp77) as i32) as i32 != 0) { fTemp80 + ((iTemp75) as F32) * if (((self.iRec26[0] > self.iRec23[0]) as i32) as i32 != 0) { F32::powf(fTemp79, 0.33333334) } else { fTemp79 } } else { ((self.iRec26[0]) as F32) } } + 128.0);
			let mut iTemp87: i32 = ((fTemp86) as i32);
			let mut fTemp88: F32 = unsafe { ftbl3DSP_Tom2SIG3[(iTemp87) as usize] };
			let mut fTemp89: F32 = fTemp88 + (fTemp86 - ((iTemp87) as F32)) * (unsafe { ftbl3DSP_Tom2SIG3[(i32::wrapping_add(iTemp87, 1)) as usize] } - fTemp88);
			let mut fTemp90: F32 = fSlow20 * fTemp89;
			let mut fTemp91: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec20[1] + fSlow21 * fTemp90 };
			self.fRec20[0] = fTemp91 - F32::floor(fTemp91);
			self.fRec16[0] = 0.115 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec20[0] + 20.869566 * self.fRec16[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp68 + (fTemp66 - ((iTemp67) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp67, 1)) as usize] } - fTemp68));
			let mut fTemp92: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec27[1] + fSlow26 * fTemp89 * fSlow25 };
			self.fRec27[0] = fTemp92 - F32::floor(fTemp92);
			let mut fTemp93: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec28[1] + fSlow31 * fTemp89 * fSlow30 };
			self.fRec28[0] = fTemp93 - F32::floor(fTemp93);
			let mut fTemp94: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec29[1] + fSlow32 * fTemp90 };
			self.fRec29[0] = fTemp94 - F32::floor(fTemp94);
			let mut fTemp95: F32 = 0.5714286 * fTemp3;
			let mut fTemp96: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 99.0));
			let mut fTemp97: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp96) * (fTemp96 + 28.0);
			self.fRec30[0] = if (iTemp2 as i32 != 0) { fTemp97 + 4064.0 } else { self.fRec30[1] };
			self.fRec31[0] = if (iTemp2 as i32 != 0) { fTemp97 + 2368.0 } else { self.fRec31[1] };
			let mut fTemp98: F32 = self.fRec31[0] - self.fRec30[0];
			let mut fTemp99: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp98) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 37.5) as i32)) as usize] } * if (((fTemp98 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec30[0])) + 2.0) } else { 0.96 }))));
			self.fRec32[0] = if (iTemp2 as i32 != 0) { fTemp97 } else { self.fRec32[1] };
			let mut fTemp100: F32 = F32::max(5076.0, self.fRec32[0]);
			let mut fTemp101: F32 = self.fRec30[0] - fTemp100;
			let mut fTemp102: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp101) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 94.5) as i32)) as usize] } * if (((fTemp101 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp100)) + 2.0) } else { 0.96 }))));
			let mut fTemp103: F32 = fTemp102 + fTemp99;
			let mut fTemp104: F32 = self.fRec32[0] - self.fRec31[0];
			let mut fTemp105: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp104) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec6[0] + 57.5) as i32)) as usize] } * if (((fTemp104 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp106: F32 = fTemp103 + fTemp105;
			self.fRec33[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp106, self.fRec33[1] + 1.0) };
			let mut iTemp107: i32 = ((self.fRec33[0] < fTemp103) as i32);
			let mut fTemp108: F32 = (self.fRec33[0] - fTemp103) / fTemp105;
			let mut iTemp109: i32 = ((self.fRec33[0] < fTemp102) as i32);
			let mut fTemp110: F32 = (self.fRec33[0] - fTemp102) / fTemp99;
			let mut fTemp111: F32 = self.fRec33[0] / fTemp102;
			let mut fTemp112: F32 = if (iTemp107 as i32 != 0) { if (iTemp109 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp100 } else { if (iTemp109 as i32 != 0) { fTemp100 + fTemp101 * if (((self.fRec30[0] > fTemp100) as i32) as i32 != 0) { F32::powf(fTemp111, 0.33333334) } else { fTemp111 } } else { self.fRec30[0] } } } else { if (iTemp107 as i32 != 0) { self.fRec30[0] + fTemp98 * if (((self.fRec31[0] > self.fRec30[0]) as i32) as i32 != 0) { F32::powf(fTemp110, 0.33333334) } else { fTemp110 } } else { self.fRec31[0] } } } else { if (((self.fRec33[0] < fTemp106) as i32) as i32 != 0) { self.fRec31[0] + fTemp104 * if (((self.fRec32[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp108, 0.33333334) } else { fTemp108 } } else { self.fRec32[0] } };
			let mut iTemp113: i32 = ((fTemp112) as i32);
			let mut fTemp114: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp113) as usize] };
			let mut fTemp115: F32 = F32::max(0.0, F32::min(127.0, fTemp95 + 69.0));
			let mut fTemp116: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp115) * (fTemp115 + 28.0);
			self.fRec34[0] = if (iTemp2 as i32 != 0) { fTemp116 + 2464.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { fTemp116 + 4064.0 } else { self.fRec35[1] };
			let mut fTemp117: F32 = self.fRec35[0] - self.fRec34[0];
			self.fRec36[0] = if (iTemp2 as i32 != 0) { fSlow33 } else { self.fRec36[1] };
			let mut fTemp118: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp117) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 97.5) as i32)) as usize] } * if (((fTemp117 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec37[0] = if (iTemp2 as i32 != 0) { fTemp116 } else { self.fRec37[1] };
			let mut fTemp119: F32 = F32::max(5076.0, self.fRec37[0]);
			let mut fTemp120: F32 = self.fRec34[0] - fTemp119;
			let mut fTemp121: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp120) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 63.5) as i32)) as usize] } * if (((fTemp120 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp119)) + 2.0) } else { 0.96 }))));
			let mut fTemp122: F32 = fTemp121 + fTemp118;
			let mut fTemp123: F32 = self.fRec37[0] - self.fRec35[0];
			let mut fTemp124: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp123) / (unsafe { ftbl1DSP_Tom2SIG1[(((self.fRec36[0] + 54.5) as i32)) as usize] } * if (((fTemp123 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp125: F32 = fTemp122 + fTemp124;
			self.fRec38[0] = if (iTemp14 as i32 != 0) { 0.0 } else { F32::min(fTemp125, self.fRec38[1] + 1.0) };
			let mut iTemp126: i32 = ((self.fRec38[0] < fTemp122) as i32);
			let mut fTemp127: F32 = (self.fRec38[0] - fTemp122) / fTemp124;
			let mut iTemp128: i32 = ((self.fRec38[0] < fTemp121) as i32);
			let mut fTemp129: F32 = (self.fRec38[0] - fTemp121) / fTemp118;
			let mut fTemp130: F32 = self.fRec38[0] / fTemp121;
			let mut fTemp131: F32 = if (iTemp126 as i32 != 0) { if (iTemp128 as i32 != 0) { if (((self.fRec38[0] < 0.0) as i32) as i32 != 0) { fTemp119 } else { if (iTemp128 as i32 != 0) { fTemp119 + fTemp120 * if (((self.fRec34[0] > fTemp119) as i32) as i32 != 0) { F32::powf(fTemp130, 0.33333334) } else { fTemp130 } } else { self.fRec34[0] } } } else { if (iTemp126 as i32 != 0) { self.fRec34[0] + fTemp117 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp129, 0.33333334) } else { fTemp129 } } else { self.fRec35[0] } } } else { if (((self.fRec38[0] < fTemp125) as i32) as i32 != 0) { self.fRec35[0] + fTemp123 * if (((self.fRec37[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp127, 0.33333334) } else { fTemp127 } } else { self.fRec37[0] } };
			let mut iTemp132: i32 = ((fTemp131) as i32);
			let mut fTemp133: F32 = unsafe { ftbl0DSP_Tom2SIG0[(iTemp132) as usize] };
			let mut fTemp134: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec39[1] + fSlow34 * fTemp90 };
			self.fRec39[0] = fTemp134 - F32::floor(fTemp134);
			let mut fTemp135: F32 = if (iTemp69 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow35 * fTemp90 };
			self.fRec40[0] = fTemp135 - F32::floor(fTemp135);
			let mut fTemp136: F32 = unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * self.fRec39[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp133 + (fTemp131 - ((iTemp132) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp132, 1)) as usize] } - fTemp133)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp114 + (fTemp112 - ((iTemp113) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp113, 1)) as usize] } - fTemp114)) + unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec29[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec28[0] + 2.0 * unsafe { ftbl2DSP_Tom2SIG2[(((1024.0 * (self.fRec27[0] + 17.391304 * self.fRec16[0] + 1e+01)) as i32) % 1024) as usize] } * (fTemp51 + (fTemp49 - ((iTemp50) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp50, 1)) as usize] } - fTemp51)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp36 + (fTemp34 - ((iTemp35) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp35, 1)) as usize] } - fTemp36)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp21 + (fTemp19 - ((iTemp20) as F32)) * (unsafe { ftbl0DSP_Tom2SIG0[(i32::wrapping_add(iTemp20, 1)) as usize] } - fTemp21));
			self.fVec3[0] = fTemp136;
			self.fRec0[0] = 0.115 * (self.fConst20 * fTemp136 + self.fConst21 * self.fVec3[1]) - self.fConst4 * self.fRec0[1];
			*output0 = fSlow38 * self.fRec0[0];
			*output1 = fSlow39 * self.fRec0[0];
			*output2 = fSlow40 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec9[1] = self.fRec9[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.fRec19[1] = self.fRec19[0];
			self.iRec22[1] = self.iRec22[0];
			self.iRec23[1] = self.iRec23[0];
			self.iRec24[1] = self.iRec24[0];
			self.iRec26[1] = self.iRec26[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec20[1] = self.fRec20[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
