// Optimized
/* ------------------------------------------------------------
name: "main"
Code generated with Faust 2.59.6 (https://faust.grame.fr)
Compilation options: -a arch.rs -lang rust -ct 0 -cn DSP_Tom3 -pn processTom3 -dtl 65536 -es 1 -mcd 16 -single -ftz 0
------------------------------------------------------------ */
/*
   ┏━━━┓╱╱╱╱╱┏┓╱╱┏┓╱╱╱╱╱┏┓╱╱
   ┃┏━┓┃╱╱╱╱╱┃┃╱╱┃┃╱╱╱╱╱┃┃╱╱╱
   ┃┗━┛┣┓┏┳━━┫┃┏┓┃┃╱╱┏━━┫┗━┳━━┓
   ┃┏━━┫┃┃┃┏┓┃┗┛┃┃┃╱┏┫┏┓┃┏┓┃━━┫
   ┃┃╱╱┃┗┛┃┃┃┃┏┓┃┃┗━┛┃┏┓┃┗┛┣━━┃
   ┗┛╱╱┗━━┻┛┗┻┛┗┛┗━━━┻┛┗┻━━┻━━┛
    ━━━━━━━━━━━━━━━━━━━━━━━━━━

    Copyright (c) 2022 Punk Labs LLC

    This section is part of OneTrick

    OneTrick is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    OneTrick is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    OneTrick.  If not, see <http://www.gnu.org/licenses/>.
*/

use faust_types::*;




pub struct DSP_Tom3SIG0 {
	iRec1: [i32;2],
}

impl DSP_Tom3SIG0 {
	
	fn get_num_inputsDSP_Tom3SIG0(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom3SIG0(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom3SIG0(&mut self, sample_rate: i32) {
		for l0 in 0..2 {
			self.iRec1[(l0) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom3SIG0(&mut self, count: i32, table: &mut[F32]) {
		for i1 in 0..count {
			self.iRec1[0] = i32::wrapping_add(self.iRec1[1], 1);
			let mut fTemp0: F32 = ((i32::wrapping_add(self.iRec1[0], -1)) as F32);
			table[(i1) as usize] = F32::max(0.0, F32::min(2.0, F32::powf(1e+01, 0.05 * (0.0 - 0.0235 * (8096.0 - fTemp0))))) * (((((7.2e+03 - fTemp0) < 3824.0) as i32)) as F32);
			self.iRec1[1] = self.iRec1[0];
		}
	}

}


pub fn newDSP_Tom3SIG0() -> DSP_Tom3SIG0 { 
	DSP_Tom3SIG0 {
		iRec1: [0;2],
	}
}

pub struct DSP_Tom3SIG1 {
	iRec5: [i32;2],
}

impl DSP_Tom3SIG1 {
	
	fn get_num_inputsDSP_Tom3SIG1(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom3SIG1(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom3SIG1(&mut self, sample_rate: i32) {
		for l6 in 0..2 {
			self.iRec5[(l6) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom3SIG1(&mut self, count: i32, table: &mut[F32]) {
		for i2 in 0..count {
			self.iRec5[0] = i32::wrapping_add(self.iRec5[1], 1);
			table[(i2) as usize] = 0.2819 * F32::powf(2.0, 0.16 * ((i32::wrapping_add(self.iRec5[0], -1)) as F32));
			self.iRec5[1] = self.iRec5[0];
		}
	}

}


pub fn newDSP_Tom3SIG1() -> DSP_Tom3SIG1 { 
	DSP_Tom3SIG1 {
		iRec5: [0;2],
	}
}

pub struct DSP_Tom3SIG2 {
	iVec2: [i32;2],
	iRec9: [i32;2],
}

impl DSP_Tom3SIG2 {
	
	fn get_num_inputsDSP_Tom3SIG2(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom3SIG2(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom3SIG2(&mut self, sample_rate: i32) {
		for l10 in 0..2 {
			self.iVec2[(l10) as usize] = 0;
		}
		for l11 in 0..2 {
			self.iRec9[(l11) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom3SIG2(&mut self, count: i32, table: &mut[F32]) {
		for i3 in 0..count {
			self.iVec2[0] = 1;
			self.iRec9[0] = (i32::wrapping_add(self.iVec2[1], self.iRec9[1])) % 1024;
			table[(i3) as usize] = F32::sin(0.0061359233 * ((self.iRec9[0]) as F32));
			self.iVec2[1] = self.iVec2[0];
			self.iRec9[1] = self.iRec9[0];
		}
	}

}


pub fn newDSP_Tom3SIG2() -> DSP_Tom3SIG2 { 
	DSP_Tom3SIG2 {
		iVec2: [0;2],
		iRec9: [0;2],
	}
}

pub struct DSP_Tom3SIG3 {
	iRec20: [i32;2],
}

impl DSP_Tom3SIG3 {
	
	fn get_num_inputsDSP_Tom3SIG3(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom3SIG3(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom3SIG3(&mut self, sample_rate: i32) {
		for l21 in 0..2 {
			self.iRec20[(l21) as usize] = 0;
		}
	}
	
	fn fillDSP_Tom3SIG3(&mut self, count: i32, table: &mut[F32]) {
		for i4 in 0..count {
			self.iRec20[0] = i32::wrapping_add(self.iRec20[1], 1);
			table[(i4) as usize] = F32::powf(2.0, 0.083333336 * (0.062515266 * ((i32::wrapping_add(self.iRec20[0], -1)) as F32) + -128.0));
			self.iRec20[1] = self.iRec20[0];
		}
	}

}


pub fn newDSP_Tom3SIG3() -> DSP_Tom3SIG3 { 
	DSP_Tom3SIG3 {
		iRec20: [0;2],
	}
}
static mut iDSP_Tom3SIG4Wave0: [i32;100] = [1,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,16,16,17,18,18,19,20,21,22,23,24,25,26,27,28,30,31,33,34,36,37,38,39,41,42,44,46,47,49,51,53,54,56,58,60,62,64,66,68,70,72,74,76,79,82,85,88,91,94,98,102,106,110,115,120,125,130,135,141,147,153,159,165,171,178,185,193,202,211,232,243,254,255];

pub struct DSP_Tom3SIG4 {
	iDSP_Tom3SIG4Wave0_idx: i32,
}

impl DSP_Tom3SIG4 {
	
	fn get_num_inputsDSP_Tom3SIG4(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom3SIG4(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom3SIG4(&mut self, sample_rate: i32) {
		self.iDSP_Tom3SIG4Wave0_idx = 0;
	}
	
	fn fillDSP_Tom3SIG4(&mut self, count: i32, table: &mut[i32]) {
		for i5 in 0..count {
			table[(i5) as usize] = unsafe { iDSP_Tom3SIG4Wave0[(self.iDSP_Tom3SIG4Wave0_idx) as usize] };
			self.iDSP_Tom3SIG4Wave0_idx = (i32::wrapping_add(1, self.iDSP_Tom3SIG4Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Tom3SIG4() -> DSP_Tom3SIG4 { 
	DSP_Tom3SIG4 {
		iDSP_Tom3SIG4Wave0_idx: 0,
	}
}
static mut iDSP_Tom3SIG5Wave0: [i32;100] = [-128,-116,-104,-95,-85,-76,-68,-61,-56,-52,-49,-46,-43,-41,-39,-37,-35,-33,-32,-31,-30,-29,-28,-27,-26,-25,-24,-23,-22,-21,-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,38,40,43,46,49,53,58,65,73,82,92,103,115,127];

pub struct DSP_Tom3SIG5 {
	iDSP_Tom3SIG5Wave0_idx: i32,
}

impl DSP_Tom3SIG5 {
	
	fn get_num_inputsDSP_Tom3SIG5(&self) -> i32 {
		return 0;
	}
	fn get_num_outputsDSP_Tom3SIG5(&self) -> i32 {
		return 1;
	}
	
	fn instance_initDSP_Tom3SIG5(&mut self, sample_rate: i32) {
		self.iDSP_Tom3SIG5Wave0_idx = 0;
	}
	
	fn fillDSP_Tom3SIG5(&mut self, count: i32, table: &mut[i32]) {
		for i6 in 0..count {
			table[(i6) as usize] = unsafe { iDSP_Tom3SIG5Wave0[(self.iDSP_Tom3SIG5Wave0_idx) as usize] };
			self.iDSP_Tom3SIG5Wave0_idx = (i32::wrapping_add(1, self.iDSP_Tom3SIG5Wave0_idx)) % 100;
		}
	}

}


pub fn newDSP_Tom3SIG5() -> DSP_Tom3SIG5 { 
	DSP_Tom3SIG5 {
		iDSP_Tom3SIG5Wave0_idx: 0,
	}
}
static mut ftbl0DSP_Tom3SIG0: [F32;16384] = [0.0;16384];
fn DSP_Tom3_faustpower2_f(value: F32) -> F32 {
	return value * value;
}
static mut ftbl1DSP_Tom3SIG1: [F32;144] = [0.0;144];
static mut ftbl2DSP_Tom3SIG2: [F32;1024] = [0.0;1024];
static mut ftbl3DSP_Tom3SIG3: [F32;4096] = [0.0;4096];
static mut itbl4DSP_Tom3SIG4: [i32;100] = [0;100];
static mut itbl5DSP_Tom3SIG5: [i32;100] = [0;100];

#[cfg_attr(feature = "default-boxed", derive(default_boxed::DefaultBoxed))]
#[repr(C)]
pub struct DSP_Tom3 {
	fEntry0: F32,
	iVec0: [i32;2],
	iVec1: [i32;2],
	fHslider0: F32,
	fRec3: [F32;2],
	fRec2: [F32;2],
	fRec4: [F32;2],
	fHslider1: F32,
	fHslider2: F32,
	fRec6: [F32;2],
	fSampleRate: i32,
	fConst0: F32,
	fRec7: [F32;2],
	fRec8: [F32;2],
	fRec10: [F32;2],
	fRec11: [F32;2],
	fRec12: [F32;2],
	fConst1: F32,
	fRec13: [F32;2],
	fRec14: [F32;2],
	fRec15: [F32;2],
	fRec16: [F32;2],
	fRec17: [F32;2],
	fRec18: [F32;2],
	fConst2: F32,
	iConst3: i32,
	iRec21: [i32;2],
	iConst4: i32,
	iRec22: [i32;2],
	fConst5: F32,
	fConst6: F32,
	fRec23: [F32;2],
	fConst7: F32,
	fRec19: [F32;2],
	fConst9: F32,
	fRec24: [F32;2],
	fConst10: F32,
	fRec25: [F32;2],
	fRec27: [F32;2],
	fRec28: [F32;2],
	fRec29: [F32;2],
	fRec30: [F32;2],
	fRec31: [F32;2],
	fRec32: [F32;2],
	fRec33: [F32;2],
	fRec34: [F32;2],
	fRec35: [F32;2],
	fRec36: [F32;2],
	fRec37: [F32;2],
	fConst11: F32,
	fRec38: [F32;2],
	fConst13: F32,
	fRec39: [F32;2],
	fConst14: F32,
	fRec40: [F32;2],
	fRec26: [F32;2],
	fVec3: [F32;2],
	fConst16: F32,
	fConst17: F32,
	fConst19: F32,
	fConst20: F32,
	fRec0: [F32;2],
	fHslider3: F32,
	fHslider4: F32,
	fHslider5: F32,
}

impl FaustDsp for DSP_Tom3 {
	type T = F32;
		
	fn new() -> DSP_Tom3 { 
		DSP_Tom3 {
			fEntry0: 0.0,
			iVec0: [0;2],
			iVec1: [0;2],
			fHslider0: 0.0,
			fRec3: [0.0;2],
			fRec2: [0.0;2],
			fRec4: [0.0;2],
			fHslider1: 0.0,
			fHslider2: 0.0,
			fRec6: [0.0;2],
			fSampleRate: 0,
			fConst0: 0.0,
			fRec7: [0.0;2],
			fRec8: [0.0;2],
			fRec10: [0.0;2],
			fRec11: [0.0;2],
			fRec12: [0.0;2],
			fConst1: 0.0,
			fRec13: [0.0;2],
			fRec14: [0.0;2],
			fRec15: [0.0;2],
			fRec16: [0.0;2],
			fRec17: [0.0;2],
			fRec18: [0.0;2],
			fConst2: 0.0,
			iConst3: 0,
			iRec21: [0;2],
			iConst4: 0,
			iRec22: [0;2],
			fConst5: 0.0,
			fConst6: 0.0,
			fRec23: [0.0;2],
			fConst7: 0.0,
			fRec19: [0.0;2],
			fConst9: 0.0,
			fRec24: [0.0;2],
			fConst10: 0.0,
			fRec25: [0.0;2],
			fRec27: [0.0;2],
			fRec28: [0.0;2],
			fRec29: [0.0;2],
			fRec30: [0.0;2],
			fRec31: [0.0;2],
			fRec32: [0.0;2],
			fRec33: [0.0;2],
			fRec34: [0.0;2],
			fRec35: [0.0;2],
			fRec36: [0.0;2],
			fRec37: [0.0;2],
			fConst11: 0.0,
			fRec38: [0.0;2],
			fConst13: 0.0,
			fRec39: [0.0;2],
			fConst14: 0.0,
			fRec40: [0.0;2],
			fRec26: [0.0;2],
			fVec3: [0.0;2],
			fConst16: 0.0,
			fConst17: 0.0,
			fConst19: 0.0,
			fConst20: 0.0,
			fRec0: [0.0;2],
			fHslider3: 0.0,
			fHslider4: 0.0,
			fHslider5: 0.0,
		}
	}
	fn metadata(&self, m: &mut dyn Meta) { 
		m.declare("basics.lib/name", "Faust Basic Element Library");
		m.declare("basics.lib/sAndH:author", "Romain Michon");
		m.declare("basics.lib/tabulate:author", "Stephane Letz");
		m.declare("basics.lib/tabulateNd", "Copyright (C) 2023 Bart Brouns <bart@magnetophon.nl>");
		m.declare("basics.lib/version", "0.10");
		m.declare("compile_options", "-a arch.rs -lang rust -ct 0 -cn DSP_Tom3 -pn processTom3 -dtl 65536 -es 1 -mcd 16 -single -ftz 0");
		m.declare("filename", "main.dsp");
		m.declare("filters.lib/highpass:author", "Julius O. Smith III");
		m.declare("filters.lib/highpass:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/lowpass0_highpass1:author", "Julius O. Smith III");
		m.declare("filters.lib/name", "Faust Filters Library");
		m.declare("filters.lib/tf1:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/tf1s:author", "Julius O. Smith III");
		m.declare("filters.lib/tf1s:copyright", "Copyright (C) 2003-2019 by Julius O. Smith III <jos@ccrma.stanford.edu>");
		m.declare("filters.lib/tf1s:license", "MIT-style STK-4.3 license");
		m.declare("filters.lib/version", "0.3");
		m.declare("interpolators.lib/interpolate_linear:author", "Stéphane Letz");
		m.declare("interpolators.lib/interpolate_linear:licence", "MIT");
		m.declare("interpolators.lib/name", "Faust Interpolator Library");
		m.declare("interpolators.lib/version", "0.3");
		m.declare("maths.lib/author", "GRAME");
		m.declare("maths.lib/copyright", "GRAME");
		m.declare("maths.lib/license", "LGPL with exception");
		m.declare("maths.lib/name", "Faust Math Library");
		m.declare("maths.lib/version", "2.6");
		m.declare("name", "main");
		m.declare("oscillators.lib/name", "Faust Oscillator Library");
		m.declare("oscillators.lib/version", "0.4");
		m.declare("platform.lib/name", "Generic Platform Library");
		m.declare("platform.lib/version", "0.3");
		m.declare("signals.lib/name", "Faust Signal Routing Library");
		m.declare("signals.lib/version", "0.3");
	}

	fn get_sample_rate(&self) -> i32 {
		return self.fSampleRate;
	}
	fn get_num_inputs(&self) -> i32 {
		return 0;
	}
	fn get_num_outputs(&self) -> i32 {
		return 3;
	}
	
	fn class_init(sample_rate: i32) {
		let mut sig0: DSP_Tom3SIG0 = newDSP_Tom3SIG0();
		sig0.instance_initDSP_Tom3SIG0(sample_rate);
		sig0.fillDSP_Tom3SIG0(16384, unsafe { &mut ftbl0DSP_Tom3SIG0 });
		let mut sig1: DSP_Tom3SIG1 = newDSP_Tom3SIG1();
		sig1.instance_initDSP_Tom3SIG1(sample_rate);
		sig1.fillDSP_Tom3SIG1(144, unsafe { &mut ftbl1DSP_Tom3SIG1 });
		let mut sig2: DSP_Tom3SIG2 = newDSP_Tom3SIG2();
		sig2.instance_initDSP_Tom3SIG2(sample_rate);
		sig2.fillDSP_Tom3SIG2(1024, unsafe { &mut ftbl2DSP_Tom3SIG2 });
		let mut sig3: DSP_Tom3SIG3 = newDSP_Tom3SIG3();
		sig3.instance_initDSP_Tom3SIG3(sample_rate);
		sig3.fillDSP_Tom3SIG3(4096, unsafe { &mut ftbl3DSP_Tom3SIG3 });
		let mut sig4: DSP_Tom3SIG4 = newDSP_Tom3SIG4();
		sig4.instance_initDSP_Tom3SIG4(sample_rate);
		sig4.fillDSP_Tom3SIG4(100, unsafe { &mut itbl4DSP_Tom3SIG4 });
		let mut sig5: DSP_Tom3SIG5 = newDSP_Tom3SIG5();
		sig5.instance_initDSP_Tom3SIG5(sample_rate);
		sig5.fillDSP_Tom3SIG5(100, unsafe { &mut itbl5DSP_Tom3SIG5 });
	}
	fn instance_reset_params(&mut self) {
		self.fEntry0 = 0.0;
		self.fHslider0 = 0.0;
		self.fHslider1 = 36.0;
		self.fHslider2 = 0.0;
		self.fHslider3 = 0.0;
		self.fHslider4 = 0.0;
		self.fHslider5 = 2e+01;
	}
	fn instance_clear(&mut self) {
		for l1 in 0..2 {
			self.iVec0[(l1) as usize] = 0;
		}
		for l2 in 0..2 {
			self.iVec1[(l2) as usize] = 0;
		}
		for l3 in 0..2 {
			self.fRec3[(l3) as usize] = 0.0;
		}
		for l4 in 0..2 {
			self.fRec2[(l4) as usize] = 0.0;
		}
		for l5 in 0..2 {
			self.fRec4[(l5) as usize] = 0.0;
		}
		for l7 in 0..2 {
			self.fRec6[(l7) as usize] = 0.0;
		}
		for l8 in 0..2 {
			self.fRec7[(l8) as usize] = 0.0;
		}
		for l9 in 0..2 {
			self.fRec8[(l9) as usize] = 0.0;
		}
		for l12 in 0..2 {
			self.fRec10[(l12) as usize] = 0.0;
		}
		for l13 in 0..2 {
			self.fRec11[(l13) as usize] = 0.0;
		}
		for l14 in 0..2 {
			self.fRec12[(l14) as usize] = 0.0;
		}
		for l15 in 0..2 {
			self.fRec13[(l15) as usize] = 0.0;
		}
		for l16 in 0..2 {
			self.fRec14[(l16) as usize] = 0.0;
		}
		for l17 in 0..2 {
			self.fRec15[(l17) as usize] = 0.0;
		}
		for l18 in 0..2 {
			self.fRec16[(l18) as usize] = 0.0;
		}
		for l19 in 0..2 {
			self.fRec17[(l19) as usize] = 0.0;
		}
		for l20 in 0..2 {
			self.fRec18[(l20) as usize] = 0.0;
		}
		for l22 in 0..2 {
			self.iRec21[(l22) as usize] = 0;
		}
		for l23 in 0..2 {
			self.iRec22[(l23) as usize] = 0;
		}
		for l24 in 0..2 {
			self.fRec23[(l24) as usize] = 0.0;
		}
		for l25 in 0..2 {
			self.fRec19[(l25) as usize] = 0.0;
		}
		for l26 in 0..2 {
			self.fRec24[(l26) as usize] = 0.0;
		}
		for l27 in 0..2 {
			self.fRec25[(l27) as usize] = 0.0;
		}
		for l28 in 0..2 {
			self.fRec27[(l28) as usize] = 0.0;
		}
		for l29 in 0..2 {
			self.fRec28[(l29) as usize] = 0.0;
		}
		for l30 in 0..2 {
			self.fRec29[(l30) as usize] = 0.0;
		}
		for l31 in 0..2 {
			self.fRec30[(l31) as usize] = 0.0;
		}
		for l32 in 0..2 {
			self.fRec31[(l32) as usize] = 0.0;
		}
		for l33 in 0..2 {
			self.fRec32[(l33) as usize] = 0.0;
		}
		for l34 in 0..2 {
			self.fRec33[(l34) as usize] = 0.0;
		}
		for l35 in 0..2 {
			self.fRec34[(l35) as usize] = 0.0;
		}
		for l36 in 0..2 {
			self.fRec35[(l36) as usize] = 0.0;
		}
		for l37 in 0..2 {
			self.fRec36[(l37) as usize] = 0.0;
		}
		for l38 in 0..2 {
			self.fRec37[(l38) as usize] = 0.0;
		}
		for l39 in 0..2 {
			self.fRec38[(l39) as usize] = 0.0;
		}
		for l40 in 0..2 {
			self.fRec39[(l40) as usize] = 0.0;
		}
		for l41 in 0..2 {
			self.fRec40[(l41) as usize] = 0.0;
		}
		for l42 in 0..2 {
			self.fRec26[(l42) as usize] = 0.0;
		}
		for l43 in 0..2 {
			self.fVec3[(l43) as usize] = 0.0;
		}
		for l44 in 0..2 {
			self.fRec0[(l44) as usize] = 0.0;
		}
	}
	fn instance_constants(&mut self, sample_rate: i32) {
		self.fSampleRate = sample_rate;
		self.fConst0 = F32::min(1.92e+05, F32::max(1.0, ((self.fSampleRate) as F32)));
		self.fConst1 = F32::max(1.0, 0.001 * self.fConst0);
		self.fConst2 = ((unsafe { itbl4DSP_Tom3SIG4[29] }) as F32);
		self.iConst3 = unsafe { itbl5DSP_Tom3SIG5[52] };
		self.iConst4 = unsafe { itbl5DSP_Tom3SIG5[50] };
		self.fConst5 = 0.64285713 * self.fConst0;
		self.fConst6 = ((unsafe { itbl4DSP_Tom3SIG4[75] }) as F32);
		self.fConst7 = 814.0 / self.fConst0;
		let mut fConst8: F32 = unsafe { ftbl3DSP_Tom3SIG3[2315] };
		self.fConst9 = 1.0 / self.fConst0 * (fConst8 + 0.3072414 * (unsafe { ftbl3DSP_Tom3SIG3[2316] } - fConst8));
		self.fConst10 = 332.2 / self.fConst0;
		self.fConst11 = 385.0 / self.fConst0;
		let mut fConst12: F32 = unsafe { ftbl3DSP_Tom3SIG3[2474] };
		self.fConst13 = 1e+02 / self.fConst0 * (fConst12 + 0.71631366 * (unsafe { ftbl3DSP_Tom3SIG3[2475] } - fConst12));
		self.fConst14 = 734.8 / self.fConst0;
		let mut fConst15: F32 = F32::tan(62.831852 / self.fConst0);
		self.fConst16 = 1.0 / fConst15;
		self.fConst17 = 1.0 - self.fConst16;
		let mut fConst18: F32 = self.fConst16 + 1.0;
		self.fConst19 = 1.0 / fConst18;
		self.fConst20 = 0.0 - 1.0 / (fConst15 * fConst18);
	}
	fn instance_init(&mut self, sample_rate: i32) {
		self.instance_constants(sample_rate);
		self.instance_reset_params();
		self.instance_clear();
	}
	fn init(&mut self, sample_rate: i32) {
		DSP_Tom3::class_init(sample_rate);
		self.instance_init(sample_rate);
	}
	
	fn build_user_interface(&self, ui_interface: &mut dyn UI<Self::T>) {
		Self::build_user_interface_static(ui_interface);
	}
	
	fn build_user_interface_static(ui_interface: &mut dyn UI<Self::T>) {
		ui_interface.open_vertical_box("main");
		ui_interface.add_num_entry("Trigger", ParamIndex(0), 0.0, 0.0, 1.0, 0.01);
		ui_interface.declare(Some(ParamIndex(1)), "1", "");
		ui_interface.declare(Some(ParamIndex(1)), "export", "Gain");
		ui_interface.declare(Some(ParamIndex(1)), "unit", "dB");
		ui_interface.add_horizontal_slider("Voice_Gain", ParamIndex(1), 0.0, -1e+02, 6.0, 0.1);
		ui_interface.declare(Some(ParamIndex(2)), "2", "");
		ui_interface.declare(Some(ParamIndex(2)), "export", "Pan");
		ui_interface.declare(Some(ParamIndex(2)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Pan", ParamIndex(2), 0.0, -1e+02, 1e+02, 0.01);
		ui_interface.declare(Some(ParamIndex(3)), "4", "");
		ui_interface.declare(Some(ParamIndex(3)), "export", "Transpose");
		ui_interface.declare(Some(ParamIndex(3)), "unit", "st");
		ui_interface.add_horizontal_slider("Voice_Transpose", ParamIndex(3), 0.0, -12.0, 12.0, 0.01);
		ui_interface.declare(Some(ParamIndex(4)), "8", "");
		ui_interface.declare(Some(ParamIndex(4)), "export", "Reverb");
		ui_interface.declare(Some(ParamIndex(4)), "unit", "%");
		ui_interface.add_horizontal_slider("Voice_Reverb", ParamIndex(4), 2e+01, 0.0, 1e+02, 0.01);
		ui_interface.add_horizontal_slider("gain", ParamIndex(5), 0.0, 0.0, 1.0, 0.01);
		ui_interface.add_horizontal_slider("key", ParamIndex(6), 36.0, 0.0, 127.0, 1.0);
		ui_interface.close_box();
	}
	
	fn get_param(&self, param: ParamIndex) -> Option<Self::T> {
		match param.0 {
			0 => Some(self.fEntry0),
			5 => Some(self.fHslider0),
			6 => Some(self.fHslider1),
			3 => Some(self.fHslider2),
			2 => Some(self.fHslider3),
			1 => Some(self.fHslider4),
			4 => Some(self.fHslider5),
			_ => None,
		}
	}
	
	fn set_param(&mut self, param: ParamIndex, value: Self::T) {
		match param.0 {
			0 => { self.fEntry0 = value }
			5 => { self.fHslider0 = value }
			6 => { self.fHslider1 = value }
			3 => { self.fHslider2 = value }
			2 => { self.fHslider3 = value }
			1 => { self.fHslider4 = value }
			4 => { self.fHslider5 = value }
			_ => {}
		}
	}
	
	fn compute(&mut self, count: i32, inputs: &[&[Self::T]], outputs: &mut[&mut[Self::T]]) {
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx2") {
            // Use specialized avx2 version and return
            unsafe { self.compute_x86_or_x86_64_using_avx2(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("avx") {
            // Use specialized avx version and return
            unsafe { self.compute_x86_or_x86_64_using_avx(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse4.1") {
            // Use specialized sse4.1 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse4_1(count, inputs, outputs); }
            return;
        }
        #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
        if is_x86_feature_detected!("sse3") {
            // Use specialized sse3 version and return
            unsafe { self.compute_x86_or_x86_64_using_sse3(count, inputs, outputs); }
            return;
        }
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.33333334 * (fSlow3 + 4.7) + 1.0;
		let mut fSlow5: F32 = 0.2857143 * fSlow4;
		let mut fSlow6: F32 = 0.71428573 * fSlow4;
		let mut fSlow7: F32 = 0.14285715 * fSlow4;
		let mut fSlow8: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow9: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow8, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow10: i32 = ((fSlow9) as i32);
		let mut fSlow11: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iSlow10) as usize] };
		let mut fSlow12: F32 = fSlow11 + (fSlow9 - ((iSlow10) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iSlow10, 1)) as usize] } - fSlow11);
		let mut fSlow13: F32 = self.fConst7 * fSlow8;
		let mut fSlow14: F32 = self.fConst10 * fSlow8;
		let mut fSlow15: F32 = 0.42857143 * fSlow4;
		let mut fSlow16: F32 = self.fConst11 * fSlow8;
		let mut fSlow17: F32 = self.fConst14 * fSlow8;
		let mut fSlow18: F32 = 0.01 * self.fHslider3;
		let mut fSlow19: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 1.5));
		let mut fSlow20: F32 = fSlow19 * F32::min(1.0, 1.0 - fSlow18);
		let mut fSlow21: F32 = fSlow19 * F32::min(1.0, fSlow18 + 1.0);
		let mut fSlow22: F32 = 0.01 * self.fHslider5 * fSlow19;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = iSlow1;
			self.iVec1[0] = 1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec0[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom3_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 1.92e+03 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow5 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 49.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 };
			let mut fTemp12: F32 = F32::abs(fTemp10);
			let mut fTemp13: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 84.5) as i32)) as usize] } * fTemp11))));
			let mut fTemp14: F32 = fTemp13 + fTemp8;
			let mut iTemp15: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp16: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp17: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp16) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp16 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp18: F32 = fTemp14 + fTemp17;
			self.fRec8[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp18, self.fRec8[1] + 1.0) };
			let mut iTemp19: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut fTemp20: F32 = (self.fRec8[0] - fTemp14) / fTemp17;
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp13) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp13) / fTemp8;
			let mut iTemp23: i32 = ((self.fRec2[0] > fTemp9) as i32);
			let mut fTemp24: F32 = self.fRec8[0] / fTemp13;
			let mut fTemp25: F32 = if (iTemp19 as i32 != 0) { if (iTemp21 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp21 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec2[0] } } } else { if (iTemp19 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp18) as i32) as i32 != 0) { self.fRec4[0] + fTemp16 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp3 + 89.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp29 + 4064.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fTemp29 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec12[1] };
			let mut fTemp31: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 49.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp32: F32 = F32::max(5076.0, self.fRec11[0]);
			let mut fTemp33: F32 = self.fRec10[0] - fTemp32;
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 82.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp32)) + 2.0) } else { 0.96 }))));
			let mut fTemp35: F32 = fTemp34 + fTemp31;
			self.fRec13[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp35, self.fRec13[1] + 1.0) };
			let mut iTemp36: i32 = ((self.fRec13[0] < fTemp35) as i32);
			let mut iTemp37: i32 = ((self.fRec13[0] < fTemp34) as i32);
			let mut fTemp38: F32 = (self.fRec13[0] - fTemp34) / fTemp31;
			let mut fTemp39: F32 = self.fRec13[0] / fTemp34;
			let mut fTemp40: F32 = if (iTemp36 as i32 != 0) { if (iTemp37 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp32 } else { if (iTemp37 as i32 != 0) { fTemp32 + fTemp33 * if (((self.fRec10[0] > fTemp32) as i32) as i32 != 0) { F32::powf(fTemp39, 0.33333334) } else { fTemp39 } } else { self.fRec10[0] } } } else { if (iTemp36 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec11[0] } } } else { self.fRec11[0] };
			let mut iTemp41: i32 = ((fTemp40) as i32);
			let mut fTemp42: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp41) as usize] };
			let mut fTemp43: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 71.0));
			let mut fTemp44: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp43) * (fTemp43 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp44 + 4e+03 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp44 + 3456.0 } else { self.fRec15[1] };
			let mut fTemp45: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec16[1] };
			let mut fTemp46: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp45) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 85.5) as i32)) as usize] } * if (((fTemp45 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fTemp44 } else { self.fRec17[1] };
			let mut fTemp47: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp48: F32 = self.fRec14[0] - fTemp47;
			let mut fTemp49: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp48) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 76.5) as i32)) as usize] } * if (((fTemp48 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp47)) + 2.0) } else { 0.96 }))));
			let mut fTemp50: F32 = fTemp49 + fTemp46;
			let mut fTemp51: F32 = self.fRec17[0] - self.fRec15[0];
			let mut fTemp52: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp51) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 39.5) as i32)) as usize] } * if (((fTemp51 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp53: F32 = fTemp50 + fTemp52;
			self.fRec18[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp50) as i32);
			let mut fTemp55: F32 = (self.fRec18[0] - fTemp50) / fTemp52;
			let mut iTemp56: i32 = ((self.fRec18[0] < fTemp49) as i32);
			let mut fTemp57: F32 = (self.fRec18[0] - fTemp49) / fTemp46;
			let mut fTemp58: F32 = self.fRec18[0] / fTemp49;
			let mut fTemp59: F32 = if (iTemp54 as i32 != 0) { if (iTemp56 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp47 } else { if (iTemp56 as i32 != 0) { fTemp47 + fTemp48 * if (((self.fRec14[0] > fTemp47) as i32) as i32 != 0) { F32::powf(fTemp58, 0.33333334) } else { fTemp58 } } else { self.fRec14[0] } } } else { if (iTemp54 as i32 != 0) { self.fRec14[0] + fTemp45 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec15[0] } } } else { if (((self.fRec18[0] < fTemp53) as i32) as i32 != 0) { self.fRec15[0] + fTemp51 * if (((self.fRec17[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } };
			let mut iTemp60: i32 = ((fTemp59) as i32);
			let mut fTemp61: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp60) as usize] };
			let mut iTemp62: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec21[0] = if (iTemp2 as i32 != 0) { self.iConst3 } else { self.iRec21[1] };
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst4 } else { self.iRec22[1] };
			let mut iTemp63: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec21[0]);
			let mut fTemp64: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp63)) as F32) / self.fConst2));
			let mut iTemp65: i32 = i32::wrapping_sub(self.iRec21[0], self.iRec22[0]);
			let mut fTemp66: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp65)) as F32) / self.fConst6));
			let mut fTemp67: F32 = fTemp66 + fTemp64;
			self.fRec23[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp67 + 1.0, self.fRec23[1] + 1.0) };
			let mut iTemp68: i32 = ((self.fRec23[0] < fTemp67) as i32);
			let mut fTemp69: F32 = ((self.iRec22[0]) as F32);
			let mut iTemp70: i32 = ((self.fRec23[0] < fTemp66) as i32);
			let mut fTemp71: F32 = (self.fRec23[0] - fTemp66) / fTemp64;
			let mut fTemp72: F32 = ((self.iRec21[0]) as F32);
			let mut fTemp73: F32 = self.fRec23[0] / fTemp66;
			let mut fTemp74: F32 = 15.996094 * (0.4 * if (iTemp68 as i32 != 0) { if (iTemp70 as i32 != 0) { if (((self.fRec23[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp70 as i32 != 0) { fTemp69 + ((iTemp65) as F32) * if (((self.iRec21[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { fTemp72 } } } else { if (iTemp68 as i32 != 0) { fTemp72 + ((iTemp63) as F32) * if (((self.iRec22[0] > self.iRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp71, 0.33333334) } else { fTemp71 } } else { fTemp69 } } } else { fTemp69 } + 128.0);
			let mut iTemp75: i32 = ((fTemp74) as i32);
			let mut fTemp76: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iTemp75) as usize] };
			let mut fTemp77: F32 = fSlow12 * (fTemp76 + (fTemp74 - ((iTemp75) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iTemp75, 1)) as usize] } - fTemp76));
			let mut fTemp78: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec19[1] + fSlow13 * fTemp77 };
			self.fRec19[0] = fTemp78 - F32::floor(fTemp78);
			let mut fTemp79: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst9 };
			self.fRec24[0] = fTemp79 - F32::floor(fTemp79);
			let mut fTemp80: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow14 * fTemp77 };
			self.fRec25[0] = fTemp80 - F32::floor(fTemp80);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec27[1] };
			let mut fTemp81: F32 = self.fRec27[0] - self.fRec2[0];
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fSlow15 } else { self.fRec28[1] };
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 71.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (fTemp11 * unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 94.5) as i32)) as usize] }))));
			let mut fTemp84: F32 = fTemp83 + fTemp82;
			let mut fTemp85: F32 = self.fRec7[0] - self.fRec27[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec29[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec29[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec29[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec29[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec29[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec29[0] - fTemp83) / fTemp82;
			let mut fTemp92: F32 = self.fRec29[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp90 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec2[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec2[0] + fTemp81 * if (((self.fRec27[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec27[0] } } } else { if (((self.fRec29[0] < fTemp87) as i32) as i32 != 0) { self.fRec27[0] + fTemp85 * if (((self.fRec7[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec7[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp94) as usize] };
			self.fRec30[0] = if (iTemp2 as i32 != 0) { 3296.0 } else { self.fRec30[1] };
			let mut fTemp96: F32 = F32::max(5076.0, self.fRec30[0]);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 7.36e+03 } else { self.fRec31[1] };
			let mut fTemp97: F32 = self.fRec31[0] - fTemp96;
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec32[1] };
			let mut fTemp98: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp97) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 83.5) as i32)) as usize] } * if (((fTemp97 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp96)) + 2.0) } else { 0.96 }))));
			let mut fTemp99: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 71.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = self.fConst1 + fTemp98 + fTemp100;
			self.fRec33[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp101, self.fRec33[1] + 1.0) };
			let mut fTemp102: F32 = (self.fRec33[0] - fTemp98 - self.fConst1) / fTemp100;
			let mut iTemp103: i32 = ((self.fRec33[0] < fTemp98) as i32);
			let mut fTemp104: F32 = self.fRec33[0] / fTemp98;
			let mut fTemp105: F32 = if (((self.fRec33[0] < (self.fConst1 + fTemp98)) as i32) as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp96 } else { if (iTemp103 as i32 != 0) { fTemp96 + fTemp97 * if (((self.fRec31[0] > fTemp96) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec31[0] } } } else { self.fRec31[0] } } else { if (((self.fRec33[0] < fTemp101) as i32) as i32 != 0) { self.fRec31[0] + fTemp99 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec30[0] } };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp106) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 8096.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7584.0 } else { self.fRec35[1] };
			let mut fTemp108: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp109: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp108) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp108 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 4032.0 } else { self.fRec36[1] };
			let mut fTemp110: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp111: F32 = self.fRec34[0] - fTemp110;
			let mut fTemp112: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp111) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] } * if (((fTemp111 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp110)) + 2.0) } else { 0.96 }))));
			let mut fTemp113: F32 = fTemp112 + fTemp109;
			let mut fTemp114: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp115: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp114) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] } * if (((fTemp114 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp116: F32 = fTemp113 + fTemp115;
			self.fRec37[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp116, self.fRec37[1] + 1.0) };
			let mut iTemp117: i32 = ((self.fRec37[0] < fTemp113) as i32);
			let mut fTemp118: F32 = (self.fRec37[0] - fTemp113) / fTemp115;
			let mut iTemp119: i32 = ((self.fRec37[0] < fTemp112) as i32);
			let mut fTemp120: F32 = (self.fRec37[0] - fTemp112) / fTemp109;
			let mut fTemp121: F32 = self.fRec37[0] / fTemp112;
			let mut fTemp122: F32 = if (iTemp117 as i32 != 0) { if (iTemp119 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp110 } else { if (iTemp119 as i32 != 0) { fTemp110 + fTemp111 * if (((self.fRec34[0] > fTemp110) as i32) as i32 != 0) { F32::powf(fTemp121, 0.33333334) } else { fTemp121 } } else { self.fRec34[0] } } } else { if (iTemp117 as i32 != 0) { self.fRec34[0] + fTemp108 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp116) as i32) as i32 != 0) { self.fRec35[0] + fTemp114 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp118, 0.33333334) } else { fTemp118 } } else { self.fRec36[0] } };
			let mut iTemp123: i32 = ((fTemp122) as i32);
			let mut fTemp124: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp123) as usize] };
			let mut fTemp125: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp77 };
			self.fRec38[0] = fTemp125 - F32::floor(fTemp125);
			let mut fTemp126: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst13 };
			self.fRec39[0] = fTemp126 - F32::floor(fTemp126);
			let mut fTemp127: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow17 * fTemp77 };
			self.fRec40[0] = fTemp127 - F32::floor(fTemp127);
			self.fRec26[0] = 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec39[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec38[0] + 24.347826 * self.fRec26[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp124 + (fTemp122 - ((iTemp123) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp123, 1)) as usize] } - fTemp124)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95));
			let mut fTemp128: F32 = self.fRec26[0] + 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp61 + (fTemp59 - ((iTemp60) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp60, 1)) as usize] } - fTemp61)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp42 + (fTemp40 - ((iTemp41) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp41, 1)) as usize] } - fTemp42)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27));
			self.fVec3[0] = fTemp128;
			self.fRec0[0] = self.fConst20 * self.fVec3[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * fTemp128);
			*output0 = fSlow20 * self.fRec0[0];
			*output1 = fSlow21 * self.fRec0[0];
			*output2 = fSlow22 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.iRec21[1] = self.iRec21[0];
			self.iRec22[1] = self.iRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec26[1] = self.fRec26[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}

}

impl DSP_Tom3 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse3
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse3")]
	unsafe fn compute_x86_or_x86_64_using_sse3(&mut self, count: i32, inputs: &[&[<DSP_Tom3 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom3 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.33333334 * (fSlow3 + 4.7) + 1.0;
		let mut fSlow5: F32 = 0.2857143 * fSlow4;
		let mut fSlow6: F32 = 0.71428573 * fSlow4;
		let mut fSlow7: F32 = 0.14285715 * fSlow4;
		let mut fSlow8: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow9: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow8, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow10: i32 = ((fSlow9) as i32);
		let mut fSlow11: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iSlow10) as usize] };
		let mut fSlow12: F32 = fSlow11 + (fSlow9 - ((iSlow10) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iSlow10, 1)) as usize] } - fSlow11);
		let mut fSlow13: F32 = self.fConst7 * fSlow8;
		let mut fSlow14: F32 = self.fConst10 * fSlow8;
		let mut fSlow15: F32 = 0.42857143 * fSlow4;
		let mut fSlow16: F32 = self.fConst11 * fSlow8;
		let mut fSlow17: F32 = self.fConst14 * fSlow8;
		let mut fSlow18: F32 = 0.01 * self.fHslider3;
		let mut fSlow19: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 1.5));
		let mut fSlow20: F32 = fSlow19 * F32::min(1.0, 1.0 - fSlow18);
		let mut fSlow21: F32 = fSlow19 * F32::min(1.0, fSlow18 + 1.0);
		let mut fSlow22: F32 = 0.01 * self.fHslider5 * fSlow19;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = iSlow1;
			self.iVec1[0] = 1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec0[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom3_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 1.92e+03 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow5 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 49.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 };
			let mut fTemp12: F32 = F32::abs(fTemp10);
			let mut fTemp13: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 84.5) as i32)) as usize] } * fTemp11))));
			let mut fTemp14: F32 = fTemp13 + fTemp8;
			let mut iTemp15: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp16: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp17: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp16) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp16 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp18: F32 = fTemp14 + fTemp17;
			self.fRec8[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp18, self.fRec8[1] + 1.0) };
			let mut iTemp19: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut fTemp20: F32 = (self.fRec8[0] - fTemp14) / fTemp17;
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp13) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp13) / fTemp8;
			let mut iTemp23: i32 = ((self.fRec2[0] > fTemp9) as i32);
			let mut fTemp24: F32 = self.fRec8[0] / fTemp13;
			let mut fTemp25: F32 = if (iTemp19 as i32 != 0) { if (iTemp21 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp21 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec2[0] } } } else { if (iTemp19 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp18) as i32) as i32 != 0) { self.fRec4[0] + fTemp16 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp3 + 89.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp29 + 4064.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fTemp29 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec12[1] };
			let mut fTemp31: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 49.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp32: F32 = F32::max(5076.0, self.fRec11[0]);
			let mut fTemp33: F32 = self.fRec10[0] - fTemp32;
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 82.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp32)) + 2.0) } else { 0.96 }))));
			let mut fTemp35: F32 = fTemp34 + fTemp31;
			self.fRec13[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp35, self.fRec13[1] + 1.0) };
			let mut iTemp36: i32 = ((self.fRec13[0] < fTemp35) as i32);
			let mut iTemp37: i32 = ((self.fRec13[0] < fTemp34) as i32);
			let mut fTemp38: F32 = (self.fRec13[0] - fTemp34) / fTemp31;
			let mut fTemp39: F32 = self.fRec13[0] / fTemp34;
			let mut fTemp40: F32 = if (iTemp36 as i32 != 0) { if (iTemp37 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp32 } else { if (iTemp37 as i32 != 0) { fTemp32 + fTemp33 * if (((self.fRec10[0] > fTemp32) as i32) as i32 != 0) { F32::powf(fTemp39, 0.33333334) } else { fTemp39 } } else { self.fRec10[0] } } } else { if (iTemp36 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec11[0] } } } else { self.fRec11[0] };
			let mut iTemp41: i32 = ((fTemp40) as i32);
			let mut fTemp42: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp41) as usize] };
			let mut fTemp43: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 71.0));
			let mut fTemp44: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp43) * (fTemp43 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp44 + 4e+03 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp44 + 3456.0 } else { self.fRec15[1] };
			let mut fTemp45: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec16[1] };
			let mut fTemp46: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp45) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 85.5) as i32)) as usize] } * if (((fTemp45 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fTemp44 } else { self.fRec17[1] };
			let mut fTemp47: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp48: F32 = self.fRec14[0] - fTemp47;
			let mut fTemp49: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp48) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 76.5) as i32)) as usize] } * if (((fTemp48 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp47)) + 2.0) } else { 0.96 }))));
			let mut fTemp50: F32 = fTemp49 + fTemp46;
			let mut fTemp51: F32 = self.fRec17[0] - self.fRec15[0];
			let mut fTemp52: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp51) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 39.5) as i32)) as usize] } * if (((fTemp51 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp53: F32 = fTemp50 + fTemp52;
			self.fRec18[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp50) as i32);
			let mut fTemp55: F32 = (self.fRec18[0] - fTemp50) / fTemp52;
			let mut iTemp56: i32 = ((self.fRec18[0] < fTemp49) as i32);
			let mut fTemp57: F32 = (self.fRec18[0] - fTemp49) / fTemp46;
			let mut fTemp58: F32 = self.fRec18[0] / fTemp49;
			let mut fTemp59: F32 = if (iTemp54 as i32 != 0) { if (iTemp56 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp47 } else { if (iTemp56 as i32 != 0) { fTemp47 + fTemp48 * if (((self.fRec14[0] > fTemp47) as i32) as i32 != 0) { F32::powf(fTemp58, 0.33333334) } else { fTemp58 } } else { self.fRec14[0] } } } else { if (iTemp54 as i32 != 0) { self.fRec14[0] + fTemp45 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec15[0] } } } else { if (((self.fRec18[0] < fTemp53) as i32) as i32 != 0) { self.fRec15[0] + fTemp51 * if (((self.fRec17[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } };
			let mut iTemp60: i32 = ((fTemp59) as i32);
			let mut fTemp61: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp60) as usize] };
			let mut iTemp62: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec21[0] = if (iTemp2 as i32 != 0) { self.iConst3 } else { self.iRec21[1] };
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst4 } else { self.iRec22[1] };
			let mut iTemp63: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec21[0]);
			let mut fTemp64: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp63)) as F32) / self.fConst2));
			let mut iTemp65: i32 = i32::wrapping_sub(self.iRec21[0], self.iRec22[0]);
			let mut fTemp66: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp65)) as F32) / self.fConst6));
			let mut fTemp67: F32 = fTemp66 + fTemp64;
			self.fRec23[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp67 + 1.0, self.fRec23[1] + 1.0) };
			let mut iTemp68: i32 = ((self.fRec23[0] < fTemp67) as i32);
			let mut fTemp69: F32 = ((self.iRec22[0]) as F32);
			let mut iTemp70: i32 = ((self.fRec23[0] < fTemp66) as i32);
			let mut fTemp71: F32 = (self.fRec23[0] - fTemp66) / fTemp64;
			let mut fTemp72: F32 = ((self.iRec21[0]) as F32);
			let mut fTemp73: F32 = self.fRec23[0] / fTemp66;
			let mut fTemp74: F32 = 15.996094 * (0.4 * if (iTemp68 as i32 != 0) { if (iTemp70 as i32 != 0) { if (((self.fRec23[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp70 as i32 != 0) { fTemp69 + ((iTemp65) as F32) * if (((self.iRec21[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { fTemp72 } } } else { if (iTemp68 as i32 != 0) { fTemp72 + ((iTemp63) as F32) * if (((self.iRec22[0] > self.iRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp71, 0.33333334) } else { fTemp71 } } else { fTemp69 } } } else { fTemp69 } + 128.0);
			let mut iTemp75: i32 = ((fTemp74) as i32);
			let mut fTemp76: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iTemp75) as usize] };
			let mut fTemp77: F32 = fSlow12 * (fTemp76 + (fTemp74 - ((iTemp75) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iTemp75, 1)) as usize] } - fTemp76));
			let mut fTemp78: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec19[1] + fSlow13 * fTemp77 };
			self.fRec19[0] = fTemp78 - F32::floor(fTemp78);
			let mut fTemp79: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst9 };
			self.fRec24[0] = fTemp79 - F32::floor(fTemp79);
			let mut fTemp80: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow14 * fTemp77 };
			self.fRec25[0] = fTemp80 - F32::floor(fTemp80);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec27[1] };
			let mut fTemp81: F32 = self.fRec27[0] - self.fRec2[0];
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fSlow15 } else { self.fRec28[1] };
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 71.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (fTemp11 * unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 94.5) as i32)) as usize] }))));
			let mut fTemp84: F32 = fTemp83 + fTemp82;
			let mut fTemp85: F32 = self.fRec7[0] - self.fRec27[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec29[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec29[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec29[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec29[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec29[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec29[0] - fTemp83) / fTemp82;
			let mut fTemp92: F32 = self.fRec29[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp90 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec2[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec2[0] + fTemp81 * if (((self.fRec27[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec27[0] } } } else { if (((self.fRec29[0] < fTemp87) as i32) as i32 != 0) { self.fRec27[0] + fTemp85 * if (((self.fRec7[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec7[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp94) as usize] };
			self.fRec30[0] = if (iTemp2 as i32 != 0) { 3296.0 } else { self.fRec30[1] };
			let mut fTemp96: F32 = F32::max(5076.0, self.fRec30[0]);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 7.36e+03 } else { self.fRec31[1] };
			let mut fTemp97: F32 = self.fRec31[0] - fTemp96;
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec32[1] };
			let mut fTemp98: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp97) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 83.5) as i32)) as usize] } * if (((fTemp97 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp96)) + 2.0) } else { 0.96 }))));
			let mut fTemp99: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 71.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = self.fConst1 + fTemp98 + fTemp100;
			self.fRec33[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp101, self.fRec33[1] + 1.0) };
			let mut fTemp102: F32 = (self.fRec33[0] - fTemp98 - self.fConst1) / fTemp100;
			let mut iTemp103: i32 = ((self.fRec33[0] < fTemp98) as i32);
			let mut fTemp104: F32 = self.fRec33[0] / fTemp98;
			let mut fTemp105: F32 = if (((self.fRec33[0] < (self.fConst1 + fTemp98)) as i32) as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp96 } else { if (iTemp103 as i32 != 0) { fTemp96 + fTemp97 * if (((self.fRec31[0] > fTemp96) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec31[0] } } } else { self.fRec31[0] } } else { if (((self.fRec33[0] < fTemp101) as i32) as i32 != 0) { self.fRec31[0] + fTemp99 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec30[0] } };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp106) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 8096.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7584.0 } else { self.fRec35[1] };
			let mut fTemp108: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp109: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp108) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp108 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 4032.0 } else { self.fRec36[1] };
			let mut fTemp110: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp111: F32 = self.fRec34[0] - fTemp110;
			let mut fTemp112: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp111) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] } * if (((fTemp111 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp110)) + 2.0) } else { 0.96 }))));
			let mut fTemp113: F32 = fTemp112 + fTemp109;
			let mut fTemp114: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp115: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp114) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] } * if (((fTemp114 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp116: F32 = fTemp113 + fTemp115;
			self.fRec37[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp116, self.fRec37[1] + 1.0) };
			let mut iTemp117: i32 = ((self.fRec37[0] < fTemp113) as i32);
			let mut fTemp118: F32 = (self.fRec37[0] - fTemp113) / fTemp115;
			let mut iTemp119: i32 = ((self.fRec37[0] < fTemp112) as i32);
			let mut fTemp120: F32 = (self.fRec37[0] - fTemp112) / fTemp109;
			let mut fTemp121: F32 = self.fRec37[0] / fTemp112;
			let mut fTemp122: F32 = if (iTemp117 as i32 != 0) { if (iTemp119 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp110 } else { if (iTemp119 as i32 != 0) { fTemp110 + fTemp111 * if (((self.fRec34[0] > fTemp110) as i32) as i32 != 0) { F32::powf(fTemp121, 0.33333334) } else { fTemp121 } } else { self.fRec34[0] } } } else { if (iTemp117 as i32 != 0) { self.fRec34[0] + fTemp108 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp116) as i32) as i32 != 0) { self.fRec35[0] + fTemp114 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp118, 0.33333334) } else { fTemp118 } } else { self.fRec36[0] } };
			let mut iTemp123: i32 = ((fTemp122) as i32);
			let mut fTemp124: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp123) as usize] };
			let mut fTemp125: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp77 };
			self.fRec38[0] = fTemp125 - F32::floor(fTemp125);
			let mut fTemp126: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst13 };
			self.fRec39[0] = fTemp126 - F32::floor(fTemp126);
			let mut fTemp127: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow17 * fTemp77 };
			self.fRec40[0] = fTemp127 - F32::floor(fTemp127);
			self.fRec26[0] = 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec39[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec38[0] + 24.347826 * self.fRec26[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp124 + (fTemp122 - ((iTemp123) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp123, 1)) as usize] } - fTemp124)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95));
			let mut fTemp128: F32 = self.fRec26[0] + 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp61 + (fTemp59 - ((iTemp60) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp60, 1)) as usize] } - fTemp61)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp42 + (fTemp40 - ((iTemp41) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp41, 1)) as usize] } - fTemp42)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27));
			self.fVec3[0] = fTemp128;
			self.fRec0[0] = self.fConst20 * self.fVec3[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * fTemp128);
			*output0 = fSlow20 * self.fRec0[0];
			*output1 = fSlow21 * self.fRec0[0];
			*output2 = fSlow22 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.iRec21[1] = self.iRec21[0];
			self.iRec22[1] = self.iRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec26[1] = self.fRec26[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom3 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using sse4.1
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "sse4.1")]
	unsafe fn compute_x86_or_x86_64_using_sse4_1(&mut self, count: i32, inputs: &[&[<DSP_Tom3 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom3 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.33333334 * (fSlow3 + 4.7) + 1.0;
		let mut fSlow5: F32 = 0.2857143 * fSlow4;
		let mut fSlow6: F32 = 0.71428573 * fSlow4;
		let mut fSlow7: F32 = 0.14285715 * fSlow4;
		let mut fSlow8: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow9: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow8, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow10: i32 = ((fSlow9) as i32);
		let mut fSlow11: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iSlow10) as usize] };
		let mut fSlow12: F32 = fSlow11 + (fSlow9 - ((iSlow10) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iSlow10, 1)) as usize] } - fSlow11);
		let mut fSlow13: F32 = self.fConst7 * fSlow8;
		let mut fSlow14: F32 = self.fConst10 * fSlow8;
		let mut fSlow15: F32 = 0.42857143 * fSlow4;
		let mut fSlow16: F32 = self.fConst11 * fSlow8;
		let mut fSlow17: F32 = self.fConst14 * fSlow8;
		let mut fSlow18: F32 = 0.01 * self.fHslider3;
		let mut fSlow19: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 1.5));
		let mut fSlow20: F32 = fSlow19 * F32::min(1.0, 1.0 - fSlow18);
		let mut fSlow21: F32 = fSlow19 * F32::min(1.0, fSlow18 + 1.0);
		let mut fSlow22: F32 = 0.01 * self.fHslider5 * fSlow19;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = iSlow1;
			self.iVec1[0] = 1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec0[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom3_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 1.92e+03 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow5 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 49.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 };
			let mut fTemp12: F32 = F32::abs(fTemp10);
			let mut fTemp13: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 84.5) as i32)) as usize] } * fTemp11))));
			let mut fTemp14: F32 = fTemp13 + fTemp8;
			let mut iTemp15: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp16: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp17: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp16) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp16 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp18: F32 = fTemp14 + fTemp17;
			self.fRec8[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp18, self.fRec8[1] + 1.0) };
			let mut iTemp19: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut fTemp20: F32 = (self.fRec8[0] - fTemp14) / fTemp17;
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp13) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp13) / fTemp8;
			let mut iTemp23: i32 = ((self.fRec2[0] > fTemp9) as i32);
			let mut fTemp24: F32 = self.fRec8[0] / fTemp13;
			let mut fTemp25: F32 = if (iTemp19 as i32 != 0) { if (iTemp21 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp21 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec2[0] } } } else { if (iTemp19 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp18) as i32) as i32 != 0) { self.fRec4[0] + fTemp16 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp3 + 89.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp29 + 4064.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fTemp29 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec12[1] };
			let mut fTemp31: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 49.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp32: F32 = F32::max(5076.0, self.fRec11[0]);
			let mut fTemp33: F32 = self.fRec10[0] - fTemp32;
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 82.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp32)) + 2.0) } else { 0.96 }))));
			let mut fTemp35: F32 = fTemp34 + fTemp31;
			self.fRec13[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp35, self.fRec13[1] + 1.0) };
			let mut iTemp36: i32 = ((self.fRec13[0] < fTemp35) as i32);
			let mut iTemp37: i32 = ((self.fRec13[0] < fTemp34) as i32);
			let mut fTemp38: F32 = (self.fRec13[0] - fTemp34) / fTemp31;
			let mut fTemp39: F32 = self.fRec13[0] / fTemp34;
			let mut fTemp40: F32 = if (iTemp36 as i32 != 0) { if (iTemp37 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp32 } else { if (iTemp37 as i32 != 0) { fTemp32 + fTemp33 * if (((self.fRec10[0] > fTemp32) as i32) as i32 != 0) { F32::powf(fTemp39, 0.33333334) } else { fTemp39 } } else { self.fRec10[0] } } } else { if (iTemp36 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec11[0] } } } else { self.fRec11[0] };
			let mut iTemp41: i32 = ((fTemp40) as i32);
			let mut fTemp42: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp41) as usize] };
			let mut fTemp43: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 71.0));
			let mut fTemp44: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp43) * (fTemp43 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp44 + 4e+03 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp44 + 3456.0 } else { self.fRec15[1] };
			let mut fTemp45: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec16[1] };
			let mut fTemp46: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp45) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 85.5) as i32)) as usize] } * if (((fTemp45 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fTemp44 } else { self.fRec17[1] };
			let mut fTemp47: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp48: F32 = self.fRec14[0] - fTemp47;
			let mut fTemp49: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp48) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 76.5) as i32)) as usize] } * if (((fTemp48 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp47)) + 2.0) } else { 0.96 }))));
			let mut fTemp50: F32 = fTemp49 + fTemp46;
			let mut fTemp51: F32 = self.fRec17[0] - self.fRec15[0];
			let mut fTemp52: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp51) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 39.5) as i32)) as usize] } * if (((fTemp51 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp53: F32 = fTemp50 + fTemp52;
			self.fRec18[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp50) as i32);
			let mut fTemp55: F32 = (self.fRec18[0] - fTemp50) / fTemp52;
			let mut iTemp56: i32 = ((self.fRec18[0] < fTemp49) as i32);
			let mut fTemp57: F32 = (self.fRec18[0] - fTemp49) / fTemp46;
			let mut fTemp58: F32 = self.fRec18[0] / fTemp49;
			let mut fTemp59: F32 = if (iTemp54 as i32 != 0) { if (iTemp56 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp47 } else { if (iTemp56 as i32 != 0) { fTemp47 + fTemp48 * if (((self.fRec14[0] > fTemp47) as i32) as i32 != 0) { F32::powf(fTemp58, 0.33333334) } else { fTemp58 } } else { self.fRec14[0] } } } else { if (iTemp54 as i32 != 0) { self.fRec14[0] + fTemp45 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec15[0] } } } else { if (((self.fRec18[0] < fTemp53) as i32) as i32 != 0) { self.fRec15[0] + fTemp51 * if (((self.fRec17[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } };
			let mut iTemp60: i32 = ((fTemp59) as i32);
			let mut fTemp61: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp60) as usize] };
			let mut iTemp62: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec21[0] = if (iTemp2 as i32 != 0) { self.iConst3 } else { self.iRec21[1] };
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst4 } else { self.iRec22[1] };
			let mut iTemp63: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec21[0]);
			let mut fTemp64: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp63)) as F32) / self.fConst2));
			let mut iTemp65: i32 = i32::wrapping_sub(self.iRec21[0], self.iRec22[0]);
			let mut fTemp66: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp65)) as F32) / self.fConst6));
			let mut fTemp67: F32 = fTemp66 + fTemp64;
			self.fRec23[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp67 + 1.0, self.fRec23[1] + 1.0) };
			let mut iTemp68: i32 = ((self.fRec23[0] < fTemp67) as i32);
			let mut fTemp69: F32 = ((self.iRec22[0]) as F32);
			let mut iTemp70: i32 = ((self.fRec23[0] < fTemp66) as i32);
			let mut fTemp71: F32 = (self.fRec23[0] - fTemp66) / fTemp64;
			let mut fTemp72: F32 = ((self.iRec21[0]) as F32);
			let mut fTemp73: F32 = self.fRec23[0] / fTemp66;
			let mut fTemp74: F32 = 15.996094 * (0.4 * if (iTemp68 as i32 != 0) { if (iTemp70 as i32 != 0) { if (((self.fRec23[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp70 as i32 != 0) { fTemp69 + ((iTemp65) as F32) * if (((self.iRec21[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { fTemp72 } } } else { if (iTemp68 as i32 != 0) { fTemp72 + ((iTemp63) as F32) * if (((self.iRec22[0] > self.iRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp71, 0.33333334) } else { fTemp71 } } else { fTemp69 } } } else { fTemp69 } + 128.0);
			let mut iTemp75: i32 = ((fTemp74) as i32);
			let mut fTemp76: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iTemp75) as usize] };
			let mut fTemp77: F32 = fSlow12 * (fTemp76 + (fTemp74 - ((iTemp75) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iTemp75, 1)) as usize] } - fTemp76));
			let mut fTemp78: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec19[1] + fSlow13 * fTemp77 };
			self.fRec19[0] = fTemp78 - F32::floor(fTemp78);
			let mut fTemp79: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst9 };
			self.fRec24[0] = fTemp79 - F32::floor(fTemp79);
			let mut fTemp80: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow14 * fTemp77 };
			self.fRec25[0] = fTemp80 - F32::floor(fTemp80);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec27[1] };
			let mut fTemp81: F32 = self.fRec27[0] - self.fRec2[0];
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fSlow15 } else { self.fRec28[1] };
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 71.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (fTemp11 * unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 94.5) as i32)) as usize] }))));
			let mut fTemp84: F32 = fTemp83 + fTemp82;
			let mut fTemp85: F32 = self.fRec7[0] - self.fRec27[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec29[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec29[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec29[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec29[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec29[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec29[0] - fTemp83) / fTemp82;
			let mut fTemp92: F32 = self.fRec29[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp90 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec2[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec2[0] + fTemp81 * if (((self.fRec27[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec27[0] } } } else { if (((self.fRec29[0] < fTemp87) as i32) as i32 != 0) { self.fRec27[0] + fTemp85 * if (((self.fRec7[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec7[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp94) as usize] };
			self.fRec30[0] = if (iTemp2 as i32 != 0) { 3296.0 } else { self.fRec30[1] };
			let mut fTemp96: F32 = F32::max(5076.0, self.fRec30[0]);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 7.36e+03 } else { self.fRec31[1] };
			let mut fTemp97: F32 = self.fRec31[0] - fTemp96;
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec32[1] };
			let mut fTemp98: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp97) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 83.5) as i32)) as usize] } * if (((fTemp97 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp96)) + 2.0) } else { 0.96 }))));
			let mut fTemp99: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 71.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = self.fConst1 + fTemp98 + fTemp100;
			self.fRec33[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp101, self.fRec33[1] + 1.0) };
			let mut fTemp102: F32 = (self.fRec33[0] - fTemp98 - self.fConst1) / fTemp100;
			let mut iTemp103: i32 = ((self.fRec33[0] < fTemp98) as i32);
			let mut fTemp104: F32 = self.fRec33[0] / fTemp98;
			let mut fTemp105: F32 = if (((self.fRec33[0] < (self.fConst1 + fTemp98)) as i32) as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp96 } else { if (iTemp103 as i32 != 0) { fTemp96 + fTemp97 * if (((self.fRec31[0] > fTemp96) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec31[0] } } } else { self.fRec31[0] } } else { if (((self.fRec33[0] < fTemp101) as i32) as i32 != 0) { self.fRec31[0] + fTemp99 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec30[0] } };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp106) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 8096.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7584.0 } else { self.fRec35[1] };
			let mut fTemp108: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp109: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp108) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp108 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 4032.0 } else { self.fRec36[1] };
			let mut fTemp110: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp111: F32 = self.fRec34[0] - fTemp110;
			let mut fTemp112: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp111) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] } * if (((fTemp111 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp110)) + 2.0) } else { 0.96 }))));
			let mut fTemp113: F32 = fTemp112 + fTemp109;
			let mut fTemp114: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp115: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp114) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] } * if (((fTemp114 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp116: F32 = fTemp113 + fTemp115;
			self.fRec37[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp116, self.fRec37[1] + 1.0) };
			let mut iTemp117: i32 = ((self.fRec37[0] < fTemp113) as i32);
			let mut fTemp118: F32 = (self.fRec37[0] - fTemp113) / fTemp115;
			let mut iTemp119: i32 = ((self.fRec37[0] < fTemp112) as i32);
			let mut fTemp120: F32 = (self.fRec37[0] - fTemp112) / fTemp109;
			let mut fTemp121: F32 = self.fRec37[0] / fTemp112;
			let mut fTemp122: F32 = if (iTemp117 as i32 != 0) { if (iTemp119 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp110 } else { if (iTemp119 as i32 != 0) { fTemp110 + fTemp111 * if (((self.fRec34[0] > fTemp110) as i32) as i32 != 0) { F32::powf(fTemp121, 0.33333334) } else { fTemp121 } } else { self.fRec34[0] } } } else { if (iTemp117 as i32 != 0) { self.fRec34[0] + fTemp108 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp116) as i32) as i32 != 0) { self.fRec35[0] + fTemp114 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp118, 0.33333334) } else { fTemp118 } } else { self.fRec36[0] } };
			let mut iTemp123: i32 = ((fTemp122) as i32);
			let mut fTemp124: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp123) as usize] };
			let mut fTemp125: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp77 };
			self.fRec38[0] = fTemp125 - F32::floor(fTemp125);
			let mut fTemp126: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst13 };
			self.fRec39[0] = fTemp126 - F32::floor(fTemp126);
			let mut fTemp127: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow17 * fTemp77 };
			self.fRec40[0] = fTemp127 - F32::floor(fTemp127);
			self.fRec26[0] = 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec39[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec38[0] + 24.347826 * self.fRec26[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp124 + (fTemp122 - ((iTemp123) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp123, 1)) as usize] } - fTemp124)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95));
			let mut fTemp128: F32 = self.fRec26[0] + 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp61 + (fTemp59 - ((iTemp60) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp60, 1)) as usize] } - fTemp61)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp42 + (fTemp40 - ((iTemp41) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp41, 1)) as usize] } - fTemp42)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27));
			self.fVec3[0] = fTemp128;
			self.fRec0[0] = self.fConst20 * self.fVec3[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * fTemp128);
			*output0 = fSlow20 * self.fRec0[0];
			*output1 = fSlow21 * self.fRec0[0];
			*output2 = fSlow22 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.iRec21[1] = self.iRec21[0];
			self.iRec22[1] = self.iRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec26[1] = self.fRec26[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom3 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx")]
	unsafe fn compute_x86_or_x86_64_using_avx(&mut self, count: i32, inputs: &[&[<DSP_Tom3 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom3 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.33333334 * (fSlow3 + 4.7) + 1.0;
		let mut fSlow5: F32 = 0.2857143 * fSlow4;
		let mut fSlow6: F32 = 0.71428573 * fSlow4;
		let mut fSlow7: F32 = 0.14285715 * fSlow4;
		let mut fSlow8: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow9: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow8, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow10: i32 = ((fSlow9) as i32);
		let mut fSlow11: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iSlow10) as usize] };
		let mut fSlow12: F32 = fSlow11 + (fSlow9 - ((iSlow10) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iSlow10, 1)) as usize] } - fSlow11);
		let mut fSlow13: F32 = self.fConst7 * fSlow8;
		let mut fSlow14: F32 = self.fConst10 * fSlow8;
		let mut fSlow15: F32 = 0.42857143 * fSlow4;
		let mut fSlow16: F32 = self.fConst11 * fSlow8;
		let mut fSlow17: F32 = self.fConst14 * fSlow8;
		let mut fSlow18: F32 = 0.01 * self.fHslider3;
		let mut fSlow19: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 1.5));
		let mut fSlow20: F32 = fSlow19 * F32::min(1.0, 1.0 - fSlow18);
		let mut fSlow21: F32 = fSlow19 * F32::min(1.0, fSlow18 + 1.0);
		let mut fSlow22: F32 = 0.01 * self.fHslider5 * fSlow19;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = iSlow1;
			self.iVec1[0] = 1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec0[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom3_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 1.92e+03 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow5 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 49.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 };
			let mut fTemp12: F32 = F32::abs(fTemp10);
			let mut fTemp13: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 84.5) as i32)) as usize] } * fTemp11))));
			let mut fTemp14: F32 = fTemp13 + fTemp8;
			let mut iTemp15: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp16: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp17: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp16) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp16 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp18: F32 = fTemp14 + fTemp17;
			self.fRec8[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp18, self.fRec8[1] + 1.0) };
			let mut iTemp19: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut fTemp20: F32 = (self.fRec8[0] - fTemp14) / fTemp17;
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp13) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp13) / fTemp8;
			let mut iTemp23: i32 = ((self.fRec2[0] > fTemp9) as i32);
			let mut fTemp24: F32 = self.fRec8[0] / fTemp13;
			let mut fTemp25: F32 = if (iTemp19 as i32 != 0) { if (iTemp21 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp21 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec2[0] } } } else { if (iTemp19 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp18) as i32) as i32 != 0) { self.fRec4[0] + fTemp16 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp3 + 89.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp29 + 4064.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fTemp29 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec12[1] };
			let mut fTemp31: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 49.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp32: F32 = F32::max(5076.0, self.fRec11[0]);
			let mut fTemp33: F32 = self.fRec10[0] - fTemp32;
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 82.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp32)) + 2.0) } else { 0.96 }))));
			let mut fTemp35: F32 = fTemp34 + fTemp31;
			self.fRec13[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp35, self.fRec13[1] + 1.0) };
			let mut iTemp36: i32 = ((self.fRec13[0] < fTemp35) as i32);
			let mut iTemp37: i32 = ((self.fRec13[0] < fTemp34) as i32);
			let mut fTemp38: F32 = (self.fRec13[0] - fTemp34) / fTemp31;
			let mut fTemp39: F32 = self.fRec13[0] / fTemp34;
			let mut fTemp40: F32 = if (iTemp36 as i32 != 0) { if (iTemp37 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp32 } else { if (iTemp37 as i32 != 0) { fTemp32 + fTemp33 * if (((self.fRec10[0] > fTemp32) as i32) as i32 != 0) { F32::powf(fTemp39, 0.33333334) } else { fTemp39 } } else { self.fRec10[0] } } } else { if (iTemp36 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec11[0] } } } else { self.fRec11[0] };
			let mut iTemp41: i32 = ((fTemp40) as i32);
			let mut fTemp42: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp41) as usize] };
			let mut fTemp43: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 71.0));
			let mut fTemp44: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp43) * (fTemp43 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp44 + 4e+03 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp44 + 3456.0 } else { self.fRec15[1] };
			let mut fTemp45: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec16[1] };
			let mut fTemp46: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp45) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 85.5) as i32)) as usize] } * if (((fTemp45 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fTemp44 } else { self.fRec17[1] };
			let mut fTemp47: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp48: F32 = self.fRec14[0] - fTemp47;
			let mut fTemp49: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp48) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 76.5) as i32)) as usize] } * if (((fTemp48 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp47)) + 2.0) } else { 0.96 }))));
			let mut fTemp50: F32 = fTemp49 + fTemp46;
			let mut fTemp51: F32 = self.fRec17[0] - self.fRec15[0];
			let mut fTemp52: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp51) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 39.5) as i32)) as usize] } * if (((fTemp51 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp53: F32 = fTemp50 + fTemp52;
			self.fRec18[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp50) as i32);
			let mut fTemp55: F32 = (self.fRec18[0] - fTemp50) / fTemp52;
			let mut iTemp56: i32 = ((self.fRec18[0] < fTemp49) as i32);
			let mut fTemp57: F32 = (self.fRec18[0] - fTemp49) / fTemp46;
			let mut fTemp58: F32 = self.fRec18[0] / fTemp49;
			let mut fTemp59: F32 = if (iTemp54 as i32 != 0) { if (iTemp56 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp47 } else { if (iTemp56 as i32 != 0) { fTemp47 + fTemp48 * if (((self.fRec14[0] > fTemp47) as i32) as i32 != 0) { F32::powf(fTemp58, 0.33333334) } else { fTemp58 } } else { self.fRec14[0] } } } else { if (iTemp54 as i32 != 0) { self.fRec14[0] + fTemp45 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec15[0] } } } else { if (((self.fRec18[0] < fTemp53) as i32) as i32 != 0) { self.fRec15[0] + fTemp51 * if (((self.fRec17[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } };
			let mut iTemp60: i32 = ((fTemp59) as i32);
			let mut fTemp61: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp60) as usize] };
			let mut iTemp62: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec21[0] = if (iTemp2 as i32 != 0) { self.iConst3 } else { self.iRec21[1] };
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst4 } else { self.iRec22[1] };
			let mut iTemp63: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec21[0]);
			let mut fTemp64: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp63)) as F32) / self.fConst2));
			let mut iTemp65: i32 = i32::wrapping_sub(self.iRec21[0], self.iRec22[0]);
			let mut fTemp66: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp65)) as F32) / self.fConst6));
			let mut fTemp67: F32 = fTemp66 + fTemp64;
			self.fRec23[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp67 + 1.0, self.fRec23[1] + 1.0) };
			let mut iTemp68: i32 = ((self.fRec23[0] < fTemp67) as i32);
			let mut fTemp69: F32 = ((self.iRec22[0]) as F32);
			let mut iTemp70: i32 = ((self.fRec23[0] < fTemp66) as i32);
			let mut fTemp71: F32 = (self.fRec23[0] - fTemp66) / fTemp64;
			let mut fTemp72: F32 = ((self.iRec21[0]) as F32);
			let mut fTemp73: F32 = self.fRec23[0] / fTemp66;
			let mut fTemp74: F32 = 15.996094 * (0.4 * if (iTemp68 as i32 != 0) { if (iTemp70 as i32 != 0) { if (((self.fRec23[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp70 as i32 != 0) { fTemp69 + ((iTemp65) as F32) * if (((self.iRec21[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { fTemp72 } } } else { if (iTemp68 as i32 != 0) { fTemp72 + ((iTemp63) as F32) * if (((self.iRec22[0] > self.iRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp71, 0.33333334) } else { fTemp71 } } else { fTemp69 } } } else { fTemp69 } + 128.0);
			let mut iTemp75: i32 = ((fTemp74) as i32);
			let mut fTemp76: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iTemp75) as usize] };
			let mut fTemp77: F32 = fSlow12 * (fTemp76 + (fTemp74 - ((iTemp75) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iTemp75, 1)) as usize] } - fTemp76));
			let mut fTemp78: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec19[1] + fSlow13 * fTemp77 };
			self.fRec19[0] = fTemp78 - F32::floor(fTemp78);
			let mut fTemp79: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst9 };
			self.fRec24[0] = fTemp79 - F32::floor(fTemp79);
			let mut fTemp80: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow14 * fTemp77 };
			self.fRec25[0] = fTemp80 - F32::floor(fTemp80);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec27[1] };
			let mut fTemp81: F32 = self.fRec27[0] - self.fRec2[0];
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fSlow15 } else { self.fRec28[1] };
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 71.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (fTemp11 * unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 94.5) as i32)) as usize] }))));
			let mut fTemp84: F32 = fTemp83 + fTemp82;
			let mut fTemp85: F32 = self.fRec7[0] - self.fRec27[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec29[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec29[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec29[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec29[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec29[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec29[0] - fTemp83) / fTemp82;
			let mut fTemp92: F32 = self.fRec29[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp90 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec2[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec2[0] + fTemp81 * if (((self.fRec27[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec27[0] } } } else { if (((self.fRec29[0] < fTemp87) as i32) as i32 != 0) { self.fRec27[0] + fTemp85 * if (((self.fRec7[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec7[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp94) as usize] };
			self.fRec30[0] = if (iTemp2 as i32 != 0) { 3296.0 } else { self.fRec30[1] };
			let mut fTemp96: F32 = F32::max(5076.0, self.fRec30[0]);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 7.36e+03 } else { self.fRec31[1] };
			let mut fTemp97: F32 = self.fRec31[0] - fTemp96;
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec32[1] };
			let mut fTemp98: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp97) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 83.5) as i32)) as usize] } * if (((fTemp97 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp96)) + 2.0) } else { 0.96 }))));
			let mut fTemp99: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 71.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = self.fConst1 + fTemp98 + fTemp100;
			self.fRec33[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp101, self.fRec33[1] + 1.0) };
			let mut fTemp102: F32 = (self.fRec33[0] - fTemp98 - self.fConst1) / fTemp100;
			let mut iTemp103: i32 = ((self.fRec33[0] < fTemp98) as i32);
			let mut fTemp104: F32 = self.fRec33[0] / fTemp98;
			let mut fTemp105: F32 = if (((self.fRec33[0] < (self.fConst1 + fTemp98)) as i32) as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp96 } else { if (iTemp103 as i32 != 0) { fTemp96 + fTemp97 * if (((self.fRec31[0] > fTemp96) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec31[0] } } } else { self.fRec31[0] } } else { if (((self.fRec33[0] < fTemp101) as i32) as i32 != 0) { self.fRec31[0] + fTemp99 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec30[0] } };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp106) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 8096.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7584.0 } else { self.fRec35[1] };
			let mut fTemp108: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp109: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp108) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp108 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 4032.0 } else { self.fRec36[1] };
			let mut fTemp110: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp111: F32 = self.fRec34[0] - fTemp110;
			let mut fTemp112: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp111) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] } * if (((fTemp111 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp110)) + 2.0) } else { 0.96 }))));
			let mut fTemp113: F32 = fTemp112 + fTemp109;
			let mut fTemp114: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp115: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp114) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] } * if (((fTemp114 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp116: F32 = fTemp113 + fTemp115;
			self.fRec37[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp116, self.fRec37[1] + 1.0) };
			let mut iTemp117: i32 = ((self.fRec37[0] < fTemp113) as i32);
			let mut fTemp118: F32 = (self.fRec37[0] - fTemp113) / fTemp115;
			let mut iTemp119: i32 = ((self.fRec37[0] < fTemp112) as i32);
			let mut fTemp120: F32 = (self.fRec37[0] - fTemp112) / fTemp109;
			let mut fTemp121: F32 = self.fRec37[0] / fTemp112;
			let mut fTemp122: F32 = if (iTemp117 as i32 != 0) { if (iTemp119 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp110 } else { if (iTemp119 as i32 != 0) { fTemp110 + fTemp111 * if (((self.fRec34[0] > fTemp110) as i32) as i32 != 0) { F32::powf(fTemp121, 0.33333334) } else { fTemp121 } } else { self.fRec34[0] } } } else { if (iTemp117 as i32 != 0) { self.fRec34[0] + fTemp108 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp116) as i32) as i32 != 0) { self.fRec35[0] + fTemp114 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp118, 0.33333334) } else { fTemp118 } } else { self.fRec36[0] } };
			let mut iTemp123: i32 = ((fTemp122) as i32);
			let mut fTemp124: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp123) as usize] };
			let mut fTemp125: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp77 };
			self.fRec38[0] = fTemp125 - F32::floor(fTemp125);
			let mut fTemp126: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst13 };
			self.fRec39[0] = fTemp126 - F32::floor(fTemp126);
			let mut fTemp127: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow17 * fTemp77 };
			self.fRec40[0] = fTemp127 - F32::floor(fTemp127);
			self.fRec26[0] = 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec39[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec38[0] + 24.347826 * self.fRec26[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp124 + (fTemp122 - ((iTemp123) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp123, 1)) as usize] } - fTemp124)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95));
			let mut fTemp128: F32 = self.fRec26[0] + 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp61 + (fTemp59 - ((iTemp60) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp60, 1)) as usize] } - fTemp61)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp42 + (fTemp40 - ((iTemp41) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp41, 1)) as usize] } - fTemp42)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27));
			self.fVec3[0] = fTemp128;
			self.fRec0[0] = self.fConst20 * self.fVec3[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * fTemp128);
			*output0 = fSlow20 * self.fRec0[0];
			*output1 = fSlow21 * self.fRec0[0];
			*output2 = fSlow22 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.iRec21[1] = self.iRec21[0];
			self.iRec22[1] = self.iRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec26[1] = self.fRec26[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
impl DSP_Tom3 {
    /*
       This function was copied from above and
       tweaked to enable auto-vectorization using avx2
    */
    #[cfg(any(target_arch = "x86", target_arch = "x86_64"))]
    #[target_feature(enable = "avx2")]
	unsafe fn compute_x86_or_x86_64_using_avx2(&mut self, count: i32, inputs: &[&[<DSP_Tom3 as FaustDsp>::T]], outputs: &mut[&mut[<DSP_Tom3 as FaustDsp>::T]]) {
		let (outputs0, outputs1, outputs2) = if let [outputs0, outputs1, outputs2, ..] = outputs {
			let outputs0 = outputs0[..count as usize].iter_mut();
			let outputs1 = outputs1[..count as usize].iter_mut();
			let outputs2 = outputs2[..count as usize].iter_mut();
			(outputs0, outputs1, outputs2)
		} else {
			panic!("wrong number of outputs");
		};
		let mut fSlow0: F32 = self.fEntry0;
		let mut iSlow1: i32 = ((fSlow0 > 0.0) as i32);
		let mut fSlow2: F32 = self.fHslider0;
		let mut fSlow3: F32 = self.fHslider2 + self.fHslider1;
		let mut fSlow4: F32 = 0.33333334 * (fSlow3 + 4.7) + 1.0;
		let mut fSlow5: F32 = 0.2857143 * fSlow4;
		let mut fSlow6: F32 = 0.71428573 * fSlow4;
		let mut fSlow7: F32 = 0.14285715 * fSlow4;
		let mut fSlow8: F32 = F32::powf(2.0, 0.083333336 * (fSlow3 + -64.3));
		let mut fSlow9: F32 = 15.996094 * (0.1 * (1.0 - 0.008333334 * (17.31234 * F32::log(fSlow8, std::f32::consts::E) + 48.0)) + 128.0);
		let mut iSlow10: i32 = ((fSlow9) as i32);
		let mut fSlow11: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iSlow10) as usize] };
		let mut fSlow12: F32 = fSlow11 + (fSlow9 - ((iSlow10) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iSlow10, 1)) as usize] } - fSlow11);
		let mut fSlow13: F32 = self.fConst7 * fSlow8;
		let mut fSlow14: F32 = self.fConst10 * fSlow8;
		let mut fSlow15: F32 = 0.42857143 * fSlow4;
		let mut fSlow16: F32 = self.fConst11 * fSlow8;
		let mut fSlow17: F32 = self.fConst14 * fSlow8;
		let mut fSlow18: F32 = 0.01 * self.fHslider3;
		let mut fSlow19: F32 = F32::powf(1e+01, 0.05 * F32::max(-1e+02, self.fHslider4 + 1.5));
		let mut fSlow20: F32 = fSlow19 * F32::min(1.0, 1.0 - fSlow18);
		let mut fSlow21: F32 = fSlow19 * F32::min(1.0, fSlow18 + 1.0);
		let mut fSlow22: F32 = 0.01 * self.fHslider5 * fSlow19;
		let zipped_iterators = outputs0.zip(outputs1).zip(outputs2);
		for ((output0, output1), output2) in zipped_iterators {
			self.iVec0[0] = iSlow1;
			self.iVec1[0] = 1;
			let mut iTemp1: i32 = ((iSlow1 > self.iVec0[1]) as i32);
			let mut iTemp2: i32 = i32::wrapping_sub(1, iTemp1);
			self.fRec3[0] = if (iSlow1 as i32 != 0) { fSlow0 } else { self.fRec3[1] };
			let mut fTemp3: F32 = 106.0 * (1.0 - DSP_Tom3_faustpower2_f(1.0 - F32::max(fSlow2, self.fRec3[0]))) + -99.0;
			let mut fTemp4: F32 = F32::max(0.0, F32::min(127.0, 0.5714286 * fTemp3 + 99.0));
			let mut fTemp5: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp4) * (fTemp4 + 28.0);
			self.fRec2[0] = if (iTemp2 as i32 != 0) { fTemp5 + 4064.0 } else { self.fRec2[1] };
			self.fRec4[0] = if (iTemp2 as i32 != 0) { fTemp5 + 1.92e+03 } else { self.fRec4[1] };
			let mut fTemp6: F32 = self.fRec4[0] - self.fRec2[0];
			let mut fTemp7: F32 = 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec2[0])) + 2.0);
			self.fRec6[0] = if (iTemp2 as i32 != 0) { fSlow5 } else { self.fRec6[1] };
			let mut fTemp8: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp6) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 49.5) as i32)) as usize] } * if (((fTemp6 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			self.fRec7[0] = if (iTemp2 as i32 != 0) { fTemp5 } else { self.fRec7[1] };
			let mut fTemp9: F32 = F32::max(5076.0, self.fRec7[0]);
			let mut fTemp10: F32 = self.fRec2[0] - fTemp9;
			let mut fTemp11: F32 = if (((fTemp10 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp9)) + 2.0) } else { 0.96 };
			let mut fTemp12: F32 = F32::abs(fTemp10);
			let mut fTemp13: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 84.5) as i32)) as usize] } * fTemp11))));
			let mut fTemp14: F32 = fTemp13 + fTemp8;
			let mut iTemp15: i32 = ((iTemp1 > 0) as i32);
			let mut fTemp16: F32 = self.fRec7[0] - self.fRec4[0];
			let mut fTemp17: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp16) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 77.5) as i32)) as usize] } * if (((fTemp16 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec4[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp18: F32 = fTemp14 + fTemp17;
			self.fRec8[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp18, self.fRec8[1] + 1.0) };
			let mut iTemp19: i32 = ((self.fRec8[0] < fTemp14) as i32);
			let mut fTemp20: F32 = (self.fRec8[0] - fTemp14) / fTemp17;
			let mut iTemp21: i32 = ((self.fRec8[0] < fTemp13) as i32);
			let mut fTemp22: F32 = (self.fRec8[0] - fTemp13) / fTemp8;
			let mut iTemp23: i32 = ((self.fRec2[0] > fTemp9) as i32);
			let mut fTemp24: F32 = self.fRec8[0] / fTemp13;
			let mut fTemp25: F32 = if (iTemp19 as i32 != 0) { if (iTemp21 as i32 != 0) { if (((self.fRec8[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp21 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp24, 0.33333334) } else { fTemp24 } } else { self.fRec2[0] } } } else { if (iTemp19 as i32 != 0) { self.fRec2[0] + fTemp6 * if (((self.fRec4[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp22, 0.33333334) } else { fTemp22 } } else { self.fRec4[0] } } } else { if (((self.fRec8[0] < fTemp18) as i32) as i32 != 0) { self.fRec4[0] + fTemp16 * if (((self.fRec7[0] > self.fRec4[0]) as i32) as i32 != 0) { F32::powf(fTemp20, 0.33333334) } else { fTemp20 } } else { self.fRec7[0] } };
			let mut iTemp26: i32 = ((fTemp25) as i32);
			let mut fTemp27: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp26) as usize] };
			let mut fTemp28: F32 = F32::max(0.0, F32::min(127.0, 0.14285715 * fTemp3 + 89.0));
			let mut fTemp29: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp28) * (fTemp28 + 28.0);
			self.fRec10[0] = if (iTemp2 as i32 != 0) { fTemp29 + 4064.0 } else { self.fRec10[1] };
			self.fRec11[0] = if (iTemp2 as i32 != 0) { fTemp29 } else { self.fRec11[1] };
			let mut fTemp30: F32 = self.fRec11[0] - self.fRec10[0];
			self.fRec12[0] = if (iTemp2 as i32 != 0) { fSlow6 } else { self.fRec12[1] };
			let mut fTemp31: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp30) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 49.5) as i32)) as usize] } * if (((fTemp30 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec10[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp32: F32 = F32::max(5076.0, self.fRec11[0]);
			let mut fTemp33: F32 = self.fRec10[0] - fTemp32;
			let mut fTemp34: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp33) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec12[0] + 82.5) as i32)) as usize] } * if (((fTemp33 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp32)) + 2.0) } else { 0.96 }))));
			let mut fTemp35: F32 = fTemp34 + fTemp31;
			self.fRec13[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(self.fConst1 + fTemp35, self.fRec13[1] + 1.0) };
			let mut iTemp36: i32 = ((self.fRec13[0] < fTemp35) as i32);
			let mut iTemp37: i32 = ((self.fRec13[0] < fTemp34) as i32);
			let mut fTemp38: F32 = (self.fRec13[0] - fTemp34) / fTemp31;
			let mut fTemp39: F32 = self.fRec13[0] / fTemp34;
			let mut fTemp40: F32 = if (iTemp36 as i32 != 0) { if (iTemp37 as i32 != 0) { if (((self.fRec13[0] < 0.0) as i32) as i32 != 0) { fTemp32 } else { if (iTemp37 as i32 != 0) { fTemp32 + fTemp33 * if (((self.fRec10[0] > fTemp32) as i32) as i32 != 0) { F32::powf(fTemp39, 0.33333334) } else { fTemp39 } } else { self.fRec10[0] } } } else { if (iTemp36 as i32 != 0) { self.fRec10[0] + fTemp30 * if (((self.fRec11[0] > self.fRec10[0]) as i32) as i32 != 0) { F32::powf(fTemp38, 0.33333334) } else { fTemp38 } } else { self.fRec11[0] } } } else { self.fRec11[0] };
			let mut iTemp41: i32 = ((fTemp40) as i32);
			let mut fTemp42: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp41) as usize] };
			let mut fTemp43: F32 = F32::max(0.0, F32::min(127.0, 0.2857143 * fTemp3 + 71.0));
			let mut fTemp44: F32 = 32.0 * F32::min(1.0, 0.05 * fTemp43) * (fTemp43 + 28.0);
			self.fRec14[0] = if (iTemp2 as i32 != 0) { fTemp44 + 4e+03 } else { self.fRec14[1] };
			self.fRec15[0] = if (iTemp2 as i32 != 0) { fTemp44 + 3456.0 } else { self.fRec15[1] };
			let mut fTemp45: F32 = self.fRec15[0] - self.fRec14[0];
			self.fRec16[0] = if (iTemp2 as i32 != 0) { fSlow7 } else { self.fRec16[1] };
			let mut fTemp46: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp45) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 85.5) as i32)) as usize] } * if (((fTemp45 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec14[0])) + 2.0) } else { 0.96 }))));
			self.fRec17[0] = if (iTemp2 as i32 != 0) { fTemp44 } else { self.fRec17[1] };
			let mut fTemp47: F32 = F32::max(5076.0, self.fRec17[0]);
			let mut fTemp48: F32 = self.fRec14[0] - fTemp47;
			let mut fTemp49: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp48) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 76.5) as i32)) as usize] } * if (((fTemp48 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp47)) + 2.0) } else { 0.96 }))));
			let mut fTemp50: F32 = fTemp49 + fTemp46;
			let mut fTemp51: F32 = self.fRec17[0] - self.fRec15[0];
			let mut fTemp52: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp51) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec16[0] + 39.5) as i32)) as usize] } * if (((fTemp51 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec15[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp53: F32 = fTemp50 + fTemp52;
			self.fRec18[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp53, self.fRec18[1] + 1.0) };
			let mut iTemp54: i32 = ((self.fRec18[0] < fTemp50) as i32);
			let mut fTemp55: F32 = (self.fRec18[0] - fTemp50) / fTemp52;
			let mut iTemp56: i32 = ((self.fRec18[0] < fTemp49) as i32);
			let mut fTemp57: F32 = (self.fRec18[0] - fTemp49) / fTemp46;
			let mut fTemp58: F32 = self.fRec18[0] / fTemp49;
			let mut fTemp59: F32 = if (iTemp54 as i32 != 0) { if (iTemp56 as i32 != 0) { if (((self.fRec18[0] < 0.0) as i32) as i32 != 0) { fTemp47 } else { if (iTemp56 as i32 != 0) { fTemp47 + fTemp48 * if (((self.fRec14[0] > fTemp47) as i32) as i32 != 0) { F32::powf(fTemp58, 0.33333334) } else { fTemp58 } } else { self.fRec14[0] } } } else { if (iTemp54 as i32 != 0) { self.fRec14[0] + fTemp45 * if (((self.fRec15[0] > self.fRec14[0]) as i32) as i32 != 0) { F32::powf(fTemp57, 0.33333334) } else { fTemp57 } } else { self.fRec15[0] } } } else { if (((self.fRec18[0] < fTemp53) as i32) as i32 != 0) { self.fRec15[0] + fTemp51 * if (((self.fRec17[0] > self.fRec15[0]) as i32) as i32 != 0) { F32::powf(fTemp55, 0.33333334) } else { fTemp55 } } else { self.fRec17[0] } };
			let mut iTemp60: i32 = ((fTemp59) as i32);
			let mut fTemp61: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp60) as usize] };
			let mut iTemp62: i32 = i32::wrapping_sub(1, self.iVec1[1]);
			self.iRec21[0] = if (iTemp2 as i32 != 0) { self.iConst3 } else { self.iRec21[1] };
			self.iRec22[0] = if (iTemp2 as i32 != 0) { self.iConst4 } else { self.iRec22[1] };
			let mut iTemp63: i32 = i32::wrapping_sub(self.iRec22[0], self.iRec21[0]);
			let mut fTemp64: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp63)) as F32) / self.fConst2));
			let mut iTemp65: i32 = i32::wrapping_sub(self.iRec21[0], self.iRec22[0]);
			let mut fTemp66: F32 = F32::max(1.0, self.fConst5 * (((i32::abs(iTemp65)) as F32) / self.fConst6));
			let mut fTemp67: F32 = fTemp66 + fTemp64;
			self.fRec23[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp67 + 1.0, self.fRec23[1] + 1.0) };
			let mut iTemp68: i32 = ((self.fRec23[0] < fTemp67) as i32);
			let mut fTemp69: F32 = ((self.iRec22[0]) as F32);
			let mut iTemp70: i32 = ((self.fRec23[0] < fTemp66) as i32);
			let mut fTemp71: F32 = (self.fRec23[0] - fTemp66) / fTemp64;
			let mut fTemp72: F32 = ((self.iRec21[0]) as F32);
			let mut fTemp73: F32 = self.fRec23[0] / fTemp66;
			let mut fTemp74: F32 = 15.996094 * (0.4 * if (iTemp68 as i32 != 0) { if (iTemp70 as i32 != 0) { if (((self.fRec23[0] < 0.0) as i32) as i32 != 0) { fTemp69 } else { if (iTemp70 as i32 != 0) { fTemp69 + ((iTemp65) as F32) * if (((self.iRec21[0] > self.iRec22[0]) as i32) as i32 != 0) { F32::powf(fTemp73, 0.33333334) } else { fTemp73 } } else { fTemp72 } } } else { if (iTemp68 as i32 != 0) { fTemp72 + ((iTemp63) as F32) * if (((self.iRec22[0] > self.iRec21[0]) as i32) as i32 != 0) { F32::powf(fTemp71, 0.33333334) } else { fTemp71 } } else { fTemp69 } } } else { fTemp69 } + 128.0);
			let mut iTemp75: i32 = ((fTemp74) as i32);
			let mut fTemp76: F32 = unsafe { ftbl3DSP_Tom3SIG3[(iTemp75) as usize] };
			let mut fTemp77: F32 = fSlow12 * (fTemp76 + (fTemp74 - ((iTemp75) as F32)) * (unsafe { ftbl3DSP_Tom3SIG3[(i32::wrapping_add(iTemp75, 1)) as usize] } - fTemp76));
			let mut fTemp78: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec19[1] + fSlow13 * fTemp77 };
			self.fRec19[0] = fTemp78 - F32::floor(fTemp78);
			let mut fTemp79: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec24[1] + self.fConst9 };
			self.fRec24[0] = fTemp79 - F32::floor(fTemp79);
			let mut fTemp80: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec25[1] + fSlow14 * fTemp77 };
			self.fRec25[0] = fTemp80 - F32::floor(fTemp80);
			self.fRec27[0] = if (iTemp2 as i32 != 0) { fTemp5 + 3776.0 } else { self.fRec27[1] };
			let mut fTemp81: F32 = self.fRec27[0] - self.fRec2[0];
			self.fRec28[0] = if (iTemp2 as i32 != 0) { fSlow15 } else { self.fRec28[1] };
			let mut fTemp82: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp81) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 71.5) as i32)) as usize] } * if (((fTemp81 > 0.0) as i32) as i32 != 0) { fTemp7 } else { 0.96 }))));
			let mut fTemp83: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (fTemp12 / (fTemp11 * unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 94.5) as i32)) as usize] }))));
			let mut fTemp84: F32 = fTemp83 + fTemp82;
			let mut fTemp85: F32 = self.fRec7[0] - self.fRec27[0];
			let mut fTemp86: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp85) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec28[0] + 50.5) as i32)) as usize] } * if (((fTemp85 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec27[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp87: F32 = fTemp84 + fTemp86;
			self.fRec29[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp87, self.fRec29[1] + 1.0) };
			let mut iTemp88: i32 = ((self.fRec29[0] < fTemp84) as i32);
			let mut fTemp89: F32 = (self.fRec29[0] - fTemp84) / fTemp86;
			let mut iTemp90: i32 = ((self.fRec29[0] < fTemp83) as i32);
			let mut fTemp91: F32 = (self.fRec29[0] - fTemp83) / fTemp82;
			let mut fTemp92: F32 = self.fRec29[0] / fTemp83;
			let mut fTemp93: F32 = if (iTemp88 as i32 != 0) { if (iTemp90 as i32 != 0) { if (((self.fRec29[0] < 0.0) as i32) as i32 != 0) { fTemp9 } else { if (iTemp90 as i32 != 0) { fTemp9 + fTemp10 * if (iTemp23 as i32 != 0) { F32::powf(fTemp92, 0.33333334) } else { fTemp92 } } else { self.fRec2[0] } } } else { if (iTemp88 as i32 != 0) { self.fRec2[0] + fTemp81 * if (((self.fRec27[0] > self.fRec2[0]) as i32) as i32 != 0) { F32::powf(fTemp91, 0.33333334) } else { fTemp91 } } else { self.fRec27[0] } } } else { if (((self.fRec29[0] < fTemp87) as i32) as i32 != 0) { self.fRec27[0] + fTemp85 * if (((self.fRec7[0] > self.fRec27[0]) as i32) as i32 != 0) { F32::powf(fTemp89, 0.33333334) } else { fTemp89 } } else { self.fRec7[0] } };
			let mut iTemp94: i32 = ((fTemp93) as i32);
			let mut fTemp95: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp94) as usize] };
			self.fRec30[0] = if (iTemp2 as i32 != 0) { 3296.0 } else { self.fRec30[1] };
			let mut fTemp96: F32 = F32::max(5076.0, self.fRec30[0]);
			self.fRec31[0] = if (iTemp2 as i32 != 0) { 7.36e+03 } else { self.fRec31[1] };
			let mut fTemp97: F32 = self.fRec31[0] - fTemp96;
			self.fRec32[0] = if (iTemp2 as i32 != 0) { 0.0 } else { self.fRec32[1] };
			let mut fTemp98: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp97) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 83.5) as i32)) as usize] } * if (((fTemp97 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp96)) + 2.0) } else { 0.96 }))));
			let mut fTemp99: F32 = self.fRec30[0] - self.fRec31[0];
			let mut fTemp100: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp99) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec32[0] + 71.5) as i32)) as usize] } * if (((fTemp99 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec31[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp101: F32 = self.fConst1 + fTemp98 + fTemp100;
			self.fRec33[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp101, self.fRec33[1] + 1.0) };
			let mut fTemp102: F32 = (self.fRec33[0] - fTemp98 - self.fConst1) / fTemp100;
			let mut iTemp103: i32 = ((self.fRec33[0] < fTemp98) as i32);
			let mut fTemp104: F32 = self.fRec33[0] / fTemp98;
			let mut fTemp105: F32 = if (((self.fRec33[0] < (self.fConst1 + fTemp98)) as i32) as i32 != 0) { if (iTemp103 as i32 != 0) { if (((self.fRec33[0] < 0.0) as i32) as i32 != 0) { fTemp96 } else { if (iTemp103 as i32 != 0) { fTemp96 + fTemp97 * if (((self.fRec31[0] > fTemp96) as i32) as i32 != 0) { F32::powf(fTemp104, 0.33333334) } else { fTemp104 } } else { self.fRec31[0] } } } else { self.fRec31[0] } } else { if (((self.fRec33[0] < fTemp101) as i32) as i32 != 0) { self.fRec31[0] + fTemp99 * if (((self.fRec30[0] > self.fRec31[0]) as i32) as i32 != 0) { F32::powf(fTemp102, 0.33333334) } else { fTemp102 } } else { self.fRec30[0] } };
			let mut iTemp106: i32 = ((fTemp105) as i32);
			let mut fTemp107: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp106) as usize] };
			self.fRec34[0] = if (iTemp2 as i32 != 0) { 8096.0 } else { self.fRec34[1] };
			self.fRec35[0] = if (iTemp2 as i32 != 0) { 7584.0 } else { self.fRec35[1] };
			let mut fTemp108: F32 = self.fRec35[0] - self.fRec34[0];
			let mut fTemp109: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp108) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 85.5) as i32)) as usize] } * if (((fTemp108 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec34[0])) + 2.0) } else { 0.96 }))));
			self.fRec36[0] = if (iTemp2 as i32 != 0) { 4032.0 } else { self.fRec36[1] };
			let mut fTemp110: F32 = F32::max(5076.0, self.fRec36[0]);
			let mut fTemp111: F32 = self.fRec34[0] - fTemp110;
			let mut fTemp112: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp111) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 89.5) as i32)) as usize] } * if (((fTemp111 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - fTemp110)) + 2.0) } else { 0.96 }))));
			let mut fTemp113: F32 = fTemp112 + fTemp109;
			let mut fTemp114: F32 = self.fRec36[0] - self.fRec35[0];
			let mut fTemp115: F32 = F32::max(1.0, self.fConst0 * F32::max(0.001, 0.0235 * (F32::abs(fTemp114) / (unsafe { ftbl1DSP_Tom3SIG1[(((self.fRec6[0] + 81.5) as i32)) as usize] } * if (((fTemp114 > 0.0) as i32) as i32 != 0) { 0.538 * (F32::max(0.0, 0.00390625 * (7.2e+03 - self.fRec35[0])) + 2.0) } else { 0.96 }))));
			let mut fTemp116: F32 = fTemp113 + fTemp115;
			self.fRec37[0] = if (iTemp15 as i32 != 0) { 0.0 } else { F32::min(fTemp116, self.fRec37[1] + 1.0) };
			let mut iTemp117: i32 = ((self.fRec37[0] < fTemp113) as i32);
			let mut fTemp118: F32 = (self.fRec37[0] - fTemp113) / fTemp115;
			let mut iTemp119: i32 = ((self.fRec37[0] < fTemp112) as i32);
			let mut fTemp120: F32 = (self.fRec37[0] - fTemp112) / fTemp109;
			let mut fTemp121: F32 = self.fRec37[0] / fTemp112;
			let mut fTemp122: F32 = if (iTemp117 as i32 != 0) { if (iTemp119 as i32 != 0) { if (((self.fRec37[0] < 0.0) as i32) as i32 != 0) { fTemp110 } else { if (iTemp119 as i32 != 0) { fTemp110 + fTemp111 * if (((self.fRec34[0] > fTemp110) as i32) as i32 != 0) { F32::powf(fTemp121, 0.33333334) } else { fTemp121 } } else { self.fRec34[0] } } } else { if (iTemp117 as i32 != 0) { self.fRec34[0] + fTemp108 * if (((self.fRec35[0] > self.fRec34[0]) as i32) as i32 != 0) { F32::powf(fTemp120, 0.33333334) } else { fTemp120 } } else { self.fRec35[0] } } } else { if (((self.fRec37[0] < fTemp116) as i32) as i32 != 0) { self.fRec35[0] + fTemp114 * if (((self.fRec36[0] > self.fRec35[0]) as i32) as i32 != 0) { F32::powf(fTemp118, 0.33333334) } else { fTemp118 } } else { self.fRec36[0] } };
			let mut iTemp123: i32 = ((fTemp122) as i32);
			let mut fTemp124: F32 = unsafe { ftbl0DSP_Tom3SIG0[(iTemp123) as usize] };
			let mut fTemp125: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec38[1] + fSlow16 * fTemp77 };
			self.fRec38[0] = fTemp125 - F32::floor(fTemp125);
			let mut fTemp126: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec39[1] + self.fConst13 };
			self.fRec39[0] = fTemp126 - F32::floor(fTemp126);
			let mut fTemp127: F32 = if (iTemp62 as i32 != 0) { 0.0 } else { self.fRec40[1] + fSlow17 * fTemp77 };
			self.fRec40[0] = fTemp127 - F32::floor(fTemp127);
			self.fRec26[0] = 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec40[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec39[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec38[0] + 24.347826 * self.fRec26[1] + 1e+01)) as i32) % 1024) as usize] } * (fTemp124 + (fTemp122 - ((iTemp123) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp123, 1)) as usize] } - fTemp124)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp107 + (fTemp105 - ((iTemp106) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp106, 1)) as usize] } - fTemp107)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp95 + (fTemp93 - ((iTemp94) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp94, 1)) as usize] } - fTemp95));
			let mut fTemp128: F32 = self.fRec26[0] + 0.115 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec25[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * (self.fRec24[0] + 2.0 * unsafe { ftbl2DSP_Tom3SIG2[(((1024.0 * self.fRec19[0] + 1.024e+04) as i32) % 1024) as usize] } * (fTemp61 + (fTemp59 - ((iTemp60) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp60, 1)) as usize] } - fTemp61)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp42 + (fTemp40 - ((iTemp41) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp41, 1)) as usize] } - fTemp42)) + 1e+01)) as i32) % 1024) as usize] } * (fTemp27 + (fTemp25 - ((iTemp26) as F32)) * (unsafe { ftbl0DSP_Tom3SIG0[(i32::wrapping_add(iTemp26, 1)) as usize] } - fTemp27));
			self.fVec3[0] = fTemp128;
			self.fRec0[0] = self.fConst20 * self.fVec3[1] - self.fConst19 * (self.fConst17 * self.fRec0[1] - self.fConst16 * fTemp128);
			*output0 = fSlow20 * self.fRec0[0];
			*output1 = fSlow21 * self.fRec0[0];
			*output2 = fSlow22 * self.fRec0[0];
			self.iVec0[1] = self.iVec0[0];
			self.iVec1[1] = self.iVec1[0];
			self.fRec3[1] = self.fRec3[0];
			self.fRec2[1] = self.fRec2[0];
			self.fRec4[1] = self.fRec4[0];
			self.fRec6[1] = self.fRec6[0];
			self.fRec7[1] = self.fRec7[0];
			self.fRec8[1] = self.fRec8[0];
			self.fRec10[1] = self.fRec10[0];
			self.fRec11[1] = self.fRec11[0];
			self.fRec12[1] = self.fRec12[0];
			self.fRec13[1] = self.fRec13[0];
			self.fRec14[1] = self.fRec14[0];
			self.fRec15[1] = self.fRec15[0];
			self.fRec16[1] = self.fRec16[0];
			self.fRec17[1] = self.fRec17[0];
			self.fRec18[1] = self.fRec18[0];
			self.iRec21[1] = self.iRec21[0];
			self.iRec22[1] = self.iRec22[0];
			self.fRec23[1] = self.fRec23[0];
			self.fRec19[1] = self.fRec19[0];
			self.fRec24[1] = self.fRec24[0];
			self.fRec25[1] = self.fRec25[0];
			self.fRec27[1] = self.fRec27[0];
			self.fRec28[1] = self.fRec28[0];
			self.fRec29[1] = self.fRec29[0];
			self.fRec30[1] = self.fRec30[0];
			self.fRec31[1] = self.fRec31[0];
			self.fRec32[1] = self.fRec32[0];
			self.fRec33[1] = self.fRec33[0];
			self.fRec34[1] = self.fRec34[0];
			self.fRec35[1] = self.fRec35[0];
			self.fRec36[1] = self.fRec36[0];
			self.fRec37[1] = self.fRec37[0];
			self.fRec38[1] = self.fRec38[0];
			self.fRec39[1] = self.fRec39[0];
			self.fRec40[1] = self.fRec40[0];
			self.fRec26[1] = self.fRec26[0];
			self.fVec3[1] = self.fVec3[0];
			self.fRec0[1] = self.fRec0[0];
		}
	}
}
